diff -pruN 0.0+r1583-1/compile 0.0+r1606-1/compile
--- 0.0+r1583-1/compile	1970-01-01 01:00:00.000000000 +0100
+++ 0.0+r1606-1/compile	2009-05-06 00:20:10.000000000 +0100
@@ -0,0 +1,142 @@
+#! /bin/sh
+# Wrapper for compilers which do not understand `-c -o'.
+
+scriptversion=2005-05-14.22
+
+# Copyright (C) 1999, 2000, 2003, 2004, 2005 Free Software Foundation, Inc.
+# Written by Tom Tromey <tromey@cygnus.com>.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+
+# As a special exception to the GNU General Public License, if you
+# distribute this file as part of a program that contains a
+# configuration script generated by Autoconf, you may include it under
+# the same distribution terms that you use for the rest of that program.
+
+# This file is maintained in Automake, please report
+# bugs to <bug-automake@gnu.org> or send patches to
+# <automake-patches@gnu.org>.
+
+case $1 in
+  '')
+     echo "$0: No command.  Try \`$0 --help' for more information." 1>&2
+     exit 1;
+     ;;
+  -h | --h*)
+    cat <<\EOF
+Usage: compile [--help] [--version] PROGRAM [ARGS]
+
+Wrapper for compilers which do not understand `-c -o'.
+Remove `-o dest.o' from ARGS, run PROGRAM with the remaining
+arguments, and rename the output as expected.
+
+If you are trying to build a whole package this is not the
+right script to run: please start by reading the file `INSTALL'.
+
+Report bugs to <bug-automake@gnu.org>.
+EOF
+    exit $?
+    ;;
+  -v | --v*)
+    echo "compile $scriptversion"
+    exit $?
+    ;;
+esac
+
+ofile=
+cfile=
+eat=
+
+for arg
+do
+  if test -n "$eat"; then
+    eat=
+  else
+    case $1 in
+      -o)
+	# configure might choose to run compile as `compile cc -o foo foo.c'.
+	# So we strip `-o arg' only if arg is an object.
+	eat=1
+	case $2 in
+	  *.o | *.obj)
+	    ofile=$2
+	    ;;
+	  *)
+	    set x "$@" -o "$2"
+	    shift
+	    ;;
+	esac
+	;;
+      *.c)
+	cfile=$1
+	set x "$@" "$1"
+	shift
+	;;
+      *)
+	set x "$@" "$1"
+	shift
+	;;
+    esac
+  fi
+  shift
+done
+
+if test -z "$ofile" || test -z "$cfile"; then
+  # If no `-o' option was seen then we might have been invoked from a
+  # pattern rule where we don't need one.  That is ok -- this is a
+  # normal compilation that the losing compiler can handle.  If no
+  # `.c' file was seen then we are probably linking.  That is also
+  # ok.
+  exec "$@"
+fi
+
+# Name of file we expect compiler to create.
+cofile=`echo "$cfile" | sed -e 's|^.*/||' -e 's/\.c$/.o/'`
+
+# Create the lock directory.
+# Note: use `[/.-]' here to ensure that we don't use the same name
+# that we are using for the .o file.  Also, base the name on the expected
+# object file name, since that is what matters with a parallel build.
+lockdir=`echo "$cofile" | sed -e 's|[/.-]|_|g'`.d
+while true; do
+  if mkdir "$lockdir" >/dev/null 2>&1; then
+    break
+  fi
+  sleep 1
+done
+# FIXME: race condition here if user kills between mkdir and trap.
+trap "rmdir '$lockdir'; exit 1" 1 2 15
+
+# Run the compile.
+"$@"
+ret=$?
+
+if test -f "$cofile"; then
+  mv "$cofile" "$ofile"
+elif test -f "${cofile}bj"; then
+  mv "${cofile}bj" "$ofile"
+fi
+
+rmdir "$lockdir"
+exit $ret
+
+# Local Variables:
+# mode: shell-script
+# sh-indentation: 2
+# eval: (add-hook 'write-file-hooks 'time-stamp)
+# time-stamp-start: "scriptversion="
+# time-stamp-format: "%:y-%02m-%02d.%02H"
+# time-stamp-end: "$"
+# End:
diff -pruN 0.0+r1583-1/configure.in 0.0+r1606-1/configure.in
--- 0.0+r1583-1/configure.in	2009-04-29 04:28:12.000000000 +0100
+++ 0.0+r1606-1/configure.in	2009-05-03 04:35:01.000000000 +0100
@@ -1,5 +1,7 @@
 AC_PREREQ(2.59)
-AC_INIT(configure.in)
+AC_INIT([openocd], [0.2.0-in-development],
+	[OpenOCD Mailing List <openocd-development@lists.berlios.de>])
+AC_CONFIG_SRCDIR([src/openocd.c])
 
 AC_CANONICAL_HOST
 
@@ -535,7 +537,7 @@ then
    AC_MSG_ERROR([The option: with_ftd2xx_linux_tardir is for LINUX only.])
 fi
 
-if test $build_ft2232_ftd2xx = yes ; then
+if test $build_ft2232_ftd2xx = yes -o $build_presto_ftd2xx = yes ; then
 AC_MSG_CHECKING([for ftd2xx.lib exists (win32)])
 
    # if we are given a zipdir...
@@ -584,7 +586,7 @@ then
    AC_MSG_ERROR([The option: with_ftd2xx_linux_tardir is for LINUX only.])
 fi
 
-if test $build_ft2232_ftd2xx = yes ; then
+if test $build_ft2232_ftd2xx = yes -o $build_presto_ftd2xx = yes ; then
    AC_MSG_CHECKING([for libftd2xx.a (darwin)])
 
    if test ! -f /usr/local/include/ftd2xx.h ; then
@@ -605,7 +607,7 @@ then
    AC_MSG_ERROR([The option: --with-ftd2xx-win32-zipdir is for win32 only])
 fi
 
-if test $build_ft2232_ftd2xx = yes ; then
+if test $build_ft2232_ftd2xx = yes -o $build_presto_ftd2xx = yes ; then
    # Must be linux
    if test $host_os != linux-gnu && test $host_os != linux ; then
       AC_MSG_ERROR([The (linux) ftd2xx library from FTDICHIP.com is linux only. Try --enable-ft2232-libftdi instead])
@@ -659,7 +661,7 @@ if test $build_ft2232_ftd2xx = yes ; the
 fi
 fi
 
-if test $build_ft2232_ftd2xx = yes; then
+if test $build_ft2232_ftd2xx = yes -o $build_presto_ftd2xx = yes; then
 
 # Before we go any further - make sure we can *BUILD* and *RUN*
 # a simple app with the "ftd2xx.lib" file - in what ever form we where given
@@ -737,8 +739,16 @@ LDFLAGS=$LDFLAGS_SAVE
 CFLAGS=$CFLAGS_SAVE
 fi
 
+# check for usb.h when a driver will require it
+if test $build_jlink = yes -o $build_vsllink = yes -o $build_usbprog = yes -o \
+	$build_rlink = yes -o $build_armjtagew = yes
+then 
+  AC_CHECK_HEADERS([usb.h],[],
+	[AC_MSG_ERROR([usb.h is required to build some OpenOCD driver(s)])])
+fi
+
 AM_CONFIG_HEADER(config.h)
-AM_INIT_AUTOMAKE(openocd, 1.0)
+AM_INIT_AUTOMAKE([-Wall -Wno-portability])
 AM_MAINTAINER_MODE
 
 AM_CONDITIONAL(RELEASE, test $build_release = yes)
@@ -771,6 +781,7 @@ AM_CONDITIONAL(BITQ, test $build_bitq = 
 
 AC_LANG_C
 AC_PROG_CC
+AM_PROG_CC_C_O
 AC_PROG_RANLIB
 
 # set default gcc warnings
diff -pruN 0.0+r1583-1/contrib/openocd.udev 0.0+r1606-1/contrib/openocd.udev
--- 0.0+r1583-1/contrib/openocd.udev	2009-04-29 19:26:11.000000000 +0100
+++ 0.0+r1606-1/contrib/openocd.udev	2009-04-30 22:04:34.000000000 +0100
@@ -52,9 +52,9 @@ SYSFS{idVendor}=="0403", SYSFS{idProduct
 # Marvell Sheevaplug
 SYSFS{idVendor}=="9e88", SYSFS{idProduct}=="9e8f", MODE="664", GROUP="plugdev"
 
-# Icebear (Section5)
-SYSFS{idProduct}=="c140", SYSFS{idVendor}=="0403", MODE="666", GROUP="usb"
-SYSFS{idProduct}=="c141", SYSFS{idVendor}=="0403", MODE="666", GROUP="usb"
+# Section5 ICEbear
+SYSFS{idVendor}=="0403", SYSFS{idProduct}=="c140", MODE="664", GROUP="plugdev"
+SYSFS{idVendor}=="0403", SYSFS{idProduct}=="c141", MODE="664", GROUP="plugdev"
 
 LABEL="openocd_rules_end"
 
diff -pruN 0.0+r1583-1/debian/changelog 0.0+r1606-1/debian/changelog
--- 0.0+r1583-1/debian/changelog	2009-05-06 00:22:17.000000000 +0100
+++ 0.0+r1606-1/debian/changelog	2009-05-06 00:20:10.000000000 +0100
@@ -1,3 +1,12 @@
+openocd (0.0+r1606-1) unstable; urgency=low
+
+  * New upstream release.
+  * Use --disable-werror for now until all warnings have been fixed
+    upstream (Closes: #526441, #527100).
+  * Build-depend on automake (>= 1.6) as per upstream.
+
+ -- Uwe Hermann <uwe@debian.org>  Tue, 05 May 2009 18:39:03 +0200
+
 openocd (0.0+r1583-1) unstable; urgency=low
 
   * New upstream release.
diff -pruN 0.0+r1583-1/debian/ChangeLog 0.0+r1606-1/debian/ChangeLog
--- 0.0+r1583-1/debian/ChangeLog	2009-05-06 00:22:17.000000000 +0100
+++ 0.0+r1606-1/debian/ChangeLog	2009-05-06 00:20:10.000000000 +0100
@@ -1,489 +1,1160 @@
 ------------------------------------------------------------------------
+r1606 | oharboe | 2009-05-05 14:07:02 +0200 (Tue, 05 May 2009) | 1 line
+Changed paths:
+   M /trunk/src/helper/log.c
+
+made warning about keep_alive() not being invoked more helpful
+------------------------------------------------------------------------
+r1605 | oharboe | 2009-05-05 14:06:26 +0200 (Tue, 05 May 2009) | 1 line
+Changed paths:
+   M /trunk/src/helper/command.c
+
+remove extra newline before prompt
+------------------------------------------------------------------------
+r1604 | oharboe | 2009-05-05 08:49:55 +0200 (Tue, 05 May 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/mips32.h
+
+Gabor Juhos juhosg at openwrt.org  MIPS: fix a shift value in the MIPS32_R_INST macro
+------------------------------------------------------------------------
+r1603 | oharboe | 2009-05-05 07:55:14 +0200 (Tue, 05 May 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/mips32.h
+
+Oleksandr Tymoshenko <gonzo@bluezbox.com> "resume" command fix for EJTAG
+------------------------------------------------------------------------
+r1602 | oharboe | 2009-05-04 20:44:12 +0200 (Mon, 04 May 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/Makefile.am
+   A /trunk/src/target/cortex_a8.c
+   A /trunk/src/target/cortex_a8.h
+   M /trunk/src/target/target.c
+
+Dirk Behme <dirk.behme@googlemail.com> Add minimalist Cortex A8 file
+------------------------------------------------------------------------
+r1601 | oharboe | 2009-05-04 13:06:21 +0200 (Mon, 04 May 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/etb.c
+   M /trunk/src/target/etm.c
+   M /trunk/src/target/xscale.c
+
+Mariano Alvira <mar@devl.org> fixes warnings
+------------------------------------------------------------------------
+r1600 | oharboe | 2009-05-04 13:03:40 +0200 (Mon, 04 May 2009) | 1 line
+Changed paths:
+   M /trunk/src/helper/command.c
+
+Mariano Alvira <mar@devl.org> fixes warning as error about a signed vs. unsigned comparison by casting the local unsigned variable as (long long).
+------------------------------------------------------------------------
+r1599 | kc8apf | 2009-05-04 08:22:49 +0200 (Mon, 04 May 2009) | 1 line
+Changed paths:
+   M /trunk/src/helper/jim.c
+
+Fix environ declaration for non-glibc systems
+------------------------------------------------------------------------
+r1598 | oharboe | 2009-05-03 22:48:20 +0200 (Sun, 03 May 2009) | 1 line
+Changed paths:
+   M /trunk/src/openocd.c
+
+fix embedded builds
+------------------------------------------------------------------------
+r1597 | oharboe | 2009-05-03 22:21:32 +0200 (Sun, 03 May 2009) | 1 line
+Changed paths:
+   M /trunk/src/helper/jim.c
+
+Backed out change to solve Mac OS compilation problems.
+------------------------------------------------------------------------
+r1596 | zwelch | 2009-05-03 17:21:40 +0200 (Sun, 03 May 2009) | 1 line
+Changed paths:
+   M /trunk/src/helper/jim.c
+
+Fix compilation when HAVE_UNISTD_H is not defined.
+------------------------------------------------------------------------
+r1595 | oharboe | 2009-05-03 17:11:17 +0200 (Sun, 03 May 2009) | 1 line
+Changed paths:
+   M /trunk/src/helper/jim.c
+
+Piotr Esden-Tempski <piotr@esden.net> Mac OS X compile fixes
+------------------------------------------------------------------------
+r1594 | oharboe | 2009-05-03 17:10:16 +0200 (Sun, 03 May 2009) | 1 line
+Changed paths:
+   M /trunk/src/flash/avrf.c
+   M /trunk/src/target/avrt.c
+
+Piotr Esden-Tempski <piotr@esden.net> Mac OS X compile fixes
+------------------------------------------------------------------------
+r1593 | zwelch | 2009-05-03 05:35:01 +0200 (Sun, 03 May 2009) | 1 line
+Changed paths:
+   M /trunk/configure.in
+
+Fix build when enabling presto+ftd2xx driver only.
+------------------------------------------------------------------------
+r1592 | zwelch | 2009-05-03 00:46:14 +0200 (Sun, 03 May 2009) | 1 line
+Changed paths:
+   M /trunk/configure.in
+
+Add configure check for usb.h; required by a USB drivers.
+------------------------------------------------------------------------
+r1591 | zwelch | 2009-05-03 00:35:02 +0200 (Sun, 03 May 2009) | 28 lines
+Changed paths:
+   M /trunk/Makefile.am
+   M /trunk/configure.in
+   M /trunk/src/Makefile.am
+   M /trunk/src/flash/Makefile.am
+   M /trunk/src/helper/Makefile.am
+   M /trunk/src/jtag/Makefile.am
+   M /trunk/src/pld/Makefile.am
+   M /trunk/src/server/Makefile.am
+   M /trunk/src/svf/Makefile.am
+   M /trunk/src/target/Makefile.am
+   M /trunk/src/xsvf/Makefile.am
+
+Update autotools scripts to require automake 1.6.  The configure.in script
+already required autoconf 2.59 (circa 2006), so there is no reason to
+support versions of automake older than 1.6 (circa 2002).
+
+The first part of this patch upgrades the configure.in script:
+
+     1. Use current calling conventions for the AC_INIT and
+        AM_INIT_AUTOMAKE macros, bringing their usage up-to-date with
+        the version of autoconf already specified by AC_PREREQ.
+     2. Add AC_CONFIG_SRCDIR macro, required by new version of AC_INIT.
+     3. Automatically enable all of automake's warnings except Makefile
+        portability (which OpenOCD violates by using GNU make's $(wildcard)).
+        [[ While automake has its own -Werror option, I did not enabled it
+        due to existing warnings. ]]
+     4. Add the missing AM_PROG_C_O check, required by the build rules for
+        openocd.o in src/Makefile.am.
+     5. Adjust version number to show progress toward the next release.
+     6. Include a bug reporting e-mail address to direct users to this list.
+
+This patch makes the following adjustments to the Makefile.am files:
+
+     1. Update AUTOMAKE_OPTIONS to require automake version 1.6
+     2. Rewrite all deprecated INCLUDES assignments as AM_CPPFLAGS
+     3. Clean-up all AM_CPPFLAGS declarations to be patch-friendly.
+     4. Remove vestigial references to $(all_includes)
+     5. Remove erroneous references to @CPPFLAGS@ (only use AM_CPPFLAGS)
+     6. Remove unused -I and -D directives in helper/, flash/, target/
+
+------------------------------------------------------------------------
+r1590 | oharboe | 2009-05-02 21:31:30 +0200 (Sat, 02 May 2009) | 1 line
+Changed paths:
+   M /trunk/src/main.c
+   M /trunk/src/openocd.c
+
+Dick Hollenbeck <dick@softplc.com> moved stuff into openocd.c - should never have been in main.c in the first place. DLL will now build.
+------------------------------------------------------------------------
+r1589 | oharboe | 2009-05-02 14:26:10 +0200 (Sat, 02 May 2009) | 1 line
+Changed paths:
+   M /trunk/src/helper/jim.c
+
+Zach Welch <zw@superlucidity.net> fix warnings
+------------------------------------------------------------------------
+r1588 | zwelch | 2009-05-02 01:42:43 +0200 (Sat, 02 May 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
+
+Remove superflous spaces from new JTAG table to fix formatting.
+------------------------------------------------------------------------
+r1587 | zwelch | 2009-05-01 05:07:32 +0200 (Fri, 01 May 2009) | 1 line
+Changed paths:
+   M /trunk/src/openocd.c
+
+Add static keywords to main application helper functions.
+------------------------------------------------------------------------
+r1586 | zwelch | 2009-05-01 03:18:05 +0200 (Fri, 01 May 2009) | 1 line
+Changed paths:
+   M /trunk/src/openocd.c
+
+Dick Hollenbeck <dick@softplc.com>: move OPENOCD_VERSION to use config.h
+------------------------------------------------------------------------
+r1585 | zwelch | 2009-05-01 01:19:46 +0200 (Fri, 01 May 2009) | 1 line
+Changed paths:
+   A /trunk/src/target/board/hitex_str9_comstick.cfg
+   M /trunk/src/target/target/str9comstick.cfg
+
+Uwe Hermann <uwe@hermann-uwe.de>: Support both rev -A1 and -A2 of Hitex STR9-comStick.
+------------------------------------------------------------------------
+r1584 | zwelch | 2009-04-30 23:04:34 +0200 (Thu, 30 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/contrib/openocd.udev
+   M /trunk/src/target/interface/icebear.cfg
+
+Uwe Hermann <uwe@hermann-uwe.de>: Make ICEbear look like other targets
+------------------------------------------------------------------------
 r1582 | oharboe | 2009-04-30 12:08:11 +0200 (Thu, 30 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/zy1000.c
 
 zy1000 1.51
 ------------------------------------------------------------------------
 r1581 | oharboe | 2009-04-30 12:07:39 +0200 (Thu, 30 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/ecosboard.c
+   M /zy1000/trunk/build/include/rom.h
+   M /zy1000/trunk/build/menu/zy1000menu.xml
+   M /zy1000/trunk/build/tcl/editconfigs.tcl
+   M /zy1000/trunk/build/tcl/index.tcl
+   M /zy1000/trunk/build/tcl/openocd.cfg
+   M /zy1000/trunk/build/tcl/preconfig.tcl
+   M /zy1000/trunk/build/tcl/production.tcl
+   M /zy1000/trunk/build/tcl/support.tcl
+   M /zy1000/trunk/snapshots/athttpd.zip
+   M /zy1000/trunk/snapshots/discover.zip
+   M /zy1000/trunk/snapshots/jimtcl.zip
 
 list board's as well as target config files.
 ------------------------------------------------------------------------
 r1580 | oharboe | 2009-04-30 11:50:14 +0200 (Thu, 30 Apr 2009) | 1 line
+Changed paths:
+   A /trunk/src/target/target/lpc2478.cfg
 
 lpc2478 target config
 ------------------------------------------------------------------------
 r1579 | zwelch | 2009-04-30 11:49:38 +0200 (Thu, 30 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/breakpoints.c
+   M /trunk/src/target/breakpoints.h
+   M /trunk/src/target/embeddedice.c
+   M /trunk/src/target/embeddedice.h
+   M /trunk/src/target/etb.c
+   M /trunk/src/target/etb.h
+   M /trunk/src/target/etm.c
+   M /trunk/src/target/etm_dummy.c
+   M /trunk/src/target/etm_dummy.h
+   M /trunk/src/target/image.c
+   M /trunk/src/target/oocd_trace.c
+   M /trunk/src/target/oocd_trace.h
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target_request.c
+   M /trunk/src/target/trace.c
 
 Add static keywords to core target source file data and functions.
 ------------------------------------------------------------------------
 r1578 | oharboe | 2009-04-30 11:39:24 +0200 (Thu, 30 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/flash/lpc2000.c
 
 Print out warning when LPC calc_checksum will cause verification to fail.
 ------------------------------------------------------------------------
 r1577 | zwelch | 2009-04-30 11:14:01 +0200 (Thu, 30 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/flash/flash.c
 
 Fix signed/unsigned comparison.
 ------------------------------------------------------------------------
 r1576 | oharboe | 2009-04-30 10:15:27 +0200 (Thu, 30 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/flash/lpc2000.c
 
 no change
 ------------------------------------------------------------------------
 r1575 | oharboe | 2009-04-30 10:08:49 +0200 (Thu, 30 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/flash/flash.c
 
 flash fillX now has a verify stage
 ------------------------------------------------------------------------
 r1574 | oharboe | 2009-04-30 08:26:22 +0200 (Thu, 30 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/target/lpc2148.cfg
+   D /trunk/src/target/target/lpc2148_2mhz.cfg
+   D /trunk/src/target/target/lpc2148_rclk.cfg
 
 use jtag_rclk 500 to avoid proliferation of target scripts
 ------------------------------------------------------------------------
 r1573 | zwelch | 2009-04-30 02:59:46 +0200 (Thu, 30 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/ft2232.c
 
 Michael Bruck <mbruck@digenius.de>: sys/select.h must preceed windows.h.
 ------------------------------------------------------------------------
 r1572 | zwelch | 2009-04-30 02:57:58 +0200 (Thu, 30 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/helper/jim.c
 
 Michael Bruck <mbruck@digenius.de>: use HAVE_UNISTD_H for environ decl.
 ------------------------------------------------------------------------
 r1571 | mlu | 2009-04-29 23:08:39 +0200 (Wed, 29 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/flash/stm32x.c
 
 Clear FLASH_SR error flags after flash errors to avoid reset befor further flash operations.
 ------------------------------------------------------------------------
 r1570 | zwelch | 2009-04-29 20:26:11 +0200 (Wed, 29 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/contrib/openocd.udev
 
 Add udev rules for USB ICEbear interface.
 ------------------------------------------------------------------------
 r1569 | mlu | 2009-04-29 20:17:51 +0200 (Wed, 29 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/arm_adi_v5.c
 
 More error logging for DAP errors
 ------------------------------------------------------------------------
 r1568 | ntfreak | 2009-04-29 15:24:05 +0200 (Wed, 29 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/board/olimex_LPC2378STK.cfg
+   M /trunk/src/target/interface/icebear.cfg
 
 - add missing svn props from svn 1565 commit
 ------------------------------------------------------------------------
 r1567 | oharboe | 2009-04-29 13:37:33 +0200 (Wed, 29 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/arm11.h
+   M /trunk/src/target/arm11_dbgtap.c
 
 comments and debug code
 ------------------------------------------------------------------------
 r1566 | zwelch | 2009-04-29 09:40:07 +0200 (Wed, 29 Apr 2009) | 1 line
+Changed paths:
+   A /trunk/src/target/board/olimex_LPC2378STK.cfg
 
 Sten <debian@sansys-electronic.com>: add support for Olimex LPC2378STK eval board.
 ------------------------------------------------------------------------
 r1565 | zwelch | 2009-04-29 09:38:35 +0200 (Wed, 29 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/ft2232.c
+   A /trunk/src/target/interface/icebear.cfg
 
 Sten <debian@sansys-electronic.com>: add support for ICEbear FDTI-based interface.
 ------------------------------------------------------------------------
 r1564 | zwelch | 2009-04-29 08:30:44 +0200 (Wed, 29 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jlink.c
 
 Fix jlink usb_bulk_with_retries to return actual error codes.
 ------------------------------------------------------------------------
 r1563 | zwelch | 2009-04-29 07:22:14 +0200 (Wed, 29 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jlink.c
 
 Remove vestigial last_tms variable from jlink driver.
 ------------------------------------------------------------------------
 r1562 | zwelch | 2009-04-29 05:28:12 +0200 (Wed, 29 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/configure.in
 
 Add -Wredundant-decls to prevent unwanted duplicate declarations.
 ------------------------------------------------------------------------
 r1561 | zwelch | 2009-04-29 04:18:50 +0200 (Wed, 29 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jlink.c
 
 Fix jlink for Debian/Ubuntu (by Ben Dooks <ben-openocd@fluff.org>).
 ------------------------------------------------------------------------
 r1560 | zwelch | 2009-04-29 03:43:01 +0200 (Wed, 29 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/flash/stellaris.c
+   M /trunk/src/helper/fileio.c
+   M /trunk/src/helper/jim.c
+   M /trunk/src/helper/replacements.c
+   M /trunk/src/helper/replacements.h
+   M /trunk/src/helper/time_support.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/server/tcl_server.c
+   M /trunk/src/target/arm7_9_common.h
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/armv4_5.h
+   M /trunk/src/target/armv4_5_mmu.c
+   M /trunk/src/target/armv7m.h
+   M /trunk/src/target/embeddedice.c
+   M /trunk/src/target/etb.c
+   M /trunk/src/target/etm.c
 
 Remove redundant declarations to allow building with -Wredundant-decls.
 ------------------------------------------------------------------------
 r1559 | zwelch | 2009-04-29 02:33:35 +0200 (Wed, 29 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/src/helper/jim-eventloop.c
+   M /trunk/src/helper/replacements.h
+   M /trunk/src/jtag/jtag.c
 
 Add missing header files to fix C99 compatibility.
 ------------------------------------------------------------------------
 r1558 | oharboe | 2009-04-28 22:59:52 +0200 (Tue, 28 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.h
 
 more docs on jtag_add_pathmove()
 ------------------------------------------------------------------------
 r1557 | oharboe | 2009-04-28 21:02:29 +0200 (Tue, 28 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
 
 Dick Hollenbeck <dick@softplc.com> and Jeff Williams tap_get_tms_path_len()
 ------------------------------------------------------------------------
 r1556 | mlu | 2009-04-28 19:40:02 +0200 (Tue, 28 Apr 2009) | 3 lines
+Changed paths:
+   M /trunk/src/jtag/jlink.c
 
 Correctedout  buffer size and missing jlink_tap_init() call.
 Expanded JLink adapter info at startup.
 
 ------------------------------------------------------------------------
 r1555 | ntfreak | 2009-04-28 15:40:06 +0200 (Tue, 28 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/helper/replacements.c
 
 - fix win32 build
 ------------------------------------------------------------------------
 r1554 | oharboe | 2009-04-28 10:42:09 +0200 (Tue, 28 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/arm11.c
 
 fix checksum memory. By failing the fallback code will handle checksum calculation
 ------------------------------------------------------------------------
 r1553 | oharboe | 2009-04-28 09:34:43 +0200 (Tue, 28 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/gw16012.c
 
 Zach Welch <zw@superlucidity.net> fix gw16012 with --enable-parport_ppdev
 ------------------------------------------------------------------------
 r1552 | oharboe | 2009-04-28 09:33:50 +0200 (Tue, 28 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/arm11.c
 
 convert some LOG_INFO()'s during stepping into LOG_DEBUG()
 ------------------------------------------------------------------------
 r1551 | oharboe | 2009-04-28 09:29:18 +0200 (Tue, 28 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/arm11.h
+   M /trunk/src/target/arm11_dbgtap.c
 
 Michael Bruck <mbruck@digenius.de> macros for error handling
 ------------------------------------------------------------------------
 r1550 | oharboe | 2009-04-28 08:29:32 +0200 (Tue, 28 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/PATCHES
+   M /trunk/contrib/openocd.udev
 
 eol-style native
 ------------------------------------------------------------------------
 r1549 | oharboe | 2009-04-28 08:28:39 +0200 (Tue, 28 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/dummy.c
+   M /trunk/src/server/httpd/Stylizer.java
+   M /trunk/src/target/arm_adi_v5.c
+   M /trunk/src/target/arm_adi_v5.h
+   M /trunk/src/target/target/at91sam9260_ext_RAM_ext_flash.cfg
+   M /trunk/src/target/target/mega128.cfg
+   M /trunk/testing/examples/SAM7X256Test/prj/eclipse_ram.gdb
+   M /trunk/testing/examples/SAM7X256Test/prj/eclipse_rom.gdb
+   M /trunk/testing/examples/SAM7X256Test/prj/sam7x256_jtagkey.cfg
+   M /trunk/testing/examples/SAM7X256Test/prj/sam7x256_ram.ld
+   M /trunk/testing/examples/SAM7X256Test/prj/sam7x256_reset.script
+   M /trunk/testing/examples/SAM7X256Test/prj/sam7x256_rom.ld
+   M /trunk/testing/examples/STM32-103/readme.txt
 
 eol-style native
 ------------------------------------------------------------------------
 r1548 | oharboe | 2009-04-27 21:35:31 +0200 (Mon, 27 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/flash/avrf.c
+   M /trunk/src/flash/avrf.h
+   M /trunk/src/target/avrt.c
+   M /trunk/src/target/avrt.h
 
 SimonQian <simonqian@simonqian.com> fix warnings(which stops compilation) and some bugs
 ------------------------------------------------------------------------
 r1547 | mlu | 2009-04-27 18:08:25 +0200 (Mon, 27 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/arm_adi_v5.h
+   M /trunk/src/target/armv7m.c
 
 Added dap baseaddr and dap apid commands
 ------------------------------------------------------------------------
 r1546 | oharboe | 2009-04-27 18:03:39 +0200 (Mon, 27 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.h
 
 Dick Hollenbeck <dick@softplc.com> Collect some macros, add DIM()
 ------------------------------------------------------------------------
 r1545 | oharboe | 2009-04-27 15:00:29 +0200 (Mon, 27 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/vsllink.c
 
 SimonQian <simonqian@simonqian.com> patch for error compiling vsllink if --enable-verbose-jtag-io is set
 ------------------------------------------------------------------------
 r1544 | oharboe | 2009-04-27 14:12:44 +0200 (Mon, 27 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/arm11.c
 
 clean up debug/info output to be in line with other targets
 ------------------------------------------------------------------------
 r1543 | oharboe | 2009-04-27 14:02:07 +0200 (Mon, 27 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/arm11.h
+   M /trunk/src/target/arm11_dbgtap.c
 
 more error handling
 ------------------------------------------------------------------------
 r1542 | oharboe | 2009-04-27 13:24:01 +0200 (Mon, 27 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/arm11.h
+   M /trunk/src/target/arm11_dbgtap.c
 
 a little bit more error handling in ARM11
 ------------------------------------------------------------------------
 r1540 | oharboe | 2009-04-27 12:32:13 +0200 (Mon, 27 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/flash/Makefile.am
+   A /trunk/src/flash/avrf.c
+   A /trunk/src/flash/avrf.h
+   M /trunk/src/flash/flash.c
+   M /trunk/src/target/Makefile.am
+   A /trunk/src/target/avrt.c
+   A /trunk/src/target/avrt.h
+   M /trunk/src/target/target.c
 
 SimonQian <simonqian@simonqian.com> AVR wip
 ------------------------------------------------------------------------
 r1539 | oharboe | 2009-04-27 12:16:16 +0200 (Mon, 27 Apr 2009) | 1 line
+Changed paths:
+   A /trunk/src/target/target/mega128.cfg
 
 SimonQian <simonqian@simonqian.com> AVR support
 ------------------------------------------------------------------------
 r1538 | mlu | 2009-04-27 12:05:15 +0200 (Mon, 27 Apr 2009) | 1 line
+Changed paths:
+   D /trunk/src/target/cortex_swjdp.c
+   D /trunk/src/target/cortex_swjdp.h
 
 Deleted depreciated files ( new versions are arm_adi_v5.c/h )
 ------------------------------------------------------------------------
 r1537 | oharboe | 2009-04-27 11:12:18 +0200 (Mon, 27 Apr 2009) | 2 lines
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 Some devices such as AVR will return 0xffffffff instead of the TDI
 data at the end of the chain. Added kludge to handle this. 
 ------------------------------------------------------------------------
 r1536 | mlu | 2009-04-27 10:29:28 +0200 (Mon, 27 Apr 2009) | 2 lines
+Changed paths:
+   M /trunk/src/target/Makefile.am
+   M /trunk/src/target/armv7m.c
+   M /trunk/src/target/armv7m.h
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/cortex_m3.h
 
 Changed armv7m and cortexm3 to use nev arm_adi_v5 instead of cortex_swjdp.
 Added support for accessport ROM table identification, dap command. 
 ------------------------------------------------------------------------
 r1535 | mlu | 2009-04-27 10:21:35 +0200 (Mon, 27 Apr 2009) | 1 line
+Changed paths:
+   A /trunk/src/target/arm_adi_v5.c
+   A /trunk/src/target/arm_adi_v5.h
 
 Added arm_adi_v5.c/h, to replace cortex_swjdp.c/h. Better conformance to ARM Debug Interface rev 5 documentation and remoed code specific to the Cortex-M3 targets.
 ------------------------------------------------------------------------
 r1534 | oharboe | 2009-04-27 07:40:52 +0200 (Mon, 27 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/flash/mflash.c
 
 Philippe Vachon <philippe@cowpig.ca> 64 bit host fixes
 ------------------------------------------------------------------------
 r1533 | oharboe | 2009-04-27 07:30:15 +0200 (Mon, 27 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/configure.in
 
 Zach Welch <zw@superlucidity.net> add -Wcast-align and -Wbad-function-cast
 ------------------------------------------------------------------------
 r1532 | oharboe | 2009-04-27 07:29:30 +0200 (Mon, 27 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/helper/jim.c
+   M /trunk/src/target/oocd_trace.c
 
 Zach Welch <zw@superlucidity.net> wrap _GNU_SOURCE defines
 ------------------------------------------------------------------------
 r1531 | oharboe | 2009-04-26 22:05:08 +0200 (Sun, 26 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/board/ti_beagleboard.cfg
+   M /trunk/src/target/target/omap3530.cfg
 
 Zach Welch <zw@superlucidity.net> fix typo
 ------------------------------------------------------------------------
 r1530 | oharboe | 2009-04-26 22:03:41 +0200 (Sun, 26 Apr 2009) | 1 line
+Changed paths:
+   A /trunk/src/target/target/at91sam9260_ext_RAM_ext_flash.cfg
 
 R.Doss <doss@gmx.de> AT91SAM9260
 ------------------------------------------------------------------------
 r1529 | oharboe | 2009-04-26 22:02:15 +0200 (Sun, 26 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.h
 
 Zach Welch <zw@superlucidity.net> add TAP_SCAN_BYTES macro
 ------------------------------------------------------------------------
 r1528 | mlu | 2009-04-25 04:53:07 +0200 (Sat, 25 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/ft2232.c
 
 Corrected statement order
 ------------------------------------------------------------------------
 r1527 | mlu | 2009-04-25 02:58:49 +0200 (Sat, 25 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/ft2232.c
 
 Fix ft2232 TX buffer overflow
 ------------------------------------------------------------------------
 r1526 | mlu | 2009-04-25 02:54:21 +0200 (Sat, 25 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/ft2232.c
 
 Break ft2232_execute_quie into smaller functions, follows restructure of jlink.c
 ------------------------------------------------------------------------
 r1525 | oharboe | 2009-04-24 20:10:04 +0200 (Fri, 24 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jlink.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
 
 add jtag_debug_state_machine
 ------------------------------------------------------------------------
 r1524 | oharboe | 2009-04-24 18:24:55 +0200 (Fri, 24 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jlink.c
+   M /trunk/src/jtag/jtag.h
 
 Zach Welch <zw@superlucidity.net> add TAP_SCAN_BYTES macro (1 of 2)
 ------------------------------------------------------------------------
 r1523 | oharboe | 2009-04-24 18:14:21 +0200 (Fri, 24 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/bootstrap
 
 Zach Welch <zw@superlucidity.net> add --enable-maintainer-mode reminder
 ------------------------------------------------------------------------
 r1522 | oharboe | 2009-04-24 14:12:36 +0200 (Fri, 24 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/contrib/openocd.udev
 
 Uwe Hermann <uwe@hermann-uwe.de> Update udev file
 ------------------------------------------------------------------------
 r1521 | oharboe | 2009-04-24 13:05:21 +0200 (Fri, 24 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jlink.c
 
 Zach Welch <zw@superlucidity.net> use memcpy
 ------------------------------------------------------------------------
 r1520 | oharboe | 2009-04-24 08:04:40 +0200 (Fri, 24 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/interface/sheevaplug.cfg
 
 Nicolas Pitre <nico@cam.org> update SheevaPlug interface cfg file
 ------------------------------------------------------------------------
 r1519 | oharboe | 2009-04-24 08:02:02 +0200 (Fri, 24 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/board/olimex_stm32_h103.cfg
+   M /trunk/src/target/board/stm32f10x_128k_eval.cfg
 
 Uwe Hermann <uwe@hermann-uwe.de> drop unecessary BSTAPIDs
 ------------------------------------------------------------------------
 r1518 | duane | 2009-04-24 04:13:02 +0200 (Fri, 24 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/gw16012.c
 
 Remove warning
 ------------------------------------------------------------------------
 r1517 | oharboe | 2009-04-23 20:55:13 +0200 (Thu, 23 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/arm11.h
 
 Michael Bruck <mbruck@digenius.de> include file fix
 ------------------------------------------------------------------------
 r1516 | oharboe | 2009-04-23 16:03:42 +0200 (Thu, 23 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/target/target/stm32.cfg
 
 stm32.cfg can expect one of 4 id's. 
 ------------------------------------------------------------------------
 r1515 | oharboe | 2009-04-23 15:24:56 +0200 (Thu, 23 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.h
+   M /zy1000/trunk/build/buildocd.sh
 
 unbreak zy1000 
 ------------------------------------------------------------------------
 r1514 | oharboe | 2009-04-23 14:21:39 +0200 (Thu, 23 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/target/wi-9c.cfg
 
 Laurentiu Cocanu - fix typo
 ------------------------------------------------------------------------
 r1513 | ntfreak | 2009-04-22 21:54:03 +0200 (Wed, 22 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/helper/replacements.h
 
 - fix win32 build after svn 1511 changes
 ------------------------------------------------------------------------
 r1512 | oharboe | 2009-04-22 20:39:59 +0200 (Wed, 22 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/arm11.h
+   M /trunk/src/target/arm11_dbgtap.c
 
 Michael Bruck <mbruck@digenius.de> ARM11 various updates + fix formatting.
 ------------------------------------------------------------------------
 r1511 | oharboe | 2009-04-22 19:36:00 +0200 (Wed, 22 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/server/server.c
 
 Michael Bruck <mbruck@digenius.de> signed/unsigned incompatibility warning
 ------------------------------------------------------------------------
 r1510 | oharboe | 2009-04-22 19:10:12 +0200 (Wed, 22 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/configure.in
 
 Michael Bruck spotted a typo in help messages
 ------------------------------------------------------------------------
 r1509 | oharboe | 2009-04-22 15:54:04 +0200 (Wed, 22 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jlink.c
 
 Zach Welch <zw@superlucidity.net> do not pad TMS
 ------------------------------------------------------------------------
 r1508 | oharboe | 2009-04-22 13:37:27 +0200 (Wed, 22 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jlink.c
 
 Zach Welch <zw@superlucidity.net> set speed in init
 ------------------------------------------------------------------------
 r1507 | oharboe | 2009-04-22 12:59:23 +0200 (Wed, 22 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jlink.c
 
 Zach Welch <zw@superlucidity.net>  fix jlink reset
 ------------------------------------------------------------------------
 r1506 | oharboe | 2009-04-22 12:46:37 +0200 (Wed, 22 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.h
 
 Zach Welch <zw@superlucidity.net> reorder enum tap_state
 ------------------------------------------------------------------------
 r1505 | mlu | 2009-04-22 12:09:15 +0200 (Wed, 22 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/helper/binarybuffer.c
 
 Fix str_to_buf problem, thanks Andy Chenee
 ------------------------------------------------------------------------
 r1504 | kc8apf | 2009-04-22 09:34:47 +0200 (Wed, 22 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jlink.c
 
 Shrink JLink buffer sizes to specified 2KB courtesy of Jeff Williams <jeffw@gadgetworks.com> and Zach Welch <zw@superlucidity.net>
 ------------------------------------------------------------------------
 r1503 | kc8apf | 2009-04-22 09:32:09 +0200 (Wed, 22 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/configure.in
 
 Add D2XX support for OS X courtesy of Piotr Esden-Tempski <piotr@esden.net>
 ------------------------------------------------------------------------
 r1502 | kc8apf | 2009-04-22 09:31:16 +0200 (Wed, 22 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 Fix use of wrong format conversion for size_t (%zu instead of %u)
 ------------------------------------------------------------------------
 r1501 | kc8apf | 2009-04-22 08:56:59 +0200 (Wed, 22 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 fix jtag run/idle state name courtesy of Jeff Williams <jeffw@gadgetworks.com> and Zach Welch <zw@superlucidity.net>
 ------------------------------------------------------------------------
 r1500 | kc8apf | 2009-04-22 08:55:34 +0200 (Wed, 22 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jlink.c
 
 refactor jlink_execute_queue courtesy of Zach Welch <zw@superlucidity.net>
 ------------------------------------------------------------------------
 r1499 | oharboe | 2009-04-22 08:16:53 +0200 (Wed, 22 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/interface/calao-usb-a9260-c01.cfg
+   M /trunk/src/target/interface/flyswatter.cfg
+   M /trunk/src/target/interface/jtagkey-tiny.cfg
+   D /trunk/src/target/interface/luminary-libftdi.cfg
+   M /trunk/src/target/interface/luminary.cfg
+   M /trunk/src/target/interface/olimex-arm-usb-ocd.cfg
+   D /trunk/src/target/interface/olimex-jtag-tiny-a.cfg
+   M /trunk/src/target/interface/olimex-jtag-tiny.cfg
+   M /trunk/src/target/interface/openocd-usb.cfg
+   M /trunk/src/target/interface/sheevaplug.cfg
 
 Uwe Hermann <uwe@hermann-uwe.de>  Drop non-A variants of ft2232 targets
 ------------------------------------------------------------------------
 r1498 | oharboe | 2009-04-21 17:39:49 +0200 (Tue, 21 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jlink.c
 
 Zach Welch <zw@superlucidity.net> refactor
 ------------------------------------------------------------------------
 r1497 | oharboe | 2009-04-21 14:10:29 +0200 (Tue, 21 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/ft2232.c
 
 Zach Welch <zw@superlucidity.net> fix ft2232 usb io format warning
 ------------------------------------------------------------------------
 r1496 | oharboe | 2009-04-21 14:09:35 +0200 (Tue, 21 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/vsllink.c
 
 Zach Welch <zw@superlucidity.net>  add --enable-verbose* options
 ------------------------------------------------------------------------
 r1495 | oharboe | 2009-04-21 13:37:15 +0200 (Tue, 21 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/src/jtag/arm-jtag-ew.c
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/jtag/jlink.c
+   M /trunk/src/jtag/jtag.h
 
 Zach Welch <zw@superlucidity.net>  add --enable-verbose* options
 ------------------------------------------------------------------------
 r1494 | oharboe | 2009-04-21 13:35:58 +0200 (Tue, 21 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/mips32.h
+   M /trunk/src/target/mips32_pracc.c
+   M /trunk/src/target/mips32_pracc.h
 
 Nico Coesel <ncoesel@dealogic.nl> MIPS32 speedup patches
 ------------------------------------------------------------------------
 r1493 | oharboe | 2009-04-21 13:33:29 +0200 (Tue, 21 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jlink.c
 
 Zach Welch <zw@superlucidity.net>  fix jlink format warning
 ------------------------------------------------------------------------
 r1492 | oharboe | 2009-04-21 11:41:41 +0200 (Tue, 21 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jlink.c
 
 Zach Welch <zw@superlucidity.net>  factor jlink usb_bulk_*_ex functions
 ------------------------------------------------------------------------
 r1491 | ntfreak | 2009-04-21 11:08:43 +0200 (Tue, 21 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/vsllink.c
+   A /trunk/src/target/interface/vsllink.cfg
 
 - vsllink update from SimonQian [simonqian@SimonQian.com]
 ------------------------------------------------------------------------
 r1490 | oharboe | 2009-04-21 11:05:02 +0200 (Tue, 21 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/configure.in
 
 Zach Welch <zw@superlucidity.net> improve Linux ftd2xx configure-time support
 ------------------------------------------------------------------------
 r1489 | ntfreak | 2009-04-21 11:02:42 +0200 (Tue, 21 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/helper/Makefile.am
+   M /trunk/src/server/Makefile.am
 
 - fix signed/unsigned build errors under win32. Thanks Zach Welch <zw@superlucidity.net>
 ------------------------------------------------------------------------
 r1488 | ntfreak | 2009-04-21 10:51:07 +0200 (Tue, 21 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/helper/jim.c
 
 - remove environ warning under win32 build
 ------------------------------------------------------------------------
 r1487 | oharboe | 2009-04-21 08:23:47 +0200 (Tue, 21 Apr 2009) | 2 lines
+Changed paths:
+   M /trunk/src/jtag/at91rm9200.c
 
 Zach Welch <zw@superlucidity.net> add static keywords to at91rm9200
 				
 ------------------------------------------------------------------------
 r1486 | oharboe | 2009-04-21 07:42:18 +0200 (Tue, 21 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/helper/jim.c
 
 Zach Welch <zw@superlucidity.net>  fix unused return value warnings (2 of 4)
 ------------------------------------------------------------------------
 r1485 | oharboe | 2009-04-21 07:39:36 +0200 (Tue, 21 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/flash/at91sam7.c
+   M /trunk/src/flash/pic32mx.c
 
 Zach Welch <zw@superlucidity.net>  fix at91sam7 uninitialized variable warnings
 ------------------------------------------------------------------------
 r1484 | oharboe | 2009-04-21 07:36:53 +0200 (Tue, 21 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/flash/str9x.c
 
 Zach Welch <zw@superlucidity.net> fix str9x type-punned pointer
 ------------------------------------------------------------------------
 r1483 | oharboe | 2009-04-21 07:35:51 +0200 (Tue, 21 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/configure.in
 
 Zach Welch <zw@superlucidity.net> add -Wformat-security (4 of 4)
 ------------------------------------------------------------------------
 r1482 | oharboe | 2009-04-21 07:35:10 +0200 (Tue, 21 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 Zach Welch <zw@superlucidity.net>fix unused return value warnings (3 of 4)
 ------------------------------------------------------------------------
 r1481 | oharboe | 2009-04-21 07:33:47 +0200 (Tue, 21 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/helper/options.c
+   M /trunk/src/jtag/arm-jtag-ew.c
+   M /trunk/src/jtag/jlink.c
+   M /trunk/src/jtag/vsllink.c
+   M /trunk/src/target/target.c
+   M /trunk/src/xsvf/xsvf.c
 
 Zach Welch <zw@superlucidity.net> fix -Wformat-security warnings (1 of 4)
 ------------------------------------------------------------------------
 r1480 | oharboe | 2009-04-21 07:31:18 +0200 (Tue, 21 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/AUTHORS
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/flash/cfi.h
+   M /trunk/src/flash/non_cfi.c
+   M /trunk/src/flash/non_cfi.h
 
 Michael Schwingen <rincewind@discworld.dascon.de> add non-CFI SST flashs
 ------------------------------------------------------------------------
 r1479 | oharboe | 2009-04-21 07:29:23 +0200 (Tue, 21 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/amt_jtagaccel.c
+   M /trunk/src/jtag/arm-jtag-ew.c
+   M /trunk/src/jtag/at91rm9200.c
+   M /trunk/src/jtag/bitbang.c
+   M /trunk/src/jtag/bitq.c
+   M /trunk/src/jtag/dummy.c
+   M /trunk/src/jtag/ep93xx.c
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/jtag/gw16012.c
+   M /trunk/src/jtag/jlink.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/parport.c
+   M /trunk/src/jtag/presto.c
+   M /trunk/src/jtag/usbprog.c
+   M /trunk/src/jtag/vsllink.c
 
 Zach Welch <zw@superlucidity.net> use static keyword in jtag layer and drivers
 ------------------------------------------------------------------------
 r1478 | ntfreak | 2009-04-21 00:38:27 +0200 (Tue, 21 Apr 2009) | 2 lines
+Changed paths:
+   M /trunk/src/jtag/at91rm9200.c
+   M /trunk/src/target/target/lpc2124.cfg
+   M /trunk/src/target/target/lpc2378.cfg
 
 - fix at91rm9200 warning. Thanks Zach Welch <zw@superlucidity.net>
 - add missing svn props from previous commit
 ------------------------------------------------------------------------
 r1477 | oharboe | 2009-04-20 12:52:08 +0200 (Mon, 20 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
 
 Holger Freyther <zecke@selfish.org> Attempt to fix arm7_9 breakpoint handling
 ------------------------------------------------------------------------
 r1476 | oharboe | 2009-04-20 08:40:45 +0200 (Mon, 20 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/bitq.c
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/jtag/presto.c
 
 Zach Welch <zw@superlucidity.net> fix ft2232/presto warnings
 ------------------------------------------------------------------------
 r1475 | oharboe | 2009-04-20 01:30:15 +0200 (Mon, 20 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jlink.c
 
 Nikolay Shadrin whoney at gmail.com, Zach Welch <zw@superlucidity.net> unstable USB J-Link in OpenOCD (revised patch provided)
 ------------------------------------------------------------------------
 r1474 | oharboe | 2009-04-20 01:27:17 +0200 (Mon, 20 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/armv4_5.h
 
 Zach Welch <zw@superlucidity.net> use ARM4_5_MODE_ANY instead of -1
 ------------------------------------------------------------------------
 r1473 | oharboe | 2009-04-19 23:04:34 +0200 (Sun, 19 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/configure.in
 
 Zach Welch <zw@superlucidity.net> treat warnings as errors
 ------------------------------------------------------------------------
 r1472 | oharboe | 2009-04-19 22:51:16 +0200 (Sun, 19 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/helper/binarybuffer.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/rlink/rlink.c
+   M /trunk/src/pld/virtex2.c
+   M /trunk/src/pld/xilinx_bit.c
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/svf/svf.c
+   M /trunk/src/target/arm720t.h
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7_9_common.h
+   M /trunk/src/target/arm920t.h
+   M /trunk/src/target/arm926ejs.h
+   M /trunk/src/target/arm_jtag.h
+   M /trunk/src/target/armv4_5.c
+   M /trunk/src/target/armv7m.c
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/embeddedice.c
+   M /trunk/src/target/etb.c
+   M /trunk/src/target/etb.h
+   M /trunk/src/target/etm.c
+   M /trunk/src/target/feroceon.c
+   M /trunk/src/target/mips32.h
+   M /trunk/src/target/mips_ejtag.c
+   M /trunk/src/target/oocd_trace.c
+   M /trunk/src/target/register.h
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target_request.c
+   M /trunk/src/target/trace.c
+   M /trunk/src/target/trace.h
+   M /trunk/src/target/xscale.c
+   M /trunk/src/xsvf/xsvf.c
 
 Zach Welch <zw@superlucidity.net> fix -Werror warnings
 ------------------------------------------------------------------------
 r1471 | mifi | 2009-04-19 21:15:09 +0200 (Sun, 19 Apr 2009) | 2 lines
+Changed paths:
+   M /trunk/src/jtag/jlink.c
+   M /trunk/src/jtag/usbprog.c
 
 Partially fix USBprog and JLink adapters on XScale target
 Thanks to Peter Denison <openwrt(at)marshadder.org> 
 ------------------------------------------------------------------------
 r1470 | mifi | 2009-04-19 16:51:51 +0200 (Sun, 19 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jlink.c
 
 Added functionality to support jtag_khz for the jlink.
 ------------------------------------------------------------------------
 r1469 | oharboe | 2009-04-19 14:06:49 +0200 (Sun, 19 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/flash/cfi.h
+   M /trunk/src/flash/non_cfi.c
+   M /trunk/src/flash/non_cfi.h
 
 Michael Schwingen <rincewind@discworld.dascon.de>  enhanced non-CFI flash support
 ------------------------------------------------------------------------
 r1468 | oharboe | 2009-04-19 10:18:46 +0200 (Sun, 19 Apr 2009) | 2 lines
+Changed paths:
+   M /trunk/src/flash/nand.c
 
 Zach Welch <zw@superlucidity.net> add missing initializers in nand.c
 
 ------------------------------------------------------------------------
 r1467 | oharboe | 2009-04-19 10:18:01 +0200 (Sun, 19 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/flash/tms470.c
 
 Zach Welch <zw@superlucidity.net> trim logic in tms470.c
 ------------------------------------------------------------------------
 r1466 | oharboe | 2009-04-19 10:16:58 +0200 (Sun, 19 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/flash/aduc702x.c
+   M /trunk/src/flash/at91sam7.c
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/flash/ecos.c
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/lpc2000.c
+   M /trunk/src/flash/lpc2000.h
+   M /trunk/src/flash/lpc288x.c
+   M /trunk/src/flash/lpc3180_nand_controller.c
+   M /trunk/src/flash/nand.c
+   M /trunk/src/flash/ocl.c
+   M /trunk/src/flash/pic32mx.c
+   M /trunk/src/flash/stellaris.c
+   M /trunk/src/flash/stm32x.c
+   M /trunk/src/flash/str7x.c
+   M /trunk/src/flash/str9x.c
+   M /trunk/src/flash/str9xpec.c
+   M /trunk/src/flash/tms470.c
 
 Zach Welch <zw@superlucidity.net> fix signed/unsigned comparisons
 ------------------------------------------------------------------------
 r1465 | oharboe | 2009-04-19 10:15:32 +0200 (Sun, 19 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/usbprog.c
 
 Zach Welch <zw@superlucidity.net>  fix warnings in usbprog
 ------------------------------------------------------------------------
 r1464 | oharboe | 2009-04-19 10:05:54 +0200 (Sun, 19 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/amt_jtagaccel.c
+   M /trunk/src/jtag/dummy.c
+   M /trunk/src/jtag/gw16012.c
+   M /trunk/src/jtag/jtag.c
 
 Zach Welch <zw@superlucidity.net>  use tap_state_t
 ------------------------------------------------------------------------
 r1463 | oharboe | 2009-04-19 10:04:23 +0200 (Sun, 19 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/configure.in
 
 Zach Welch <zw@superlucidity.net> automake maintainer mode
 ------------------------------------------------------------------------
 r1462 | mifi | 2009-04-18 12:08:13 +0200 (Sat, 18 Apr 2009) | 10 lines
+Changed paths:
+   M /trunk/src/flash/aduc702x.c
+   M /trunk/src/flash/at91sam7.c
+   M /trunk/src/flash/at91sam7_old.c
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/flash/ecos.c
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/lpc2000.c
+   M /trunk/src/flash/lpc288x.c
+   M /trunk/src/flash/lpc3180_nand_controller.c
+   M /trunk/src/flash/nand.c
+   M /trunk/src/flash/ocl.c
+   M /trunk/src/flash/orion_nand.c
+   M /trunk/src/flash/pic32mx.c
+   M /trunk/src/flash/s3c2410_nand.c
+   M /trunk/src/flash/s3c2412_nand.c
+   M /trunk/src/flash/s3c2440_nand.c
+   M /trunk/src/flash/s3c2443_nand.c
+   M /trunk/src/flash/stellaris.c
+   M /trunk/src/flash/stm32x.c
+   M /trunk/src/flash/str7x.c
+   M /trunk/src/flash/str9x.c
+   M /trunk/src/flash/str9xpec.c
+   M /trunk/src/flash/tms470.c
+   M /trunk/src/helper/tclapi.c
+   M /trunk/src/jtag/amt_jtagaccel.c
+   M /trunk/src/jtag/arm-jtag-ew.c
+   M /trunk/src/jtag/bitbang.c
+   M /trunk/src/jtag/bitq.c
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/jtag/gw16012.c
+   M /trunk/src/jtag/jlink.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/jtag/usbprog.c
+   M /trunk/src/jtag/vsllink.c
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/arm11_dbgtap.c
+   M /trunk/src/target/arm720t.c
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/arm966e.c
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/arm_jtag.c
+   M /trunk/src/target/cortex_swjdp.c
+   M /trunk/src/target/embeddedice.c
+   M /trunk/src/target/embeddedice.h
+   M /trunk/src/target/etb.c
+   M /trunk/src/target/etm.c
+   M /trunk/src/target/feroceon.c
+   M /trunk/src/target/mips_ejtag.c
+   M /trunk/src/target/xscale.c
 
 The following patches was applied:
 
@@ -497,151 +1168,266 @@ The following patches was applied:
 Many thanks to  Zach Welch <zw(at)superlucidity.net>
 ------------------------------------------------------------------------
 r1461 | oharboe | 2009-04-15 17:44:26 +0200 (Wed, 15 Apr 2009) | 1 line
+Changed paths:
+   A /trunk/src/target/target/lpc2124.cfg
 
 Jesus Sanchez-Palencia <jesus.palencia@openbossa.org>
 ------------------------------------------------------------------------
 r1460 | oharboe | 2009-04-15 17:19:35 +0200 (Wed, 15 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/board/olimex_stm32_h103.cfg
 
 Piotr Esden-Tempski <piotr@esden.net> Corrected olimex_stm32_h103 board config
 ------------------------------------------------------------------------
 r1459 | oharboe | 2009-04-15 17:17:44 +0200 (Wed, 15 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/flash/cfi.c
 
 Nico Coesel <ncoesel@dealogic.nl> Chip width / bus width bug in cfi driver
 ------------------------------------------------------------------------
 r1458 | oharboe | 2009-04-15 17:13:36 +0200 (Wed, 15 Apr 2009) | 1 line
+Changed paths:
+   A /trunk/src/target/target/lpc2378.cfg
 
 Freddie Chopin <freddie_chopin@op.pl> LPC2378 config file
 ------------------------------------------------------------------------
 r1457 | oharboe | 2009-04-14 21:17:17 +0200 (Tue, 14 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/xsvf/xsvf.c
 
 Dick Hollenbeck <dick@softplc.com> work in progress 
 ------------------------------------------------------------------------
 r1456 | mlu | 2009-04-14 19:17:38 +0200 (Tue, 14 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/flash/stm32x.c
 
 Improved (for humans) error reporting for flash programming errors.
 ------------------------------------------------------------------------
 r1455 | mlu | 2009-04-14 18:33:52 +0200 (Tue, 14 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/arm_simulator.c
 
 Solve problem with single stepping.
 ------------------------------------------------------------------------
 r1454 | ntfreak | 2009-04-03 14:55:25 +0200 (Fri, 03 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 - add openocd coding style to texi
 ------------------------------------------------------------------------
 r1453 | mlu | 2009-04-03 12:10:12 +0200 (Fri, 03 Apr 2009) | 3 lines
+Changed paths:
+   M /trunk/src/target/armv4_5.c
+   M /trunk/src/target/armv7m.c
+   M /trunk/src/target/cortex_swjdp.c
 
 Slight improvement in run_algorithm register restore.
 More debug info for cortex swjdp errors.
 
 ------------------------------------------------------------------------
 r1452 | ntfreak | 2009-04-03 10:16:47 +0200 (Fri, 03 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/flash/nand_ecc.c
+   M /trunk/src/target/board/olimex_stm32_h103.cfg
+   M /trunk/src/target/interface/oocdlink.cfg
+   M /trunk/src/target/target/lpc2103.cfg
 
 - add svn props from previous commit
 ------------------------------------------------------------------------
 r1451 | oharboe | 2009-04-03 07:36:54 +0200 (Fri, 03 Apr 2009) | 1 line
+Changed paths:
+   A /trunk/src/target/interface/oocdlink.cfg
 
 Uwe Hermann <uwe@hermann-uwe.de> oocdlink file
 ------------------------------------------------------------------------
 r1450 | oharboe | 2009-04-03 07:36:00 +0200 (Fri, 03 Apr 2009) | 1 line
+Changed paths:
+   A /trunk/src/target/board/olimex_stm32_h103.cfg
 
 Piotr Esden-Tempski <piotr@esden.net> added a board file for the Olimex STM32-H103 eval board.
 ------------------------------------------------------------------------
 r1449 | oharboe | 2009-04-03 07:33:42 +0200 (Fri, 03 Apr 2009) | 1 line
+Changed paths:
+   A /trunk/src/target/target/lpc2103.cfg
 
 Freddie Chopin <freddie_chopin@op.pl> I attach a config file for LPC2103
 ------------------------------------------------------------------------
 r1448 | oharboe | 2009-04-03 07:32:28 +0200 (Fri, 03 Apr 2009) | 2 lines
+Changed paths:
+   M /trunk/src/flash/nand.c
 
 Nicolas Pitre nico at cam.org list the new flag in the "nand write" help line.
 
 ------------------------------------------------------------------------
 r1447 | oharboe | 2009-04-02 23:24:56 +0200 (Thu, 02 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/board/sheevaplug.cfg
 
 Nicolas Pitre nico at cam.org write ECC data when reflashing u-Boot on the SheevaPlug
 ------------------------------------------------------------------------
 r1446 | oharboe | 2009-04-02 23:24:08 +0200 (Thu, 02 Apr 2009) | 3 lines
+Changed paths:
+   M /trunk/src/flash/nand.c
+   M /trunk/src/flash/nand.h
 
 Nicolas Pitre nico at cam.org The ECC data is automatically computed and written to the OOB area
 when the oob_softecc option is passed to the "nand write" command.
 
 ------------------------------------------------------------------------
 r1445 | oharboe | 2009-04-02 23:23:16 +0200 (Thu, 02 Apr 2009) | 1 line
+Changed paths:
+   A /trunk/src/flash/nand_ecc.c
 
 Nicolas Pitre nico at cam.org software ECC computation for NAND flash
 ------------------------------------------------------------------------
 r1444 | oharboe | 2009-04-02 23:23:05 +0200 (Thu, 02 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/flash/Makefile.am
+   M /trunk/src/flash/nand.h
 
 Nicolas Pitre nico at cam.org software ECC computation for NAND flash
 ------------------------------------------------------------------------
 r1443 | oharboe | 2009-04-02 23:22:14 +0200 (Thu, 02 Apr 2009) | 2 lines
+Changed paths:
+   M /trunk/src/flash/nand.c
 
 Nicolas Pitre nico at cam.org This at least should make the "nand info" command a little more useful.
 
 ------------------------------------------------------------------------
 r1442 | oharboe | 2009-04-02 23:20:35 +0200 (Thu, 02 Apr 2009) | 3 lines
+Changed paths:
+   M /trunk/src/flash/nand.c
 
 Nicolas Pitre nico at cam.org Allocating a 6-byte memory location with malloc() is rather silly
 when this can be allocated on the stack.
 
 ------------------------------------------------------------------------
 r1441 | oharboe | 2009-04-02 23:17:27 +0200 (Thu, 02 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/target/stm32.cfg
 
 Uwe Hermann <uwe@hermann-uwe.de> Add missing STM32 "0x06412041, Revision A" BSTAPID to list of available ones.
 ------------------------------------------------------------------------
 r1439 | oharboe | 2009-04-02 19:44:28 +0200 (Thu, 02 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/interface/arm-jtag-ew.cfg
+   M /trunk/src/target/interface/arm-usb-ocd.cfg
+   M /trunk/src/target/interface/at91rm9200.cfg
+   M /trunk/src/target/interface/axm0432.cfg
+   M /trunk/src/target/interface/calao-usb-a9260-c01.cfg
+   M /trunk/src/target/interface/calao-usb-a9260-c02.cfg
+   M /trunk/src/target/interface/calao-usb-a9260.cfg
+   M /trunk/src/target/interface/chameleon.cfg
+   M /trunk/src/target/interface/dummy.cfg
+   M /trunk/src/target/interface/flyswatter.cfg
+   M /trunk/src/target/interface/jlink.cfg
+   M /trunk/src/target/interface/jtagkey-tiny.cfg
+   M /trunk/src/target/interface/jtagkey.cfg
+   M /trunk/src/target/interface/luminary-libftdi.cfg
+   M /trunk/src/target/interface/luminary-lm3s811.cfg
+   M /trunk/src/target/interface/luminary.cfg
+   M /trunk/src/target/interface/olimex-arm-usb-ocd.cfg
+   M /trunk/src/target/interface/olimex-jtag-tiny-a.cfg
+   M /trunk/src/target/interface/olimex-jtag-tiny.cfg
+   M /trunk/src/target/interface/openocd-usb.cfg
+   M /trunk/src/target/interface/parport.cfg
+   M /trunk/src/target/interface/parport_dlc5.cfg
+   M /trunk/src/target/interface/rlink.cfg
+   M /trunk/src/target/interface/sheevaplug.cfg
+   M /trunk/src/target/interface/signalyzer.cfg
+   M /trunk/src/target/interface/stm32-stick.cfg
+   M /trunk/src/target/interface/str9-comstick.cfg
+   M /trunk/src/target/interface/turtelizer2.cfg
+   M /trunk/src/target/interface/usbprog.cfg
 
 Uwe Hermann <uwe@hermann-uwe.de> URL references 
 ------------------------------------------------------------------------
 r1438 | mlu | 2009-04-02 14:16:19 +0200 (Thu, 02 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/flash/stm32x.c
+   M /trunk/src/target/cortex_swjdp.c
 
 Cortex-M3 cleanup and performance patch
 ------------------------------------------------------------------------
 r1437 | oharboe | 2009-04-02 12:22:22 +0200 (Thu, 02 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/zy1000.c
 
 fix keyword expansion
 ------------------------------------------------------------------------
 r1436 | oharboe | 2009-04-02 12:17:36 +0200 (Thu, 02 Apr 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/zy1000.c
+   M /zy1000/trunk/build/include/rom.h
+   M /zy1000/trunk/build/menu/zy1000menu.xml
+   M /zy1000/trunk/build/tcl/guiupload.tcl
 
 zy1000 1.50 snapshot. fix problem with empty file names.
 ------------------------------------------------------------------------
 r1435 | ntfreak | 2009-03-30 21:52:30 +0200 (Mon, 30 Mar 2009) | 2 lines
+Changed paths:
+   A /trunk/src/target/interface/usbprog.cfg
 
 - add missing usbprog config. patch from Uwe Hermann
 https://lists.berlios.de/pipermail/openocd-development/2009-March/005145.html
 ------------------------------------------------------------------------
 r1434 | oharboe | 2009-03-30 15:35:38 +0200 (Mon, 30 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 a few words about motivation for standalone JTAG debugger.
 ------------------------------------------------------------------------
 r1433 | ntfreak | 2009-03-24 13:09:54 +0100 (Tue, 24 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 - fix typo's in last commit
 ------------------------------------------------------------------------
 r1432 | oharboe | 2009-03-24 12:27:49 +0100 (Tue, 24 Mar 2009) | 3 lines
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/target/target_request.c
 
 Hiroshi Ito <ito@mlb.co.jp> Linux for arm has arm generic debug option which send debug messages via
 DCC channel.
 
 ------------------------------------------------------------------------
 r1431 | ntfreak | 2009-03-24 10:40:03 +0100 (Tue, 24 Mar 2009) | 2 lines
+Changed paths:
+   M /trunk/src/target/board/keil_mcb2140.cfg
+   M /trunk/src/target/board/olimex_lpc_h2148.cfg
+   M /trunk/src/target/interface/stm32-stick.cfg
+   M /trunk/src/target/interface/str9-comstick.cfg
+   M /trunk/src/target/target/ixp42x.cfg
 
 - update str9 and stm32 comstick configs
 - add missing svn props
 ------------------------------------------------------------------------
 r1430 | oharboe | 2009-03-24 08:44:47 +0100 (Tue, 24 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/arm_disassembler.c
 
 Hiroshi Ito <ito@mlb.co.jp> disassemble Arm926ejs clz instruction
 ------------------------------------------------------------------------
 r1429 | oharboe | 2009-03-24 07:24:23 +0100 (Tue, 24 Mar 2009) | 2 lines
+Changed paths:
+   A /trunk/src/target/board/keil_mcb2140.cfg
+   A /trunk/src/target/board/olimex_lpc_h2148.cfg
 
 Uwe Hermann <uwe@hermann-uwe.de> Add new board configs: Olimex LPC-H2148, Keil MCB2140.
 Both boards use an LPC2148, no external flash or RAM.
 ------------------------------------------------------------------------
 r1428 | oharboe | 2009-03-24 07:23:00 +0100 (Tue, 24 Mar 2009) | 1 line
+Changed paths:
+   A /trunk/src/target/target/ixp42x.cfg
+   M /trunk/src/target/target/nslu2.cfg
+   D /trunk/src/target/target/pxi42x.cfg
 
 Uwe Hermann <uwe@hermann-uwe.de> spelling fixes
 ------------------------------------------------------------------------
 r1427 | oharboe | 2009-03-23 20:12:42 +0100 (Mon, 23 Mar 2009) | 7 lines
+Changed paths:
+   M /trunk/src/target/target/lpc2148.cfg
 
 Uwe Hermann <uwe@hermann-uwe.de> eal _CPUTAPID entry for the LPC2148. I don't know
 if they're the same for all LPC214x, this number is from an Olimex
@@ -652,6 +1438,8 @@ more docs and pointers to the datasheet.
 
 ------------------------------------------------------------------------
 r1426 | oharboe | 2009-03-23 08:43:46 +0100 (Mon, 23 Mar 2009) | 10 lines
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 Uwe Hermann <uwe@hermann-uwe.de>
 
@@ -665,447 +1453,833 @@ Uwe Hermann <uwe@hermann-uwe.de>
 
 ------------------------------------------------------------------------
 r1425 | oharboe | 2009-03-23 08:38:38 +0100 (Mon, 23 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/target/omap5912.cfg
 
 Uwe Hermann <uwe@hermann-uwe.de> typo
 ------------------------------------------------------------------------
 r1424 | ntfreak | 2009-03-20 15:30:41 +0100 (Fri, 20 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/target/str9comstick.cfg
 
 - fix another typo in str9comstick.cfg
 ------------------------------------------------------------------------
 r1423 | ntfreak | 2009-03-20 15:08:03 +0100 (Fri, 20 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/target/imx35.cfg
 
 - add missing svn props from previous commit
 ------------------------------------------------------------------------
 r1422 | ntfreak | 2009-03-20 14:27:02 +0100 (Fri, 20 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/doc/openocd.texi
 
 - docs patch from Thomas Kindler
 ------------------------------------------------------------------------
 r1421 | oharboe | 2009-03-20 13:32:17 +0100 (Fri, 20 Mar 2009) | 1 line
+Changed paths:
+   A /trunk/src/target/target/imx35.cfg
 
 Alan Carvalho de Assis <acassis@gmail.com>  adds support to i.MX35 processor.
 ------------------------------------------------------------------------
 r1420 | ntfreak | 2009-03-20 11:29:12 +0100 (Fri, 20 Mar 2009) | 2 lines
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 - revert texi changes from rev 1418 as it breaks build
 - original patch will be reviewed before next commit
 ------------------------------------------------------------------------
 r1419 | ntfreak | 2009-03-19 23:27:43 +0100 (Thu, 19 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/target/str9comstick.cfg
 
 - fix incorrect str9comstick cfg
 ------------------------------------------------------------------------
 r1418 | oharboe | 2009-03-19 16:51:28 +0100 (Thu, 19 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/target/board/stm32f10x_128k_eval.cfg
 
 Thomas Kindler <mail+ocd@t-kindler.de> typos
 ------------------------------------------------------------------------
 r1417 | oharboe | 2009-03-18 12:59:31 +0100 (Wed, 18 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/server/gdb_server.c
 
 Hiroshi Ito <ito@mlb.co.jp> typos
 ------------------------------------------------------------------------
 r1416 | oharboe | 2009-03-18 12:43:09 +0100 (Wed, 18 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/trace.c
 
 Hiroshi Ito <ito@mlb.co.jp> fix division by 0
 ------------------------------------------------------------------------
 r1415 | ntfreak | 2009-03-17 11:22:26 +0100 (Tue, 17 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/src/helper/log.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/target/xscale.c
 
 - remove build warnings
 ------------------------------------------------------------------------
 r1414 | ntfreak | 2009-03-17 10:48:46 +0100 (Tue, 17 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/target/stm32stick.cfg
 
 - fix incorrect stm32stick.cfg
 ------------------------------------------------------------------------
 r1413 | ntfreak | 2009-03-16 23:42:29 +0100 (Mon, 16 Mar 2009) | 2 lines
+Changed paths:
+   M /trunk/src/target/cortex_m3.c
 
 - fix issue with cortex_m3 reset run. Thanks Perry Hung
 - https://lists.berlios.de/pipermail/openocd-development/2009-March/005028.html
 ------------------------------------------------------------------------
 r1412 | oharboe | 2009-03-14 19:39:05 +0100 (Sat, 14 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/interface/parport.cfg
+   M /trunk/src/target/interface/parport_dlc5.cfg
 
 Uwe Hermann <uwe@hermann-uwe.de>  clean out stuff that doesn't belong in interface(telnet/gdb port).
 ------------------------------------------------------------------------
 r1411 | oharboe | 2009-03-12 15:48:51 +0100 (Thu, 12 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/BUGS
+   M /trunk/src/scripting.txt
+   M /trunk/src/target/target/readme.txt
+   M /trunk/src/tcl/README_ABOUT_TCL.txt
+   M /trunk/testing/examples/STM32-103/readme.txt
 
 Uwe Hermann <uwe@hermann-uwe.de> typos
 ------------------------------------------------------------------------
 r1410 | ntfreak | 2009-03-11 23:42:35 +0100 (Wed, 11 Mar 2009) | 2 lines
+Changed paths:
+   M /trunk/src/jtag/rlink/ep1_cmd.h
+   M /trunk/src/jtag/rlink/rlink.c
 
 - add support for standalone rlink
 https://lists.berlios.de/pipermail/openocd-development/2009-March/004965.html
 ------------------------------------------------------------------------
 r1409 | duane | 2009-03-11 02:53:23 +0100 (Wed, 11 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/board/ti_beagleboard.cfg
+   M /trunk/src/target/target/omap3530.cfg
 
 Added eol-style props
 ------------------------------------------------------------------------
 r1408 | duane | 2009-03-11 02:48:54 +0100 (Wed, 11 Mar 2009) | 1 line
+Changed paths:
+   A /trunk/src/target/board/ti_beagleboard.cfg
+   A /trunk/src/target/target/omap3530.cfg
 
 Commit OMAP3530 and TI_BEAGLEBOARD config files from Kees, Dick, Derk, and others
 ------------------------------------------------------------------------
 r1407 | duane | 2009-03-11 02:42:05 +0100 (Wed, 11 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 Added -endstate to irscan and drscan to support beagleboard (omap3530)
 ------------------------------------------------------------------------
 r1406 | ntfreak | 2009-03-09 22:04:33 +0100 (Mon, 09 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 - fix small typo in texi (section HostOS)
 ------------------------------------------------------------------------
 r1405 | ntfreak | 2009-03-08 22:19:36 +0100 (Sun, 08 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/arm-jtag-ew.c
+   M /trunk/src/target/interface/arm-jtag-ew.cfg
 
 - add svn props from previous commit
 ------------------------------------------------------------------------
 r1404 | duane | 2009-03-08 22:14:35 +0100 (Sun, 08 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 Commands: reg, profile, ocd_mem2array, ocd_array2mem, fast_load, etc only work *IF* there is an actual target
 ------------------------------------------------------------------------
 r1403 | duane | 2009-03-08 21:29:54 +0100 (Sun, 08 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/interface/olimex-jtag-tiny-a.cfg
 
 Added VID/PID pair to olimex-jtag-tiny-a the non-a version already has the vid pid
 ------------------------------------------------------------------------
 r1402 | duane | 2009-03-08 16:14:18 +0100 (Sun, 08 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/contrib/openocd.udev
+   M /trunk/doc/openocd.texi
+   M /trunk/src/jtag/Makefile.am
+   A /trunk/src/jtag/arm-jtag-ew.c
+   M /trunk/src/jtag/jtag.c
+   A /trunk/src/target/interface/arm-jtag-ew.cfg
 
 Patch from Dimitar Dimitrov adding support for Olimex ARM-JTAG-EW
 ------------------------------------------------------------------------
 r1401 | duane | 2009-03-07 16:51:26 +0100 (Sat, 07 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/ft2232.c
 
 Accept/create both A and Non-A ft2232 based descriptions
 ------------------------------------------------------------------------
 r1400 | duane | 2009-03-07 16:19:21 +0100 (Sat, 07 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/helper/command.c
 
 Added HostOS variable
 ------------------------------------------------------------------------
 r1399 | oharboe | 2009-03-05 08:41:04 +0100 (Thu, 05 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/src/flash/flash.c
 
 Audrius Urmanavi?\196?\141ius <didele.deze@gmail.com>  cleanup flash fill
 ------------------------------------------------------------------------
 r1398 | oharboe | 2009-03-05 07:55:35 +0100 (Thu, 05 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 Nicolas Pitre <nico@cam.org> fix "halt 0" to only halt and not to poll/wait afterwards. This follows the intention in the docs.
 ------------------------------------------------------------------------
 r1397 | oharboe | 2009-03-04 22:28:50 +0100 (Wed, 04 Mar 2009) | 2 lines
+Changed paths:
+   M /trunk/src/target/board/sheevaplug.cfg
 
 Nicolas Pitre <nico@cam.org> making reset+halt on the
 SheevaPlug 100% reliable (needs patch in target.c to fix "halt 0").
 ------------------------------------------------------------------------
 r1396 | oharboe | 2009-03-03 13:05:49 +0100 (Tue, 03 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 test code for elf parsing.
 ------------------------------------------------------------------------
 r1395 | ntfreak | 2009-03-02 13:51:42 +0100 (Mon, 02 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/src/flash/orion_nand.c
+   M /trunk/src/target/board/sheevaplug.cfg
+   M /trunk/src/target/interface/sheevaplug.cfg
+   M /trunk/src/target/target/feroceon.cfg
+   M /trunk/src/target/test/syntax1.cfg
 
 - add missing svn props from previous commit
 ------------------------------------------------------------------------
 r1394 | oharboe | 2009-03-01 22:07:44 +0100 (Sun, 01 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/ft2232.c
 
 Daniel Gimpelevich <daniel@gimpelevich.san-francisco.ca.us> Cosmetic OpenOCD patch for Flyswatter
 ------------------------------------------------------------------------
 r1393 | oharboe | 2009-03-01 22:06:06 +0100 (Sun, 01 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/interface/jtagkey-tiny.cfg
 
 Kees Jongenburger <kees.jongenburger@gmail.com> rename description field of the jtag-tiny.cfg
 ------------------------------------------------------------------------
 r1392 | oharboe | 2009-03-01 22:04:00 +0100 (Sun, 01 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/feroceon.c
 
 Nicolas Pitre nico at cam.org  fix feroceon_bulk_write_memory() wrt uploaded code
 ------------------------------------------------------------------------
 r1391 | oharboe | 2009-03-01 22:02:13 +0100 (Sun, 01 Mar 2009) | 1 line
+Changed paths:
+   A /trunk/src/target/board/sheevaplug.cfg
 
 Nicolas Pitre nico at cam.org  SheevaPlug board configuration
 ------------------------------------------------------------------------
 r1390 | oharboe | 2009-03-01 22:01:11 +0100 (Sun, 01 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/ft2232.c
+   A /trunk/src/target/interface/sheevaplug.cfg
 
 Nicolas Pitre nico at cam.org  add ft2232 layout for the Marvell SheevaPlug 
 ------------------------------------------------------------------------
 r1389 | oharboe | 2009-03-01 22:00:07 +0100 (Sun, 01 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/feroceon.c
+   A /trunk/src/target/target/feroceon.cfg
 
 Nicolas Pitre nico at cam.org add Feroceon target config file
 ------------------------------------------------------------------------
 r1388 | oharboe | 2009-03-01 21:59:06 +0100 (Sun, 01 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/src/flash/Makefile.am
+   M /trunk/src/flash/nand.c
+   A /trunk/src/flash/orion_nand.c
 
 Nicolas Pitre nico at cam.org support for NAND flash used with Marvell Orion and Kirkwood SOCs
 ------------------------------------------------------------------------
 r1387 | oharboe | 2009-03-01 21:57:34 +0100 (Sun, 01 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/src/flash/nand.c
 
 Nicolas Pitre nico at cam.org  support for NAND controllers without explicit busy signal
 ------------------------------------------------------------------------
 r1386 | oharboe | 2009-03-01 21:56:18 +0100 (Sun, 01 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/src/flash/nand.c
 
 Nicolas Pitre nico at cam.org  don't ignore bad options passed to the "nand write" command
 ------------------------------------------------------------------------
 r1385 | oharboe | 2009-03-01 21:54:22 +0100 (Sun, 01 Mar 2009) | 2 lines
+Changed paths:
+   M /trunk/src/flash/nand.c
 
 Nicolas Pitre nico at cam.org The code unconditionally writes into the oob area all the time.
 
 ------------------------------------------------------------------------
 r1384 | oharboe | 2009-03-01 21:53:17 +0100 (Sun, 01 Mar 2009) | 1 line
+Changed paths:
+   M /trunk/src/flash/nand.c
 
 Nicolas Pitre nico at cam.org  spelling
 ------------------------------------------------------------------------
 r1383 | ntfreak | 2009-02-26 11:06:00 +0100 (Thu, 26 Feb 2009) | 1 line
+Changed paths:
+   M /trunk/src/flash/stm32x.c
 
 - stm32x flash driver - add support for stm32105/107 (connectivity line)
 ------------------------------------------------------------------------
 r1382 | oharboe | 2009-02-24 07:38:04 +0100 (Tue, 24 Feb 2009) | 1 line
+Changed paths:
+   A /trunk/testing/examples/STM32-103
+   A /trunk/testing/examples/STM32-103/main.elf
+   A /trunk/testing/examples/STM32-103/readme.txt
 
 test files for stm32
 ------------------------------------------------------------------------
 r1380 | oharboe | 2009-02-23 22:26:11 +0100 (Mon, 23 Feb 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/cortex_swjdp.c
+   M /trunk/src/target/target.c
 
 tinkered a bit with performance for Cortex flash programming. Mainly make it easier to profile as a start.
 ------------------------------------------------------------------------
 r1379 | oharboe | 2009-02-23 07:30:15 +0100 (Mon, 23 Feb 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/target/pxa270.cfg
 
 Sergey Lapin <slapinid@gmail.com> fix typo
 ------------------------------------------------------------------------
 r1378 | oharboe | 2009-02-22 18:01:16 +0100 (Sun, 22 Feb 2009) | 1 line
+Changed paths:
+   D /trunk/src/target/target/ipx42x.cfg
+   A /trunk/src/target/target/pxi42x.cfg (from /trunk/src/target/target/ipx42x.cfg:1377)
 
 John Woods <johnrw@gmail.com> fix newtap gaffe + rename
 ------------------------------------------------------------------------
 r1377 | oharboe | 2009-02-19 19:52:46 +0100 (Thu, 19 Feb 2009) | 1 line
+Changed paths:
+   M /trunk/src/flash/flash.c
 
 John Woods <johnrw@gmail.com> fix checks for addresses at upper end of the universe
 ------------------------------------------------------------------------
 r1376 | oharboe | 2009-02-18 10:09:11 +0100 (Wed, 18 Feb 2009) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 Holger Schurig <hs4233@mail.mn-solutions.de> incorporate some comments from Rick
 ------------------------------------------------------------------------
 r1375 | oharboe | 2009-02-18 08:39:20 +0100 (Wed, 18 Feb 2009) | 1 line
+Changed paths:
+   M /trunk/src/flash/mflash.c
+   M /trunk/src/flash/pic32mx.c
+   M /trunk/src/helper/jim-eventloop.h
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/target/mips_m4k.c
 
 Holger Schurig <hs4233@mail.mn-solutions.de> fix warnings
 ------------------------------------------------------------------------
 r1374 | oharboe | 2009-02-17 12:54:30 +0100 (Tue, 17 Feb 2009) | 1 line
+Changed paths:
+   M /trunk/src/helper/startup.tcl
+   M /trunk/src/server/httpd/httpd.tcl
+   M /zy1000/trunk/build/include/rom.h
+   M /zy1000/trunk/build/menu/zy1000menu.xml
+   M /zy1000/trunk/build/tcl/browsemem.tcl
+   M /zy1000/trunk/build/tcl/downloadmem.tcl
+   M /zy1000/trunk/build/tcl/editconfigs.tcl
+   M /zy1000/trunk/build/tcl/erase.tcl
+   M /zy1000/trunk/build/tcl/flash.tcl
+   M /zy1000/trunk/build/tcl/flashinfo.tcl
+   M /zy1000/trunk/build/tcl/index.tcl
+   M /zy1000/trunk/build/tcl/openocd.tcl
+   M /zy1000/trunk/build/tcl/production.tcl
+   M /zy1000/trunk/build/tcl/run.tcl
 
 zy1000 1.49 snapshot
 ------------------------------------------------------------------------
 r1373 | oharboe | 2009-02-17 10:28:39 +0100 (Tue, 17 Feb 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/zy1000.c
+   M /zy1000/trunk/build/include/jtag_minidriver.h
+   M /zy1000/trunk/build/include/rom.h
+   M /zy1000/trunk/snapshots/athttpd.zip
+   M /zy1000/trunk/snapshots/discover.zip
+   M /zy1000/trunk/snapshots/jimtcl.zip
 
 zy1000 1.49 snapshot
 ------------------------------------------------------------------------
 r1372 | ntfreak | 2009-02-13 10:56:51 +0100 (Fri, 13 Feb 2009) | 1 line
+Changed paths:
+   M /trunk/guess-rev.sh
+   M /trunk/src/Makefile.am
 
 - guess-rev.sh now works as expected when build_dir is not the same as src_dir
 ------------------------------------------------------------------------
 r1371 | ntfreak | 2009-02-12 16:35:03 +0100 (Thu, 12 Feb 2009) | 2 lines
+Changed paths:
+   M /trunk/src/flash/flash.c
 
 - issue warning when flash image exceeds configured flash size.
 - see https://lists.berlios.de/pipermail/openocd-development/2009-February/004680.html
 ------------------------------------------------------------------------
 r1370 | kc8apf | 2009-02-10 19:21:17 +0100 (Tue, 10 Feb 2009) | 1 line
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/src/helper/types.h
+   M /trunk/src/jtag/bitbang.c
+   M /trunk/src/jtag/bitq.c
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/jtag/gw16012.c
+   M /trunk/src/jtag/jlink.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/jtag/rlink/rlink.c
+   M /trunk/src/jtag/usbprog.c
+   M /trunk/src/jtag/vsllink.c
+   M /trunk/src/jtag/zy1000.c
+   M /trunk/src/xsvf/xsvf.c
 
 Use C89/C99/C++ compliant boolean types
 ------------------------------------------------------------------------
 r1369 | kc8apf | 2009-02-10 17:11:07 +0100 (Tue, 10 Feb 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 A few more usages of TRUE and FALSE to remove
 ------------------------------------------------------------------------
 r1368 | ntfreak | 2009-02-09 15:47:34 +0100 (Mon, 09 Feb 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
 
 - fix native win32 build issues
 ------------------------------------------------------------------------
 r1367 | oharboe | 2009-02-09 11:01:09 +0100 (Mon, 09 Feb 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/board/x300t.cfg
 
 Andi <opencode@gmx.net> - better dram setup
 ------------------------------------------------------------------------
 r1366 | kc8apf | 2009-02-03 06:59:17 +0100 (Tue, 03 Feb 2009) | 3 lines
+Changed paths:
+   M /trunk/src/flash/str9xpec.c
+   M /trunk/src/helper/binarybuffer.c
+   M /trunk/src/jtag/amt_jtagaccel.c
+   M /trunk/src/jtag/bitbang.c
+   M /trunk/src/jtag/bitq.c
+   M /trunk/src/jtag/dummy.c
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/jtag/gw16012.c
+   M /trunk/src/jtag/jlink.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/jtag/rlink/rlink.c
+   M /trunk/src/jtag/usbprog.c
+   M /trunk/src/jtag/vsllink.c
+   M /trunk/src/jtag/zy1000.c
+   M /trunk/src/svf/svf.c
+   M /trunk/src/target/arm11.h
+   M /trunk/src/target/arm11_dbgtap.c
+   M /trunk/src/target/xscale.c
+   M /trunk/src/xsvf/xsvf.c
+   M /trunk/tools/xsvf_tools/svf2xsvf.py
 
 - Cable driver helper API courtesy of Dick Hollenbeck <dick@softplc.com>
 - Formatting changes from uncrustify
 
 ------------------------------------------------------------------------
 r1365 | kc8apf | 2009-02-03 05:30:33 +0100 (Tue, 03 Feb 2009) | 1 line
+Changed paths:
+   A /trunk/Doxyfile
 
 Doxygen config file
 ------------------------------------------------------------------------
 r1364 | kc8apf | 2009-02-03 05:27:48 +0100 (Tue, 03 Feb 2009) | 1 line
+Changed paths:
+   A /trunk/tools/uncrustify1.sh
+   A /trunk/uncrustify.cfg
 
 Add uncrustify config file and helper script
 ------------------------------------------------------------------------
 r1363 | oharboe | 2009-01-28 14:08:06 +0100 (Wed, 28 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/Makefile.am
+   M /trunk/src/target/target.c
+   A /trunk/src/target/test
+   A /trunk/src/target/test/syntax1.cfg
 
 chain position is now required when creating a target
 ------------------------------------------------------------------------
 r1362 | oharboe | 2009-01-26 08:38:08 +0100 (Mon, 26 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/testing/examples/ledtest-imx31pdk/test.elf
 
 update symbols to match source file
 ------------------------------------------------------------------------
 r1361 | ntfreak | 2009-01-23 13:07:15 +0100 (Fri, 23 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/configure.in
 
 - AC_CHECK_FILE not supported when cross-compiling
 ------------------------------------------------------------------------
 r1360 | kc8apf | 2009-01-23 08:10:11 +0100 (Fri, 23 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/bitbang.c
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/xsvf/xsvf.c
 
 xvsf player fixes by Dick Hollenbeck <dick@softplc.com>
 ------------------------------------------------------------------------
 r1359 | kc8apf | 2009-01-23 08:08:18 +0100 (Fri, 23 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/src/svf/svf.c
 
 Fixes for svf player by Simon Qian <simonqian@SimonQian.com>
 ------------------------------------------------------------------------
 r1358 | kc8apf | 2009-01-23 08:07:02 +0100 (Fri, 23 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/src/helper/options.c
 
 Search path fixes for MinGW builds.  Courtesy of Dimitar Dimitrov <dinuxbg@gmail.com>
 ------------------------------------------------------------------------
 r1357 | kc8apf | 2009-01-23 08:05:04 +0100 (Fri, 23 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/tools/xsvf_tools/svf2xsvf.py
+   M /trunk/tools/xsvf_tools/xsvfdump.py
 
 Add TRST support to xsvf tools.  Courtesy of Dick Hollenbeck <dick@softplc.com>
 ------------------------------------------------------------------------
 r1356 | kc8apf | 2009-01-23 08:02:47 +0100 (Fri, 23 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/vsllink.c
 
 vsllink support for stable clocks by Simon Qian <simonqian@SimonQian.com>
 ------------------------------------------------------------------------
 r1354 | kc8apf | 2009-01-21 05:13:16 +0100 (Wed, 21 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/Makefile.am
+   A /trunk/contrib/openocd.udev
 
 Add udev rules to contrib.  Courtesy of Uwe Hermann <uwe@hermann-uwe.de>
 ------------------------------------------------------------------------
 r1353 | kc8apf | 2009-01-20 17:07:10 +0100 (Tue, 20 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/board/unknown-board-atmel-at91sam9260.cfg
 
 Fix for incorrect filename in include for at91sam9260 in unknown-board-atmel-at91sam9260.cfg
 ------------------------------------------------------------------------
 r1352 | ntfreak | 2009-01-20 14:27:02 +0100 (Tue, 20 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/configure.in
 
 - fix issue with configure when building srcdir != builddir
 ------------------------------------------------------------------------
 r1351 | ntfreak | 2009-01-20 10:08:39 +0100 (Tue, 20 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 - add --enable-release to docs
 ------------------------------------------------------------------------
 r1350 | kc8apf | 2009-01-20 05:29:46 +0100 (Tue, 20 Jan 2009) | 1 line
+Changed paths:
+   A /trunk/src/target/board/olimex_sam9_l9260.cfg
+   A /trunk/src/target/board/unknown-board-atmel-at91sam9260.cfg (from /trunk/src/target/target/at91sam9260.cfg:1348)
+   A /trunk/src/target/interface/olimex-jtag-tiny.cfg
+   R /trunk/src/target/target/at91sam9260.cfg (from /trunk/src/target/target/at91sam9260minimal.cfg:1348)
+   D /trunk/src/target/target/at91sam9260minimal.cfg
 
 AT91SAM9260 and Olimex changes by Dean Glazeski <dnglaze@gmail.com>
 ------------------------------------------------------------------------
 r1349 | kc8apf | 2009-01-20 05:14:00 +0100 (Tue, 20 Jan 2009) | 1 line
+Changed paths:
+   A /trunk/src/target/interface/axm0432.cfg
 
 Add axm0432 interface config courtesy of Alan Carvalho de Assis <acassis@gmail.com>
 ------------------------------------------------------------------------
 r1347 | kc8apf | 2009-01-20 05:03:31 +0100 (Tue, 20 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/Makefile.am
+   M /trunk/configure.in
+   M /trunk/src/Makefile.am
+   M /trunk/src/openocd.c
 
 Fixes for handling release versions
 ------------------------------------------------------------------------
 r1345 | kc8apf | 2009-01-20 04:55:38 +0100 (Tue, 20 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/Makefile.am
+   M /trunk/doc/Makefile.am
+   M /trunk/src/Makefile.am
+   M /trunk/src/flash/Makefile.am
+   M /trunk/src/helper/Makefile.am
+   M /trunk/src/jtag/Makefile.am
+   M /trunk/src/pld/Makefile.am
+   M /trunk/src/server/Makefile.am
+   M /trunk/src/svf/Makefile.am
+   M /trunk/src/target/Makefile.am
+   M /trunk/src/xsvf/Makefile.am
 
 Fix 'make maintainer-clean' courtesy of Zach Welch <zw@superlucidity.net>
 ------------------------------------------------------------------------
 r1344 | kc8apf | 2009-01-20 04:50:12 +0100 (Tue, 20 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/src/svf
 
 Ignore src/svf/Makefile.in
 ------------------------------------------------------------------------
 r1343 | kc8apf | 2009-01-20 04:49:31 +0100 (Tue, 20 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/flash/aduc702x.c
+   M /trunk/src/target/target/aduc702x.cfg
 
 Fix support for ADuC702x flash.  Courtesy of Michael Ashton <data@gtf.org>
 ------------------------------------------------------------------------
 r1342 | kc8apf | 2009-01-20 04:42:24 +0100 (Tue, 20 Jan 2009) | 1 line
+Changed paths:
+   A /trunk/src/target/target/imx21.cfg
 
 imx21 config provided by Alan Carvalho de Assis <acassis@gmail.com>
 ------------------------------------------------------------------------
 r1341 | ntfreak | 2009-01-19 20:54:44 +0100 (Mon, 19 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/src/openocd.c
 
 - remove unused includes, fixes build issues under FreeBSD
 ------------------------------------------------------------------------
 r1340 | ntfreak | 2009-01-19 10:41:59 +0100 (Mon, 19 Jan 2009) | 2 lines
+Changed paths:
+   M /trunk/guess-rev.sh
+   M /trunk/src/svf/Makefile.am
+   D /trunk/src/svf/Makefile.in
 
 - revert guess-rev.sh to using bash
 - remove generated files from svn
 ------------------------------------------------------------------------
 r1339 | kc8apf | 2009-01-19 08:13:02 +0100 (Mon, 19 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/src/Makefile.am
+   M /trunk/src/ecosboard.c
+   M /trunk/src/jtag/vsllink.c
+   M /trunk/src/openocd.c
+   A /trunk/src/svf
+   A /trunk/src/svf/Makefile.am
+   A /trunk/src/svf/Makefile.in
+   A /trunk/src/svf/svf.c
+   A /trunk/src/svf/svf.h
 
 SVF player courtesy of Simon Qian <simonqian@SimonQian.com>
 ------------------------------------------------------------------------
 r1338 | kc8apf | 2009-01-19 08:08:28 +0100 (Mon, 19 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/armv4_5.c
 
 Fix handling of thumb disassembly in armv4_5 disassemble.  Courtesy of Adam Dybkowski <adybkows@wp.pl>
 ------------------------------------------------------------------------
 r1337 | kc8apf | 2009-01-18 00:16:59 +0100 (Sun, 18 Jan 2009) | 1 line
+Changed paths:
+   M /branches/openocd-0.1/guess-rev.sh
+   M /tags/openocd-0.1.0/guess-rev.sh
+   M /trunk/guess-rev.sh
 
 Fix guess-rev.sh where the builtin echo doesn't support -n
 ------------------------------------------------------------------------
 r1335 | kc8apf | 2009-01-18 00:13:02 +0100 (Sun, 18 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/doc/Makefile.am
 
 Fix to install manpage as part of 'make install' by Uwe Hermann <uwe@hermann-uwe.de>
 ------------------------------------------------------------------------
 r1333 | ntfreak | 2009-01-16 14:28:32 +0100 (Fri, 16 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/guess-rev.sh
 
 - make guess-rev.sh work with msys
 ------------------------------------------------------------------------
 r1332 | ntfreak | 2009-01-16 13:48:00 +0100 (Fri, 16 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/Makefile.am
 
 - add guess-rev.sh and contrib/libdcc to dist
 ------------------------------------------------------------------------
 r1331 | ntfreak | 2009-01-16 11:48:55 +0100 (Fri, 16 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/Makefile.am
 
 - add missing bitq and rlink files to distribution
 ------------------------------------------------------------------------
 r1329 | kc8apf | 2009-01-16 08:31:55 +0100 (Fri, 16 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/src/server/Makefile.am
 
 Fix distcheck failure
 ------------------------------------------------------------------------
 r1324 | ntfreak | 2009-01-15 21:58:17 +0100 (Thu, 15 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/board/imx31pdk.cfg
+   M /trunk/testing/examples/ledtest-imx27ads/Makefile
+   M /trunk/testing/examples/ledtest-imx27ads/crt0.S
+   M /trunk/testing/examples/ledtest-imx27ads/gdbinit-imx27ads
+   M /trunk/testing/examples/ledtest-imx27ads/ldscript
+   M /trunk/testing/examples/ledtest-imx27ads/test.c
+   M /trunk/testing/examples/ledtest-imx31pdk/test.c
 
 - add missing svn props from 1323 commit
 ------------------------------------------------------------------------
 r1323 | oharboe | 2009-01-15 14:22:04 +0100 (Thu, 15 Jan 2009) | 1 line
+Changed paths:
+   A /trunk/testing/examples/ledtest-imx27ads
+   A /trunk/testing/examples/ledtest-imx27ads/Makefile
+   A /trunk/testing/examples/ledtest-imx27ads/crt0.S
+   A /trunk/testing/examples/ledtest-imx27ads/gdbinit-imx27ads
+   A /trunk/testing/examples/ledtest-imx27ads/ldscript
+   A /trunk/testing/examples/ledtest-imx27ads/test.c
+   A /trunk/testing/examples/ledtest-imx27ads/test.elf
 
 Alan Carvalho de Assis <acassis@gmail.com> test app for imx27
 ------------------------------------------------------------------------
 r1322 | oharboe | 2009-01-15 14:09:20 +0100 (Thu, 15 Jan 2009) | 1 line
+Changed paths:
+   A /trunk/src/target/board/imx31pdk.cfg
+   M /trunk/testing/examples/ledtest-imx31pdk/gdbinit-imx31pdk
 
 Alan Carvalho de Assis <acassis@gmail.com> imx31pdk.cfg reset init event
 ------------------------------------------------------------------------
 r1321 | ntfreak | 2009-01-14 22:26:47 +0100 (Wed, 14 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/board/imx27ads.cfg
+   M /trunk/testing/examples/ledtest-imx31pdk/Makefile
+   M /trunk/testing/examples/ledtest-imx31pdk/crt0.S
+   M /trunk/testing/examples/ledtest-imx31pdk/gdbinit-imx31pdk
+   M /trunk/testing/examples/ledtest-imx31pdk/ldscript
+   M /trunk/testing/examples/ledtest-imx31pdk/test.c
 
 - add missing svn props and fix incorrect line endings from last commit
 ------------------------------------------------------------------------
 r1320 | oharboe | 2009-01-14 20:48:11 +0100 (Wed, 14 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/testing/examples/ledtest-imx31pdk/gdbinit-imx31pdk
 
 wip
 ------------------------------------------------------------------------
 r1319 | oharboe | 2009-01-14 20:30:51 +0100 (Wed, 14 Jan 2009) | 1 line
+Changed paths:
+   A /trunk/testing/examples/ledtest-imx31pdk
+   A /trunk/testing/examples/ledtest-imx31pdk/Makefile
+   A /trunk/testing/examples/ledtest-imx31pdk/crt0.S
+   A /trunk/testing/examples/ledtest-imx31pdk/gdbinit-imx31pdk
+   A /trunk/testing/examples/ledtest-imx31pdk/ldscript
+   A /trunk/testing/examples/ledtest-imx31pdk/test.c
+   A /trunk/testing/examples/ledtest-imx31pdk/test.elf
 
 Alan Carvalho de Assis <acassis@gmail.com> - testcase
 ------------------------------------------------------------------------
 r1318 | oharboe | 2009-01-14 19:41:09 +0100 (Wed, 14 Jan 2009) | 1 line
+Changed paths:
+   A /trunk/src/target/board/imx27ads.cfg
 
 Alan Carvalho de Assis <acassis@gmail.com> cfg file to initialize the iMX27ADS board.
 ------------------------------------------------------------------------
 r1317 | oharboe | 2009-01-14 16:25:45 +0100 (Wed, 14 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/target/target/imx31.cfg
 
 arm11 wip
 ------------------------------------------------------------------------
 r1316 | oharboe | 2009-01-14 15:10:36 +0100 (Wed, 14 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/target/imx31.cfg
 
 Alan Carvalho de Assis <acassis@gmail.com> small fix to move us in the right direction.
 ------------------------------------------------------------------------
 r1315 | ntfreak | 2009-01-13 15:26:19 +0100 (Tue, 13 Jan 2009) | 2 lines
+Changed paths:
+   M /trunk/configure.in
 
 - fix LDFLAGS typo in configure.in
 Thanks Francois Lorrain
 ------------------------------------------------------------------------
 r1314 | ntfreak | 2009-01-13 14:45:08 +0100 (Tue, 13 Jan 2009) | 2 lines
+Changed paths:
+   M /trunk/src/target/mips32.c
 
 - fix mips issues with newer versions of gdb
 - we simply add more dummy registers
 ------------------------------------------------------------------------
 r1313 | ntfreak | 2009-01-13 12:33:19 +0100 (Tue, 13 Jan 2009) | 3 lines
+Changed paths:
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/target/mips32.h
+   M /trunk/src/target/mips_m4k.c
+   M /trunk/src/target/target/pic32mx.cfg
 
 - added mips software breakpoint support
 - changed some jtag LOG_DEBUG to only output when _DEBUG_JTAG_IO_ defined. Makes debugging other parts of openocd not as noisy
 - updated correct jtag id for pic32mx
 ------------------------------------------------------------------------
 r1312 | oharboe | 2009-01-09 14:04:37 +0100 (Fri, 09 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/target/imx31.cfg
 
 wip
 ------------------------------------------------------------------------
 r1311 | oharboe | 2009-01-09 12:44:01 +0100 (Fri, 09 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/src/ecosboard.c
+   M /trunk/src/helper/ioutil.c
+   M /trunk/src/openocd.c
 
 moved ioutil init to the right spot: before config scripts
 ------------------------------------------------------------------------
 r1310 | oharboe | 2009-01-09 12:43:15 +0100 (Fri, 09 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 allow issuing reset_config on the fly. Faster turnaround times in testing.
 ------------------------------------------------------------------------
 r1309 | oharboe | 2009-01-09 11:12:43 +0100 (Fri, 09 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/src/ecosboard.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/zy1000.c
 
 fixed warnings + added zy1000 jtag_add_clocks support.
 ------------------------------------------------------------------------
 r1308 | oharboe | 2009-01-09 08:42:45 +0100 (Fri, 09 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/bitbang.c
+   M /trunk/src/jtag/dummy.c
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/xsvf/xsvf.c
 
 Dick Hollenbeck <dick@softplc.com> adds jtag_add_clocks() and implements those in the bitbang and ft2232.c.   nearly a full rewrite of the xsvf.c. improved some messaging only affected by _DEBUG_JTAG_IO_
 ------------------------------------------------------------------------
 r1307 | ntfreak | 2009-01-08 18:23:55 +0100 (Thu, 08 Jan 2009) | 6 lines
+Changed paths:
+   M /trunk/doc/openocd.1
 
 Updates and fixes for the manpage from Uwe Hermann
 - Mention that MIPS systems are supported
@@ -1115,191 +2289,491 @@ Updates and fixes for the manpage from U
 - Fix copy-paste error ("flex" should have been "openocd")
 ------------------------------------------------------------------------
 r1306 | ntfreak | 2009-01-08 12:46:55 +0100 (Thu, 08 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 - a few more docs tweaks
 ------------------------------------------------------------------------
 r1305 | ntfreak | 2009-01-07 22:16:06 +0100 (Wed, 07 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 - minor doc updates regarding tap creation and gdb connection using pipes
 ------------------------------------------------------------------------
 r1304 | oharboe | 2009-01-07 15:55:52 +0100 (Wed, 07 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/tools/xsvf_tools/svf2xsvf.py
+   M /trunk/tools/xsvf_tools/xsvfdump.py
 
 Dick Hollenbeck <dick@softplc.com>  SVF to XSVF converter and the XSVF dumper take #2
 ------------------------------------------------------------------------
 r1303 | oharboe | 2009-01-07 08:08:02 +0100 (Wed, 07 Jan 2009) | 1 line
+Changed paths:
+   A /trunk/tools/xsvf_tools
+   A /trunk/tools/xsvf_tools/svf2xsvf.py
+   A /trunk/tools/xsvf_tools/xsvfdump.py
 
 Dick Hollenbeck <dick@softplc.com>  SVF to XSVF converter and the XSVF dumper
 ------------------------------------------------------------------------
 r1302 | ntfreak | 2009-01-05 14:45:16 +0100 (Mon, 05 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/board/x300t.cfg
+   M /trunk/src/target/interface/parport_dlc5.cfg
+   M /trunk/src/target/target/smp8634.cfg
 
 - add missing svn props from r1299 commit
 ------------------------------------------------------------------------
 r1301 | oharboe | 2009-01-05 10:32:23 +0100 (Mon, 05 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/src/flash/pic32mx.c
+   M /trunk/src/flash/pic32mx.h
+   M /trunk/src/target/mips32_pracc.c
+   M /trunk/src/target/mips32_pracc.h
 
 John McCarthy <jgmcc@magma.ca> pic32mx flash fixups and speedups
 ------------------------------------------------------------------------
 r1300 | oharboe | 2009-01-05 10:26:25 +0100 (Mon, 05 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/src/jtag/ft2232.c
 
 John McCarthy <jgmcc@magma.ca> formatting fix of debug output
 ------------------------------------------------------------------------
 r1299 | oharboe | 2009-01-05 10:25:23 +0100 (Mon, 05 Jan 2009) | 1 line
+Changed paths:
+   A /trunk/src/target/board/x300t.cfg
+   A /trunk/src/target/interface/parport_dlc5.cfg
+   A /trunk/src/target/target/smp8634.cfg
 
 Andi <opencode@gmx.net> basic support for the MIPS based SMP8634 SoC.
 ------------------------------------------------------------------------
 r1298 | oharboe | 2009-01-04 09:51:48 +0100 (Sun, 04 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/board/pic-p32mx.cfg
 
 eol-style native
 ------------------------------------------------------------------------
 r1297 | oharboe | 2009-01-03 09:56:52 +0100 (Sat, 03 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/src/flash/pic32mx.c
+   M /trunk/src/flash/pic32mx.h
 
 eol-style native
 ------------------------------------------------------------------------
 r1296 | oharboe | 2009-01-03 00:58:16 +0100 (Sat, 03 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/src/flash/Makefile.am
+   M /trunk/src/flash/flash.c
+   A /trunk/src/flash/pic32mx.c
+   A /trunk/src/flash/pic32mx.h
+   A /trunk/src/target/board/pic-p32mx.cfg
+   M /trunk/src/target/mips_ejtag.h
+   M /trunk/src/target/mips_m4k.c
+   M /trunk/src/target/target/pic32mx.cfg
 
 John McCarthy <jgmcc@magma.ca> pic32mx flash wip
 ------------------------------------------------------------------------
 r1295 | oharboe | 2009-01-03 00:52:46 +0100 (Sat, 03 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/src/target/mips_ejtag.c
 
 John McCarthy <jgmcc@magma.ca> keep_alive() fix
 ------------------------------------------------------------------------
 r1294 | ntfreak | 2009-01-01 17:06:46 +0100 (Thu, 01 Jan 2009) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/helper/options.c
+   M /trunk/src/helper/replacements.c
+   M /trunk/src/helper/replacements.h
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/server/server.c
 
 - add gdb pipe support to native win32 (--pipe option)
 ------------------------------------------------------------------------
 r1293 | oharboe | 2008-12-28 22:40:39 +0100 (Sun, 28 Dec 2008) | 3 lines
+Changed paths:
+   M /trunk/src/flash/nand.c
+   M /trunk/src/helper/jim.c
+   M /trunk/src/jtag/usbprog.c
+   M /trunk/src/target/target.c
 
 Uwe Hermann <uwe@hermann-uwe.de> One of them is fixing a few compiler warnings (see attached patch) and
 likely also one (non-cosmetic) bug (the 'id_buff' change, which seems to
 be a buffer overflow).
 ------------------------------------------------------------------------
 r1292 | ntfreak | 2008-12-28 11:58:34 +0100 (Sun, 28 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/vsllink.c
+   M /trunk/testing/build.test1/Makefile
+   M /trunk/testing/build.test1/Makefile.confuse
+   M /trunk/testing/build.test1/Makefile.ftd2xx
+   M /trunk/testing/build.test1/Makefile.libftdi
+   M /trunk/testing/build.test1/Makefile.libusb
+   M /trunk/testing/build.test1/Makefile.openocd
+   M /trunk/testing/build.test1/README.TXT
+   M /trunk/testing/build.test1/local.uses
+   M /trunk/testing/build.test1/mingw32_help/include/elf.h
+   M /trunk/testing/build.test1/mingw32_help/include/sys/cdefs.h
+   M /trunk/testing/build.test1/mingw32_help/include/sys/elf32.h
+   M /trunk/testing/build.test1/mingw32_help/include/sys/elf64.h
+   M /trunk/testing/build.test1/mingw32_help/include/sys/elf_common.h
+   M /trunk/testing/build.test1/mingw32_help/include/sys/elf_generic.h
+   M /trunk/testing/build.test2/Makefile
+   M /trunk/testing/build.test2/README.txt
+   M /trunk/testing/build.test2/local.uses
 
 - fix missing/incorrect svn file props
 ------------------------------------------------------------------------
 r1291 | duane | 2008-12-28 02:08:56 +0100 (Sun, 28 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/vsllink.c
 
 Updates from SimonQian
 ------------------------------------------------------------------------
 r1290 | duane | 2008-12-28 00:23:06 +0100 (Sun, 28 Dec 2008) | 1 line
+Changed paths:
+   A /trunk/testing/build.test2
+   A /trunk/testing/build.test2/Makefile
+   A /trunk/testing/build.test2/README.txt
+   A /trunk/testing/build.test2/local.uses
 
 Added another test build configuration
 ------------------------------------------------------------------------
 r1289 | duane | 2008-12-27 23:43:56 +0100 (Sat, 27 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/vsllink.c
 
 Warnings cleanup ... finish up earlier commit
 ------------------------------------------------------------------------
 r1288 | duane | 2008-12-27 23:40:51 +0100 (Sat, 27 Dec 2008) | 1 line
+Changed paths:
+   A /trunk/src/jtag/vsllink.c
 
 Missed the svn add on earlier commit, duh
 ------------------------------------------------------------------------
 r1287 | duane | 2008-12-27 23:35:35 +0100 (Sat, 27 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/bitq.c
+   M /trunk/src/jtag/rlink/rlink.c
 
 Tweaks - old crusty code with some warnings & errors - minor stuff
 ------------------------------------------------------------------------
 r1286 | duane | 2008-12-27 22:00:16 +0100 (Sat, 27 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 Added note to user manual for packagers of OpenOCD
 ------------------------------------------------------------------------
 r1285 | duane | 2008-12-27 17:31:28 +0100 (Sat, 27 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/configure.in
 
 From Dirk Behme - another set of typos 
 ------------------------------------------------------------------------
 r1284 | duane | 2008-12-27 16:00:36 +0100 (Sat, 27 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/configure.in
 
 Some systems report linux as host, others linux-gnu... grrr
 ------------------------------------------------------------------------
 r1283 | duane | 2008-12-27 14:47:36 +0100 (Sat, 27 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/configure.in
 
 Missed support for without --exec-prefix and ftd2xx stuff
 ------------------------------------------------------------------------
 r1282 | duane | 2008-12-27 04:13:50 +0100 (Sat, 27 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/rlink/rlink.c
 
 From Lou.openocd012@fixit.nospammail.net
 ------------------------------------------------------------------------
 r1281 | duane | 2008-12-27 04:07:32 +0100 (Sat, 27 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/jtag/jtag.c
 
 Quoteify the FT2232 description list, and a missed fix from Dirk Behme about jtag tapisenabled
 ------------------------------------------------------------------------
 r1280 | duane | 2008-12-27 03:56:55 +0100 (Sat, 27 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/doc/openocd.texi
+   M /trunk/src/Makefile.am
+   M /trunk/src/jtag/Makefile.am
+   M /trunk/src/jtag/jtag.c
+   M /trunk/testing/build.test1/Makefile.openocd
 
 Added dongle VSLLINK - from Simon Qian
 ------------------------------------------------------------------------
 r1279 | duane | 2008-12-27 03:21:38 +0100 (Sat, 27 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/rlink/rlink.c
 
 Warning removal from lou.openocd012@fixit.nospammail.net
 ------------------------------------------------------------------------
 r1278 | duane | 2008-12-27 03:18:06 +0100 (Sat, 27 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 From Dirk Behme - Further docu fixes
 ------------------------------------------------------------------------
 r1277 | duane | 2008-12-27 02:44:29 +0100 (Sat, 27 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/testing/build.test1/Makefile
+   M /trunk/testing/build.test1/Makefile.libusb
+   A /trunk/testing/build.test1/README.TXT
 
 Added documentation for build test case1
 ------------------------------------------------------------------------
 r1276 | duane | 2008-12-27 02:30:06 +0100 (Sat, 27 Dec 2008) | 1 line
+Changed paths:
+   A /trunk/testing/build.test1 (from /trunk/testing/build.tests:1275)
+   D /trunk/testing/build.tests
 
 Renamed build.tests to build.test1
 ------------------------------------------------------------------------
 r1275 | duane | 2008-12-27 02:15:50 +0100 (Sat, 27 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/doc/openocd.texi
+   M /trunk/src/Makefile.am
+   M /trunk/src/helper/options.c
+   M /trunk/src/jtag/Makefile.am
+   A /trunk/testing/build.tests
+   A /trunk/testing/build.tests/Makefile
+   A /trunk/testing/build.tests/Makefile.confuse
+   A /trunk/testing/build.tests/Makefile.ftd2xx
+   A /trunk/testing/build.tests/Makefile.libftdi
+   A /trunk/testing/build.tests/Makefile.libusb
+   A /trunk/testing/build.tests/Makefile.openocd
+   A /trunk/testing/build.tests/local.uses
+   A /trunk/testing/build.tests/mingw32_help
+   A /trunk/testing/build.tests/mingw32_help/include
+   A /trunk/testing/build.tests/mingw32_help/include/elf.h
+   A /trunk/testing/build.tests/mingw32_help/include/sys
+   A /trunk/testing/build.tests/mingw32_help/include/sys/cdefs.h
+   A /trunk/testing/build.tests/mingw32_help/include/sys/elf32.h
+   A /trunk/testing/build.tests/mingw32_help/include/sys/elf64.h
+   A /trunk/testing/build.tests/mingw32_help/include/sys/elf_common.h
+   A /trunk/testing/build.tests/mingw32_help/include/sys/elf_generic.h
 
 Build Permutations with ftd2xx and libftdi addressed. Also added a new se of regression makefiles to build openocd in multiple ways
 ------------------------------------------------------------------------
 r1274 | duane | 2008-12-25 00:22:22 +0100 (Thu, 25 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/str710.cfg
+   M /trunk/src/target/target/str730.cfg
+   M /trunk/src/target/target/str750.cfg
 
 Typos found by miceal catudal
 ------------------------------------------------------------------------
 r1273 | ntfreak | 2008-12-23 13:52:14 +0100 (Tue, 23 Dec 2008) | 2 lines
+Changed paths:
+   M /trunk/src/server/httpd/Stylizer.class
+   M /trunk/src/server/httpd/Stylizer.java
+   M /trunk/src/server/httpd/browsemem.tcl
+   M /trunk/src/server/httpd/build.sh
+   M /trunk/src/server/httpd/downloadmem.tcl
+   M /trunk/src/server/httpd/editconfigs.tcl
+   M /trunk/src/server/httpd/editfile.tcl
+   M /trunk/src/server/httpd/erase.tcl
+   M /trunk/src/server/httpd/flash.tcl
+   M /trunk/src/server/httpd/flashinfo.tcl
+   M /trunk/src/server/httpd/guiupload.tcl
+   M /trunk/src/server/httpd/html2tcl.sh
+   M /trunk/src/server/httpd/httpd.tcl
+   M /trunk/src/server/httpd/index.tcl
+   M /trunk/src/server/httpd/log.tcl
+   M /trunk/src/server/httpd/menu.xml
+   M /trunk/src/server/httpd/menu.xsl
+   M /trunk/src/server/httpd/menu_cuts/center_bottom.png
+   M /trunk/src/server/httpd/menu_cuts/center_top.png
+   M /trunk/src/server/httpd/menu_cuts/h_tab1.png
+   M /trunk/src/server/httpd/menu_cuts/h_tab1_selected.png
+   M /trunk/src/server/httpd/menu_cuts/h_tab2.png
+   M /trunk/src/server/httpd/menu_cuts/h_tab2_selected.png
+   M /trunk/src/server/httpd/menu_cuts/h_tab_free.png
+   M /trunk/src/server/httpd/menu_cuts/logo_bottom.png
+   M /trunk/src/server/httpd/menu_cuts/logo_top.png
+   M /trunk/src/server/httpd/menu_cuts/right_bottom.png
+   M /trunk/src/server/httpd/menu_cuts/right_top.png
+   M /trunk/src/server/httpd/menu_cuts/right_top_small.png
+   M /trunk/src/server/httpd/menu_cuts/top_right.png
+   M /trunk/src/server/httpd/menu_cuts/v_1.png
+   M /trunk/src/server/httpd/menu_cuts/v_2_tile.png
+   M /trunk/src/server/httpd/menu_cuts/v_3.png
+   M /trunk/src/server/httpd/menu_cuts/v_tab.png
+   M /trunk/src/server/httpd/menu_cuts/v_tab_selected.png
+   M /trunk/src/server/httpd/menuweb.css
+   M /trunk/src/server/httpd/openocd.tcl
+   M /trunk/src/server/httpd/preconfig.tcl
+   M /trunk/src/server/httpd/production.tcl
+   M /trunk/src/server/httpd/readme.txt
+   M /trunk/src/server/httpd/reload.tcl
+   M /trunk/src/server/httpd/run.tcl
+   M /trunk/src/server/httpd/support.tcl
+   M /trunk/src/server/httpd/targets.tcl
+   M /trunk/src/server/httpd/terminal.tcl
+   M /trunk/src/server/httpd/upgrade.tcl
 
 - add missing svn props from r1270 commit
 - change mime-type for png files to image/png
 ------------------------------------------------------------------------
 r1272 | oharboe | 2008-12-23 09:52:02 +0100 (Tue, 23 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/httpd/build.sh
+   M /trunk/src/server/httpd/erase.tcl
+   R /trunk/src/server/httpd/httpd.tcl (from /trunk/src/server/httpd/httpd.tcl:1271)
+   M /trunk/src/server/httpd/menu.xml
+   M /trunk/src/server/httpd/openocd.tcl
+   M /trunk/src/server/httpd.c
 
 httpd wip
 ------------------------------------------------------------------------
 r1271 | oharboe | 2008-12-22 16:24:35 +0100 (Mon, 22 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/httpd/browsemem.tcl
+   M /trunk/src/server/httpd/downloadmem.tcl
+   M /trunk/src/server/httpd/erase.tcl
+   M /trunk/src/server/httpd/flash.tcl
+   M /trunk/src/server/httpd/flashinfo.tcl
+   M /trunk/src/server/httpd/guiupload.tcl
+   M /trunk/src/server/httpd/httpd.tcl
+   M /trunk/src/server/httpd/index.tcl
+   M /trunk/src/server/httpd/menu.xml
+   M /trunk/src/server/httpd/openocd.tcl
+   M /trunk/src/server/httpd/production.tcl
+   M /trunk/src/server/httpd/run.tcl
+   M /trunk/src/server/httpd/targets.tcl
+   M /trunk/src/server/httpd/terminal.tcl
 
 httpd wip
 ------------------------------------------------------------------------
 r1269 | oharboe | 2008-12-22 16:10:18 +0100 (Mon, 22 Dec 2008) | 1 line
+Changed paths:
+   A /trunk/src/server/httpd/menu_cuts
+   A /trunk/src/server/httpd/menu_cuts/center_bottom.png
+   A /trunk/src/server/httpd/menu_cuts/center_top.png
+   A /trunk/src/server/httpd/menu_cuts/h_tab1.png
+   A /trunk/src/server/httpd/menu_cuts/h_tab1_selected.png
+   A /trunk/src/server/httpd/menu_cuts/h_tab2.png
+   A /trunk/src/server/httpd/menu_cuts/h_tab2_selected.png
+   A /trunk/src/server/httpd/menu_cuts/h_tab_free.png
+   A /trunk/src/server/httpd/menu_cuts/logo_bottom.png
+   A /trunk/src/server/httpd/menu_cuts/logo_top.png
+   A /trunk/src/server/httpd/menu_cuts/right_bottom.png
+   A /trunk/src/server/httpd/menu_cuts/right_top.png
+   A /trunk/src/server/httpd/menu_cuts/right_top_small.png
+   A /trunk/src/server/httpd/menu_cuts/top_right.png
+   A /trunk/src/server/httpd/menu_cuts/v_1.png
+   A /trunk/src/server/httpd/menu_cuts/v_2_tile.png
+   A /trunk/src/server/httpd/menu_cuts/v_3.png
+   A /trunk/src/server/httpd/menu_cuts/v_tab.png
+   A /trunk/src/server/httpd/menu_cuts/v_tab_selected.png
+   M /trunk/src/server/httpd/readme.txt
+   M /trunk/src/server/httpd.c
 
 httpd wip
 ------------------------------------------------------------------------
 r1268 | oharboe | 2008-12-22 16:02:09 +0100 (Mon, 22 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/jim.c
+   M /trunk/src/server/Makefile.am
+   A /trunk/src/server/httpd
+   A /trunk/src/server/httpd/Stylizer.class
+   A /trunk/src/server/httpd/Stylizer.java
+   A /trunk/src/server/httpd/browsemem.tcl
+   A /trunk/src/server/httpd/build.sh
+   A /trunk/src/server/httpd/downloadmem.tcl
+   A /trunk/src/server/httpd/editconfigs.tcl
+   A /trunk/src/server/httpd/editfile.tcl
+   A /trunk/src/server/httpd/erase.tcl
+   A /trunk/src/server/httpd/flash.tcl
+   A /trunk/src/server/httpd/flashinfo.tcl
+   A /trunk/src/server/httpd/guiupload.tcl
+   A /trunk/src/server/httpd/html2tcl.sh
+   A /trunk/src/server/httpd/httpd.tcl
+   A /trunk/src/server/httpd/index.tcl
+   A /trunk/src/server/httpd/log.tcl
+   A /trunk/src/server/httpd/menu.xml
+   A /trunk/src/server/httpd/menu.xsl
+   A /trunk/src/server/httpd/menuweb.css
+   A /trunk/src/server/httpd/openocd.tcl
+   A /trunk/src/server/httpd/preconfig.tcl
+   A /trunk/src/server/httpd/production.tcl
+   A /trunk/src/server/httpd/readme.txt
+   A /trunk/src/server/httpd/reload.tcl
+   A /trunk/src/server/httpd/run.tcl
+   A /trunk/src/server/httpd/support.tcl
+   A /trunk/src/server/httpd/targets.tcl
+   A /trunk/src/server/httpd/terminal.tcl
+   A /trunk/src/server/httpd/upgrade.tcl
+   M /trunk/src/server/httpd.c
+   M /zy1000/trunk/build/include/rom.h
+   A /zy1000/trunk/build/menu/Generate OpenOCD Menus.launch
+   D /zy1000/trunk/build/tcl/menu_cuts/zylin_logo_bottom_left.PNG
+   A /zy1000/trunk/build/xalan.jar
 
 httpd wip 
 ------------------------------------------------------------------------
 r1267 | oharboe | 2008-12-22 15:26:44 +0100 (Mon, 22 Dec 2008) | 3 lines
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 Dirk Behme <dirk.behme@googlemail.com>
  Add missing tap-enable and tap-disable events to documentation.
 
 ------------------------------------------------------------------------
 r1266 | oharboe | 2008-12-22 11:28:11 +0100 (Mon, 22 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/ioutil.c
+   M /trunk/src/server/httpd.c
 
 cygwin fixes
 ------------------------------------------------------------------------
 r1265 | oharboe | 2008-12-22 11:27:53 +0100 (Mon, 22 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/dummy.c
 
 bumped a LOG_INFO to LOG_DEBUG level to reduce excessive output for normal execution
 ------------------------------------------------------------------------
 r1264 | oharboe | 2008-12-19 20:45:01 +0100 (Fri, 19 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
 
 Dick Hollenbeck <dick@softplc.com> better logging
 ------------------------------------------------------------------------
 r1263 | oharboe | 2008-12-19 20:41:58 +0100 (Fri, 19 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/dummy.c
 
 Dick Hollenbeck <dick@softplc.com> - This patch adds JTAG state tracking to dummy.c
 ------------------------------------------------------------------------
 r1262 | oharboe | 2008-12-19 20:40:38 +0100 (Fri, 19 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/log.c
 
 Dick Hollenbeck <dick@softplc.com> better logging
 ------------------------------------------------------------------------
 r1261 | oharboe | 2008-12-19 15:48:00 +0100 (Fri, 19 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/types.h
 
 Dick Hollenbeck <dick@softplc.com> better comments
 ------------------------------------------------------------------------
 r1260 | ntfreak | 2008-12-19 14:58:15 +0100 (Fri, 19 Dec 2008) | 4 lines
+Changed paths:
+   M /trunk/src/helper/replacements.h
+   M /trunk/src/jtag/rlink/call.m4
+   M /trunk/src/jtag/rlink/init.m4
+   M /trunk/src/jtag/rlink/rlink.c
+   M /trunk/src/server/httpd.c
+   A /trunk/src/target/interface/rlink.cfg
+   M /trunk/tools/rlink_make_speed_table/rlink_make_speed_table
+   M /trunk/tools/rlink_make_speed_table/rlink_make_speed_table.pl
+   M /trunk/tools/st7_dtc_as/st7_dtc_as
+   M /trunk/tools/st7_dtc_as/st7_dtc_as.pl
 
 - fix rlink build under native win32 (mingw)
 - remove rlink build warnings
@@ -1307,102 +2781,328 @@ r1260 | ntfreak | 2008-12-19 14:58:15 +0
 - add win32 ETIMEDOUT define
 ------------------------------------------------------------------------
 r1259 | oharboe | 2008-12-19 07:49:34 +0100 (Fri, 19 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/types.h
 
 Dick Hollenbeck <dick@softplc.com> convert macros to inline fn's.
 ------------------------------------------------------------------------
 r1258 | kc8apf | 2008-12-19 05:25:22 +0100 (Fri, 19 Dec 2008) | 2 lines
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/doc/openocd.texi
+   M /trunk/src/Makefile.am
+   M /trunk/src/jtag/Makefile.am
+   M /trunk/src/jtag/jtag.c
+   A /trunk/src/jtag/rlink
+   A /trunk/src/jtag/rlink/Makefile
+   A /trunk/src/jtag/rlink/call.m4
+   A /trunk/src/jtag/rlink/dtc_cmd.h
+   A /trunk/src/jtag/rlink/ep1_cmd.h
+   A /trunk/src/jtag/rlink/init.m4
+   A /trunk/src/jtag/rlink/rlink.c
+   A /trunk/src/jtag/rlink/rlink.h
+   A /trunk/src/jtag/rlink/rlink_speed_table.c
+   A /trunk/src/jtag/rlink/st7.h
+   A /trunk/tools
+   A /trunk/tools/rlink_make_speed_table
+   A /trunk/tools/rlink_make_speed_table/rlink_make_speed_table
+   A /trunk/tools/rlink_make_speed_table/rlink_make_speed_table.pl
+   A /trunk/tools/st7_dtc_as
+   A /trunk/tools/st7_dtc_as/st7_dtc_as
+   A /trunk/tools/st7_dtc_as/st7_dtc_as.pl
 
 - rlink interface support from Lou Deluxe <lou.openocd012@fixit.nospammail.net>
 
 ------------------------------------------------------------------------
 r1257 | oharboe | 2008-12-17 15:55:12 +0100 (Wed, 17 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/zy1000.c
+   M /trunk/src/openocd.c
+   M /zy1000/trunk/build/tcl/openocd.cfg
 
 check syntax for init/version
 ------------------------------------------------------------------------
 r1256 | oharboe | 2008-12-17 15:07:03 +0100 (Wed, 17 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/zy1000.c
+   M /zy1000/trunk/build/menu/zy1000menu.xml
+   M /zy1000/trunk/build/tcl/index.tcl
 
 more houskeeping
 ------------------------------------------------------------------------
 r1255 | oharboe | 2008-12-17 14:39:40 +0100 (Wed, 17 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/ecosboard.c
+   M /trunk/src/helper/ioutil.c
+   M /trunk/src/server/telnet_server.c
 
 houskeeping
 ------------------------------------------------------------------------
 r1254 | oharboe | 2008-12-17 13:50:07 +0100 (Wed, 17 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/httpd.c
 
 fixed gaffe in post handling
 ------------------------------------------------------------------------
 r1251 | oharboe | 2008-12-16 23:20:10 +0100 (Tue, 16 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/src/Makefile.am
+   M /trunk/src/main.c
+   M /trunk/src/openocd.c
+   M /trunk/src/server/Makefile.am
+   A /trunk/src/server/httpd.c
+   A /zy1000/trunk/build/testhttpd.tcl
 
 work in progress to hook up libmicrohttpd + tcl integration
 ------------------------------------------------------------------------
 r1250 | oharboe | 2008-12-16 22:10:06 +0100 (Tue, 16 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/jim.c
+   M /trunk/src/helper/jim.h
 
 sync up to latest jim tcl
 ------------------------------------------------------------------------
 r1249 | oharboe | 2008-12-16 20:29:50 +0100 (Tue, 16 Dec 2008) | 3 lines
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 Dirk Behme <dirk.behme@googlemail.com> Fix some typos in documentation
 
  
 ------------------------------------------------------------------------
 r1248 | oharboe | 2008-12-16 12:49:14 +0100 (Tue, 16 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/dummy.c
 
 jtag_khz simulation
 ------------------------------------------------------------------------
 r1247 | oharboe | 2008-12-16 11:55:08 +0100 (Tue, 16 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/gdb_server.c
 
 allow setting/reading gdb_port at any time
 ------------------------------------------------------------------------
 r1246 | oharboe | 2008-12-16 11:22:24 +0100 (Tue, 16 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/command.c
 
 fix broken -c/f options where it would silently terminate for scripts that did not set the return value.
 ------------------------------------------------------------------------
 r1245 | ntfreak | 2008-12-15 17:10:18 +0100 (Mon, 15 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/ioutil.c
 
 - add missing svn props from r1243 commit
 ------------------------------------------------------------------------
 r1244 | oharboe | 2008-12-15 13:57:29 +0100 (Mon, 15 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 fixed compilation problem
 ------------------------------------------------------------------------
 r1243 | oharboe | 2008-12-15 12:32:22 +0100 (Mon, 15 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/src/Makefile.am
+   M /trunk/src/ecosboard.c
+   M /trunk/src/helper/Makefile.am
+   A /trunk/src/helper/ioutil.c
+   M /trunk/src/jtag/zy1000.c
+   M /trunk/src/openocd.c
+   M /zy1000/trunk/build/buildocd.sh
+   M /zy1000/trunk/build/include/jtag_minidriver.h
+   M /zy1000/trunk/build/include/rom.h
+   M /zy1000/trunk/build/tcl/openocd.cfg
 
 sync up to tap_xxx rename + add with-ioutil for standalone openocd implemetnations
 ------------------------------------------------------------------------
 r1242 | ntfreak | 2008-12-15 10:43:26 +0100 (Mon, 15 Dec 2008) | 2 lines
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/helper/Makefile.am
+   M /trunk/src/helper/log.c
+   M /trunk/src/helper/options.c
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/server/server.c
+   M /trunk/src/server/server.h
+   M /trunk/src/server/tcl_server.c
+   M /trunk/src/server/telnet_server.c
+   M /trunk/src/target/target.c
 
 - add ability for openocd to communicate to gdb using pipes (stdin/stdout).
 - this is enabled by new command line option option --pipe.
 ------------------------------------------------------------------------
 r1241 | oharboe | 2008-12-15 10:05:16 +0100 (Mon, 15 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/ecosboard.c
+   M /trunk/src/target/target.c
 
 fast_load profiling tool moved to target.c
 ------------------------------------------------------------------------
 r1240 | kc8apf | 2008-12-14 21:33:01 +0100 (Sun, 14 Dec 2008) | 3 lines
+Changed paths:
+   M /trunk/src/jtag/bitbang.c
+   M /trunk/src/jtag/bitq.c
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/jtag/gw16012.c
+   M /trunk/src/jtag/jlink.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/jtag/usbprog.c
+   M /trunk/src/jtag/zy1000.c
 
 - Update tap_state_strings to correspond to SVF state names
 - Use new jtag_state_name() instead of global tap_state_strings[]
 
 ------------------------------------------------------------------------
 r1239 | duane | 2008-12-13 14:11:15 +0100 (Sat, 13 Dec 2008) | 1 line
+Changed paths:
+   D /trunk/src/target/target/s3c2440.cfg
+   A /trunk/src/target/target/samsung_s3c2440.cfg (from /trunk/src/target/target/s3c2440.cfg:1238)
 
 Updates and fixes from Kees Jongenburger
 ------------------------------------------------------------------------
 r1238 | ntfreak | 2008-12-13 13:44:39 +0100 (Sat, 13 Dec 2008) | 3 lines
+Changed paths:
+   M /trunk/src/flash/cfi.h
+   M /trunk/src/flash/ecos.c
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/lpc2000.c
+   M /trunk/src/flash/lpc288x.c
+   M /trunk/src/flash/lpc3180_nand_controller.c
+   M /trunk/src/flash/mflash.c
+   M /trunk/src/flash/mflash.h
+   M /trunk/src/flash/nand.c
+   M /trunk/src/flash/s3c24xx_regs_nand.h
+   M /trunk/src/flash/stellaris.h
+   M /trunk/src/flash/stm32x.h
+   M /trunk/src/flash/str7x.c
+   M /trunk/src/flash/str7x.h
+   M /trunk/src/flash/str9x.h
+   M /trunk/src/flash/tms470.c
+   M /trunk/src/helper/bin2char.c
+   M /trunk/src/helper/binarybuffer.c
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/configuration.c
+   M /trunk/src/helper/fileio.h
+   M /trunk/src/helper/log.c
+   M /trunk/src/helper/log.h
+   M /trunk/src/helper/options.c
+   M /trunk/src/helper/replacements.c
+   M /trunk/src/helper/replacements.h
+   M /trunk/src/helper/tclapi.c
+   M /trunk/src/helper/types.h
+   M /trunk/src/jtag/bitbang.c
+   M /trunk/src/jtag/bitq.c
+   M /trunk/src/jtag/dummy.c
+   M /trunk/src/jtag/ep93xx.c
+   M /trunk/src/jtag/gw16012.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/jtag/presto.c
+   M /trunk/src/jtag/usbprog.c
+   M /trunk/src/openocd.c
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/server/server.c
+   M /trunk/src/server/telnet_server.c
+   M /trunk/src/target/arm720t.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7_9_common.h
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm7tdmi.h
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/arm926ejs.h
+   M /trunk/src/target/arm966e.c
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/arm9tdmi.h
+   M /trunk/src/target/armv4_5.c
+   M /trunk/src/target/armv4_5.h
+   M /trunk/src/target/breakpoints.c
+   M /trunk/src/target/breakpoints.h
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/cortex_m3.h
+   M /trunk/src/target/cortex_swjdp.h
+   M /trunk/src/target/embeddedice.h
+   M /trunk/src/target/etb.h
+   M /trunk/src/target/feroceon.c
+   M /trunk/src/target/image.c
+   M /trunk/src/target/image.h
+   M /trunk/src/target/mips32.c
+   M /trunk/src/target/mips32.h
+   M /trunk/src/target/mips32_dmaacc.c
+   M /trunk/src/target/mips32_dmaacc.h
+   M /trunk/src/target/mips32_pracc.h
+   M /trunk/src/target/mips_m4k.c
+   M /trunk/src/target/mips_m4k.h
+   M /trunk/src/target/oocd_trace.c
+   M /trunk/src/target/oocd_trace.h
+   M /trunk/src/target/register.c
+   M /trunk/src/target/register.h
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
+   M /trunk/src/target/xscale.c
 
 - remove target specific variant and use target->variant member
 - fix build warning in cortex_m3
 - code cleanup - remove trailing lf and convert c++ comments
 ------------------------------------------------------------------------
 r1237 | kc8apf | 2008-12-13 08:05:38 +0100 (Sat, 13 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
 
 Add JTAG tap events for enable/disable
 ------------------------------------------------------------------------
 r1235 | kc8apf | 2008-12-13 07:59:24 +0100 (Sat, 13 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/str9xpec.c
+   M /trunk/src/jtag/amt_jtagaccel.c
+   M /trunk/src/jtag/bitbang.c
+   M /trunk/src/jtag/bitq.c
+   M /trunk/src/jtag/gw16012.c
+   M /trunk/src/jtag/jlink.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/jtag/usbprog.c
+   M /trunk/src/jtag/zy1000.c
+   M /trunk/src/target/arm11_dbgtap.c
 
 Clean up references to old tap_state names
 ------------------------------------------------------------------------
 r1232 | kc8apf | 2008-12-13 07:25:50 +0100 (Sat, 13 Dec 2008) | 4 lines
+Changed paths:
+   M /trunk/src/flash/str9xpec.c
+   M /trunk/src/jtag/amt_jtagaccel.c
+   M /trunk/src/jtag/bitbang.c
+   M /trunk/src/jtag/bitq.c
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/jtag/gw16012.c
+   M /trunk/src/jtag/jlink.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/jtag/usbprog.c
+   M /trunk/src/jtag/zy1000.c
+   M /trunk/src/pld/virtex2.c
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/arm11_dbgtap.c
+   M /trunk/src/target/arm720t.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/arm966e.c
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/cortex_swjdp.c
+   M /trunk/src/target/embeddedice.c
+   M /trunk/src/target/etb.c
+   M /trunk/src/target/etm.c
+   M /trunk/src/target/feroceon.c
+   M /trunk/src/target/mips_ejtag.c
+   M /trunk/src/target/mips_m4k.c
+   M /trunk/src/target/xscale.c
+   M /trunk/src/xsvf/xsvf.c
 
 Change tap_state naming to be consistent with SVF documentation.
 
@@ -1410,569 +3110,1267 @@ Courtesy of Dick Hollenbeck <dick@softpl
 
 ------------------------------------------------------------------------
 r1231 | ntfreak | 2008-12-12 23:14:21 +0100 (Fri, 12 Dec 2008) | 2 lines
+Changed paths:
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/cortex_m3.h
 
 - check cortex_m3 FPB is enabled when setting hardware breakpoint
 - Thanks Igor Skochinsky
 ------------------------------------------------------------------------
 r1229 | kc8apf | 2008-12-12 01:21:07 +0100 (Fri, 12 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
 
 Allow -expected-id to be specified multiple times when creating a jtag tap
 ------------------------------------------------------------------------
 r1228 | ntfreak | 2008-12-12 00:36:51 +0100 (Fri, 12 Dec 2008) | 2 lines
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 - incorrect url in last commit for usbjtag
 - added missing ft2232 option for interface axm0432_jtag
 ------------------------------------------------------------------------
 r1227 | ntfreak | 2008-12-12 00:22:16 +0100 (Fri, 12 Dec 2008) | 3 lines
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/jtag/ft2232.c
 
 - added Axiom AXM-0432 to texi
 - updated missing jtag dongle url's in texi
 - reformat and remove whitespace from last commit
 ------------------------------------------------------------------------
 r1226 | kc8apf | 2008-12-11 20:03:17 +0100 (Thu, 11 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/ft2232.c
 
 AXM0432 layout for FDTI provided by Alan Carvalho de Assis (Freescale)
 ------------------------------------------------------------------------
 r1225 | ntfreak | 2008-12-11 16:53:45 +0100 (Thu, 11 Dec 2008) | 2 lines
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/flash/flash.c
 
 - typo with flash bank help command
 - typo with flash erase_sector in texi
 ------------------------------------------------------------------------
 r1224 | ntfreak | 2008-12-10 18:47:16 +0100 (Wed, 10 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/command.c
 
 - fix illegal memory access in unregister_command function
 ------------------------------------------------------------------------
 r1223 | duane | 2008-12-10 12:44:45 +0100 (Wed, 10 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/imote2.cfg
+   M /trunk/src/target/target/is5114.cfg
+   M /trunk/src/target/target/samsung_s3c6410.cfg
 
 More fixes thanks to Kees Jongenburger
 ------------------------------------------------------------------------
 r1222 | duane | 2008-12-10 02:18:10 +0100 (Wed, 10 Dec 2008) | 1 line
+Changed paths:
+   D /trunk/src/target/target/samsung_s2c2410.cfg
+   A /trunk/src/target/target/samsung_s3c2410.cfg (from /trunk/src/target/target/samsung_s2c2410.cfg:1220)
 
 Fix from Kees Jongenburger (Part Duex)
 ------------------------------------------------------------------------
 r1221 | duane | 2008-12-10 02:15:27 +0100 (Wed, 10 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/board/hammer.cfg
 
 Fix from Kees Jongenburger
 ------------------------------------------------------------------------
 r1220 | duane | 2008-12-08 12:23:04 +0100 (Mon, 08 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/at91r40008.cfg
+   M /trunk/src/target/target/at91sam9260.cfg
+   M /trunk/src/target/target/at91sam9260minimal.cfg
 
 Typos in config files found by Sergey Lapin
 ------------------------------------------------------------------------
 r1219 | duane | 2008-12-06 14:13:02 +0100 (Sat, 06 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/README
 
 Test of commit email from duane
 ------------------------------------------------------------------------
 r1218 | ntfreak | 2008-12-06 11:48:46 +0100 (Sat, 06 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 - update texi to describe str9xpec driver flow
 ------------------------------------------------------------------------
 r1215 | oharboe | 2008-12-05 18:37:23 +0100 (Fri, 05 Dec 2008) | 2 lines
+Changed paths:
+   M /trunk/src/target/xscale.c
 
 Karl Beldan <karl.beldan@gmail.com> - The ibcr count for hw instruction breakpoint registers was decremented
 with soft breakpoints and breakpoint length error.
 ------------------------------------------------------------------------
 r1214 | duane | 2008-12-05 01:46:10 +0100 (Fri, 05 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 Added Joern Kaipf link for oocdlink
 ------------------------------------------------------------------------
 r1213 | oharboe | 2008-12-04 15:25:05 +0100 (Thu, 04 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/ecosboard.c
+   M /zy1000/trunk/build/include/rom.h
+   M /zy1000/trunk/build/tcl/browsemem.tcl
+   M /zy1000/trunk/build/tcl/downloadmem.tcl
+   M /zy1000/trunk/build/tcl/editconfigs.tcl
+   M /zy1000/trunk/build/tcl/editfile.tcl
+   M /zy1000/trunk/build/tcl/erase.tcl
+   M /zy1000/trunk/build/tcl/flash.tcl
+   M /zy1000/trunk/build/tcl/flashinfo.tcl
+   M /zy1000/trunk/build/tcl/guiupload.tcl
+   M /zy1000/trunk/build/tcl/index.tcl
+   M /zy1000/trunk/build/tcl/log.tcl
+   M /zy1000/trunk/build/tcl/openocd.tcl
+   M /zy1000/trunk/build/tcl/preconfig.tcl
+   M /zy1000/trunk/build/tcl/production.tcl
+   M /zy1000/trunk/build/tcl/reload.tcl
+   M /zy1000/trunk/build/tcl/run.tcl
+   M /zy1000/trunk/build/tcl/support.tcl
+   M /zy1000/trunk/build/tcl/targets.tcl
+   M /zy1000/trunk/build/tcl/terminal.tcl
+   M /zy1000/trunk/build/tcl/upgrade.tcl
+   M /zy1000/trunk/build/tcl/zy1000.tcl
+   M /zy1000/trunk/snapshots/athttpd.zip
+   M /zy1000/trunk/snapshots/discover.zip
+   M /zy1000/trunk/snapshots/jimtcl.zip
 
 zy1000 1.48 snapshot
 ------------------------------------------------------------------------
 r1212 | oharboe | 2008-12-04 12:03:15 +0100 (Thu, 04 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/xscale.c
 
 Karl Beldan <karl.beldan@gmail.com> - fix vector_catch command
 ------------------------------------------------------------------------
 r1211 | oharboe | 2008-12-04 10:35:00 +0100 (Thu, 04 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/ecosboard.c
 
 delete obsolete code
 ------------------------------------------------------------------------
 r1206 | duane | 2008-12-04 02:23:47 +0100 (Thu, 04 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 Manual tweak based on feedback from mailing list the iar dongle works
 ------------------------------------------------------------------------
 r1205 | duane | 2008-12-04 02:15:13 +0100 (Thu, 04 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 Fix for Hiroshi Ito discovery of mis-aligned memory allocation
 ------------------------------------------------------------------------
 r1204 | ntfreak | 2008-12-03 18:38:37 +0100 (Wed, 03 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/str9xpec.c
+   M /trunk/src/flash/str9xpec.h
 
 - str9xpec driver now working with new jtag tap config
 ------------------------------------------------------------------------
 r1203 | ntfreak | 2008-12-03 17:38:52 +0100 (Wed, 03 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/str910-eval.cfg
+   M /trunk/src/target/target/str912.cfg
+   M /trunk/src/target/target/str9comstick.cfg
 
 - incorrect str9 irmask used in config files
 ------------------------------------------------------------------------
 r1202 | ntfreak | 2008-12-03 13:02:46 +0100 (Wed, 03 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/lm3s3748.cfg
+   M /trunk/src/target/target/lm3s6965.cfg
+   M /trunk/src/target/target/lm3s811.cfg
+   M /trunk/src/target/target/stm32.cfg
+   M /trunk/src/target/target/stm32stick.cfg
+   M /trunk/src/target/target/str710.cfg
+   M /trunk/src/target/target/str730.cfg
+   M /trunk/src/target/target/str750.cfg
+   M /trunk/src/target/target/str910-eval.cfg
+   M /trunk/src/target/target/str912.cfg
+   M /trunk/src/target/target/str9comstick.cfg
 
 - cleanup target config scripts
 ------------------------------------------------------------------------
 r1201 | oharboe | 2008-12-02 08:22:53 +0100 (Tue, 02 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/contrib/libdcc/dcc_stdio.c
 
 Kees Jongenburger <kees.jongenburger@gmail.com> - now compiles
 ------------------------------------------------------------------------
 r1200 | oharboe | 2008-12-02 07:58:46 +0100 (Tue, 02 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/ep93xx.c
 
 Hiroshi Ito <ito@mlb.co.jp> fixes to ep93xx.c
 ------------------------------------------------------------------------
 r1199 | oharboe | 2008-12-01 20:55:55 +0100 (Mon, 01 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/Makefile.am
+   M /trunk/src/helper/Makefile.am
 
 "Theodore A. Roth" <taroth@gmail.com> fixes to distcheck
 ------------------------------------------------------------------------
 r1198 | ntfreak | 2008-12-01 16:52:56 +0100 (Mon, 01 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/NEWTAPS
+   M /trunk/src/target/board/arm_evaluator7t.cfg
+   M /trunk/src/target/board/at91rm9200-dk.cfg
+   M /trunk/src/target/board/eir.cfg
+   M /trunk/src/target/board/hammer.cfg
+   M /trunk/src/target/board/iar_str912_sk.cfg
+   M /trunk/src/target/board/logicpd_imx27.cfg
+   M /trunk/src/target/board/olimex_sam7_ex256.cfg
+   M /trunk/src/target/board/stm3210e_eval.cfg
+   M /trunk/src/target/board/stm32f10x_128k_eval.cfg
+   M /trunk/src/target/target/at91rm9200.cfg
+   M /trunk/src/target/target/sam7se512.cfg
+   M /trunk/src/target/target/samsung_s2c2410.cfg
+   M /trunk/src/target/target/samsung_s3c4510.cfg
+   M /trunk/src/target/target/samsung_s3c6410.cfg
+   M /trunk/src/target/target/sharp_lh79532.cfg
 
 - fix incorrect svn props from last commit
 ------------------------------------------------------------------------
 r1197 | oharboe | 2008-12-01 15:21:24 +0100 (Mon, 01 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/ecosboard.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/jtag/zy1000.c
+   M /trunk/src/target/target/zy1000.cfg
+   M /zy1000/build/include/jtag_minidriver.h
 
 update zy1000 to svn head jtag api
 ------------------------------------------------------------------------
 r1196 | oharboe | 2008-12-01 14:20:59 +0100 (Mon, 01 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/at91eb40a.cfg
 
 correct CPU ID
 ------------------------------------------------------------------------
 r1195 | oharboe | 2008-12-01 13:55:07 +0100 (Mon, 01 Dec 2008) | 1 line
+Changed paths:
+   M /trunk/src/ecosboard.c
 
 wip
 ------------------------------------------------------------------------
 r1194 | duane | 2008-11-30 23:25:43 +0100 (Sun, 30 Nov 2008) | 1 line
+Changed paths:
+   A /trunk/NEWTAPS
+   M /trunk/doc/openocd.texi
+   M /trunk/src/flash/str9xpec.c
+   M /trunk/src/flash/str9xpec.h
+   M /trunk/src/helper/types.h
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/pld/virtex2.c
+   M /trunk/src/pld/virtex2.h
+   M /trunk/src/target/Makefile.am
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/arm11_dbgtap.c
+   M /trunk/src/target/arm720t.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm7tdmi.h
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/arm926ejs.h
+   M /trunk/src/target/arm966e.c
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/arm9tdmi.h
+   M /trunk/src/target/arm_jtag.c
+   M /trunk/src/target/arm_jtag.h
+   A /trunk/src/target/board
+   A /trunk/src/target/board/arm_evaluator7t.cfg
+   A /trunk/src/target/board/at91rm9200-dk.cfg
+   A /trunk/src/target/board/eir.cfg
+   A /trunk/src/target/board/hammer.cfg
+   A /trunk/src/target/board/iar_str912_sk.cfg
+   A /trunk/src/target/board/logicpd_imx27.cfg
+   A /trunk/src/target/board/olimex_sam7_ex256.cfg
+   A /trunk/src/target/board/stm3210e_eval.cfg
+   A /trunk/src/target/board/stm32f10x_128k_eval.cfg
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/cortex_m3.h
+   M /trunk/src/target/cortex_swjdp.c
+   M /trunk/src/target/embeddedice.c
+   M /trunk/src/target/embeddedice.h
+   M /trunk/src/target/etb.c
+   M /trunk/src/target/etb.h
+   M /trunk/src/target/etm.c
+   M /trunk/src/target/feroceon.c
+   M /trunk/src/target/mips32.c
+   M /trunk/src/target/mips32.h
+   M /trunk/src/target/mips_ejtag.c
+   M /trunk/src/target/mips_ejtag.h
+   M /trunk/src/target/mips_m4k.c
+   M /trunk/src/target/target/aduc702x.cfg
+   M /trunk/src/target/target/at91eb40a.cfg
+   M /trunk/src/target/target/at91r40008.cfg
+   A /trunk/src/target/target/at91rm9200.cfg
+   M /trunk/src/target/target/at91sam9260.cfg
+   M /trunk/src/target/target/at91sam9260minimal.cfg
+   D /trunk/src/target/target/eir-sam7se512.cfg
+   M /trunk/src/target/target/epc9301.cfg
+   D /trunk/src/target/target/hammer.cfg
+   M /trunk/src/target/target/imote2.cfg
+   M /trunk/src/target/target/imx27.cfg
+   M /trunk/src/target/target/imx31.cfg
+   M /trunk/src/target/target/ipx42x.cfg
+   M /trunk/src/target/target/is5114.cfg
+   M /trunk/src/target/target/lm3s3748.cfg
+   M /trunk/src/target/target/lm3s6965.cfg
+   M /trunk/src/target/target/lm3s811.cfg
+   M /trunk/src/target/target/lpc2129.cfg
+   M /trunk/src/target/target/lpc2148.cfg
+   M /trunk/src/target/target/lpc2148_2mhz.cfg
+   M /trunk/src/target/target/lpc2148_rclk.cfg
+   M /trunk/src/target/target/lpc2294.cfg
+   M /trunk/src/target/target/netx500.cfg
+   M /trunk/src/target/target/nslu2.cfg
+   M /trunk/src/target/target/omap5912.cfg
+   M /trunk/src/target/target/pic32mx.cfg
+   M /trunk/src/target/target/pxa255.cfg
+   M /trunk/src/target/target/pxa255_sst.cfg
+   M /trunk/src/target/target/pxa270.cfg
+   M /trunk/src/target/target/s3c2440.cfg
+   A /trunk/src/target/target/sam7se512.cfg
+   M /trunk/src/target/target/sam7x256.cfg
+   A /trunk/src/target/target/samsung_s2c2410.cfg
+   A /trunk/src/target/target/samsung_s3c4510.cfg
+   A /trunk/src/target/target/samsung_s3c6410.cfg
+   A /trunk/src/target/target/sharp_lh79532.cfg
+   M /trunk/src/target/target/smdk6410.cfg
+   M /trunk/src/target/target/stm32.cfg
+   M /trunk/src/target/target/stm32stick.cfg
+   M /trunk/src/target/target/str710.cfg
+   M /trunk/src/target/target/str730.cfg
+   M /trunk/src/target/target/str750.cfg
+   M /trunk/src/target/target/str910-eval.cfg
+   M /trunk/src/target/target/str912.cfg
+   M /trunk/src/target/target/str9comstick.cfg
+   M /trunk/src/target/target/test_reset_syntax_error.cfg
+   M /trunk/src/target/target/wi-9c.cfg
+   M /trunk/src/target/target/xba_revA3.cfg
+   M /trunk/src/target/target/zy1000.cfg
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
+   M /trunk/src/target/xscale.c
+   M /trunk/src/target/xscale.h
+   M /trunk/src/xsvf/xsvf.c
 
 jtag newtap change & huge manual update
 ------------------------------------------------------------------------
 r1193 | duane | 2008-11-30 15:34:54 +0100 (Sun, 30 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/AUTHORS
 
 Test checkin from commandline
 ------------------------------------------------------------------------
 r1192 | ntfreak | 2008-11-28 17:51:23 +0100 (Fri, 28 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/mips32.c
 
 - change mips registers to std names
 ------------------------------------------------------------------------
 r1191 | ntfreak | 2008-11-27 18:19:12 +0100 (Thu, 27 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/stellaris.c
 
 - fix issue with luminary flash driver and tail bytes
 ------------------------------------------------------------------------
 r1190 | oharboe | 2008-11-27 15:58:49 +0100 (Thu, 27 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/helper/startup.tcl
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/target.c
 
 Rick Altherr <kc8apf@kc8apf.net> retire obsolete syntax
 ------------------------------------------------------------------------
 r1189 | ntfreak | 2008-11-27 13:14:46 +0100 (Thu, 27 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/stm32x.c
 
 - stm32x flash driver: add support for low density devices
 ------------------------------------------------------------------------
 r1188 | oharboe | 2008-11-27 08:00:56 +0100 (Thu, 27 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/hammer.cfg
 
 Carlos Antunes <cmantunes@nowthor.com> fixes to get script to work.
 ------------------------------------------------------------------------
 r1187 | ntfreak | 2008-11-26 17:43:01 +0100 (Wed, 26 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 - fixes segfault using the targets cmd if multiple targets defined
 ------------------------------------------------------------------------
 r1186 | ntfreak | 2008-11-26 17:00:47 +0100 (Wed, 26 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/str710.cfg
+   M /trunk/src/target/target/str730.cfg
+   M /trunk/src/target/target/str750.cfg
 
 - correct corrupt target configs
 ------------------------------------------------------------------------
 r1185 | oharboe | 2008-11-26 14:42:02 +0100 (Wed, 26 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/command.c
 
 friendlier error messages
 ------------------------------------------------------------------------
 r1184 | oharboe | 2008-11-26 14:31:26 +0100 (Wed, 26 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/ecosboard.c
+   M /trunk/src/jtag/zy1000.c
+   M /zy1000/build/include/jtag_minidriver.h
+   M /zy1000/build/makephi.sh
+   D /zy1000/ecoshal/dev/eth/nios
+   M /zy1000/ecoshal/ecos.db
+   M /zy1000/ecoshal/hal/zylin/phi/current/include/plf_io.h
 
 wip
 ------------------------------------------------------------------------
 r1181 | ntfreak | 2008-11-21 15:27:47 +0100 (Fri, 21 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/target/cortex_m3.c
 
 - add new cortex_m3 maskisr cmd
 ------------------------------------------------------------------------
 r1180 | ntfreak | 2008-11-20 13:01:46 +0100 (Thu, 20 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/gdb_server.c
 
 - fix issue with gdb_target_to_reg missing second byte
 ------------------------------------------------------------------------
 r1179 | ntfreak | 2008-11-20 12:17:47 +0100 (Thu, 20 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/armv7m.c
+   M /trunk/src/target/cortex_m3.c
 
 - preserve cortex_m3 C_MASKINTS during resume/step
 ------------------------------------------------------------------------
 r1178 | ntfreak | 2008-11-20 11:11:09 +0100 (Thu, 20 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 - fox small typo in handle_irscan_command
 ------------------------------------------------------------------------
 r1176 | oharboe | 2008-11-19 09:22:47 +0100 (Wed, 19 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/str9xpec.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/zy1000.c
+   M /trunk/src/pld/virtex2.c
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/arm11_dbgtap.c
+   M /trunk/src/target/arm_jtag.c
+   M /trunk/src/target/etb.c
+   M /trunk/src/target/mips_ejtag.c
+   M /trunk/src/target/target.c
+   M /trunk/src/target/xscale.c
 
 jtag_get_device() now returns NULL and reports error instead of invoking exit()
 ------------------------------------------------------------------------
 r1175 | oharboe | 2008-11-19 08:32:30 +0100 (Wed, 19 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/ecos.c
+   M /trunk/src/target/etb.c
+   M /trunk/src/target/etm_dummy.c
+   M /trunk/src/target/image.c
+   M /trunk/src/target/xscale.c
 
 error checking - no reported errors, but catched a couple of exit()'s and converted them to errors.
 ------------------------------------------------------------------------
 r1174 | oharboe | 2008-11-18 20:26:07 +0100 (Tue, 18 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/gdb_server.c
 
 big endian fix for GDB. Probably fixes a memory corruption(not reported) as well.
 ------------------------------------------------------------------------
 r1173 | ntfreak | 2008-11-17 18:56:44 +0100 (Mon, 17 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/mips32.c
+   M /trunk/src/target/mips32.h
+   M /trunk/src/target/mips_ejtag.c
+   M /trunk/src/target/mips_ejtag.h
+   M /trunk/src/target/mips_m4k.c
 
 - add support for hardware breakpoints to mips32 target
 ------------------------------------------------------------------------
 r1171 | ntfreak | 2008-11-14 11:48:17 +0100 (Fri, 14 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/cortex_m3.c
 
 - stops multiple calls to examine from allocating the breakpoint arrays
 ------------------------------------------------------------------------
 r1169 | ntfreak | 2008-11-13 22:40:26 +0100 (Thu, 13 Nov 2008) | 2 lines
+Changed paths:
+   M /trunk/src/target/mips32.h
+   M /trunk/src/target/mips32_pracc.c
+   M /trunk/src/target/mips_ejtag.c
+   M /trunk/src/target/mips_m4k.c
 
 - correct the register hi/lo read - wrong way round
 - all the register now can be written to, including the special CP0 regs.
 ------------------------------------------------------------------------
 r1167 | oharboe | 2008-11-13 16:25:03 +0100 (Thu, 13 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
 
 big endian software breakpoint bogus error messages fixed
 ------------------------------------------------------------------------
 r1166 | oharboe | 2008-11-13 09:09:40 +0100 (Thu, 13 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/tms470.c
 
 krzysztof.dziuba Gazeta.pl <krzysztof.dziuba@gazeta.pl> - to add support for flashing of TMS470R1A384 
 ------------------------------------------------------------------------
 r1165 | oharboe | 2008-11-13 09:03:15 +0100 (Thu, 13 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/src/ecosboard.c
+   M /trunk/src/jtag/zy1000.c
+   M /zy1000/build/buildocd.sh
+   M /zy1000/build/include/jtag_minidriver.h
+   M /zy1000/build/nios_buildocd.sh
+   M /zy1000/build/nios_openocd.ecm
+   M /zy1000/build/nios_rebuildecos.sh
+   M /zy1000/ecoshal/ecos.db
 
 nios wip
 ------------------------------------------------------------------------
 r1160 | ntfreak | 2008-11-12 16:16:15 +0100 (Wed, 12 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/mips_m4k.c
 
 - fix crash when variant for mips32 target not given
 ------------------------------------------------------------------------
 r1159 | ntfreak | 2008-11-12 15:53:19 +0100 (Wed, 12 Nov 2008) | 2 lines
+Changed paths:
+   M /trunk/src/target/mips32_dmaacc.c
+   M /trunk/src/target/mips32_pracc.c
+   M /trunk/src/target/mips_ejtag.h
+   M /trunk/src/target/mips_m4k.c
+   M /trunk/testing/examples/PIC32/BlinkingLeds.c
+   M /trunk/testing/examples/PIC32/readme.txt
 
 - slight mips32 cleanup/reformat
 - add missing svn props
 ------------------------------------------------------------------------
 r1157 | oharboe | 2008-11-12 10:03:16 +0100 (Wed, 12 Nov 2008) | 1 line
+Changed paths:
+   A /trunk/testing/examples/PIC32
+   A /trunk/testing/examples/PIC32/BlinkingLeds.c
+   A /trunk/testing/examples/PIC32/BlinkingLeds.elf
+   A /trunk/testing/examples/PIC32/readme.txt
 
 Laurentiu Cocanu - blinking led app for PIC32.
 ------------------------------------------------------------------------
 r1156 | oharboe | 2008-11-11 15:47:01 +0100 (Tue, 11 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/command.c
 
 Fixes (more or less) random SEGFAULT upon invoking script_command().
 ------------------------------------------------------------------------
 r1154 | oharboe | 2008-11-11 13:09:35 +0100 (Tue, 11 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/zy1000.c
 
 sense srst
 ------------------------------------------------------------------------
 r1152 | oharboe | 2008-11-10 11:58:20 +0100 (Mon, 10 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/ecosboard.c
 
 broadcast mac address in UDP hello message
 ------------------------------------------------------------------------
 r1150 | oharboe | 2008-11-10 11:16:13 +0100 (Mon, 10 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/startup.tcl
+   M /trunk/src/target/target.c
 
 execute reset init upon power restore / srst deassert
 ------------------------------------------------------------------------
 r1149 | oharboe | 2008-11-10 09:33:03 +0100 (Mon, 10 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/startup.tcl
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/server/telnet_server.c
+   M /zy1000/build/menu/zy1000menu.xml
+   M /zy1000/build/menu/zy1000menu.xsl
 
 minor cleanup
 ------------------------------------------------------------------------
 r1148 | oharboe | 2008-11-09 21:36:53 +0100 (Sun, 09 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/ecosboard.c
+   M /zy1000/build/include/rom.h
+   M /zy1000/build/menu/zy1000menu.xml
+   M /zy1000/build/tcl/index.tcl
+   M /zy1000/build/tcl/simpleterminal.jar
+   M /zy1000/build/tcl/terminal.tcl
 
 terminal forwarding available from GUI
 ------------------------------------------------------------------------
 r1147 | oharboe | 2008-11-07 10:36:55 +0100 (Fri, 07 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/flash.c
 
 ocd_flash_banks now returns empty list when no flash banks are configured instead of failing. Allows more orthogonal implementations of tcl code.
 ------------------------------------------------------------------------
 r1145 | oharboe | 2008-11-07 10:19:06 +0100 (Fri, 07 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/ecosboard.c
+   M /zy1000/build/buildocd.sh
+   M /zy1000/build/include/rom.h
+   M /zy1000/build/menu/zy1000menu.xml
+   M /zy1000/build/tcl/index.tcl
+   M /zy1000/build/tcl/openocd.cfg
 
 zy1000 1.47
 ------------------------------------------------------------------------
 r1144 | oharboe | 2008-11-07 10:05:12 +0100 (Fri, 07 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/flash.c
 
 ocd_flash_banks now returns empty list when no flash banks are configured instead of failing. Allows more orthogonal implementations of tcl code.
 ------------------------------------------------------------------------
 r1143 | oharboe | 2008-11-07 08:06:35 +0100 (Fri, 07 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/tcl/README_ABOUT_TCL.txt
 
 typos
 ------------------------------------------------------------------------
 r1142 | ntfreak | 2008-11-06 22:59:35 +0100 (Thu, 06 Nov 2008) | 3 lines
+Changed paths:
+   M /trunk/src/target/armv7m.c
+   M /trunk/src/target/target/imote2.cfg
+   M /trunk/src/target/target/is5114.cfg
+   M /trunk/src/target/target/smdk6410.cfg
+   M /trunk/src/target/target/str910-eval.cfg
 
 - remove build warnings
 - added svn props for newly added files
 
 ------------------------------------------------------------------------
 r1141 | oharboe | 2008-11-06 12:05:19 +0100 (Thu, 06 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/ecosboard.c
+   M /zy1000/build/openocd.ecm
+   M /zy1000/build/set_env.sh
 
 added device discovery
 ------------------------------------------------------------------------
 r1140 | oharboe | 2008-11-06 08:37:23 +0100 (Thu, 06 Nov 2008) | 1 line
+Changed paths:
+   A /trunk/src/target/target/smdk6410.cfg
 
 s3c6410 chip
 ------------------------------------------------------------------------
 r1139 | oharboe | 2008-11-05 15:36:59 +0100 (Wed, 05 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm926ejs.c
 
 MOE=0xc debug reason reset problems.
 ------------------------------------------------------------------------
 r1138 | oharboe | 2008-11-05 14:09:49 +0100 (Wed, 05 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/target/target/wi-9c.cfg
+   M /zy1000/build/menu/zy1000menu.xml
 
 926ejs target uses rclk. Cleaned up jtag_khz output a bit.
 ------------------------------------------------------------------------
 r1137 | oharboe | 2008-11-05 11:48:40 +0100 (Wed, 05 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/ecosboard.c
+   M /zy1000/build/include/rom.h
+   M /zy1000/build/menu/zy1000menu.xml
+   M /zy1000/build/tcl/browsemem.tcl
+   M /zy1000/build/tcl/downloadmem.tcl
+   M /zy1000/build/tcl/editconfigs.tcl
+   M /zy1000/build/tcl/editfile.tcl
+   M /zy1000/build/tcl/erase.tcl
+   M /zy1000/build/tcl/flash.tcl
+   M /zy1000/build/tcl/flashinfo.tcl
+   M /zy1000/build/tcl/guiupload.tcl
+   M /zy1000/build/tcl/index.tcl
+   M /zy1000/build/tcl/log.tcl
+   M /zy1000/build/tcl/openocd.cfg
+   M /zy1000/build/tcl/openocd.tcl
+   M /zy1000/build/tcl/preconfig.tcl
+   M /zy1000/build/tcl/production.tcl
+   M /zy1000/build/tcl/reload.tcl
+   M /zy1000/build/tcl/run.tcl
+   M /zy1000/build/tcl/support.tcl
+   M /zy1000/build/tcl/targets.tcl
+   M /zy1000/build/tcl/terminal.tcl
+   M /zy1000/build/tcl/upgrade.tcl
+   M /zy1000/build/tcl/zy1000.tcl
+   M /zy1000/snapshots/athttpd.zip
+   M /zy1000/snapshots/jimtcl.zip
 
 zy1000 1.46 
 ------------------------------------------------------------------------
 r1136 | oharboe | 2008-11-05 10:06:34 +0100 (Wed, 05 Nov 2008) | 1 line
+Changed paths:
+   A /trunk/src/target/target/imote2.cfg
+   A /trunk/src/target/target/is5114.cfg
+   A /trunk/src/target/target/str910-eval.cfg
 
 wip
 ------------------------------------------------------------------------
 r1135 | oharboe | 2008-11-05 09:48:50 +0100 (Wed, 05 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/helper/startup.tcl
+   M /trunk/src/openocd.c
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/server/telnet_server.c
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
 
 fix telnet async messages. retired telnet_async command - no user serviceable parts inside.
 ------------------------------------------------------------------------
 r1134 | oharboe | 2008-11-05 08:45:31 +0100 (Wed, 05 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/ecosboard.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/jtag/zy1000.c
+   M /trunk/src/target/target.c
 
 disable continous polling while srst is asserted and power dropout is detected
 ------------------------------------------------------------------------
 r1133 | oharboe | 2008-11-05 07:39:33 +0100 (Wed, 05 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 John McCarthy <jgmcc@magma.ca> - mips_4k options
 ------------------------------------------------------------------------
 r1132 | oharboe | 2008-11-04 18:31:23 +0100 (Tue, 04 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm920t.c
 
 arm7_9_execute_sys_speed error propagation. Found by code inspection, no observed problems as such.
 ------------------------------------------------------------------------
 r1131 | oharboe | 2008-11-04 12:08:19 +0100 (Tue, 04 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/startup.tcl
 
 cpu help command wip
 ------------------------------------------------------------------------
 r1130 | oharboe | 2008-11-04 09:54:07 +0100 (Tue, 04 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 Added Tcl escaping to FAQ
 ------------------------------------------------------------------------
 r1129 | oharboe | 2008-11-04 09:02:06 +0100 (Tue, 04 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 Rick Alterr - The attached patch makes the target syntax parsing much more robust and makes the variant optional again.
 ------------------------------------------------------------------------
 r1128 | ntfreak | 2008-11-03 15:27:57 +0100 (Mon, 03 Nov 2008) | 2 lines
+Changed paths:
+   M /trunk/src/jtag/jlink.c
+   M /trunk/src/target/target/imx27.cfg
 
 - fix issue with jlink/libusb timeout under linux
 - add missing svn props
 ------------------------------------------------------------------------
 r1127 | oharboe | 2008-11-03 14:30:43 +0100 (Mon, 03 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/xsvf/xsvf.c
 
 Peter Hettkamp <peter.hettkamp@htp-tel.de> fix some problems with xsvf. Still doesn't work.
 ------------------------------------------------------------------------
 r1126 | oharboe | 2008-11-03 08:22:14 +0100 (Mon, 03 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/flash.c
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/jim-eventloop.c
+   M /trunk/src/helper/jim-eventloop.h
+   M /trunk/src/target/target.c
 
 Rick Altherr <kc8apf@kc8apf.net> - fix warnings
 ------------------------------------------------------------------------
 r1125 | oharboe | 2008-11-02 22:21:01 +0100 (Sun, 02 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/xscale.c
+   M /trunk/src/target/xscale.h
 
 more error handling and removed force breakpoints as that is handled by a more generic gdb command
 ------------------------------------------------------------------------
 r1124 | oharboe | 2008-11-02 22:16:41 +0100 (Sun, 02 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 invoke target_create() once
 ------------------------------------------------------------------------
 r1123 | oharboe | 2008-11-02 21:55:07 +0100 (Sun, 02 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 step command now propagates error
 ------------------------------------------------------------------------
 r1122 | oharboe | 2008-11-02 19:59:31 +0100 (Sun, 02 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/Makefile.am
+   A /trunk/src/target/target/imx27.cfg
 
 Alan Carvalho de Assis <acassis@gmail.com> imx27 config file
 ------------------------------------------------------------------------
 r1121 | oharboe | 2008-11-02 19:56:11 +0100 (Sun, 02 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/armv7m.c
 
 ?\195?\152yvind Harboe and Rick Altherr <kc8apf@kc8apf.net> - handle failed run algorithms more gracefully
 ------------------------------------------------------------------------
 r1120 | oharboe | 2008-11-02 19:52:48 +0100 (Sun, 02 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/flash.c
 
 Rick Altherr <kc8apf@kc8apf.net> -  fix flash write_bank output.
 ------------------------------------------------------------------------
 r1119 | oharboe | 2008-11-02 19:50:26 +0100 (Sun, 02 Nov 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/cortex_m3.c
 
 Rick Altherr <kc8apf@kc8apf.net> -  In cortex_m3_resume if debug_execution is non-zero, the PRIMASK and xSPR are modified.  The problem is that while the register value is changed, it isn't marked valid or dirty.
 ------------------------------------------------------------------------
 r1118 | oharboe | 2008-11-02 19:37:26 +0100 (Sun, 02 Nov 2008) | 1 line
+Changed paths:
+   D /trunk/src/target/event
 
 no longer used
 ------------------------------------------------------------------------
 r1117 | oharboe | 2008-10-31 14:40:02 +0100 (Fri, 31 Oct 2008) | 2 lines
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/command.h
+   M /trunk/src/helper/startup.tcl
+   M /trunk/src/server/telnet_server.c
 
 Added telnet_async command to enable/disable asynchronous
 messages.
 ------------------------------------------------------------------------
 r1116 | oharboe | 2008-10-31 07:57:42 +0100 (Fri, 31 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/Makefile.am
+   D /trunk/src/target/event/at91r40008_reset.script
+   D /trunk/src/target/event/at91sam9260_reset.script
+   D /trunk/src/target/event/eir-sam7se512_reset.script
+   D /trunk/src/target/event/hammer_reset.script
+   D /trunk/src/target/event/omap5912_reset.script
+   D /trunk/src/target/event/pxa255_reset.script
+   D /trunk/src/target/event/sam7x256_reset.script
+   D /trunk/src/target/event/str710_program.script
+   D /trunk/src/target/event/str730_program.script
+   D /trunk/src/target/event/str750_program.script
+   D /trunk/src/target/event/wi-9c_reset.script
+   D /trunk/src/target/event/xba_revA3.script
+   M /trunk/src/target/target/at91r40008.cfg
+   M /trunk/src/target/target/at91sam9260.cfg
+   M /trunk/src/target/target/eir-sam7se512.cfg
+   M /trunk/src/target/target/hammer.cfg
+   M /trunk/src/target/target/omap5912.cfg
+   M /trunk/src/target/target/pxa255.cfg
+   M /trunk/src/target/target/sam7x256.cfg
+   M /trunk/src/target/target/str710.cfg
+   M /trunk/src/target/target/str730.cfg
+   M /trunk/src/target/target/str750.cfg
+   M /trunk/src/target/target/wi-9c.cfg
+   M /trunk/src/target/target/xba_revA3.cfg
 
 Rick Altherr <kc8apf@kc8apf.net> switch to new syntax for target events
 ------------------------------------------------------------------------
 r1114 | oharboe | 2008-10-30 09:04:11 +0100 (Thu, 30 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/aduc702x.cfg
+   M /trunk/src/target/target/at91eb40a.cfg
+   M /trunk/src/target/target/at91r40008.cfg
+   M /trunk/src/target/target/at91sam9260.cfg
+   M /trunk/src/target/target/at91sam9260minimal.cfg
+   M /trunk/src/target/target/eir-sam7se512.cfg
+   M /trunk/src/target/target/epc9301.cfg
+   M /trunk/src/target/target/hammer.cfg
+   M /trunk/src/target/target/imx31.cfg
+   M /trunk/src/target/target/ipx42x.cfg
+   M /trunk/src/target/target/lm3s3748.cfg
+   M /trunk/src/target/target/lm3s6965.cfg
+   M /trunk/src/target/target/lm3s811.cfg
+   M /trunk/src/target/target/lpc2129.cfg
+   M /trunk/src/target/target/lpc2148.cfg
+   M /trunk/src/target/target/lpc2294.cfg
+   M /trunk/src/target/target/netx500.cfg
+   M /trunk/src/target/target/nslu2.cfg
+   M /trunk/src/target/target/omap5912.cfg
+   M /trunk/src/target/target/pic32mx.cfg
+   M /trunk/src/target/target/pxa255.cfg
+   M /trunk/src/target/target/pxa255_sst.cfg
+   M /trunk/src/target/target/pxa270.cfg
+   M /trunk/src/target/target/s3c2440.cfg
+   M /trunk/src/target/target/sam7x256.cfg
+   M /trunk/src/target/target/stm32.cfg
+   M /trunk/src/target/target/stm32stick.cfg
+   M /trunk/src/target/target/str710.cfg
+   M /trunk/src/target/target/str730.cfg
+   M /trunk/src/target/target/str750.cfg
+   M /trunk/src/target/target/str912.cfg
+   M /trunk/src/target/target/str9comstick.cfg
+   M /trunk/src/target/target/test_reset_syntax_error.cfg
+   M /trunk/src/target/target/test_syntax_error.cfg
+   M /trunk/src/target/target/wi-9c.cfg
+   M /trunk/src/target/target/xba_revA3.cfg
+   M /trunk/src/target/target/zy1000.cfg
+   M /trunk/testing/examples/AT91R40008Test/prj/at91r40008_turtle.cfg
+   M /trunk/testing/examples/LPC2148Test/prj/lpc2148_jtagkey.cfg
+   M /trunk/testing/examples/LPC2294Test/prj/lpc2294_jtagkey.cfg
+   M /trunk/testing/examples/SAM7S256Test/prj/sam7s256_jtagkey.cfg
+   M /trunk/testing/examples/SAM7X256Test/prj/sam7x256_jtagkey.cfg
+   M /trunk/testing/examples/STR710JtagSpeed/prj/str710_jtagkey.cfg
+   M /trunk/testing/examples/STR710Test/prj/str710_jtagkey.cfg
+   M /trunk/testing/examples/STR912Test/prj/str912_jtagkey.cfg
 
 Rick Altherr <kc8apf@kc8apf.net> - update syntax
 ------------------------------------------------------------------------
 r1113 | oharboe | 2008-10-30 08:49:13 +0100 (Thu, 30 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7_9_common.h
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/feroceon.c
 
 Hongtao Zheng single step fixes
 ------------------------------------------------------------------------
 r1112 | ntfreak | 2008-10-28 23:53:59 +0100 (Tue, 28 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
 
 - remove build warning
 ------------------------------------------------------------------------
 r1111 | oharboe | 2008-10-28 18:49:22 +0100 (Tue, 28 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/s3c2440.cfg
 
 Kees Jongenburger <kees.jongenburger@gmail.com> update syntax
 ------------------------------------------------------------------------
 r1110 | oharboe | 2008-10-28 15:55:25 +0100 (Tue, 28 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7_9_common.h
+   M /trunk/src/target/arm9tdmi.c
 
 Hongtao Zheng  - more fixes to single stepping. Better hiding of details and fixes feroceon regression.
 ------------------------------------------------------------------------
 r1109 | oharboe | 2008-10-28 14:44:55 +0100 (Tue, 28 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm_simulator.c
 
 Hongtao Zheng  - fix a simulation error for "BX PC"
 ------------------------------------------------------------------------
 r1108 | oharboe | 2008-10-28 09:06:07 +0100 (Tue, 28 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 Rick Altherr <kc8apf@kc8apf.net> - fix support for old target syntax
 ------------------------------------------------------------------------
 r1107 | oharboe | 2008-10-27 21:57:17 +0100 (Mon, 27 Oct 2008) | 2 lines
+Changed paths:
+   M /trunk/src/target/target.c
 
 Kees Jongenburger <kees.jongenburger@gmail.com> old" syntax target command appears to be broken
 this patch addresses this issue
 ------------------------------------------------------------------------
 r1106 | oharboe | 2008-10-27 21:56:58 +0100 (Mon, 27 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/startup.tcl
 
 Kees Jongenburger <kees.jongenburger@gmail.com> - fix typo
 ------------------------------------------------------------------------
 r1105 | oharboe | 2008-10-27 12:36:03 +0100 (Mon, 27 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7_9_common.h
+   M /trunk/src/target/arm9tdmi.c
 
 Hongtao Zheng - add simulation because previous functions could not halt for instructions that next pc equal to the current pc.
 ------------------------------------------------------------------------
 r1104 | oharboe | 2008-10-27 11:17:50 +0100 (Mon, 27 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/zy1000.cfg
 
 fix working area address
 ------------------------------------------------------------------------
 r1103 | oharboe | 2008-10-27 11:17:36 +0100 (Mon, 27 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/ecosboard.c
 
 added option to use ramdisk instead of flash jffs2
 ------------------------------------------------------------------------
 r1102 | oharboe | 2008-10-27 08:32:09 +0100 (Mon, 27 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/replacements.h
 
 now compiles under Cygwin and eCos again.
 ------------------------------------------------------------------------
 r1101 | ntfreak | 2008-10-24 17:53:22 +0200 (Fri, 24 Oct 2008) | 2 lines
+Changed paths:
+   M /trunk/src/helper/replacements.h
+   M /trunk/src/helper/startup.tcl
 
 - fix native mingw build if gettimeofday not defined.
 - reformat whitespace in startup.tcl
 ------------------------------------------------------------------------
 r1099 | oharboe | 2008-10-24 09:18:13 +0200 (Fri, 24 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/startup.tcl
+   M /trunk/src/server/gdb_server.c
 
 gdb_report_data_abort now ignores all target read errors, including address space wraps. Hopefully works around problems in 6.8
 ------------------------------------------------------------------------
 r1098 | oharboe | 2008-10-23 16:14:34 +0200 (Thu, 23 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/at91eb40a.cfg
 
 fix working memory location
 ------------------------------------------------------------------------
 r1097 | oharboe | 2008-10-23 14:55:10 +0200 (Thu, 23 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm_simulator.c
 
 hontor <hontor@126.com> - fix simulation step errors
 ------------------------------------------------------------------------
 r1096 | oharboe | 2008-10-23 14:52:30 +0200 (Thu, 23 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm926ejs.c
 
 only log BUG: (do not return error) in the case of unknown debug reason(0xc)
 ------------------------------------------------------------------------
 r1094 | oharboe | 2008-10-23 08:04:40 +0200 (Thu, 23 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm926ejs.c
 
 whitespace trouble....
 ------------------------------------------------------------------------
 r1092 | oharboe | 2008-10-22 20:20:42 +0200 (Wed, 22 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/startup.tcl
 
 load and verify are now synonymous to load/verify_image
 ------------------------------------------------------------------------
 r1091 | oharboe | 2008-10-22 20:10:21 +0200 (Wed, 22 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/ecosboard.c
 
 updated docs a bit.
 ------------------------------------------------------------------------
 r1090 | oharboe | 2008-10-22 15:45:46 +0200 (Wed, 22 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/gdb_server.c
 
 produce syntax error
 ------------------------------------------------------------------------
 r1089 | oharboe | 2008-10-22 15:40:57 +0200 (Wed, 22 Oct 2008) | 1 line
+Changed paths:
+   A /trunk/PATCHES
 
 how to send patch
 ------------------------------------------------------------------------
 r1088 | oharboe | 2008-10-22 12:13:52 +0200 (Wed, 22 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 Laurentiu Cocanu - more help text
 ------------------------------------------------------------------------
 r1087 | oharboe | 2008-10-22 11:30:33 +0200 (Wed, 22 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/ecosboard.c
+   M /trunk/src/helper/tclapi.c
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/parport.c
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/server/tcl_server.c
+   M /trunk/src/server/telnet_server.c
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target_request.c
 
 Laurentiu Cocanu - more help text
 ------------------------------------------------------------------------
 r1086 | oharboe | 2008-10-22 09:55:45 +0200 (Wed, 22 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/ecosboard.c
+   M /zy1000/build/include/rom.h
 
 version number keyword expansion handling
 ------------------------------------------------------------------------
 r1085 | oharboe | 2008-10-22 09:37:40 +0200 (Wed, 22 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/ecosboard.c
+   M /trunk/src/helper/replacements.h
+   M /zy1000/build/include/rom.h
+   M /zy1000/build/menu/zy1000menu.xml
+   M /zy1000/build/tcl/browsemem.tcl
+   M /zy1000/build/tcl/downloadmem.tcl
+   M /zy1000/build/tcl/editconfigs.tcl
+   M /zy1000/build/tcl/editfile.tcl
+   M /zy1000/build/tcl/erase.tcl
+   M /zy1000/build/tcl/flash.tcl
+   M /zy1000/build/tcl/flashinfo.tcl
+   A /zy1000/build/tcl/guiupload.tcl
+   M /zy1000/build/tcl/index.tcl
+   M /zy1000/build/tcl/log.tcl
+   M /zy1000/build/tcl/openocd.tcl
+   M /zy1000/build/tcl/preconfig.tcl
+   M /zy1000/build/tcl/production.tcl
+   M /zy1000/build/tcl/reload.tcl
+   M /zy1000/build/tcl/run.tcl
+   M /zy1000/build/tcl/runtcl.tcl
+   M /zy1000/build/tcl/support.tcl
+   M /zy1000/build/tcl/targets.tcl
+   M /zy1000/build/tcl/terminal.tcl
+   M /zy1000/build/tcl/upgrade.tcl
+   M /zy1000/build/tcl/upload.tcl
+   M /zy1000/build/tcl/zy1000.tcl
+   M /zy1000/snapshots/athttpd.zip
+   M /zy1000/snapshots/jimtcl.zip
 
 fix warnings when building for eCos
 ------------------------------------------------------------------------
 r1084 | oharboe | 2008-10-21 22:21:32 +0200 (Tue, 21 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/Makefile.am
+   D /trunk/src/target/target/mx31.cfg
 
 remove duplicate target
 ------------------------------------------------------------------------
 r1083 | oharboe | 2008-10-17 16:53:08 +0200 (Fri, 17 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 Laurentiu Cocanu - document various commands.
 ------------------------------------------------------------------------
 r1081 | ntfreak | 2008-10-17 15:09:56 +0200 (Fri, 17 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 - add link in texi docs
 ------------------------------------------------------------------------
 r1080 | oharboe | 2008-10-17 14:55:27 +0200 (Fri, 17 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/replacements.h
 
 try to get struct timezone def right w.r.t. config.h. Now compiles under Cygwin and eCos
 ------------------------------------------------------------------------
 r1079 | ntfreak | 2008-10-17 14:26:27 +0200 (Fri, 17 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 - remove texi warnings
 ------------------------------------------------------------------------
 r1077 | ntfreak | 2008-10-16 23:02:44 +0200 (Thu, 16 Oct 2008) | 2 lines
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/flash/mflash.c
+   M /trunk/src/flash/mflash.h
 
 - update docs deprecated section to include links to new commands (if any)
 - added missing svn props
 ------------------------------------------------------------------------
 r1076 | oharboe | 2008-10-16 21:44:05 +0200 (Thu, 16 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/log.c
+   M /trunk/src/target/target/zy1000.cfg
+   M /zy1000/build/tcl/production.tcl
 
 sleep command now prints out target debugmsgs w/anything like usable performance
 ------------------------------------------------------------------------
 r1074 | oharboe | 2008-10-16 15:37:59 +0200 (Thu, 16 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/flash.c
 
 fix error handling in flash fill
 ------------------------------------------------------------------------
 r1073 | oharboe | 2008-10-16 15:16:49 +0200 (Thu, 16 Oct 2008) | 1 line
+Changed paths:
+   D /trunk/doc/README_TARGET_COMMAND.txt
+   M /trunk/doc/openocd.texi
 
 Laurentiu Cocanu - integrated new tcl target command docs 
 ------------------------------------------------------------------------
 r1072 | oharboe | 2008-10-16 15:02:36 +0200 (Thu, 16 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/startup.tcl
+   M /trunk/src/target/target/zy1000.cfg
 
 added help on production proc's
 ------------------------------------------------------------------------
 r1071 | oharboe | 2008-10-16 14:52:32 +0200 (Thu, 16 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/zy1000.cfg
+   M /zy1000/build/menu/zy1000menu.xml
+   M /zy1000/build/tcl/production.tcl
 
 adding concept of production script
 ------------------------------------------------------------------------
 r1070 | oharboe | 2008-10-16 14:21:24 +0200 (Thu, 16 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/flash.c
 
 removed autoerase from flash fillX
 ------------------------------------------------------------------------
 r1069 | oharboe | 2008-10-16 14:21:02 +0200 (Thu, 16 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/command.c
 
 added capture command to capture log output. Useful when wanting to capture log output from tcl procedures that invoke openocd commands
 ------------------------------------------------------------------------
 r1068 | oharboe | 2008-10-16 14:20:11 +0200 (Thu, 16 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/armv4_5.c
 
 more robust error reporting for DCC
 ------------------------------------------------------------------------
 r1067 | oharboe | 2008-10-16 08:15:03 +0200 (Thu, 16 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/flash/Makefile.am
+   A /trunk/src/flash/mflash.c
+   A /trunk/src/flash/mflash.h
+   M /trunk/src/openocd.c
 
 unsik Kim <donari75@gmail.com> - mflash support
 ------------------------------------------------------------------------
 r1066 | ntfreak | 2008-10-15 23:07:42 +0200 (Wed, 15 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 - make docs more readable
 ------------------------------------------------------------------------
 r1065 | ntfreak | 2008-10-15 17:11:36 +0200 (Wed, 15 Oct 2008) | 4 lines
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/openocd.c
+   M /trunk/src/target/interface/openocd-usb.cfg
 
 - fix tcl_port typo in docs
 - remove build warning from openocd.c
@@ -1980,64 +4378,152 @@ r1065 | ntfreak | 2008-10-15 17:11:36 +0
 
 ------------------------------------------------------------------------
 r1064 | oharboe | 2008-10-15 13:44:36 +0200 (Wed, 15 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/at91sam7.c
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/flash/lpc2000.c
+   M /trunk/src/flash/nand.c
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/embeddedice.c
+   M /trunk/src/target/etb.c
+   M /trunk/src/target/etm.c
+   M /trunk/src/target/feroceon.c
+   M /trunk/src/target/target.c
+   M /trunk/src/target/xscale.c
 
 Laurentiu Cocanu - memory read/write and exit() error path fixes
 ------------------------------------------------------------------------
 r1063 | oharboe | 2008-10-15 09:08:18 +0200 (Wed, 15 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 ?\234?\185?\128?\236?\154?\180?\236?\139?\157 <donari75@gmail.com> spotted a bug in target_write_u8
 ------------------------------------------------------------------------
 r1062 | ntfreak | 2008-10-14 22:58:28 +0200 (Tue, 14 Oct 2008) | 2 lines
+Changed paths:
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/armv7m.c
+   M /trunk/src/target/mips_m4k.c
+   M /trunk/src/target/target/test_reset_syntax_error.cfg
+   M /trunk/src/target/target/test_syntax_error.cfg
+   M /trunk/src/target/target.h
 
 - remove build warnings
 - add missing svn props
 ------------------------------------------------------------------------
 r1061 | oharboe | 2008-10-14 20:02:36 +0200 (Tue, 14 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/cfi.c
 
 Laurentiu Cocanu - fix error handling
 ------------------------------------------------------------------------
 r1060 | oharboe | 2008-10-14 15:35:38 +0200 (Tue, 14 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/etm.c
 
 fixed a few crashes in syntax handling
 ------------------------------------------------------------------------
 r1059 | oharboe | 2008-10-14 15:14:52 +0200 (Tue, 14 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/flash.c
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/target/armv7m.c
 
 Laurentiu Cocanu - more error handling fixes
 ------------------------------------------------------------------------
 r1057 | oharboe | 2008-10-14 13:06:30 +0200 (Tue, 14 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/arm720t.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/arm966e.c
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/arm_jtag.c
+   M /trunk/src/target/arm_simulator.c
+   M /trunk/src/target/armv4_5.c
+   M /trunk/src/target/embeddedice.c
+   M /trunk/src/target/embeddedice.h
 
 Laurentiu Cocanu - add error handling
 ------------------------------------------------------------------------
 r1056 | oharboe | 2008-10-14 12:06:22 +0200 (Tue, 14 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 clarified jtag_ntrst_delay option
 ------------------------------------------------------------------------
 r1055 | oharboe | 2008-10-14 11:37:44 +0200 (Tue, 14 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 tip on checking with supplier for binaries
 ------------------------------------------------------------------------
 r1054 | oharboe | 2008-10-14 10:38:36 +0200 (Tue, 14 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/Makefile.am
+   A /trunk/src/target/target/test_reset_syntax_error.cfg
+   A /trunk/src/target/target/test_syntax_error.cfg
+   M /zy1000/build/menu/zy1000menu.xml
+   M /zy1000/build/tcl/index.tcl
 
 testing of syntax error in reset and at startup
 ------------------------------------------------------------------------
 r1053 | oharboe | 2008-10-14 09:30:45 +0200 (Tue, 14 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/startup.tcl
+   M /trunk/src/target/target/at91eb40a.cfg
+   M /trunk/src/target/target/at91sam9260.cfg
+   M /trunk/src/target/target/eir-sam7se512.cfg
+   M /trunk/src/target/target/hammer.cfg
+   M /trunk/src/target/target/lpc2148.cfg
+   M /trunk/src/target/target/omap5912.cfg
+   M /trunk/src/target/target/pxa255.cfg
+   M /trunk/src/target/target/sam7x256.cfg
+   M /trunk/src/target/target/str710.cfg
+   M /trunk/src/target/target/str730.cfg
+   M /trunk/src/target/target/str750.cfg
+   M /trunk/src/target/target/str912.cfg
+   M /trunk/src/target/target/wi-9c.cfg
+   M /trunk/src/target/target/xba_revA3.cfg
+   M /trunk/src/target/target.c
 
 reset cleanup. Remove obsolete events that are not needed for compatibility.
 ------------------------------------------------------------------------
 r1052 | oharboe | 2008-10-14 09:16:51 +0200 (Tue, 14 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 added warning to use GDB 6.7 or newer
 ------------------------------------------------------------------------
 r1051 | oharboe | 2008-10-14 08:27:46 +0200 (Tue, 14 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/flash/non_cfi.c
 
 Ben Bodley TEKNIQUE <ben@teknique.com> - support for the 1Mb Spansion Flash S29AL008D.
 ------------------------------------------------------------------------
 r1050 | oharboe | 2008-10-14 08:26:33 +0200 (Tue, 14 Oct 2008) | 2 lines
+Changed paths:
+   M /trunk/src/target/mips_m4k.c
 
 John McCarthy <jgmcc@magma.ca> two patches add a mips_m4k target option (ejtag_reset) to cause a reset command to use the EJTAG Peripheral and System Reset in addition to srst.  This is for targets like the wrt54gl which do not connect the
 srst to a system reset (I believe it just goes to a GPIO).
 ------------------------------------------------------------------------
 r1049 | oharboe | 2008-10-14 08:21:17 +0200 (Tue, 14 Oct 2008) | 4 lines
+Changed paths:
+   M /trunk/src/target/mips32_dmaacc.c
+   M /trunk/src/target/mips32_dmaacc.h
+   M /trunk/src/target/mips32_pracc.c
+   M /trunk/src/target/mips_ejtag.c
+   M /trunk/src/target/mips_m4k.c
 
 John McCarthy <jgmcc@magma.ca> cleans up the usage of the
 ejtag_info->ejtag_ctrl variable.  It was being overwritten by the value read back from the EJTAG CONTROL register.  Because of the way this register works you do not want to use the value returned to write the register, you always want to write the bits explicitly.
@@ -2045,30 +4531,49 @@ ejtag_info->ejtag_ctrl variable.  It was
 The second patch just reduces the DMA retries to 0 in anticipation of removing the retry code altogether.
 ------------------------------------------------------------------------
 r1048 | oharboe | 2008-10-14 08:21:02 +0200 (Tue, 14 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 reset cleanup
 ------------------------------------------------------------------------
 r1047 | oharboe | 2008-10-13 22:38:58 +0200 (Mon, 13 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
 
 Retired old reset code according to plan.
 ------------------------------------------------------------------------
 r1046 | oharboe | 2008-10-13 15:11:44 +0200 (Mon, 13 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/register.c
 
 SEGFAULT gaffe in dummy register handling
 ------------------------------------------------------------------------
 r1045 | oharboe | 2008-10-13 14:17:11 +0200 (Mon, 13 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/armv7m.c
 
 hontor <hontor@126.com> - ARMV7_GDB_HACKS compilation error fix
 ------------------------------------------------------------------------
 r1044 | oharboe | 2008-10-13 14:16:44 +0200 (Mon, 13 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/arm11.h
 
 fix crash when connecting GDB to powered down target
 ------------------------------------------------------------------------
 r1043 | oharboe | 2008-10-13 14:04:05 +0200 (Mon, 13 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm11.c
 
 fix crash when connecting GDB to powered down target
 ------------------------------------------------------------------------
 r1042 | oharboe | 2008-10-13 12:30:33 +0200 (Mon, 13 Oct 2008) | 4 lines
+Changed paths:
+   M /trunk/src/helper/startup.tcl
+   M /trunk/src/target/target/lpc2148.cfg
+   M /trunk/src/target/target.c
+   M /zy1000/build/tcl/openocd.cfg
 
 Fixed gaffes in reset script handling + improved error
 messages a bit. The file and line # of the syntax error
@@ -2076,228 +4581,515 @@ in a reset script is now printed.
 
 ------------------------------------------------------------------------
 r1041 | oharboe | 2008-10-13 08:52:05 +0200 (Mon, 13 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/time_support.c
+   M /trunk/src/helper/time_support.h
+   M /trunk/src/target/breakpoints.c
+   M /trunk/src/target/breakpoints.h
+   M /trunk/src/target/image.c
+   M /trunk/src/target/image.h
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
 
 Laurentiu Cocanu <laurentiu.cocanu@zylin.com> - Added additional error checks mostly to src/target/target.c
 ------------------------------------------------------------------------
 r1040 | oharboe | 2008-10-12 19:28:12 +0200 (Sun, 12 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/armv4_5.c
 
  Fix problems with DCC downloads routine crashing silently.
 ------------------------------------------------------------------------
 r1039 | oharboe | 2008-10-11 08:13:21 +0200 (Sat, 11 Oct 2008) | 3 lines
+Changed paths:
+   M /trunk/src/helper/log.h
+   M /trunk/src/server/gdb_server.c
 
 Duane Ellis: addresses protocol problems with GDB.
 
 https://lists.berlios.de/pipermail/openocd-development/2008-October/003326.html
 ------------------------------------------------------------------------
 r1038 | oharboe | 2008-10-10 17:21:24 +0200 (Fri, 10 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/Makefile.am
+   A /trunk/src/target/interface/openocd-usb.cfg
 
 John McCarthy <jgmcc@magma.ca> openocd-usb.cfg added
 ------------------------------------------------------------------------
 r1037 | oharboe | 2008-10-09 18:12:44 +0200 (Thu, 09 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
 
 abort writing algorithm to target upon failure
 ------------------------------------------------------------------------
 r1035 | oharboe | 2008-10-09 14:05:57 +0200 (Thu, 09 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/ecosboard.c
 
 enumeration of threads for testing purposes.
 ------------------------------------------------------------------------
 r1034 | oharboe | 2008-10-09 13:23:54 +0200 (Thu, 09 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/ecosboard.c
+   M /trunk/src/target/Makefile.am
+   D /trunk/src/target/event/zy1000_reset.script
+   M /zy1000/build/include/rom.h
+   M /zy1000/build/menu/Generate ZY1000 Menus.launch
+   M /zy1000/build/menu/zy1000menu.xml
+   M /zy1000/build/tcl/browsemem.tcl
+   M /zy1000/build/tcl/downloadmem.tcl
+   M /zy1000/build/tcl/editconfigs.tcl
+   M /zy1000/build/tcl/editfile.tcl
+   M /zy1000/build/tcl/erase.tcl
+   M /zy1000/build/tcl/flash.tcl
+   M /zy1000/build/tcl/flashinfo.tcl
+   M /zy1000/build/tcl/index.tcl
+   M /zy1000/build/tcl/log.tcl
+   M /zy1000/build/tcl/openocd.tcl
+   M /zy1000/build/tcl/preconfig.tcl
+   M /zy1000/build/tcl/production.tcl
+   M /zy1000/build/tcl/reload.tcl
+   M /zy1000/build/tcl/run.tcl
+   M /zy1000/build/tcl/runtcl.tcl
+   M /zy1000/build/tcl/support.tcl
+   M /zy1000/build/tcl/targets.tcl
+   M /zy1000/build/tcl/upgrade.tcl
+   M /zy1000/build/tcl/upload.tcl
+   M /zy1000/build/tcl/zy1000.tcl
+   M /zy1000/snapshots/athttpd.zip
+   M /zy1000/snapshots/jimtcl.zip
 
 zy1000 1.44 snapshot
 ------------------------------------------------------------------------
 r1033 | oharboe | 2008-10-09 10:08:29 +0200 (Thu, 09 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/log.c
+   M /trunk/src/helper/log.h
 
 added busy sleep (for testing purposes)
 ------------------------------------------------------------------------
 r1032 | ntfreak | 2008-10-08 22:16:51 +0200 (Wed, 08 Oct 2008) | 3 lines
+Changed paths:
+   M /trunk/contrib/libdcc/dcc_stdio.c
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/arm11.h
+   M /trunk/src/target/mips32_dmaacc.c
+   M /trunk/src/target/mips32_dmaacc.h
+   M /trunk/src/target/mips_m4k.c
 
 - remove build warnings from mips_m4k.c and arm11.c
 - reformat whitespace arm11.c[ch]
 - add missing svn props from mips32_dmaacc.[ch]
 ------------------------------------------------------------------------
 r1031 | oharboe | 2008-10-08 15:07:21 +0200 (Wed, 08 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/openocd.c
 
 Richard Missenden exit now works during startup script
 ------------------------------------------------------------------------
 r1030 | oharboe | 2008-10-08 13:06:44 +0200 (Wed, 08 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/configuration.c
+   M /trunk/src/target/target.c
 
 file not found SEGFAULT fix
 ------------------------------------------------------------------------
 r1029 | oharboe | 2008-10-08 07:09:59 +0200 (Wed, 08 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/Makefile.am
+   A /trunk/src/target/mips32_dmaacc.c
+   A /trunk/src/target/mips32_dmaacc.h
+   M /trunk/src/target/mips_ejtag.c
+   M /trunk/src/target/mips_ejtag.h
+   M /trunk/src/target/mips_m4k.c
 
 John McCarthy <jgmcc@magma.ca> adds support for DMA mode access as supported by EJTAG 1.0/2.0 processors
 ------------------------------------------------------------------------
 r1028 | oharboe | 2008-10-08 07:05:57 +0200 (Wed, 08 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/contrib/libdcc/README
+   M /trunk/contrib/libdcc/dcc_stdio.c
+   M /trunk/contrib/libdcc/dcc_stdio.h
+   M /trunk/contrib/libdcc/example.c
 
 Signed-off-by: Frederik Kriewitz <frederik@kriewitz.eu> libdcc bugfixes + trace point function
 ------------------------------------------------------------------------
 r1027 | oharboe | 2008-10-07 20:12:07 +0200 (Tue, 07 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/openocd.c
 
 reduce patch problems by moving $xxx expansion into seperate fn
 ------------------------------------------------------------------------
 r1026 | oharboe | 2008-10-07 20:04:14 +0200 (Tue, 07 Oct 2008) | 3 lines
+Changed paths:
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/armv4_5.c
+   M /trunk/src/target/armv7m.c
+   M /trunk/src/target/mips32.c
+   M /trunk/src/target/register.c
+   M /trunk/src/target/register.h
 
 Fixes SEGFAULT when setting registers from GDB.
 
 set $cpsr=1234 
 ------------------------------------------------------------------------
 r1025 | oharboe | 2008-10-07 19:45:26 +0200 (Tue, 07 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/trace.c
 
 Frederik Kriewitz <frederik at kriewitz.eu> Segmentation fault fix.
 ------------------------------------------------------------------------
 r1024 | oharboe | 2008-10-07 14:08:00 +0200 (Tue, 07 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/armv7m.c
 
 fixed crash in dummy register handling
 ------------------------------------------------------------------------
 r1023 | oharboe | 2008-10-07 13:08:57 +0200 (Tue, 07 Oct 2008) | 2 lines
+Changed paths:
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/arm11.h
 
 Georg Acher <acher@in.tum.de> - arm11 wip. run algorithm + small init bugfix. 
 
 ------------------------------------------------------------------------
 r1022 | ntfreak | 2008-10-06 20:28:56 +0200 (Mon, 06 Oct 2008) | 2 lines
+Changed paths:
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/target/cortex_swjdp.c
+   M /trunk/testing/examples/cortex/test.c
+   M /trunk/testing/examples/cortex/test.ld
 
 - remove build warnings
 - add missing svn props
 ------------------------------------------------------------------------
 r1020 | oharboe | 2008-10-06 14:14:52 +0200 (Mon, 06 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/zy1000.cfg
+   A /trunk/testing/examples/cortex
+   A /trunk/testing/examples/cortex/lm3s3748.elf
+   A /trunk/testing/examples/cortex/test.c
+   A /trunk/testing/examples/cortex/test.ld
 
 basic smoketest on lm3s3748.elf
 ------------------------------------------------------------------------
 r1019 | oharboe | 2008-10-06 14:09:27 +0200 (Mon, 06 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/target/register.c
+   M /trunk/src/target/target.c
 
 Centralize error handling for buggy register handling
 ------------------------------------------------------------------------
 r1018 | oharboe | 2008-10-06 13:16:10 +0200 (Mon, 06 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/image.c
 
 better keep_alive() handling
 ------------------------------------------------------------------------
 r1017 | oharboe | 2008-10-06 08:22:58 +0200 (Mon, 06 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/cfi.c
 
 Georg Acher <acher@in.tum.de> implements the buffer flash mode for Spansion flashes. It's basically a clone of the Intel version, just a few details differ
 ------------------------------------------------------------------------
 r1016 | oharboe | 2008-10-05 21:44:41 +0200 (Sun, 05 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/bitbang.c
 
 Georg Acher <acher@in.tum.de> corrected TDO sampling
 ------------------------------------------------------------------------
 r1015 | oharboe | 2008-10-04 09:56:13 +0200 (Sat, 04 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/cortex_swjdp.c
 
 timeout is now 1000ms instead of trying 100 times.
 ------------------------------------------------------------------------
 r1014 | oharboe | 2008-10-03 15:25:33 +0200 (Fri, 03 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/armv4_5.c
+   M /trunk/src/target/image.c
+   M /trunk/src/target/target.c
 
 GDB alive fixes for verify_image
 ------------------------------------------------------------------------
 r1013 | oharboe | 2008-10-01 11:53:32 +0200 (Wed, 01 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/startup.tcl
 
 Duane Ellis: added missing invocation of reset-init
 ------------------------------------------------------------------------
 r1012 | oharboe | 2008-10-01 10:39:25 +0200 (Wed, 01 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/event/zy1000_reset.script
 
 fixed gaffe: disable interrupts reset init script
 ------------------------------------------------------------------------
 r1011 | oharboe | 2008-10-01 10:18:27 +0200 (Wed, 01 Oct 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/event/zy1000_reset.script
 
 fixed gaffe: disable interrupts reset init script
 ------------------------------------------------------------------------
 r1010 | ntfreak | 2008-09-29 10:45:52 +0200 (Mon, 29 Sep 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/at91sam7.c
 
 - at91sam7.c remove build warnings
 ------------------------------------------------------------------------
 r1009 | ntfreak | 2008-09-27 15:00:01 +0200 (Sat, 27 Sep 2008) | 2 lines
+Changed paths:
+   M /trunk/doc/INSTALL.txt
+   M /trunk/src/ecosboard.c
+   M /trunk/src/flash/at91sam7.c
+   M /trunk/src/flash/at91sam7.h
+   M /trunk/src/flash/at91sam7_old.c
+   M /trunk/src/flash/at91sam7_old.h
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/flash.h
+   M /trunk/src/jtag/zy1000.c
+   M /trunk/src/target/cortex_m3.c
 
 - convert spaces to tabs in at91sam7.[ch]
 - add missing svn props
 ------------------------------------------------------------------------
 r1008 | oharboe | 2008-09-26 20:00:10 +0200 (Fri, 26 Sep 2008) | 2 lines
+Changed paths:
+   M /trunk/src/target/cortex_m3.c
 
  I do not know why this is necessary, but it fixes strange effects
 		       (step/resume cause a NMI after reset) on LM3S6918 -- Michael Schwingen 
 ------------------------------------------------------------------------
 r1007 | oharboe | 2008-09-26 19:55:28 +0200 (Fri, 26 Sep 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/Makefile.am
+   M /trunk/src/flash/at91sam7.c
+   M /trunk/src/flash/at91sam7.h
+   A /trunk/src/flash/at91sam7_old.c
+   A /trunk/src/flash/at91sam7_old.h
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/flash.h
 
 Gheorghe Guran <roatlasro@yahoo.com> redone at91sam7 driver. Old driver source file renamed. The old driver is still invoked by default and the new driver is invoked by using at91sam7_new
 ------------------------------------------------------------------------
 r1006 | oharboe | 2008-09-26 09:58:36 +0200 (Fri, 26 Sep 2008) | 1 line
+Changed paths:
+   M /trunk/src/ecosboard.c
 
 wip
 ------------------------------------------------------------------------
 r1005 | oharboe | 2008-09-25 16:31:10 +0200 (Thu, 25 Sep 2008) | 1 line
+Changed paths:
+   M /trunk/src/Makefile.am
+   A /trunk/src/ecosboard.c
+   M /trunk/src/jtag/Makefile.am
+   A /trunk/src/jtag/zy1000.c
 
 ZY1000 code
 ------------------------------------------------------------------------
 r1003 | oharboe | 2008-09-25 16:04:16 +0200 (Thu, 25 Sep 2008) | 1 line
+Changed paths:
+   D /trunk/zy1000
 
 oops... wrong place.
 ------------------------------------------------------------------------
 r1000 | oharboe | 2008-09-25 15:42:43 +0200 (Thu, 25 Sep 2008) | 1 line
+Changed paths:
+   A /trunk/zy1000/snapshots/athttpd.zip
+   A /trunk/zy1000/snapshots/jimtcl.zip
 
 snapshots
 ------------------------------------------------------------------------
 r999 | oharboe | 2008-09-25 15:24:10 +0200 (Thu, 25 Sep 2008) | 1 line
+Changed paths:
+   A /trunk/zy1000/snapshots
+   A /trunk/zy1000/snapshots/ecos-cygwin.zip
+   A /trunk/zy1000/snapshots/gcc-arm-cygwin-3.4.3.zip
+   A /trunk/zy1000/snapshots/gcc-arm-linux-3.4.3_gdb6.8.tar.bz2
+   A /trunk/zy1000/snapshots/gdb-arm-cygwin-6.7.zip
+   A /trunk/zy1000/snapshots/repository.zip
 
 big files
 ------------------------------------------------------------------------
 r998 | oharboe | 2008-09-25 14:23:54 +0200 (Thu, 25 Sep 2008) | 1 line
+Changed paths:
+   A /trunk/zy1000/.project
+   A /trunk/zy1000/readme.txt
 
 Initial import.
 ------------------------------------------------------------------------
 r997 | oharboe | 2008-09-25 14:23:46 +0200 (Thu, 25 Sep 2008) | 1 line
+Changed paths:
+   A /trunk/zy1000
 
 Initial import.
 ------------------------------------------------------------------------
 r996 | ntfreak | 2008-09-25 10:27:30 +0200 (Thu, 25 Sep 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 - update docs for aduc702x flash driver
 ------------------------------------------------------------------------
 r995 | ntfreak | 2008-09-25 00:15:22 +0200 (Thu, 25 Sep 2008) | 3 lines
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/flash/Makefile.am
+   A /trunk/src/flash/aduc702x.c
+   M /trunk/src/flash/flash.c
+   D /trunk/src/flash/x7026.c
+   M /trunk/src/openocd.c
+   M /trunk/src/target/target/aduc702x.cfg
 
 - renamed x7926 driver to aduc702x to match other flash drivers
 - removed c99 types (mingw issues) from aduc driver and cleanup
 - updated docs for aduc702x flash driver
 ------------------------------------------------------------------------
 r994 | oharboe | 2008-09-24 11:43:31 +0200 (Wed, 24 Sep 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
 
 fix noise in gdb console when single stepping. Remove printing of log before processing halted event.
 ------------------------------------------------------------------------
 r993 | oharboe | 2008-09-24 10:42:13 +0200 (Wed, 24 Sep 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/gdb_server.c
 
 fixed false positives for keep_alive() not being invoked. 
 ------------------------------------------------------------------------
 r992 | oharboe | 2008-09-24 10:21:34 +0200 (Wed, 24 Sep 2008) | 3 lines
+Changed paths:
+   M /trunk/src/flash/Makefile.am
+   M /trunk/src/flash/flash.c
+   A /trunk/src/flash/x7026.c
+   M /trunk/src/target/target/aduc702x.cfg
 
  "marcel" <M.W.Wijlaars@tue.nl>, 
 
 I have the ADuC702x flashdriver working again (see attachment). It adds the option to erase and write the ADuC702x flash
 ------------------------------------------------------------------------
 r991 | ntfreak | 2008-09-22 22:58:57 +0200 (Mon, 22 Sep 2008) | 1 line
+Changed paths:
+   M /trunk/INSTALL
+   M /trunk/NEWS
+   M /trunk/README
 
 - fix typo's
 ------------------------------------------------------------------------
 r990 | oharboe | 2008-09-21 10:36:42 +0200 (Sun, 21 Sep 2008) | 2 lines
+Changed paths:
+   M /trunk/INSTALL
+   M /trunk/NEWS
+   A /trunk/doc/INSTALL.txt
 
 
 Removed some obsolete stuff + Pushing things in the direction of openocd.texi
 ------------------------------------------------------------------------
 r989 | oharboe | 2008-09-21 10:32:03 +0200 (Sun, 21 Sep 2008) | 2 lines
+Changed paths:
+   M /trunk/README
 
 openocd.texi is the authortative source of OpenOCD documentation
 
 ------------------------------------------------------------------------
 r988 | oharboe | 2008-09-21 10:24:23 +0200 (Sun, 21 Sep 2008) | 1 line
+Changed paths:
+   M /trunk/src/openocd.c
 
 put instructions on how to report bugs onto the users radar
 ------------------------------------------------------------------------
 r987 | ntfreak | 2008-09-20 12:50:53 +0200 (Sat, 20 Sep 2008) | 3 lines
+Changed paths:
+   M /trunk/doc/README_TARGET_COMMAND.txt
+   M /trunk/src/flash/ecos.c
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/flash.h
+   M /trunk/src/flash/stellaris.c
+   M /trunk/src/helper/binarybuffer.c
+   M /trunk/src/helper/binarybuffer.h
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/command.h
+   M /trunk/src/helper/configuration.c
+   M /trunk/src/helper/configuration.h
+   M /trunk/src/helper/fileio.c
+   M /trunk/src/helper/fileio.h
+   M /trunk/src/helper/jim.c
+   M /trunk/src/helper/jim.h
+   M /trunk/src/helper/log.c
+   M /trunk/src/helper/log.h
+   M /trunk/src/helper/options.c
+   M /trunk/src/helper/replacements.c
+   M /trunk/src/helper/replacements.h
+   M /trunk/src/helper/time_support.c
+   M /trunk/src/helper/time_support.h
+   M /trunk/src/helper/types.h
+   M /trunk/src/jtag/bitbang.c
+   M /trunk/src/jtag/bitbang.h
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/jtag/jlink.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/jtag/parport.c
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/server/gdb_server.h
+   M /trunk/src/server/server.c
+   M /trunk/src/server/server.h
+   M /trunk/src/server/telnet_server.c
+   M /trunk/src/server/telnet_server.h
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/arm720t.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7_9_common.h
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm7tdmi.h
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/arm966e.c
+   M /trunk/src/target/arm966e.h
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/arm9tdmi.h
+   M /trunk/src/target/arm_jtag.c
+   M /trunk/src/target/arm_jtag.h
+   M /trunk/src/target/armv4_5.c
+   M /trunk/src/target/armv4_5.h
+   M /trunk/src/target/armv7m.c
+   M /trunk/src/target/armv7m.h
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/cortex_m3.h
+   M /trunk/src/target/cortex_swjdp.c
+   M /trunk/src/target/cortex_swjdp.h
+   M /trunk/src/target/embeddedice.c
+   M /trunk/src/target/embeddedice.h
+   M /trunk/src/target/feroceon.c
+   M /trunk/src/target/image.c
+   M /trunk/src/target/image.h
+   M /trunk/src/target/mips_m4k.c
+   M /trunk/src/target/target/s3c2440.cfg
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
+   M /trunk/src/target/target_request.c
+   M /trunk/src/target/target_request.h
+   M /trunk/src/target/xscale.c
+   M /trunk/src/target/xscale.h
+   M /trunk/src/xsvf/xsvf.c
 
 - added myself to copyright on files i remember adding large contributions for over the years
 - cleaned up headers to match rest of code
 - added missing svn props for previously added files
 ------------------------------------------------------------------------
 r986 | oharboe | 2008-09-12 12:53:10 +0200 (Fri, 12 Sep 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 follow up to keep_alive() fix. process target events before returning from reset procedure.
 ------------------------------------------------------------------------
 r985 | oharboe | 2008-09-12 09:09:38 +0200 (Fri, 12 Sep 2008) | 5 lines
+Changed paths:
+   M /trunk/src/helper/log.c
+   M /trunk/src/target/target.c
 
 
 - Fixed regression introduced in 890 when "fixing warnings" for target_call_timer_callbacks_now().
@@ -2306,94 +5098,206 @@ target_call_timer_callbacks_now() did th
 - Reduced keep_alive()'s job to only deal with GDB keep  alive problems.
 ------------------------------------------------------------------------
 r984 | oharboe | 2008-09-12 08:56:00 +0200 (Fri, 12 Sep 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/startup.tcl
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/target/target.c
 
 Duane Ellis: target_process_reset is now implemented in tcl. This allows better control from target configuration scripts.
 ------------------------------------------------------------------------
 r983 | oharboe | 2008-09-08 14:14:33 +0200 (Mon, 08 Sep 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 fixed keep_alive fix gaffe introduce in previous commit.
 ------------------------------------------------------------------------
 r982 | oharboe | 2008-09-08 11:21:33 +0200 (Mon, 08 Sep 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/jim.c
 
 typo fixed.
 ------------------------------------------------------------------------
 r981 | oharboe | 2008-09-08 09:17:48 +0200 (Mon, 08 Sep 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/log.c
 
 keep_alive now invokes target_call_timer_callbacks_now
 ------------------------------------------------------------------------
 r980 | oharboe | 2008-09-08 09:07:16 +0200 (Mon, 08 Sep 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/jim.c
 
 Duane Ellis, added clock command.
 ------------------------------------------------------------------------
 r979 | oharboe | 2008-09-05 08:52:07 +0200 (Fri, 05 Sep 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/cortex_swjdp.c
 
 workaround and comment for problems identified by Michael Schwingen.
 ------------------------------------------------------------------------
 r978 | oharboe | 2008-09-04 14:04:47 +0200 (Thu, 04 Sep 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/Makefile.am
+   A /trunk/src/target/target/s3c2440.cfg
 
 s3c2440 OpenMoko target script
 ------------------------------------------------------------------------
 r977 | oharboe | 2008-09-01 23:22:20 +0200 (Mon, 01 Sep 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/command.c
+   M /trunk/src/target/target.c
 
 Duane Ellis has made highly non-trivial changes to both the target handling and command system.
 ------------------------------------------------------------------------
 r976 | oharboe | 2008-09-01 09:24:14 +0200 (Mon, 01 Sep 2008) | 1 line
+Changed paths:
+   A /trunk/doc/README_TARGET_COMMAND.txt
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
 
 Removed target->reset_mode, no longer used
 ------------------------------------------------------------------------
 r975 | oharboe | 2008-09-01 09:20:21 +0200 (Mon, 01 Sep 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/jim.c
+   M /trunk/src/helper/jim.h
+   M /trunk/src/helper/startup.tcl
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/server/tcl_server.c
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/arm11.h
+   M /trunk/src/target/arm720t.c
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/arm926ejs.h
+   M /trunk/src/target/arm966e.c
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/arm9tdmi.h
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/cortex_m3.h
+   M /trunk/src/target/feroceon.c
+   M /trunk/src/target/mips32.c
+   M /trunk/src/target/mips32.h
+   M /trunk/src/target/mips_m4k.c
+   M /trunk/src/target/target/aduc702x.cfg
+   M /trunk/src/target/target/at91eb40a.cfg
+   M /trunk/src/target/target/at91r40008.cfg
+   M /trunk/src/target/target/at91sam9260.cfg
+   M /trunk/src/target/target/eir-sam7se512.cfg
+   M /trunk/src/target/target/hammer.cfg
+   M /trunk/src/target/target/lpc2148.cfg
+   M /trunk/src/target/target/omap5912.cfg
+   M /trunk/src/target/target/pxa255.cfg
+   M /trunk/src/target/target/sam7x256.cfg
+   M /trunk/src/target/target/str710.cfg
+   M /trunk/src/target/target/str730.cfg
+   M /trunk/src/target/target/str750.cfg
+   M /trunk/src/target/target/str912.cfg
+   M /trunk/src/target/target/wi-9c.cfg
+   M /trunk/src/target/target/xba_revA3.cfg
+   M /trunk/src/target/target/zy1000.cfg
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
+   M /trunk/src/target/xscale.c
 
 Duane Ellis: "target as an [tcl] object" feature.
 ------------------------------------------------------------------------
 r974 | oharboe | 2008-09-01 08:26:29 +0200 (Mon, 01 Sep 2008) | 1 line
+Changed paths:
+   D /trunk/testing/toolchain
 
 retired, nothing came of it.
 ------------------------------------------------------------------------
 r973 | oharboe | 2008-08-28 19:21:04 +0200 (Thu, 28 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 documented change in target command w/removed options
 ------------------------------------------------------------------------
 r972 | oharboe | 2008-08-27 08:05:27 +0200 (Wed, 27 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.h
 
 comment about slow RTCK
 ------------------------------------------------------------------------
 r971 | oharboe | 2008-08-26 13:40:59 +0200 (Tue, 26 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/str9x.c
 
 ooops... fixed commit gaffe in previous commit.
 ------------------------------------------------------------------------
 r970 | oharboe | 2008-08-26 13:30:34 +0200 (Tue, 26 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/str9x.c
 
 added 1000ms timeout
 ------------------------------------------------------------------------
 r969 | oharboe | 2008-08-26 13:29:59 +0200 (Tue, 26 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/gdb_server.c
 
 do not check checksums in noack case
 ------------------------------------------------------------------------
 r968 | oharboe | 2008-08-25 18:16:00 +0200 (Mon, 25 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/ft2232.c
 
 RCLK is not supported, return error instead of crashing.
 ------------------------------------------------------------------------
 r967 | oharboe | 2008-08-25 15:18:55 +0200 (Mon, 25 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/startup.tcl
+   M /trunk/src/target/target/str912.cfg
 
 STR912 uses RCLK if available
 ------------------------------------------------------------------------
 r966 | oharboe | 2008-08-25 14:20:50 +0200 (Mon, 25 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm11.c
 
 fixed bug in arm11 examine code.
 ------------------------------------------------------------------------
 r965 | oharboe | 2008-08-25 13:30:46 +0200 (Mon, 25 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 fixed gaffe in last release w/target number.
 ------------------------------------------------------------------------
 r964 | oharboe | 2008-08-25 08:50:30 +0200 (Mon, 25 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/jim.c
+   M /trunk/src/helper/jim.h
 
 sync with Jim Tcl repository.
 ------------------------------------------------------------------------
 r963 | oharboe | 2008-08-24 20:57:38 +0200 (Sun, 24 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/jim-eventloop.c
 
 duane ellis - errno ansi fix
 ------------------------------------------------------------------------
 r962 | oharboe | 2008-08-24 20:20:49 +0200 (Sun, 24 Aug 2008) | 5 lines
+Changed paths:
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/arm720t.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm7tdmi.h
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/armv4_5.c
+   M /trunk/src/target/armv7m.c
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/mips32.c
+   M /trunk/src/target/mips_m4k.c
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
+   M /trunk/src/target/target_request.c
+   M /trunk/src/target/xscale.c
+   M /trunk/src/tcl/chip/atmel/at91/rtt.tcl
 
 duan ellis target tcl work in progress
 
@@ -2402,88 +5306,153 @@ duan ellis target tcl work in progress
 
 ------------------------------------------------------------------------
 r961 | oharboe | 2008-08-24 20:09:37 +0200 (Sun, 24 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/flash.c
 
 Daniel Gimpelevich <daniel@gimpelevich.san-francisco.ca.us> fix end of address space flash sector comparision
 ------------------------------------------------------------------------
 r960 | ntfreak | 2008-08-23 20:47:42 +0200 (Sat, 23 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/gdb_server.c
 
 - clear any existing breakpoints/watchpoints when restarting in gdb extended remote mode
 ------------------------------------------------------------------------
 r959 | ntfreak | 2008-08-22 21:58:19 +0200 (Fri, 22 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/server/gdb_server.h
 
 - add support for new gdb QStartNoAckMode, which disables sending of ack's between remote packets
 ------------------------------------------------------------------------
 r958 | ntfreak | 2008-08-22 14:51:48 +0200 (Fri, 22 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/src/helper/jim.c
+   M /trunk/src/target/target/lm3s3748.cfg
 
 - fix win32 build issues from previous jim patch
 ------------------------------------------------------------------------
 r957 | drath | 2008-08-22 14:08:47 +0200 (Fri, 22 Aug 2008) | 2 lines
+Changed paths:
+   M /trunk/src/target/target.c
 
 - fix a off-by-one error in the buffer read/write code that checks for a address wrap
 
 ------------------------------------------------------------------------
 r956 | oharboe | 2008-08-20 14:21:53 +0200 (Wed, 20 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/cortex_swjdp.c
 
 added gdb timeout handling + error propagation
 ------------------------------------------------------------------------
 r955 | oharboe | 2008-08-20 14:20:30 +0200 (Wed, 20 Aug 2008) | 1 line
+Changed paths:
+   A /trunk/src/target/target/lm3s3748.cfg
 
 lm3s3748 config file
 ------------------------------------------------------------------------
 r954 | oharboe | 2008-08-20 14:20:19 +0200 (Wed, 20 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/Makefile.am
 
 lm3s3748 config file
 ------------------------------------------------------------------------
 r953 | oharboe | 2008-08-20 13:51:52 +0200 (Wed, 20 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 continue execution even if chain can't be validated. This will, hopefully, give us some more feedback on what's wrong.
 ------------------------------------------------------------------------
 r952 | oharboe | 2008-08-20 13:23:49 +0200 (Wed, 20 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm11.c
 
 sharpen error propagation a wee bit.
 ------------------------------------------------------------------------
 r951 | ntfreak | 2008-08-20 12:51:45 +0200 (Wed, 20 Aug 2008) | 2 lines
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/jtag/parport.c
 
 - added missing parport configs to texi
 - remove spaces from last patch
 ------------------------------------------------------------------------
 r950 | oharboe | 2008-08-20 09:27:24 +0200 (Wed, 20 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/feroceon.c
 
 Daniel Gimpelevich fix reset halt on feroceon
 ------------------------------------------------------------------------
 r949 | oharboe | 2008-08-20 09:14:45 +0200 (Wed, 20 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm720t.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/armv4_5.c
+   M /trunk/src/target/armv7m.c
+   M /trunk/src/target/target.c
 
 fix BUG: keep_alive() error messages
 ------------------------------------------------------------------------
 r948 | oharboe | 2008-08-20 08:50:00 +0200 (Wed, 20 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/amt_jtagaccel.c
 
 duane ellis: fix warning
 ------------------------------------------------------------------------
 r947 | ntfreak | 2008-08-19 22:34:36 +0200 (Tue, 19 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/imx31.cfg
 
 - added svn props for newly added files
 ------------------------------------------------------------------------
 r946 | oharboe | 2008-08-19 19:25:21 +0200 (Tue, 19 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/mips32_pracc.c
 
 fixed warning
 ------------------------------------------------------------------------
 r945 | oharboe | 2008-08-19 18:43:30 +0200 (Tue, 19 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/cortex_swjdp.c
 
 switch to alive_sleep() to avoid gdb timeouts
 ------------------------------------------------------------------------
 r944 | oharboe | 2008-08-19 18:42:58 +0200 (Tue, 19 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 make target_wait_state() usable from other places, made LOG_USER() output LOG_DEBUG() output. Avoids flooding logs in certain cases and OpenOCD will output error message if the halt fails.
 ------------------------------------------------------------------------
 r943 | oharboe | 2008-08-19 18:41:59 +0200 (Tue, 19 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/xscale.c
 
 better polling debug_level 3 handling
 ------------------------------------------------------------------------
 r942 | oharboe | 2008-08-19 18:40:35 +0200 (Tue, 19 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/at91sam7.c
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/flash/lpc288x.c
+   M /trunk/src/flash/lpc3180_nand_controller.c
+   M /trunk/src/flash/nand.c
+   M /trunk/src/flash/s3c2410_nand.c
+   M /trunk/src/flash/s3c2440_nand.c
+   M /trunk/src/flash/stellaris.c
+   M /trunk/src/flash/stm32x.c
+   M /trunk/src/flash/str7x.c
+   M /trunk/src/flash/str9x.c
+   M /trunk/src/flash/str9xpec.c
+   M /trunk/src/flash/tms470.c
 
 search and replace usleep(1000) with alive_sleep(1) to avoid GDB timeouts.
 ------------------------------------------------------------------------
 r941 | oharboe | 2008-08-19 15:55:14 +0200 (Tue, 19 Aug 2008) | 5 lines
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 DANGER: committed work-in-progress to handle examination of jtag devices without IDCODE. I think this works, but I may have to pull that change out again...
 
@@ -2492,196 +5461,366 @@ added alive_sleep() to avoid warnings wh
 
 ------------------------------------------------------------------------
 r940 | oharboe | 2008-08-19 15:53:43 +0200 (Tue, 19 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm720t.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/armv4_5.c
+   M /trunk/src/target/target.c
 
 added some alive_sleep()'s
 ------------------------------------------------------------------------
 r939 | oharboe | 2008-08-19 14:18:00 +0200 (Tue, 19 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/command.c
 
 use alive_sleep() from sleep command
 ------------------------------------------------------------------------
 r938 | oharboe | 2008-08-19 14:17:31 +0200 (Tue, 19 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/log.c
+   M /trunk/src/helper/log.h
 
 added alive_sleep() function to let GDB alive packets be sent
 ------------------------------------------------------------------------
 r937 | oharboe | 2008-08-19 13:56:45 +0200 (Tue, 19 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/xscale.c
 
 tinker with Xscale performance, anti-log spamming is now only for debug_level 3 or more. Otherwise polling is done continously for 1 second.
 ------------------------------------------------------------------------
 r936 | oharboe | 2008-08-19 13:49:48 +0200 (Tue, 19 Aug 2008) | 3 lines
+Changed paths:
+   M /trunk/src/helper/jim.c
+   M /trunk/src/helper/jim.h
 
 duane ellis: (A) a new concept called "Name Value Pair" or NVP, in simple terms: Think: "String" and "Value". There can be many strings - all related to a single value, for examle: "T", "t", "y", "1", "yes", all can represent "truth", the reverse mapping is more simplistic - the first matching number wins.
 
 (B) a new "getopt" like feature for Jim - that simplifies argument parsing in complex functions, normally this would be used in conjunction with either an NVP table of options, or a more simpler Enumeration  table.  In contrast to the GNU "getopt" package, this is more of a "object model or code oriented" solution then a pure data structure used by GNU getopt, or the main stream Tcl/Tk option processing.
 ------------------------------------------------------------------------
 r935 | oharboe | 2008-08-19 13:48:46 +0200 (Tue, 19 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/xscale.c
 
 tinker with Xscale performance. Poll a bit more before sleeping.
 ------------------------------------------------------------------------
 r934 | oharboe | 2008-08-19 12:22:05 +0200 (Tue, 19 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/pxa255_sst.cfg
 
 fix comment w.r.t. start address for RAM
 ------------------------------------------------------------------------
 r933 | oharboe | 2008-08-19 12:03:35 +0200 (Tue, 19 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/flash.c
 
 fixed error handling in flash bank.
 ------------------------------------------------------------------------
 r932 | oharboe | 2008-08-19 11:31:51 +0200 (Tue, 19 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/arm11_dbgtap.c
 
 removed a couple of exit()'s from error handling.
 ------------------------------------------------------------------------
 r931 | oharboe | 2008-08-19 11:20:36 +0200 (Tue, 19 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/Makefile.am
+   A /trunk/src/target/target/imx31.cfg
 
 added wip imx31.cfg file
 ------------------------------------------------------------------------
 r930 | oharboe | 2008-08-19 08:25:23 +0200 (Tue, 19 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/parport.c
 
 Daniel Gimpelevich <daniel@gimpelevich.san-francisco.ca.us> one more parport device 
 ------------------------------------------------------------------------
 r929 | oharboe | 2008-08-18 20:27:09 +0200 (Mon, 18 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/command.h
 
 Johannes Stezenbach <js@sig21.net> fix warnings
 ------------------------------------------------------------------------
 r928 | oharboe | 2008-08-18 19:11:43 +0200 (Mon, 18 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/str9x.c
 
 more error propagation
 ------------------------------------------------------------------------
 r927 | oharboe | 2008-08-18 19:07:56 +0200 (Mon, 18 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/str9x.c
 
 added error handling to avoid false error messages.
 ------------------------------------------------------------------------
 r926 | oharboe | 2008-08-18 09:23:54 +0200 (Mon, 18 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/at91r40008.cfg
+   M /trunk/src/target/target/lpc2294.cfg
+   M /trunk/src/target/target/pic32mx.cfg
+   M /trunk/src/target/target/sam7x256.cfg
+   M /trunk/src/target/target/stm32.cfg
+   M /trunk/src/target/target/stm32stick.cfg
+   M /trunk/src/target/target/str710.cfg
+   M /trunk/src/target/target/str912.cfg
 
 openocd.texi is the authoratitive source for documentation. Wiki is dead.
 ------------------------------------------------------------------------
 r925 | oharboe | 2008-08-17 21:40:17 +0200 (Sun, 17 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/at91sam7.c
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/lpc2000.c
+   M /trunk/src/flash/lpc288x.c
+   M /trunk/src/flash/stellaris.c
+   M /trunk/src/flash/stm32x.c
+   M /trunk/src/flash/str7x.c
+   M /trunk/src/flash/str9x.c
+   M /trunk/src/flash/tms470.c
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/armv4_5.c
 
 fixed not halted error messages
 ------------------------------------------------------------------------
 r924 | oharboe | 2008-08-17 21:32:44 +0200 (Sun, 17 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/Makefile.am
+   D /trunk/src/target/event/sam7s256_reset.script
+   D /trunk/src/target/target/sam7s256.cfg
 
 deleted superfluous sam7s256 which was identical to sam7x256
 ------------------------------------------------------------------------
 r923 | oharboe | 2008-08-17 21:17:24 +0200 (Sun, 17 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/flash.c
 
 Richard <news@muppet.plus.com> fixed bug in padding code
 ------------------------------------------------------------------------
 r922 | oharboe | 2008-08-15 16:59:03 +0200 (Fri, 15 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/at91eb40a.cfg
 
 removed obsolete command.
 ------------------------------------------------------------------------
 r921 | oharboe | 2008-08-14 16:44:10 +0200 (Thu, 14 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7_9_common.h
+   M /trunk/src/target/feroceon.c
 
 feroceon updated w.r.t. latest arm7/9 changes
 ------------------------------------------------------------------------
 r920 | oharboe | 2008-08-14 16:35:55 +0200 (Thu, 14 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7_9_common.h
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/arm966e.c
+   M /trunk/src/target/arm9tdmi.c
 
 arm7/9 breakpoint cleanup. arm7_9 sw/hw commands retired. openocd.texi is alerady updated.
 ------------------------------------------------------------------------
 r919 | oharboe | 2008-08-14 15:42:56 +0200 (Thu, 14 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/gdb_server.c
 
 typo spotted by spen. gdb_breakpoint_override not tested yet.
 ------------------------------------------------------------------------
 r918 | oharboe | 2008-08-14 15:41:14 +0200 (Thu, 14 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 documentation wip for upcoming patch.
 ------------------------------------------------------------------------
 r917 | oharboe | 2008-08-13 23:30:29 +0200 (Wed, 13 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/zy1000.cfg
 
 removed old comment
 ------------------------------------------------------------------------
 r916 | oharboe | 2008-08-13 23:18:00 +0200 (Wed, 13 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/lpc2148.cfg
 
 force lpc2148 target into ARM state.
 ------------------------------------------------------------------------
 r915 | oharboe | 2008-08-13 23:08:14 +0200 (Wed, 13 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 gdb_breakpoint_override comments
 ------------------------------------------------------------------------
 r914 | oharboe | 2008-08-13 22:42:07 +0200 (Wed, 13 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/gdb_server.c
 
 added global gdb breakpoint override configuration command
 ------------------------------------------------------------------------
 r913 | oharboe | 2008-08-13 17:12:26 +0200 (Wed, 13 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.h
 
 comments.
 ------------------------------------------------------------------------
 r912 | oharboe | 2008-08-13 17:05:15 +0200 (Wed, 13 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/target/breakpoints.c
+   M /trunk/src/target/breakpoints.h
 
 Clear all dangling breakpoints upon GDB connection.
 ------------------------------------------------------------------------
 r911 | oharboe | 2008-08-13 16:41:23 +0200 (Wed, 13 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 fix warning.
 ------------------------------------------------------------------------
 r910 | oharboe | 2008-08-13 14:21:57 +0200 (Wed, 13 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/gdb_server.c
 
 return halted signal if step/continue fails
 ------------------------------------------------------------------------
 r909 | oharboe | 2008-08-13 14:13:18 +0200 (Wed, 13 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/log.c
 
 avoid empty lines in log as a keep_alive() sideffect
 ------------------------------------------------------------------------
 r908 | oharboe | 2008-08-11 15:36:56 +0200 (Mon, 11 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 fix output from jtag_khz when only jtag_speed has been invoked
 ------------------------------------------------------------------------
 r907 | oharboe | 2008-08-11 14:28:38 +0200 (Mon, 11 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/Makefile.am
+   D /trunk/src/target/event/at91eb40a_reset.script
+   M /trunk/src/target/target/at91eb40a.cfg
 
 updated syntax for post_reset scripts
 ------------------------------------------------------------------------
 r906 | oharboe | 2008-08-11 12:31:13 +0200 (Mon, 11 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 propagate error code in case of "reset" failing.
 ------------------------------------------------------------------------
 r905 | oharboe | 2008-08-11 12:30:36 +0200 (Mon, 11 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/command.c
 
 fix error output a bit: do not repeat output printed during execution in case of error.
 ------------------------------------------------------------------------
 r904 | oharboe | 2008-08-11 12:10:40 +0200 (Mon, 11 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 fix error message
 ------------------------------------------------------------------------
 r903 | oharboe | 2008-08-11 10:27:04 +0200 (Mon, 11 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/Makefile.am
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/jim-eventloop.c
 
 place event loop inside #ifdef JIM_EMBEDDED. 
 ------------------------------------------------------------------------
 r902 | ntfreak | 2008-08-08 20:15:55 +0200 (Fri, 08 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/jim-eventloop.c
 
 - fix build issues under win32 (mingw)
 ------------------------------------------------------------------------
 r901 | oharboe | 2008-08-08 16:34:35 +0200 (Fri, 08 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 Michael Schwingen <rincewind@discworld.dascon.de> - add jedec_probe to doc
 ------------------------------------------------------------------------
 r900 | oharboe | 2008-08-08 10:37:41 +0200 (Fri, 08 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 default reset in help text - run
 ------------------------------------------------------------------------
 r899 | ntfreak | 2008-08-07 20:42:14 +0200 (Thu, 07 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/jim-eventloop.c
+   M /trunk/src/helper/jim-eventloop.h
+   M /trunk/src/target/interface/dummy.cfg
+   M /trunk/src/target/interface/olimex-arm-usb-ocd.cfg
+   M /trunk/src/target/target/aduc702x.cfg
+   M /trunk/src/target/target/lpc2148_2mhz.cfg
+   M /trunk/src/target/target/lpc2148_rclk.cfg
 
 - added svn props for newly added files
 ------------------------------------------------------------------------
 r898 | oharboe | 2008-08-07 18:37:20 +0200 (Thu, 07 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/Makefile.am
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/command.h
+   A /trunk/src/helper/jim-eventloop.c
+   A /trunk/src/helper/jim-eventloop.h
+   M /trunk/src/helper/jim.h
+   M /trunk/src/helper/log.c
+   M /trunk/src/server/server.c
+   M /trunk/src/target/Makefile.am
+   A /trunk/src/target/interface/dummy.cfg
+   A /trunk/src/target/interface/olimex-arm-usb-ocd.cfg
+   A /trunk/src/target/target/aduc702x.cfg
 
 David Kuehling <dvdkhlng@gmx.de> - added jim-eventloop.c
 ------------------------------------------------------------------------
 r897 | oharboe | 2008-08-07 18:35:26 +0200 (Thu, 07 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/Makefile.am
+   D /trunk/src/target/event/lpc2148_reset.script
+   M /trunk/src/target/target/lpc2148.cfg
+   A /trunk/src/target/target/lpc2148_2mhz.cfg
+   A /trunk/src/target/target/lpc2148_rclk.cfg
 
 lpc2148 2MHz, RCLK and clockless config script versions
 ------------------------------------------------------------------------
 r896 | ntfreak | 2008-08-07 18:13:54 +0200 (Thu, 07 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/server.c
 
 - correct BUILD_ECOSBOARD definition is server.c
 ------------------------------------------------------------------------
 r895 | ntfreak | 2008-08-06 21:49:10 +0200 (Wed, 06 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/jim.h
 
 - remove Jim_InitEmbedded warning
 ------------------------------------------------------------------------
 r894 | ntfreak | 2008-08-06 18:30:59 +0200 (Wed, 06 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/tclapi.c
 
 - added svn props for previously added file
 ------------------------------------------------------------------------
 r893 | ntfreak | 2008-08-06 16:36:37 +0200 (Wed, 06 Aug 2008) | 4 lines
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/doc/openocd.texi
+   M /trunk/src/helper/jim.c
+   M /trunk/src/jtag/amt_jtagaccel.c
+   M /trunk/src/jtag/jlink.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/parport.c
+   M /trunk/src/openocd.c
+   M /trunk/src/target/mips_m4k.c
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
 
 - fix target_examine declaration
 - remove build warnings
@@ -2689,27 +5828,83 @@ r893 | ntfreak | 2008-08-06 16:36:37 +02
 - update mips_m4k_examine function
 ------------------------------------------------------------------------
 r892 | oharboe | 2008-08-05 16:58:37 +0200 (Tue, 05 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/openocd.c
+   M /trunk/src/server/telnet_server.c
 
 GDB monitor commands now also get halted state upon e.g. "reset halt".
 ------------------------------------------------------------------------
 r891 | oharboe | 2008-08-05 16:38:10 +0200 (Tue, 05 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
 
 gaffe in previous commit fixed. "reset run" now works again for arm7/9
 ------------------------------------------------------------------------
 r890 | oharboe | 2008-08-05 14:27:18 +0200 (Tue, 05 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/flash.h
+   M /trunk/src/helper/command.h
+   M /trunk/src/helper/log.h
+   M /trunk/src/helper/time_support.h
+   M /trunk/src/jtag/amt_jtagaccel.c
+   M /trunk/src/jtag/gw16012.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/main.c
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/server/gdb_server.h
+   M /trunk/src/server/server.c
+   M /trunk/src/server/server.h
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/arm720t.c
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/feroceon.c
+   M /trunk/src/target/mips32_pracc.c
+   M /trunk/src/target/mips_m4k.c
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
+   M /trunk/src/target/xscale.c
 
 Duane Ellis: fix warnings
 ------------------------------------------------------------------------
 r889 | oharboe | 2008-08-05 12:50:10 +0200 (Tue, 05 Aug 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
 
 halting srst_pulls_trst targets is now snappier and has explicit warning.
 ------------------------------------------------------------------------
 r888 | oharboe | 2008-08-05 09:11:12 +0200 (Tue, 05 Aug 2008) | 2 lines
+Changed paths:
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/mips_m4k.c
+   M /trunk/src/target/target.c
+   M /trunk/src/target/xscale.c
 
 define resetting the target into the halted or running
 state as an atomic operation.
 ------------------------------------------------------------------------
 r887 | oharboe | 2008-08-05 08:18:26 +0200 (Tue, 05 Aug 2008) | 8 lines
+Changed paths:
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/arm11.h
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm7tdmi.h
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/arm9tdmi.h
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/feroceon.c
+   M /trunk/src/target/mips_m4k.c
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
 
 moves handling of problems with resetting into the halted state
 into the target implementation.
@@ -2721,157 +5916,372 @@ that error.
 cmd_ctx was passed in to examine(), which is wrong - removed that.
 ------------------------------------------------------------------------
 r886 | oharboe | 2008-08-04 08:54:58 +0200 (Mon, 04 Aug 2008) | 2 lines
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 TAP_TLR won't work in a pathmove sequence. OpenOCD shouldn't and doesn't need to support this.
 
 ------------------------------------------------------------------------
 r885 | oharboe | 2008-08-01 13:43:01 +0200 (Fri, 01 Aug 2008) | 2 lines
+Changed paths:
+   M /trunk/src/target/target/lpc2148.cfg
 
 The reset routine now works w/LPC2148 out of the box.
 
 ------------------------------------------------------------------------
 r884 | oharboe | 2008-07-31 17:52:01 +0200 (Thu, 31 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 wait up to 1 second for halted state upon reset init/halt.
 ------------------------------------------------------------------------
 r883 | oharboe | 2008-07-31 11:25:38 +0200 (Thu, 31 Jul 2008) | 1 line
+Changed paths:
+   A /trunk/src/helper/tclapi.c
 
 wip - committing to reduce patch size.
 ------------------------------------------------------------------------
 r882 | oharboe | 2008-07-30 07:56:53 +0200 (Wed, 30 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 warning output upon connection problems.
 ------------------------------------------------------------------------
 r881 | oharboe | 2008-07-29 16:58:04 +0200 (Tue, 29 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 more jtag_examine() checks. catch errors during first 640 bits.
 ------------------------------------------------------------------------
 r880 | ntfreak | 2008-07-28 23:01:24 +0200 (Mon, 28 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/non-arm-targets.txt
 
 - added run_and_halt_time to deprecated/removed functions section
 ------------------------------------------------------------------------
 r879 | oharboe | 2008-07-28 16:37:38 +0200 (Mon, 28 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/embeddedice.c
+   M /trunk/src/target/embeddedice.h
 
 allow minidrivers to implement inner loop of dcc memory writes
 ------------------------------------------------------------------------
 r878 | oharboe | 2008-07-28 16:25:03 +0200 (Mon, 28 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/zy1000.cfg
+   M /trunk/src/target/target.c
 
 fixed gaffe mea culpa
 ------------------------------------------------------------------------
 r877 | oharboe | 2008-07-28 08:08:05 +0200 (Mon, 28 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/target/target/at91r40008.cfg
+   M /trunk/src/target/target/at91sam9260.cfg
+   M /trunk/src/target/target/at91sam9260minimal.cfg
+   M /trunk/src/target/target/eir-sam7se512.cfg
+   M /trunk/src/target/target/hammer.cfg
+   M /trunk/src/target/target/ipx42x.cfg
+   M /trunk/src/target/target/lpc2129.cfg
+   M /trunk/src/target/target/lpc2148.cfg
+   M /trunk/src/target/target/lpc2294.cfg
+   M /trunk/src/target/target/mx31.cfg
+   M /trunk/src/target/target/netx500.cfg
+   M /trunk/src/target/target/nslu2.cfg
+   M /trunk/src/target/target/omap5912.cfg
+   M /trunk/src/target/target/pic32mx.cfg
+   M /trunk/src/target/target/pxa255.cfg
+   M /trunk/src/target/target/pxa270.cfg
+   M /trunk/src/target/target/sam7s256.cfg
+   M /trunk/src/target/target/sam7x256.cfg
+   M /trunk/src/target/target/stm32.cfg
+   M /trunk/src/target/target/stm32stick.cfg
+   M /trunk/src/target/target/str710.cfg
+   M /trunk/src/target/target/str730.cfg
+   M /trunk/src/target/target/str750.cfg
+   M /trunk/src/target/target/str912.cfg
+   M /trunk/src/target/target/str9comstick.cfg
+   M /trunk/src/target/target/wi-9c.cfg
+   M /trunk/src/target/target/xba_revA3.cfg
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
+   M /trunk/testing/examples/AT91R40008Test/prj/at91r40008_turtle.cfg
+   M /trunk/testing/examples/LPC2148Test/prj/lpc2148_jtagkey.cfg
+   M /trunk/testing/examples/LPC2294Test/prj/lpc2294_jtagkey.cfg
+   M /trunk/testing/examples/SAM7S256Test/prj/sam7s256_jtagkey.cfg
+   M /trunk/testing/examples/SAM7X256Test/prj/sam7x256_jtagkey.cfg
+   M /trunk/testing/examples/STR710JtagSpeed/prj/str710_jtagkey.cfg
+   M /trunk/testing/examples/STR710Test/prj/str710_jtagkey.cfg
+   M /trunk/testing/examples/STR912Test/prj/str912_jtagkey.cfg
 
 retired reset run_and_init/halt
 ------------------------------------------------------------------------
 r876 | oharboe | 2008-07-27 11:05:35 +0200 (Sun, 27 Jul 2008) | 1 line
+Changed paths:
+   A /trunk/src/non-arm-targets.txt
 
 working notes.
 ------------------------------------------------------------------------
 r875 | oharboe | 2008-07-26 21:12:30 +0200 (Sat, 26 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 add check for target_read/write_buffer 32 bit wrap.
 ------------------------------------------------------------------------
 r874 | ntfreak | 2008-07-26 12:32:11 +0200 (Sat, 26 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/Makefile.am
+   A /trunk/src/target/mips32.c
+   A /trunk/src/target/mips32.h
+   A /trunk/src/target/mips32_pracc.c
+   A /trunk/src/target/mips32_pracc.h
+   A /trunk/src/target/mips_ejtag.c
+   A /trunk/src/target/mips_ejtag.h
+   A /trunk/src/target/mips_m4k.c
+   A /trunk/src/target/mips_m4k.h
+   A /trunk/src/target/target/pic32mx.cfg
+   M /trunk/src/target/target.c
 
 - merged mips target into svn trunk
 ------------------------------------------------------------------------
 r873 | oharboe | 2008-07-25 16:09:00 +0200 (Fri, 25 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 minimum address and maximum length argument to load_image. Used in lieu of reset init script when executable w/reset init sequence is available.
 ------------------------------------------------------------------------
 r872 | oharboe | 2008-07-25 08:54:17 +0200 (Fri, 25 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/ecos.c
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/flash.h
+   M /trunk/src/helper/binarybuffer.c
+   M /trunk/src/helper/binarybuffer.h
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/command.h
+   M /trunk/src/helper/configuration.c
+   M /trunk/src/helper/configuration.h
+   M /trunk/src/helper/fileio.c
+   M /trunk/src/helper/fileio.h
+   M /trunk/src/helper/log.c
+   M /trunk/src/helper/log.h
+   M /trunk/src/helper/options.c
+   M /trunk/src/helper/replacements.c
+   M /trunk/src/helper/replacements.h
+   M /trunk/src/helper/time_support.c
+   M /trunk/src/helper/time_support.h
+   M /trunk/src/helper/types.h
+   M /trunk/src/jtag/bitbang.c
+   M /trunk/src/jtag/bitbang.h
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/server/gdb_server.h
+   M /trunk/src/server/server.c
+   M /trunk/src/server/server.h
+   M /trunk/src/server/telnet_server.c
+   M /trunk/src/server/telnet_server.h
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7_9_common.h
+   M /trunk/src/target/arm_jtag.c
+   M /trunk/src/target/arm_jtag.h
+   M /trunk/src/target/embeddedice.c
+   M /trunk/src/target/embeddedice.h
+   M /trunk/src/target/image.c
+   M /trunk/src/target/image.h
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
+   M /trunk/src/target/target_request.c
+   M /trunk/src/target/target_request.h
+   M /trunk/src/target/xscale.c
+   M /trunk/src/target/xscale.h
+   M /trunk/src/xsvf/xsvf.c
 
 added yours sincerely for files where I feel that I've made non-trivial contributions.
 ------------------------------------------------------------------------
 r871 | oharboe | 2008-07-24 22:46:15 +0200 (Thu, 24 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/command.c
 
 OpenOCD commands w/prefix ocd_ now set the primary Tcl return value instead of messing with ocd_output local variable. Much more straightforward and expected behaviour. The side effect is that the ocd_xxx commands will print output twice(once immediately and once upon completion of command). This is a strange, expected and intentional behaviour.
 ------------------------------------------------------------------------
 r870 | oharboe | 2008-07-24 16:50:41 +0200 (Thu, 24 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/log.h
 
 more error message cleanup. invalid args & syntax errors both now print arguments of command.
 ------------------------------------------------------------------------
 r869 | oharboe | 2008-07-24 15:49:56 +0200 (Thu, 24 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/Makefile.am
+   M /trunk/src/jtag/Makefile.am
 
 take path to eCos files from environment variable
 ------------------------------------------------------------------------
 r868 | oharboe | 2008-07-24 12:17:42 +0200 (Thu, 24 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/eir-sam7se512.cfg
+   M /trunk/src/target/target/epc9301.cfg
+   M /trunk/src/target/target/hammer.cfg
+   M /trunk/src/target/target/ipx42x.cfg
+   M /trunk/src/target/target/lpc2129.cfg
+   M /trunk/src/target/target/netx500.cfg
+   M /trunk/src/target/target/omap5912.cfg
+   M /trunk/src/target/target/pxa270.cfg
+   M /trunk/src/target/target/str730.cfg
+   M /trunk/src/target/target/str9comstick.cfg
+   M /trunk/src/target/target/xba_revA3.cfg
 
 retire daemon_startup
 ------------------------------------------------------------------------
 r867 | oharboe | 2008-07-24 12:17:12 +0200 (Thu, 24 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 allow jtag minidriver access to cmd_queue_cur_state for jtag_add_pathmove()
 ------------------------------------------------------------------------
 r866 | oharboe | 2008-07-24 12:16:44 +0200 (Thu, 24 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/command.c
+   M /trunk/src/openocd.c
 
 Better handling of OpenOCD command invocation result/context.
 ------------------------------------------------------------------------
 r865 | oharboe | 2008-07-24 08:07:55 +0200 (Thu, 24 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
 
 wait 500ms for target to halt upon connect.
 ------------------------------------------------------------------------
 r864 | ntfreak | 2008-07-24 00:24:02 +0200 (Thu, 24 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/gdb_server.c
 
 - comment about dummy ack '+' char from gdb
 ------------------------------------------------------------------------
 r863 | ntfreak | 2008-07-23 23:31:43 +0200 (Wed, 23 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 - fix typo in jtag_add_end_state
 ------------------------------------------------------------------------
 r862 | ntfreak | 2008-07-23 22:18:56 +0200 (Wed, 23 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 - fix typo
 ------------------------------------------------------------------------
 r861 | oharboe | 2008-07-23 21:03:16 +0200 (Wed, 23 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/gdb_server.c
 
 fix <memory> is missing upon gdb connect warning when no flash is defined for target.
 ------------------------------------------------------------------------
 r860 | oharboe | 2008-07-23 18:04:45 +0200 (Wed, 23 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/command.c
 
 handle end of line comments to improve compatibility with event scripts
 ------------------------------------------------------------------------
 r859 | ntfreak | 2008-07-23 16:49:41 +0200 (Wed, 23 Jul 2008) | 2 lines
+Changed paths:
+   M /trunk/src/flash/stm32x.c
+   M /trunk/src/flash/stm32x.h
+   M /trunk/src/flash/str7x.c
+   M /trunk/src/flash/str7x.h
+   M /trunk/src/flash/str9x.c
+   M /trunk/src/flash/str9x.h
+   M /trunk/src/flash/str9xpec.c
+   M /trunk/src/flash/str9xpec.h
 
 - more fixes to high density stm32x flash driver
 - updated copyright for original author
 ------------------------------------------------------------------------
 r858 | ntfreak | 2008-07-22 16:30:52 +0200 (Tue, 22 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/stm32x.c
+   M /trunk/src/tcl/cpu/arm/cortex_m3.tcl
 
 - fix bug with stm32 high density write protection
 ------------------------------------------------------------------------
 r857 | ntfreak | 2008-07-22 13:18:28 +0200 (Tue, 22 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/configure.in
 
 - add missing quotes from CFLAGS_FOR_BUILD
 ------------------------------------------------------------------------
 r856 | oharboe | 2008-07-22 13:06:09 +0200 (Tue, 22 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/src/helper/Makefile.am
 
 Spen: startup.tcl cross compile support
 ------------------------------------------------------------------------
 r855 | oharboe | 2008-07-22 11:04:21 +0200 (Tue, 22 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/log.c
+   M /trunk/src/helper/options.c
 
 Only print out gobs of information to log when -d3 is enabled.
 ------------------------------------------------------------------------
 r854 | oharboe | 2008-07-22 10:58:44 +0200 (Tue, 22 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/startup.tcl
 
 very slightly improved error message for not being able to find scripts
 ------------------------------------------------------------------------
 r853 | oharboe | 2008-07-21 20:24:43 +0200 (Mon, 21 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/startup.tcl
+   M /trunk/src/server/gdb_server.c
 
 restart is a per-target action
 ------------------------------------------------------------------------
 r852 | oharboe | 2008-07-21 20:06:36 +0200 (Mon, 21 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/startup.tcl
+   M /trunk/src/server/gdb_server.c
 
 Allows config scripts to override handling of 'R'(restart) GDB packet.
 ------------------------------------------------------------------------
 r851 | oharboe | 2008-07-21 18:13:11 +0200 (Mon, 21 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/jim.c
+   M /trunk/src/helper/jim.h
 
 jim license cleanup
 ------------------------------------------------------------------------
 r850 | oharboe | 2008-07-21 18:03:15 +0200 (Mon, 21 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 update jtag_speed/khz docs a bit.
 ------------------------------------------------------------------------
 r849 | oharboe | 2008-07-21 17:59:41 +0200 (Mon, 21 Jul 2008) | 18 lines
+Changed paths:
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/startup.tcl
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/target/Makefile.am
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/event/sam7s256_reset.script
+   M /trunk/src/target/event/sam7x256_reset.script
+   D /trunk/src/target/event/str912_reset.script
+   M /trunk/src/target/target/str710.cfg
+   M /trunk/src/target/target/str730.cfg
+   M /trunk/src/target/target/str750.cfg
+   M /trunk/src/target/target/str912.cfg
+   M /trunk/src/target/target/zy1000.cfg
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
+   M /trunk/src/target/xscale.c
 
 
 - jtag_khz/speed are now single parameter only. These are used
@@ -2893,39 +6303,74 @@ hardcoded defaults will do for now and i
 printing message that will surely drown in the log
 ------------------------------------------------------------------------
 r848 | oharboe | 2008-07-21 15:23:59 +0200 (Mon, 21 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/Makefile.am
+   M /trunk/src/helper/command.h
 
 cross compile fix
 ------------------------------------------------------------------------
 r847 | oharboe | 2008-07-21 12:16:14 +0200 (Mon, 21 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/readme.txt
 
 use reset init explicitly before "load".
 ------------------------------------------------------------------------
 r846 | oharboe | 2008-07-21 11:25:51 +0200 (Mon, 21 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/Makefile.am
+   M /trunk/src/tcl/chip/st/stm32/stm32_rcc.tcl
+   A /trunk/src/tcl/cpu/arm/cortex_m3.tcl
 
 Duane Ellis <openocd@duaneellis.com> stm32 peripherals scripts
 ------------------------------------------------------------------------
 r845 | oharboe | 2008-07-21 11:16:10 +0200 (Mon, 21 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/flash/cfi.h
+   M /trunk/src/flash/non_cfi.c
 
 Michael Kurz <michi.kurz@googlemail.com> MX29LV800B non-cfi flash.
 ------------------------------------------------------------------------
 r844 | oharboe | 2008-07-20 20:26:08 +0200 (Sun, 20 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/log.c
 
 BUG: prefix to timeout for gdb keep alive packets.
 ------------------------------------------------------------------------
 r843 | ntfreak | 2008-07-20 19:29:59 +0200 (Sun, 20 Jul 2008) | 2 lines
+Changed paths:
+   M /trunk/src/flash/non_cfi.c
+   M /trunk/src/flash/non_cfi.h
+   M /trunk/src/tcl/chip/st/stm32/stm32.tcl
+   M /trunk/src/tcl/chip/st/stm32/stm32_rcc.tcl
+   M /trunk/src/tcl/chip/st/stm32/stm32_regs.tcl
 
 - added svn props for newly added files
 - reformat spaces from non_cfi.[ch]
 ------------------------------------------------------------------------
 r842 | oharboe | 2008-07-20 19:13:08 +0200 (Sun, 20 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/Makefile.am
+   A /trunk/src/tcl/chip/st
+   A /trunk/src/tcl/chip/st/stm32
+   A /trunk/src/tcl/chip/st/stm32/stm32.tcl
+   A /trunk/src/tcl/chip/st/stm32/stm32_rcc.tcl
+   A /trunk/src/tcl/chip/st/stm32/stm32_regs.tcl
+   M /trunk/src/tcl/mmr_helpers.tcl
 
 Duane Ellis <openocd@duaneellis.com> - script commands for stm32
 ------------------------------------------------------------------------
 r841 | oharboe | 2008-07-20 19:08:18 +0200 (Sun, 20 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/flash/cfi.h
+   M /trunk/src/flash/non_cfi.c
 
 Ben Bodley <ben@teknique.com>  non-CFI compliant flash (AMIC A29L800A)
 ------------------------------------------------------------------------
 r840 | oharboe | 2008-07-20 19:06:30 +0200 (Sun, 20 Jul 2008) | 4 lines
+Changed paths:
+   M /trunk/src/helper/jim.c
 
 Duane Ellis <openocd@duaneellis.com>
  improve error message in Jim when sourcing a file fails.
@@ -2933,46 +6378,115 @@ Previously it did not tell you the CWD J
 (Helpful when script filenames are a relative path)
 ------------------------------------------------------------------------
 r839 | oharboe | 2008-07-20 19:04:58 +0200 (Sun, 20 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/flash.c
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/startup.tcl
+   M /trunk/src/target/target.c
+   M /trunk/src/tcl/chip/atmel/at91/aic.tcl
+   M /trunk/src/tcl/memory.tcl
 
 openocd@duaneellis.com fix naming confusion. Use ocd_ prefix for ocd API consistently.
 ------------------------------------------------------------------------
 r838 | oharboe | 2008-07-19 12:37:41 +0200 (Sat, 19 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/startup.tcl
 
 throw exception upon syntax error.
 ------------------------------------------------------------------------
 r837 | ntfreak | 2008-07-19 11:31:54 +0200 (Sat, 19 Jul 2008) | 2 lines
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 - updated texi for removed daemon_startup command
 - added info to deprecated/removed commands section
 ------------------------------------------------------------------------
 r836 | oharboe | 2008-07-19 10:11:48 +0200 (Sat, 19 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
 
 clarify error message w.r.t. not being able to set breakpoint
 ------------------------------------------------------------------------
 r835 | oharboe | 2008-07-19 10:04:32 +0200 (Sat, 19 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/helper/startup.tcl
+   M /trunk/src/openocd.c
 
 daemon_startup is now retired in favour of adding "init" and "reset halt/init/run" to the end of the config file/openocd command line.
 ------------------------------------------------------------------------
 r834 | oharboe | 2008-07-18 18:25:15 +0200 (Fri, 18 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/command.c
 
 This allows overriding builtin openocd commands.
 ------------------------------------------------------------------------
 r833 | oharboe | 2008-07-18 16:51:19 +0200 (Fri, 18 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/at91r40008.cfg
+   M /trunk/src/target/target/at91sam9260.cfg
+   M /trunk/src/target/target/at91sam9260minimal.cfg
+   M /trunk/src/target/target/eir-sam7se512.cfg
+   M /trunk/src/target/target/epc9301.cfg
+   M /trunk/src/target/target/hammer.cfg
+   M /trunk/src/target/target/ipx42x.cfg
+   M /trunk/src/target/target/lm3s6965.cfg
+   M /trunk/src/target/target/lm3s811.cfg
+   M /trunk/src/target/target/lpc2129.cfg
+   M /trunk/src/target/target/lpc2148.cfg
+   M /trunk/src/target/target/lpc2294.cfg
+   M /trunk/src/target/target/mx31.cfg
+   M /trunk/src/target/target/netx500.cfg
+   M /trunk/src/target/target/nslu2.cfg
+   M /trunk/src/target/target/omap5912.cfg
+   M /trunk/src/target/target/pxa255.cfg
+   M /trunk/src/target/target/pxa270.cfg
+   M /trunk/src/target/target/sam7s256.cfg
+   M /trunk/src/target/target/sam7x256.cfg
+   M /trunk/src/target/target/stm32.cfg
+   M /trunk/src/target/target/stm32stick.cfg
+   M /trunk/src/target/target/str710.cfg
+   M /trunk/src/target/target/str730.cfg
+   M /trunk/src/target/target/str750.cfg
+   M /trunk/src/target/target/str912.cfg
+   M /trunk/src/target/target/str9comstick.cfg
+   M /trunk/src/target/target/wi-9c.cfg
+   M /trunk/src/target/target/xba_revA3.cfg
+   M /trunk/src/target/target/zy1000.cfg
 
 remove obsolete reset_mode 
 ------------------------------------------------------------------------
 r832 | oharboe | 2008-07-18 16:43:29 +0200 (Fri, 18 Jul 2008) | 3 lines
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/target/target.c
 
 "reset" without arguments now execute a "reset run".
 
 the reset mode argument to the target command is deprecated(ignored w/error message).
 ------------------------------------------------------------------------
 r831 | ntfreak | 2008-07-18 15:31:37 +0200 (Fri, 18 Jul 2008) | 2 lines
+Changed paths:
+   M /trunk/src/helper/log.c
+   M /trunk/src/helper/time_support.c
+   M /trunk/src/main.c
 
 - remove build warning from keep_alive
 - remove surplus linefeeds
 ------------------------------------------------------------------------
 r829 | ntfreak | 2008-07-18 13:38:23 +0200 (Fri, 18 Jul 2008) | 5 lines
+Changed paths:
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/lpc288x.c
+   M /trunk/src/flash/lpc288x.h
+   M /trunk/src/helper/Makefile.am
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/command.h
+   M /trunk/src/helper/jim.h
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/server/tcl_server.c
+   M /trunk/src/target/interface/olimex-jtag-tiny-a.cfg
+   M /trunk/src/target/target.c
 
 - fix incorrectly registered function openocd_array2mem
 - removed unused variables
@@ -2981,14 +6495,23 @@ r829 | ntfreak | 2008-07-18 13:38:23 +02
 - add correct svn props to added files
 ------------------------------------------------------------------------
 r828 | oharboe | 2008-07-18 13:18:35 +0200 (Fri, 18 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 resume is now asynchronous
 ------------------------------------------------------------------------
 r827 | oharboe | 2008-07-18 12:50:51 +0200 (Fri, 18 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 keep_alive() fix for reset warnings.
 ------------------------------------------------------------------------
 r826 | oharboe | 2008-07-18 12:20:10 +0200 (Fri, 18 Jul 2008) | 14 lines
+Changed paths:
+   M /trunk/src/helper/log.c
+   M /trunk/src/helper/log.h
+   M /trunk/src/server/server.c
+   M /trunk/src/target/target.c
 
 1. GDB will print cryptic error messages if it is not fed keep-alive packets
 within the last 2000ms.
@@ -3006,22 +6529,51 @@ reset speed.
 
 ------------------------------------------------------------------------
 r825 | oharboe | 2008-07-18 08:32:08 +0200 (Fri, 18 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/Makefile.am
+   A /trunk/src/target/interface/olimex-jtag-tiny-a.cfg
 
 Duane Ellis <openocd@duaneellis.com> more interface files.
 ------------------------------------------------------------------------
 r824 | oharboe | 2008-07-18 08:24:57 +0200 (Fri, 18 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/flash.c
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/command.h
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/openocd.c
+   D /trunk/src/openocd_tcl.h
+   M /trunk/src/target/target.c
 
 Charles Hardin <ckhardin@gmail.com> move tcl stuff nearer to where it belongs.
 ------------------------------------------------------------------------
 r823 | oharboe | 2008-07-18 08:02:16 +0200 (Fri, 18 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/readme.txt
 
 added missing "reset+load" sequence.
 ------------------------------------------------------------------------
 r822 | oharboe | 2008-07-17 19:34:53 +0200 (Thu, 17 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/Makefile.am
+   D /trunk/src/bin2char.c
+   M /trunk/src/flash/flash.c
+   M /trunk/src/helper/Makefile.am
+   A /trunk/src/helper/bin2char.c (from /trunk/src/bin2char.c:820)
+   A /trunk/src/helper/jim.c (from /trunk/src/jim.c:820)
+   A /trunk/src/helper/jim.h (from /trunk/src/jim.h:820)
+   A /trunk/src/helper/startup.tcl (from /trunk/src/startup.tcl:820)
+   D /trunk/src/jim.c
+   D /trunk/src/jim.h
+   M /trunk/src/server/tcl_server.c
+   D /trunk/src/startup.tcl
 
 Charles Hardin <ckhardin@gmail.com>  move jim into helper
 ------------------------------------------------------------------------
 r821 | oharboe | 2008-07-17 19:31:07 +0200 (Thu, 17 Jul 2008) | 5 lines
+Changed paths:
+   M /trunk/src/helper/command.c
+   M /trunk/src/openocd.c
 
 Charles Hardin ckhardin at gmail.com   Instead of stashing the context in a global variable, just use the "context"
 associated with the interp structure being passed around
@@ -3030,10 +6582,16 @@ And fixed the message referring to mem2a
 
 ------------------------------------------------------------------------
 r820 | oharboe | 2008-07-17 14:02:55 +0200 (Thu, 17 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/command.c
+   M /trunk/src/openocd.c
+   M /trunk/src/startup.tcl
 
 Collect output from openocd commands into openocd_output local variable
 ------------------------------------------------------------------------
 r819 | oharboe | 2008-07-17 10:39:06 +0200 (Thu, 17 Jul 2008) | 4 lines
+Changed paths:
+   M /trunk/src/openocd.c
 
 Charles Hardin ckhardin at gmail.com 
 
@@ -3041,6 +6599,15 @@ There isn't a real value to the cfg_cmd_
 
 ------------------------------------------------------------------------
 r818 | oharboe | 2008-07-17 10:34:14 +0200 (Thu, 17 Jul 2008) | 6 lines
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/flash/flash.c
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/command.h
+   M /trunk/src/openocd.c
+   M /trunk/src/startup.tcl
+   M /trunk/src/target/Makefile.am
+   D /trunk/src/target/target/at91eb40a.tcl
 
 Charles Hardin <ckhardin@gmail.com> and ?\195?\152yvind Harboe
 
@@ -3050,47 +6617,77 @@ Multilevel commands also supported.
 
 ------------------------------------------------------------------------
 r817 | ntfreak | 2008-07-17 09:15:14 +0200 (Thu, 17 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 - reverted resume_target to old behaviour
 ------------------------------------------------------------------------
 r816 | oharboe | 2008-07-17 08:21:29 +0200 (Thu, 17 Jul 2008) | 2 lines
+Changed paths:
+   M /trunk/src/Makefile.am
 
 Charles Hardin ckhardin at gmail.com  bin2char does not need to be installed as part of openocd
 
 ------------------------------------------------------------------------
 r815 | oharboe | 2008-07-16 22:20:15 +0200 (Wed, 16 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/options.c
+   M /trunk/src/openocd.c
+   M /trunk/src/startup.tcl
 
 Fixes to \ and / handling for OpenOCD
 ------------------------------------------------------------------------
 r814 | oharboe | 2008-07-16 14:44:00 +0200 (Wed, 16 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/flash.c
+   M /trunk/src/startup.tcl
 
 flash_banks now follow OpenOCD scripting API rules
 ------------------------------------------------------------------------
 r813 | oharboe | 2008-07-16 12:23:16 +0200 (Wed, 16 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/jim.c
 
 print out jim error message stack trace in expected order(look at any C++ or Java debugger for instance).
 ------------------------------------------------------------------------
 r812 | oharboe | 2008-07-16 12:12:29 +0200 (Wed, 16 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/openocd.c
 
 do not print jim tcl error message trace for ERROR_COMMAND_CLOSE_CONNECTION
 ------------------------------------------------------------------------
 r811 | oharboe | 2008-07-16 10:49:05 +0200 (Wed, 16 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/command.c
 
 print syntax for command upon syntax error.
 ------------------------------------------------------------------------
 r810 | oharboe | 2008-07-16 09:22:17 +0200 (Wed, 16 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/command.c
+   M /trunk/src/openocd.c
+   M /trunk/src/startup.tcl
+   M /trunk/src/target/target.c
 
 better error messages for target event scripts.
 ------------------------------------------------------------------------
 r809 | oharboe | 2008-07-15 16:10:13 +0200 (Tue, 15 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 feeble beginnings for tcl api rules.
 ------------------------------------------------------------------------
 r808 | ntfreak | 2008-07-15 12:21:43 +0200 (Tue, 15 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/stm32x.c
 
 - stm32 flash driver correctly handles early silicon
 ------------------------------------------------------------------------
 r806 | oharboe | 2008-07-14 08:34:23 +0200 (Mon, 14 Jul 2008) | 6 lines
+Changed paths:
+   M /trunk/src/helper/configuration.c
+   M /trunk/src/helper/configuration.h
+   M /trunk/src/openocd.c
 
 Charles Hardin <ckhardin@gmail.com>
 
@@ -3100,6 +6697,11 @@ sets and all the globals are then done a
 added a const to find_file function to avoid typecasting
 ------------------------------------------------------------------------
 r805 | ntfreak | 2008-07-13 23:07:14 +0200 (Sun, 13 Jul 2008) | 4 lines
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/src/Makefile.am
+   M /trunk/src/bin2char.c
+   M /trunk/src/openocd.c
 
 - remove unused objcopy from configure.in
 - make sure bin2char is built before openocd
@@ -3107,48 +6709,84 @@ r805 | ntfreak | 2008-07-13 23:07:14 +02
 - pass startup_tcl directly to Jim_Eval
 ------------------------------------------------------------------------
 r804 | ntfreak | 2008-07-13 22:20:58 +0200 (Sun, 13 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/bin2char.c
 
 - added svn props for newly added files
 ------------------------------------------------------------------------
 r803 | oharboe | 2008-07-13 19:31:40 +0200 (Sun, 13 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/Makefile.am
+   A /trunk/src/bin2char.c
+   M /trunk/src/openocd.c
 
 Charles Hardin <ckhardin@gmail.com> - hopefully final word on startup.tcl => c conversion
 ------------------------------------------------------------------------
 r802 | oharboe | 2008-07-13 10:25:33 +0200 (Sun, 13 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/openocd.c
 
 Duane Ellis <openocd@duaneellis.com> fix to tcl puts
 ------------------------------------------------------------------------
 r801 | ntfreak | 2008-07-13 00:40:49 +0200 (Sun, 13 Jul 2008) | 2 lines
+Changed paths:
+   M /trunk/src/Makefile.am
 
 - fix issue when building in separate build dir
 - Thanks Duane Ellis
 ------------------------------------------------------------------------
 r800 | ntfreak | 2008-07-12 18:25:17 +0200 (Sat, 12 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/src/Makefile.am
+   D /trunk/src/file2c.tcl
+   M /trunk/src/openocd.c
+   M /trunk/testing/tcl_server.tcl
+   M /trunk/testing/tcl_test.tcl
 
 - remove requirement for file2c.tcl
 ------------------------------------------------------------------------
 r799 | oharboe | 2008-07-12 09:50:17 +0200 (Sat, 12 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/startup.tcl
+   A /trunk/testing/tcl_test.tcl
 
 testing/*.tcl sample & test code
 ------------------------------------------------------------------------
 r798 | oharboe | 2008-07-12 09:50:03 +0200 (Sat, 12 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
+   A /trunk/testing/tcl_server.tcl
 
 testing/*.tcl sample & test code
 ------------------------------------------------------------------------
 r797 | oharboe | 2008-07-11 21:30:54 +0200 (Fri, 11 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/command.h
+   M /trunk/src/startup.tcl
 
 help is now implemented in startup.tcl/help
 ------------------------------------------------------------------------
 r796 | ntfreak | 2008-07-11 20:25:21 +0200 (Fri, 11 Jul 2008) | 2 lines
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/src/Makefile.am
 
 - configure check added for tclsh
 - startup.c manually added to clean deps
 ------------------------------------------------------------------------
 r795 | oharboe | 2008-07-11 19:46:17 +0200 (Fri, 11 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/startup.tcl
 
 search help text too
 ------------------------------------------------------------------------
 r794 | oharboe | 2008-07-11 19:40:15 +0200 (Fri, 11 Jul 2008) | 6 lines
+Changed paths:
+   M /trunk/src/helper/binarybuffer.c
+   M /trunk/src/helper/binarybuffer.h
+   M /trunk/src/jtag/jtag.c
 
 Charles Hardin ckhardin at gmail.com  
 
@@ -3158,14 +6796,34 @@ as a memory corruption when this check h
 
 ------------------------------------------------------------------------
 r793 | oharboe | 2008-07-11 19:36:36 +0200 (Fri, 11 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/startup.tcl
 
 tcl_help prettier output.
 ------------------------------------------------------------------------
 r792 | oharboe | 2008-07-11 17:07:58 +0200 (Fri, 11 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/Makefile.am
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/configuration.c
+   M /trunk/src/openocd.c
+   M /trunk/src/startup.tcl
 
 work in progress to improve help
 ------------------------------------------------------------------------
 r791 | oharboe | 2008-07-11 14:17:56 +0200 (Fri, 11 Jul 2008) | 4 lines
+Changed paths:
+   M /trunk/src/Makefile.am
+   M /trunk/src/helper/Makefile.am
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/command.h
+   D /trunk/src/helper/interpreter.c
+   D /trunk/src/helper/interpreter.h
+   M /trunk/src/jtag/Makefile.am
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/openocd.c
+   A /trunk/src/openocd_tcl.h
+   M /trunk/src/target/target/at91eb40a.cfg
 
 - retired variable stuff. 
 - drscan is now a low level tcl command:
@@ -3173,22 +6831,43 @@ r791 | oharboe | 2008-07-11 14:17:56 +02
 - removed obsolete partial command text support
 ------------------------------------------------------------------------
 r790 | oharboe | 2008-07-11 11:06:36 +0200 (Fri, 11 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/command.h
+   M /trunk/src/helper/interpreter.c
+   M /trunk/src/helper/options.c
+   M /trunk/src/target/target/at91eb40a.cfg
 
 .cfg files are now executed as Jim Tcl. Commands that terminate script w/error message.
 ------------------------------------------------------------------------
 r789 | ntfreak | 2008-07-11 10:17:31 +0200 (Fri, 11 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/file2c.tcl
+   M /trunk/src/startup.tcl
 
 - added svn props for newly added files
 ------------------------------------------------------------------------
 r788 | oharboe | 2008-07-11 08:52:33 +0200 (Fri, 11 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/scripting.txt
 
 working notes.
 ------------------------------------------------------------------------
 r787 | oharboe | 2008-07-11 08:44:22 +0200 (Fri, 11 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/Makefile.am
+   A /trunk/src/file2c.tcl
+   M /trunk/src/openocd.c
+   A /trunk/src/startup.tcl
+   D /trunk/src/tcl/commands.tcl
 
 startup.tcl (former commands.tcl) is now embedded into OpenOCD executable.
 ------------------------------------------------------------------------
 r786 | oharboe | 2008-07-10 20:47:50 +0200 (Thu, 10 Jul 2008) | 6 lines
+Changed paths:
+   M /trunk/src/openocd.c
+   M /trunk/src/tcl/bitsbytes.tcl
+   M /trunk/src/tcl/memory.tcl
 
 Charles Hardin <ckhardin@gmail.com>
 
@@ -3198,134 +6877,282 @@ context.
 Add memwrite procs to memory.tcl
 ------------------------------------------------------------------------
 r785 | oharboe | 2008-07-10 20:24:30 +0200 (Thu, 10 Jul 2008) | 3 lines
+Changed paths:
+   M /trunk/src/helper/configuration.h
+   M /trunk/src/helper/options.c
+   M /trunk/src/openocd.c
 
 - added search paths before running tcl/commands.tcl. 
 - improved error handling for missing tcl/commands.tcl
 
 ------------------------------------------------------------------------
 r784 | oharboe | 2008-07-10 11:22:28 +0200 (Thu, 10 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/tcl/commands.tcl
 
 fix quoting problem when handling OpenOCD commands.
 ------------------------------------------------------------------------
 r783 | oharboe | 2008-07-10 10:57:35 +0200 (Thu, 10 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/openocd.c
 
 SEGFAULT fix for syntax error.
 ------------------------------------------------------------------------
 r782 | oharboe | 2008-07-10 08:44:11 +0200 (Thu, 10 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/scripting.txt
+   M /trunk/src/tcl/commands.tcl
 
 very slight cleanup of flash banks handling.
 ------------------------------------------------------------------------
 r781 | oharboe | 2008-07-10 00:19:05 +0200 (Thu, 10 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/jim.c
+   M /trunk/src/openocd.c
 
 improve error messages a little bit.
 ------------------------------------------------------------------------
 r780 | ntfreak | 2008-07-09 21:52:03 +0200 (Wed, 09 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/Makefile.am
 
 - adding missing install entry for luminary-libftdi.cfg 
 ------------------------------------------------------------------------
 r779 | oharboe | 2008-07-09 17:22:05 +0200 (Wed, 09 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/flash.c
+   M /trunk/src/helper/command.c
+   M /trunk/src/openocd.c
+   M /trunk/src/tcl/commands.tcl
 
 "flash banks" is now implemented in Tcl on top of "flash_banks". openocd_throw prefix is no longer required when executing OpenOCD commands from tcl.
 ------------------------------------------------------------------------
 r778 | ntfreak | 2008-07-09 15:05:46 +0200 (Wed, 09 Jul 2008) | 1 line
+Changed paths:
+   A /trunk/src/target/interface/luminary-libftdi.cfg
+   M /trunk/src/target/interface/luminary.cfg
 
 - added luminary libftdi interface config
 ------------------------------------------------------------------------
 r777 | ntfreak | 2008-07-09 14:46:40 +0200 (Wed, 09 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/lm3s811.cfg
+   M /trunk/src/target/target.c
 
 - only check normal resume, not debug resume
 ------------------------------------------------------------------------
 r776 | oharboe | 2008-07-09 13:09:06 +0200 (Wed, 09 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/flash.c
 
 added flash_banks low level command.
 ------------------------------------------------------------------------
 r775 | ntfreak | 2008-07-09 12:33:30 +0200 (Wed, 09 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 - target_resume is now synchronous with 5sec timeout
 ------------------------------------------------------------------------
 r774 | oharboe | 2008-07-08 18:05:59 +0200 (Tue, 08 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/openocd.c
+   M /trunk/src/target/target.c
 
 tcl regression fixes.
 ------------------------------------------------------------------------
 r773 | oharboe | 2008-07-08 14:05:58 +0200 (Tue, 08 Jul 2008) | 2 lines
+Changed paths:
+   M /trunk/src/jim.c
 
 	* src/jim.c: remove bogus return value from if {[expr]} {xx} when
 	{xx} is not run. 
 ------------------------------------------------------------------------
 r772 | ntfreak | 2008-07-08 13:19:03 +0200 (Tue, 08 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 - removed target_process_events as only used in handle_resume_command and events will be called anyway by poll
 ------------------------------------------------------------------------
 r771 | ntfreak | 2008-07-08 12:49:58 +0200 (Tue, 08 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
 
 - fix pre_resume script not being called
 ------------------------------------------------------------------------
 r770 | ntfreak | 2008-07-08 10:55:53 +0200 (Tue, 08 Jul 2008) | 2 lines
+Changed paths:
+   M /trunk/src/openocd.c
 
 - apply correct formatting to openocd.c
 - Thanks Charles Hardin
 ------------------------------------------------------------------------
 r769 | oharboe | 2008-07-07 23:06:22 +0200 (Mon, 07 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 reset event is synonym for post_reset event. 
 ------------------------------------------------------------------------
 r768 | oharboe | 2008-07-07 22:02:51 +0200 (Mon, 07 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/openocd.c
+   M /trunk/src/tcl/commands.tcl
 
 more tcl cleanup.
 ------------------------------------------------------------------------
 r767 | oharboe | 2008-07-07 20:57:27 +0200 (Mon, 07 Jul 2008) | 2 lines
+Changed paths:
+   M /trunk/src/jim.c
 
 Duane Ellis <openocd@duaneellis.com>: This simple patch adds precision support to JIM's format command.
 
 ------------------------------------------------------------------------
 r766 | ntfreak | 2008-07-07 14:19:17 +0200 (Mon, 07 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/command.h
 
 - command_run_line will only search once for the command, and execute if found
 ------------------------------------------------------------------------
 r765 | oharboe | 2008-07-07 10:05:07 +0200 (Mon, 07 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/main.c
+   M /trunk/src/openocd.c
+   M /trunk/src/server/server.c
 
 added pre/postlude fn's for when OpenOCD is sleeping.
 ------------------------------------------------------------------------
 r764 | oharboe | 2008-07-07 08:36:12 +0200 (Mon, 07 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 fix syntax error.
 ------------------------------------------------------------------------
 r763 | oharboe | 2008-07-07 08:29:07 +0200 (Mon, 07 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 Charles Hardin <ckhardin@gmail.com> Tcl server documentation.
 ------------------------------------------------------------------------
 r762 | ntfreak | 2008-07-07 01:49:05 +0200 (Mon, 07 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/command.c
 
 - fix duplicate log entry
 ------------------------------------------------------------------------
 r761 | ntfreak | 2008-07-07 01:26:31 +0200 (Mon, 07 Jul 2008) | 2 lines
+Changed paths:
+   M /trunk/src/tcl/memory.tcl
 
 - fix typo in memory.tcl
 - Thanks Charles Hardin
 ------------------------------------------------------------------------
 r760 | ntfreak | 2008-07-07 01:22:17 +0200 (Mon, 07 Jul 2008) | 3 lines
+Changed paths:
+   M /trunk/src/helper/binarybuffer.h
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/command.h
+   M /trunk/src/helper/replacements.h
+   M /trunk/src/jim.c
+   M /trunk/src/jim.h
+   M /trunk/src/main.c
+   M /trunk/src/openocd.c
+   M /trunk/src/server/tcl_server.c
+   M /trunk/src/server/tcl_server.h
+   M /trunk/src/server/telnet_server.c
+   M /trunk/src/target/target.c
+   M /trunk/src/tcl/README_ABOUT_TCL.txt
+   M /trunk/src/tcl/bitsbytes.tcl
+   M /trunk/src/tcl/chip/atmel/at91/aic.tcl
+   M /trunk/src/tcl/chip/atmel/at91/at91sam7x128.tcl
+   M /trunk/src/tcl/chip/atmel/at91/at91sam7x256.tcl
+   M /trunk/src/tcl/chip/atmel/at91/pmc.tcl
+   M /trunk/src/tcl/chip/atmel/at91/rtt.tcl
+   M /trunk/src/tcl/chip/atmel/at91/usarts.tcl
+   M /trunk/src/tcl/cpu/arm/arm7tdmi.tcl
+   M /trunk/src/tcl/cpu/arm/arm920.tcl
+   M /trunk/src/tcl/cpu/arm/arm946.tcl
+   M /trunk/src/tcl/cpu/arm/arm966.tcl
+   M /trunk/src/tcl/memory.tcl
+   M /trunk/src/tcl/mmr_helpers.tcl
+   M /trunk/src/tcl/readable.tcl
 
 - fixed build issues with win32
 - fixed build warnings for last commit
 - set svn props for last commit
 ------------------------------------------------------------------------
 r759 | oharboe | 2008-07-07 00:03:07 +0200 (Mon, 07 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/Makefile.am
+   M /trunk/src/main.c
+   M /trunk/src/openocd.c
+   M /trunk/src/server/tcl_server.c
 
 moving Tcl stuff around slightly.
 ------------------------------------------------------------------------
 r758 | oharboe | 2008-07-06 21:56:15 +0200 (Sun, 06 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/Makefile.am
+   M /trunk/src/helper/command.c
+   A /trunk/src/main.c
+   M /trunk/src/openocd.c
+   M /trunk/src/server/server.h
+   M /trunk/src/server/tcl_server.c
+   D /trunk/tcl
 
 fix a few compilation problems.
 ------------------------------------------------------------------------
 r757 | oharboe | 2008-07-06 21:33:05 +0200 (Sun, 06 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/openocd.c
+   M /trunk/src/server/Makefile.am
+   A /trunk/src/server/tcl_server.c
+   A /trunk/src/server/tcl_server.h
 
 Charles Hardin <ckhardin@gmail.com> - Tcl Server
 ------------------------------------------------------------------------
 r756 | oharboe | 2008-07-06 21:25:04 +0200 (Sun, 06 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/tcl/commands.tcl
 
 Oopss. Forgot to list Duane Ellis <openocd@duaneellis.com> as the author of changes in 755.
 ------------------------------------------------------------------------
 r755 | oharboe | 2008-07-06 21:17:43 +0200 (Sun, 06 Jul 2008) | 95 lines
+Changed paths:
+   M /trunk/src/Makefile.am
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/command.h
+   M /trunk/src/helper/configuration.h
+   M /trunk/src/helper/options.c
+   M /trunk/src/jim.c
+   M /trunk/src/jim.h
+   M /trunk/src/openocd.c
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/server/telnet_server.c
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
+   A /trunk/src/tcl/README_ABOUT_TCL.txt
+   A /trunk/src/tcl/bitsbytes.tcl
+   A /trunk/src/tcl/chip
+   A /trunk/src/tcl/chip/atmel
+   A /trunk/src/tcl/chip/atmel/at91
+   A /trunk/src/tcl/chip/atmel/at91/aic.tcl
+   A /trunk/src/tcl/chip/atmel/at91/at91sam7x128.tcl
+   A /trunk/src/tcl/chip/atmel/at91/at91sam7x256.tcl
+   A /trunk/src/tcl/chip/atmel/at91/pmc.tcl
+   A /trunk/src/tcl/chip/atmel/at91/rtt.tcl
+   A /trunk/src/tcl/chip/atmel/at91/usarts.tcl
+   A /trunk/src/tcl/cpu
+   A /trunk/src/tcl/cpu/arm
+   A /trunk/src/tcl/cpu/arm/arm7tdmi.tcl
+   A /trunk/src/tcl/cpu/arm/arm920.tcl
+   A /trunk/src/tcl/cpu/arm/arm946.tcl
+   A /trunk/src/tcl/cpu/arm/arm966.tcl
+   A /trunk/src/tcl/memory.tcl
+   A /trunk/src/tcl/mmr_helpers.tcl
+   A /trunk/src/tcl/readable.tcl
+   A /trunk/tcl
 
 src/helper/configuration.h
 	- Log output handlers now get a "const char *line"
@@ -3424,134 +7251,238 @@ src/Jim.h
 
 ------------------------------------------------------------------------
 r754 | ntfreak | 2008-07-05 11:57:19 +0200 (Sat, 05 Jul 2008) | 2 lines
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/src/helper/command.c
 
 - added search for libdl
 - Thanks Charles Hardin
 ------------------------------------------------------------------------
 r752 | ntfreak | 2008-07-04 19:49:45 +0200 (Fri, 04 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/scripting.txt
 
 - added svn props for newly added files
 ------------------------------------------------------------------------
 r751 | ntfreak | 2008-07-04 19:46:41 +0200 (Fri, 04 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/Makefile.am
+   M /trunk/src/target/event/str710_program.script
+   A /trunk/src/target/event/str730_program.script
+   A /trunk/src/target/event/str750_program.script
+   M /trunk/src/target/target/str730.cfg
+   M /trunk/src/target/target/str750.cfg
 
 - added event scripts for str73x and str75x targets
 ------------------------------------------------------------------------
 r750 | ntfreak | 2008-07-04 19:33:46 +0200 (Fri, 04 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/lm3s6965.cfg
+   M /trunk/src/target/target/lm3s811.cfg
+   M /trunk/src/target/target/stm32.cfg
+   M /trunk/src/target/target/stm32stick.cfg
+   M /trunk/src/target/target/str710.cfg
+   M /trunk/src/target/target/str730.cfg
+   M /trunk/src/target/target/str750.cfg
+   M /trunk/src/target/target/str912.cfg
+   M /trunk/src/target/target/str9comstick.cfg
 
 - added jtag_khz to target scripts
 ------------------------------------------------------------------------
 r749 | ntfreak | 2008-07-04 18:59:35 +0200 (Fri, 04 Jul 2008) | 2 lines
+Changed paths:
+   M /trunk/src/target/target/at91eb40a.tcl
+   M /trunk/src/target/target/mx31.cfg
+   M /trunk/src/tcl/commands.tcl
 
 - fixed line endings with commands.tcl
 - added svn props for newly added files
 ------------------------------------------------------------------------
 r748 | oharboe | 2008-07-04 16:05:08 +0200 (Fri, 04 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/at91eb40a.tcl
+   M /trunk/src/tcl/commands.tcl
 
 tcl tinkering.
 ------------------------------------------------------------------------
 r747 | oharboe | 2008-07-04 15:48:16 +0200 (Fri, 04 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/tcl/commands.tcl
 
 fix to peek command.
 ------------------------------------------------------------------------
 r746 | oharboe | 2008-07-04 15:37:34 +0200 (Fri, 04 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/openocd.c
+   M /trunk/src/tcl/commands.tcl
 
 added echo command in tcl. Issues a LOG_USER() for the single argument.
 ------------------------------------------------------------------------
 r745 | oharboe | 2008-07-04 15:26:28 +0200 (Fri, 04 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/at91eb40a.tcl
 
 typo
 ------------------------------------------------------------------------
 r744 | oharboe | 2008-07-04 10:08:29 +0200 (Fri, 04 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/openocd.c
+   M /trunk/src/target/Makefile.am
+   A /trunk/src/target/target/at91eb40a.tcl
 
 tcl config script example
 ------------------------------------------------------------------------
 r743 | oharboe | 2008-07-04 09:22:11 +0200 (Fri, 04 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/configuration.c
+   M /trunk/src/helper/configuration.h
+   M /trunk/src/helper/options.c
 
 added support for Tcl config scripts on the command line(use .tcl extension).
 ------------------------------------------------------------------------
 r742 | oharboe | 2008-07-04 09:21:31 +0200 (Fri, 04 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/command.h
 
 utility fn.
 ------------------------------------------------------------------------
 r741 | oharboe | 2008-07-04 09:20:43 +0200 (Fri, 04 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/arm11.h
 
 ARM11 update. OpenOCD supports starting without being able to talk to the hardware.
 ------------------------------------------------------------------------
 r740 | oharboe | 2008-07-04 09:09:02 +0200 (Fri, 04 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/Makefile.am
+   A /trunk/src/target/target/mx31.cfg
 
 Valentin Longchamp target script for mx31.cfg
 ------------------------------------------------------------------------
 r739 | oharboe | 2008-07-04 08:31:43 +0200 (Fri, 04 Jul 2008) | 1 line
+Changed paths:
+   M /trunk/src/Makefile.am
+   M /trunk/src/openocd.c
+   A /trunk/src/tcl
+   A /trunk/src/tcl/commands.tcl
 
 Jim Tcl support added
 ------------------------------------------------------------------------
 r738 | ntfreak | 2008-07-02 09:51:41 +0200 (Wed, 02 Jul 2008) | 2 lines
+Changed paths:
+   M /trunk/src/target/target.c
 
 - allocate target_type_t structure for each target, fixes issue when multiple targets of the same type are located on the jtag chain
 - Thanks Michel Pollet
 ------------------------------------------------------------------------
 r737 | oharboe | 2008-06-28 11:26:48 +0200 (Sat, 28 Jun 2008) | 1 line
+Changed paths:
+   M /trunk/src/scripting.txt
 
 wip.
 ------------------------------------------------------------------------
 r736 | oharboe | 2008-06-28 10:02:58 +0200 (Sat, 28 Jun 2008) | 1 line
+Changed paths:
+   A /trunk/src/scripting.txt
 
 wip
 ------------------------------------------------------------------------
 r735 | ntfreak | 2008-06-27 19:51:55 +0200 (Fri, 27 Jun 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 - update docs for new target_script events
 ------------------------------------------------------------------------
 r734 | ntfreak | 2008-06-27 10:16:31 +0200 (Fri, 27 Jun 2008) | 1 line
+Changed paths:
+   M /trunk/src/jim.c
+   M /trunk/src/jim.h
+   M /trunk/src/target/event/hammer_reset.script
+   M /trunk/src/target/interface/flyswatter.cfg
+   M /trunk/src/target/target/hammer.cfg
 
 - added svn props for newly added files
 ------------------------------------------------------------------------
 r733 | oharboe | 2008-06-27 08:58:45 +0200 (Fri, 27 Jun 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/command.h
+   M /trunk/src/openocd.c
 
 hooks to enable experimentation with scripting language support. Reduces patch size, but has no effect on OpenOCD otherwise.
 ------------------------------------------------------------------------
 r732 | oharboe | 2008-06-27 08:20:41 +0200 (Fri, 27 Jun 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/configuration.c
+   M /trunk/src/helper/configuration.h
 
 export find_file function
 ------------------------------------------------------------------------
 r731 | oharboe | 2008-06-27 08:19:37 +0200 (Fri, 27 Jun 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/Makefile.am
+   A /trunk/src/target/event/hammer_reset.script
+   A /trunk/src/target/interface/flyswatter.cfg
+   A /trunk/src/target/target/hammer.cfg
 
 David Anders more target lib scripts contributed by 
 ------------------------------------------------------------------------
 r730 | oharboe | 2008-06-27 08:18:40 +0200 (Fri, 27 Jun 2008) | 1 line
+Changed paths:
+   A /trunk/src/jim.c
+   A /trunk/src/jim.h
 
 committing to reduce patch size for Tcl experiments. Not in use currently.
 ------------------------------------------------------------------------
 r729 | oharboe | 2008-06-27 08:13:34 +0200 (Fri, 27 Jun 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/nand.c
 
 David Anders: fixes an issue with large block nand flash address where the beginning of the OOB area is always selected instead of the beginning of a page when needed
 ------------------------------------------------------------------------
 r728 | oharboe | 2008-06-25 21:23:55 +0200 (Wed, 25 Jun 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 Fixed bogus error message and plugged memory leak for the case when there was no reset script.
 ------------------------------------------------------------------------
 r727 | ntfreak | 2008-06-25 18:20:33 +0200 (Wed, 25 Jun 2008) | 3 lines
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
 
 - fix reset_halt issue with certain arm cores - address not set in embedded ice reg
 - Thanks Jonas H?\195?\182rberg
 
 ------------------------------------------------------------------------
 r726 | oharboe | 2008-06-25 10:47:19 +0200 (Wed, 25 Jun 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
 
 added pre/post_reset scripts based on Pieter Conradie's ideas.
 ------------------------------------------------------------------------
 r725 | ntfreak | 2008-06-24 11:26:30 +0200 (Tue, 24 Jun 2008) | 2 lines
+Changed paths:
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/arm9tdmi.c
 
 - fix compile errors when _DEBUG_INSTRUCTION_EXECUTION_ is defined
 - Thanks Simon Qian
 ------------------------------------------------------------------------
 r717 | oharboe | 2008-06-18 15:52:15 +0200 (Wed, 18 Jun 2008) | 3 lines
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 Pavel Chromy:
 - TAP reset without TRST shall be called TLR (stands for test-logic-reset, named after the TAP state it ends is) rather than tms (test-mode-select)
 - some comments changed to /* C coding style */
 ------------------------------------------------------------------------
 r716 | oharboe | 2008-06-18 15:50:04 +0200 (Wed, 18 Jun 2008) | 4 lines
+Changed paths:
+   M /trunk/src/jtag/presto.c
 
 Pavel Chromy:
 - lower jtag speeds (higher divisor) was used, TDI was not changed on falling TCK edge as it should
@@ -3559,563 +7490,1049 @@ Pavel Chromy:
 - added khz() and speed_div() functions
 ------------------------------------------------------------------------
 r715 | oharboe | 2008-06-18 15:49:54 +0200 (Wed, 18 Jun 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/bitq.c
 
 Pavel Chromy: TAP state changed to TLR when SRST goes active with srst_pulls_trst, as in all other drivers
 ------------------------------------------------------------------------
 r714 | oharboe | 2008-06-18 13:58:20 +0200 (Wed, 18 Jun 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
 
 Spen spotted a bug in warning for missing srst_pulls_trst
 ------------------------------------------------------------------------
 r713 | ntfreak | 2008-06-16 23:22:39 +0200 (Mon, 16 Jun 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/Makefile.am
 
 - added missing install entries for eir-sam7se512 target
 ------------------------------------------------------------------------
 r712 | mifi | 2008-06-16 21:54:15 +0200 (Mon, 16 Jun 2008) | 1 line
+Changed paths:
+   A /trunk/src/target/event/eir-sam7se512_reset.script
+   A /trunk/src/target/target/eir-sam7se512.cfg
 
 - added target and event script for the eir-sam7se512 target
 ------------------------------------------------------------------------
 r711 | oharboe | 2008-06-16 20:44:20 +0200 (Mon, 16 Jun 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/cfi.c
 
 fallback for no implementation of multi word CFI write. Successful codepath not affected.
 ------------------------------------------------------------------------
 r710 | oharboe | 2008-06-16 20:40:31 +0200 (Mon, 16 Jun 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/command.c
 
 GDB timeout fix. If a script takes a long time and does not produce any output, ping between every command.
 ------------------------------------------------------------------------
 r709 | ntfreak | 2008-06-16 17:02:02 +0200 (Mon, 16 Jun 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/armv7m.h
+   M /trunk/src/target/cortex_m3.c
 
 - removed duplicate cortex_m3_register_commands
 ------------------------------------------------------------------------
 r708 | ntfreak | 2008-06-11 13:12:24 +0200 (Wed, 11 Jun 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/stm32x.c
 
 - probe incorrect for high density stm32 flash
 ------------------------------------------------------------------------
 r707 | ntfreak | 2008-06-10 19:59:10 +0200 (Tue, 10 Jun 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jlink.c
 
 - error message cleanup in jlink driver
 ------------------------------------------------------------------------
 r706 | ntfreak | 2008-06-06 11:29:21 +0200 (Fri, 06 Jun 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/stellaris.c
+   M /trunk/src/flash/stm32x.c
 
 - stm32 erase will use mass_erase if all banks selected
 ------------------------------------------------------------------------
 r705 | oharboe | 2008-06-06 08:12:04 +0200 (Fri, 06 Jun 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7_9_common.h
+   M /trunk/src/target/feroceon.c
 
 Nicolas Pitre: Feroceon fixes
 ------------------------------------------------------------------------
 r704 | ntfreak | 2008-06-05 20:55:55 +0200 (Thu, 05 Jun 2008) | 2 lines
+Changed paths:
+   M /trunk/src/flash/str9x.c
 
 - erase bank using bank erase rather than each sector
 - Thanks Fredrik Hederstierna
 ------------------------------------------------------------------------
 r703 | oharboe | 2008-06-04 19:09:10 +0200 (Wed, 04 Jun 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/presto.c
 
 Pavel Chromy: TCK returns to zero before state of reset line is changed.
 ------------------------------------------------------------------------
 r702 | oharboe | 2008-06-04 13:09:41 +0200 (Wed, 04 Jun 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/configuration.c
+   M /trunk/src/helper/log.h
+   M /trunk/src/jtag/jtag.c
 
 Pavel Chromy: fix logging syntax error + formatting & removing obsolete comments.
 ------------------------------------------------------------------------
 r701 | ntfreak | 2008-06-04 11:46:19 +0200 (Wed, 04 Jun 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jlink.c
 
 - fix jlink accessing incorrect buffer element
 ------------------------------------------------------------------------
 r700 | ntfreak | 2008-06-04 11:18:42 +0200 (Wed, 04 Jun 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/stellaris.c
+   M /trunk/src/flash/stm32x.c
+   M /trunk/src/flash/str7x.c
 
 - luminary, stm32 and str7 flash driver error cleanup
 ------------------------------------------------------------------------
 r699 | ntfreak | 2008-06-03 21:36:42 +0200 (Tue, 03 Jun 2008) | 3 lines
+Changed paths:
+   M /trunk/src/flash/lpc2000.c
+   M /trunk/src/flash/str9x.c
 
 - str9 driver remove the duplicate target_free_working_area and reformat spaces to tabs.
 - lpc2000 driver reorder function so as to not require goto, plus refornat spaces to tabs.
 
 ------------------------------------------------------------------------
 r698 | oharboe | 2008-06-03 12:21:47 +0200 (Tue, 03 Jun 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/lpc2000.c
 
 Fredrik Hederstierna: fix leak + clean up return codes
 ------------------------------------------------------------------------
 r697 | oharboe | 2008-06-03 11:46:32 +0200 (Tue, 03 Jun 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/str9x.c
 
 Fredrik Hederstierna: fix leak + clean up return codes
 ------------------------------------------------------------------------
 r696 | ntfreak | 2008-05-29 20:27:00 +0200 (Thu, 29 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/xscale.c
 
 - added checksum_memory and blank_check_memory for xscale
 ------------------------------------------------------------------------
 r695 | ntfreak | 2008-05-28 23:26:23 +0200 (Wed, 28 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/stellaris.c
 
 - stellaris flash driver changed warning to info
 ------------------------------------------------------------------------
 r694 | ntfreak | 2008-05-27 23:23:47 +0200 (Tue, 27 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/flash.h
+   M /trunk/src/flash/stellaris.c
+   M /trunk/src/flash/stm32x.c
+   M /trunk/src/target/arm720t.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7_9_common.h
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/arm966e.c
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/armv7m.c
+   M /trunk/src/target/armv7m.h
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/feroceon.c
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
+   M /trunk/src/target/xscale.c
 
 - moved flash erase_check target code to target.c
 ------------------------------------------------------------------------
 r693 | ntfreak | 2008-05-27 20:40:28 +0200 (Tue, 27 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/flash.c
 
 flash_write will attempt to pad image sections
 ------------------------------------------------------------------------
 r692 | ntfreak | 2008-05-27 19:57:41 +0200 (Tue, 27 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 - fixed typo in wp command
 ------------------------------------------------------------------------
 r691 | ntfreak | 2008-05-27 18:21:05 +0200 (Tue, 27 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jlink.c
 
 - fix issue if jlink sends result in single usb in packet
 ------------------------------------------------------------------------
 r690 | mifi | 2008-05-26 19:59:26 +0200 (Mon, 26 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/ft2232.c
 
 - added check for max. value of jtag_speed in ft2232_khz.
 ------------------------------------------------------------------------
 r689 | mifi | 2008-05-26 19:32:15 +0200 (Mon, 26 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jlink.c
 
 - renamed EMU_CMD_HW_JTAG to EMU_CMD_HW_JTAG3
 ------------------------------------------------------------------------
 r688 | oharboe | 2008-05-26 14:12:03 +0200 (Mon, 26 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/bitbang.c
 
 found out why str912 reset halt failed.
 ------------------------------------------------------------------------
 r687 | oharboe | 2008-05-26 13:46:05 +0200 (Mon, 26 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/bitbang.c
 
 clock 1/0 in idle now configurable.
 ------------------------------------------------------------------------
 r686 | ntfreak | 2008-05-26 13:04:20 +0200 (Mon, 26 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/stm32x.c
 
 - corrected error with stm32 page calculation
 ------------------------------------------------------------------------
 r685 | mifi | 2008-05-25 10:18:21 +0200 (Sun, 25 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jlink.c
 
 - changed some buffer defines to increase performance
 ------------------------------------------------------------------------
 r684 | mifi | 2008-05-24 17:40:32 +0200 (Sat, 24 May 2008) | 2 lines
+Changed paths:
+   M /trunk/src/jtag/jlink.c
 
 - comment out usb_set_altinterface, because it is not working under Mac OS X.
 And not needed for Windows. Hopefully it will not break a Linux build.
 ------------------------------------------------------------------------
 r683 | ntfreak | 2008-05-24 17:01:56 +0200 (Sat, 24 May 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 - updated docs for new stellaris mass_erase command
 ------------------------------------------------------------------------
 r682 | ntfreak | 2008-05-24 16:49:45 +0200 (Sat, 24 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/stellaris.c
 
 - added stellaris flash mass_erase command
 ------------------------------------------------------------------------
 r681 | ntfreak | 2008-05-24 16:19:42 +0200 (Sat, 24 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/stm32x.c
 
 - update sectors on stm32x mass erase
 ------------------------------------------------------------------------
 r680 | mifi | 2008-05-24 13:33:34 +0200 (Sat, 24 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jlink.c
 
 - swap processing of reset handling. First srst and than trst.
 ------------------------------------------------------------------------
 r679 | ntfreak | 2008-05-24 13:01:33 +0200 (Sat, 24 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/ocl.c
 
 - removed compiler warnings
 ------------------------------------------------------------------------
 r678 | mifi | 2008-05-24 11:06:04 +0200 (Sat, 24 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jlink.c
 
 - corrected copy/paste type and renamed jlink_usb_read_result to jlink_usb_read_emu_result
 ------------------------------------------------------------------------
 r677 | mifi | 2008-05-24 10:53:42 +0200 (Sat, 24 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jlink.c
 
 - removed obsolete cmd JLINK_TAP_SEQUENCE_COMMAND, use EMU_CMD_HW_JTAG instead
 ------------------------------------------------------------------------
 r676 | ntfreak | 2008-05-24 10:21:12 +0200 (Sat, 24 May 2008) | 3 lines
+Changed paths:
+   M /trunk/src/jtag/jlink.c
 
 - jlink jlink_execute_queue returns result
 - added jlink_get_version_info function
 - reformatted spaces to tabs
 ------------------------------------------------------------------------
 r675 | mifi | 2008-05-24 09:11:18 +0200 (Sat, 24 May 2008) | 3 lines
+Changed paths:
+   M /trunk/src/jtag/jlink.c
 
 - replaced JLINK_xxxx command defines by EMU_CMD_ from the
 J-Link USB Protocol specification
 - added functionality to jlink_init to display the version.
 ------------------------------------------------------------------------
 r674 | ntfreak | 2008-05-23 17:49:19 +0200 (Fri, 23 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/stm32x.c
+   M /trunk/src/flash/stm32x.h
 
 - add support for newer high density stm32 parts
 ------------------------------------------------------------------------
 r673 | oharboe | 2008-05-22 09:28:56 +0200 (Thu, 22 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 jtag_exexcute_queue() now logs error when it is invoked before 'init' command.
 ------------------------------------------------------------------------
 r672 | ntfreak | 2008-05-21 21:23:35 +0200 (Wed, 21 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/command.c
+   M /trunk/src/server/server.c
 
 - remove error message on shutdown
 ------------------------------------------------------------------------
 r671 | oharboe | 2008-05-21 18:57:20 +0200 (Wed, 21 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.h
 
 comment.
 ------------------------------------------------------------------------
 r670 | oharboe | 2008-05-21 09:28:33 +0200 (Wed, 21 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/target.c
 
 moved srst_pulls_trst check into arm7_9_common.c. Not tested yet, if it is broken it should "only" print bogus warnings or not print a warning when it should have.
 ------------------------------------------------------------------------
 r669 | oharboe | 2008-05-20 12:10:54 +0200 (Tue, 20 May 2008) | 2 lines
+Changed paths:
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/nand.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/etm.c
+   M /trunk/src/target/image.c
 
 Edgar Grimberg fixes some memory handling issues and
 a problem with arm7_9_debug_entry not executing a code path upon crashes.
 ------------------------------------------------------------------------
 r668 | oharboe | 2008-05-19 22:11:05 +0200 (Mon, 19 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 reverted change in 658 and simply removed the busted warning for now.
 ------------------------------------------------------------------------
 r667 | oharboe | 2008-05-19 21:02:36 +0200 (Mon, 19 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/armv4_5.c
+   M /trunk/src/target/xscale.c
 
 Fix crash when mode number fetched from the target is invalid.
 ------------------------------------------------------------------------
 r666 | oharboe | 2008-05-19 20:58:47 +0200 (Mon, 19 May 2008) | 2 lines
+Changed paths:
+   M /trunk/src/target/target.c
 
 print out an error if srst_pulls_trst is not specified for
 e.g. at91fr40008. Could possibly show bogus false positives in log without any other side effects.
 ------------------------------------------------------------------------
 r665 | oharboe | 2008-05-19 20:54:50 +0200 (Mon, 19 May 2008) | 3 lines
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 Michael Fischer found this bogus warning. Fixed.
 
 Error:   jtag.c:941 jtag_add_reset(): BUG: transition of req_tlr_or_trst ...
 ------------------------------------------------------------------------
 r664 | oharboe | 2008-05-19 14:39:06 +0200 (Mon, 19 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/armv4_5.c
+   M /trunk/src/target/armv4_5.h
 
 fix mode output when illegal arm mode is detected. Now prints illegal mode for index -1.
 ------------------------------------------------------------------------
 r663 | oharboe | 2008-05-19 10:44:57 +0200 (Mon, 19 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 Michael Fischer found and Edgar Grimberg fixed generic crash in timers reproduceable with at91fr40008
 ------------------------------------------------------------------------
 r662 | oharboe | 2008-05-19 10:03:17 +0200 (Mon, 19 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/readme.txt
 
 updated guidelines.
 ------------------------------------------------------------------------
 r661 | oharboe | 2008-05-19 09:29:45 +0200 (Mon, 19 May 2008) | 1 line
+Changed paths:
+   M /trunk/BUGS
 
 added stack trace.
 ------------------------------------------------------------------------
 r660 | mifi | 2008-05-16 22:23:35 +0200 (Fri, 16 May 2008) | 2 lines
+Changed paths:
+   M /trunk/src/target/target/at91r40008.cfg
+   M /trunk/testing/examples/AT91R40008Test/prj/at91r40008_turtle.cfg
+   M /trunk/testing/smoketests.html
 
 - added smoketest result for r657
 - some corrections for the reset config of at91r40008
 ------------------------------------------------------------------------
 r659 | mifi | 2008-05-16 20:09:03 +0200 (Fri, 16 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/Makefile.am
+   A /trunk/src/target/interface/arm-usb-ocd.cfg
+   A /trunk/src/target/interface/signalyzer.cfg
 
 - added arm-usb-ocd.cfg and signalyzer.cfg to the interface
 ------------------------------------------------------------------------
 r658 | ntfreak | 2008-05-14 16:13:38 +0200 (Wed, 14 May 2008) | 1 line
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/doc/openocd.texi
+   M /trunk/src/Makefile.am
+   M /trunk/src/jtag/Makefile.am
+   A /trunk/src/jtag/jlink.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/target/Makefile.am
+   A /trunk/src/target/interface/jlink.cfg
 
 - added jlink support, based on J?\195?\188rgen Stuber patch
 ------------------------------------------------------------------------
 r657 | ntfreak | 2008-05-12 11:01:38 +0200 (Mon, 12 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/jtag/parport.c
+   M /trunk/src/target/Makefile.am
 
 - restored tabs and formatting
 ------------------------------------------------------------------------
 r656 | mifi | 2008-05-11 20:42:09 +0200 (Sun, 11 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/Makefile.am
 
 - added patch from uwe hermann, thanks for the hint.
 ------------------------------------------------------------------------
 r655 | mifi | 2008-05-10 15:12:35 +0200 (Sat, 10 May 2008) | 1 line
+Changed paths:
+   D /trunk/src/target/interface/amontec-tiny.cfg
+   A /trunk/src/target/interface/jtagkey-tiny.cfg
+   A /trunk/src/target/interface/jtagkey.cfg
+   A /trunk/src/target/interface/turtelizer2.cfg
 
 - added/renamed interfaces, remove jtag_speed from the interface part
 ------------------------------------------------------------------------
 r654 | mifi | 2008-05-10 14:35:11 +0200 (Sat, 10 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/ft2232.c
 
 - corrected rounding in ft2232_khz
 ------------------------------------------------------------------------
 r653 | mifi | 2008-05-10 14:11:02 +0200 (Sat, 10 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/ft2232.c
 
 - added support for ft2232/jtag_khz
 ------------------------------------------------------------------------
 r652 | mifi | 2008-05-10 10:26:52 +0200 (Sat, 10 May 2008) | 1 line
+Changed paths:
+   M /trunk/testing/smoketests.html
 
 - smoketest for r651
 ------------------------------------------------------------------------
 r651 | oharboe | 2008-05-09 21:03:03 +0200 (Fri, 09 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/log.c
 
 printing available memory fails on win + mac. Disable for now until a robust way of doing this can be found.
 ------------------------------------------------------------------------
 r650 | oharboe | 2008-05-09 20:38:51 +0200 (Fri, 09 May 2008) | 3 lines
+Changed paths:
+   M /trunk/src/target/target.c
 
 Michael Fischer spotted a problem in the reset routines for srst_pulls_trst. It is a bit of a mystery why this was only visible w/LPC2148. 
 
 Embedded ICE registers are now set up after SRST pulls TRST.
 ------------------------------------------------------------------------
 r649 | oharboe | 2008-05-08 20:07:37 +0200 (Thu, 08 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/log.c
 
 disable code that prints available mem under windows. Does not compile.
 ------------------------------------------------------------------------
 r648 | oharboe | 2008-05-07 20:05:58 +0200 (Wed, 07 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/log.c
 
 print available memory in log_level 3
 ------------------------------------------------------------------------
 r647 | oharboe | 2008-05-07 16:25:34 +0200 (Wed, 07 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/binarybuffer.c
+   M /trunk/src/helper/binarybuffer.h
+   M /trunk/src/helper/log.h
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm_jtag.c
+   M /trunk/src/target/armv4_5.c
+   M /trunk/src/target/armv4_5.h
+   M /trunk/src/target/embeddedice.h
 
 This matters for embedded devices, but is probably not observably better for PC hosted OpenOCD.
 ------------------------------------------------------------------------
 r646 | oharboe | 2008-05-07 14:15:19 +0200 (Wed, 07 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/command.h
+   M /trunk/src/openocd.c
 
 Edgar Grimberg plugged a leak found w/Valgrind.
 ------------------------------------------------------------------------
 r645 | oharboe | 2008-05-07 14:14:26 +0200 (Wed, 07 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/gdb_server.h
 
 increase packet size to 16kBytes. Very slightly faster.
 ------------------------------------------------------------------------
 r644 | oharboe | 2008-05-06 15:05:17 +0200 (Tue, 06 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/gdb_server.c
 
 Edgar Grimberg found tiny memory leak
 ------------------------------------------------------------------------
 r643 | ntfreak | 2008-05-06 13:17:51 +0200 (Tue, 06 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/interface/at91rm9200.cfg
 
 - added svn props for newly added files
 ------------------------------------------------------------------------
 r642 | oharboe | 2008-05-06 11:12:00 +0200 (Tue, 06 May 2008) | 1 line
+Changed paths:
+   D /trunk/doc/configs
+   D /trunk/doc/scripts
+   M /trunk/src/target/Makefile.am
+   A /trunk/src/target/interface/at91rm9200.cfg
+   A /trunk/src/target/interface/chameleon.cfg (from /trunk/doc/configs/chameleon.cfg:641)
 
 The target library is now the authorotative source of config examples
 ------------------------------------------------------------------------
 r641 | oharboe | 2008-05-06 10:57:41 +0200 (Tue, 06 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/lpc2148.cfg
 
 add missing reset script
 ------------------------------------------------------------------------
 r640 | drath | 2008-05-03 12:33:16 +0200 (Sat, 03 May 2008) | 2 lines
+Changed paths:
+   M /trunk/src/xsvf/xsvf.c
 
 - fixed xsvf_add_statemove()
 
 ------------------------------------------------------------------------
 r639 | ntfreak | 2008-05-02 12:36:12 +0200 (Fri, 02 May 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 - updated docs for ft2232_vid_pid command
 ------------------------------------------------------------------------
 r638 | ntfreak | 2008-05-02 11:35:48 +0200 (Fri, 02 May 2008) | 1 line
+Changed paths:
+   A /trunk/contrib/libftdi
+   A /trunk/contrib/libftdi/README
+   A /trunk/contrib/libftdi/libftdi-0.12_win32.patch
+   M /trunk/doc/openocd.texi
 
 - added info about libftdi support under win32
 ------------------------------------------------------------------------
 r637 | mifi | 2008-05-02 08:23:25 +0200 (Fri, 02 May 2008) | 1 line
+Changed paths:
+   M /trunk/doc/configs/at91sam7_ecr.cfg
 
 - corrected typo in cfg file
 ------------------------------------------------------------------------
 r636 | oharboe | 2008-05-01 23:29:05 +0200 (Thu, 01 May 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 Tim Hudson worked on English language.
 ------------------------------------------------------------------------
 r635 | ntfreak | 2008-05-01 21:31:13 +0200 (Thu, 01 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/Makefile.am
 
 - add -lusb to link for using libftdi under win32
 ------------------------------------------------------------------------
 r634 | ntfreak | 2008-05-01 17:12:54 +0200 (Thu, 01 May 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/event/lpc2148_reset.script
+   M /trunk/src/target/event/omap5912_reset.script
 
 - add missing svn props
 ------------------------------------------------------------------------
 r633 | mlu | 2008-04-30 22:49:53 +0200 (Wed, 30 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/doc/configs/at91sam7_ecr.cfg
 
 Changed  at91sam7_ecr working area to a valid SRAM adress for the AT91SAM7S/X target family
 ------------------------------------------------------------------------
 r632 | oharboe | 2008-04-30 21:26:05 +0200 (Wed, 30 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/cortex_m3.c
 
 now compiles again.
 ------------------------------------------------------------------------
 r631 | oharboe | 2008-04-30 20:59:39 +0200 (Wed, 30 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/Makefile.am
+   A /trunk/src/target/event/lpc2148_reset.script
+   M /trunk/src/target/target/lpc2148.cfg
+   M /trunk/testing/testcases.html
 
 lpc2148 fixes from Edgar Grimberg
 ------------------------------------------------------------------------
 r630 | ntfreak | 2008-04-30 20:33:21 +0200 (Wed, 30 Apr 2008) | 2 lines
+Changed paths:
+   M /trunk/src/flash/stellaris.c
+   M /trunk/src/target/cortex_m3.c
 
 - added new device to luminary flash driver
 - only use SYSRESETREQ on affected luminary parts
 ------------------------------------------------------------------------
 r629 | oharboe | 2008-04-30 11:34:31 +0200 (Wed, 30 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
 
 Edgar's naming convention fixes.
 ------------------------------------------------------------------------
 r628 | oharboe | 2008-04-30 11:13:54 +0200 (Wed, 30 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
 
 Edgar's added support for printing jtag_khz
 ------------------------------------------------------------------------
 r627 | ntfreak | 2008-04-29 19:07:23 +0200 (Tue, 29 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/stm32x.c
 
 - stm32x default to 128k if flash size failed.
 ------------------------------------------------------------------------
 r626 | oharboe | 2008-04-29 12:22:20 +0200 (Tue, 29 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/readme.txt
 
 Edgar Grimberg added a new rule for target scripts. Flash + verify must succeed.
 ------------------------------------------------------------------------
 r625 | ntfreak | 2008-04-29 08:56:03 +0200 (Tue, 29 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/target/lm3s6965.cfg
+   M /trunk/src/target/target/lm3s811.cfg
 
 - updated cortex_m3 docs regarding luminary reset behaviour
 ------------------------------------------------------------------------
 r624 | ntfreak | 2008-04-28 22:05:17 +0200 (Mon, 28 Apr 2008) | 2 lines
+Changed paths:
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/cortex_m3.h
+   M /trunk/src/target/target/lm3s6965.cfg
+   M /trunk/src/target/target/lm3s811.cfg
 
 - add cortex_m3 variant luminary to fix reset issue with asserting SRST
 - https://lists.berlios.de/pipermail/openocd-development/2008-April/002022.html for details
 ------------------------------------------------------------------------
 r623 | ntfreak | 2008-04-26 18:40:54 +0200 (Sat, 26 Apr 2008) | 2 lines
+Changed paths:
+   M /trunk/src/target/armv7m.c
+   M /trunk/src/target/armv7m.h
+   M /trunk/src/target/cortex_m3.c
 
 - added ARMV7_GDB_HACKS define to armv7m.h, enabling all gdb hacks to be enabled/disabled for testing
 - added armv7m dummy cpsr register to stop gdb setting thumb bit
 ------------------------------------------------------------------------
 r622 | ntfreak | 2008-04-26 17:24:15 +0200 (Sat, 26 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/stellaris.c
 
 - luminary flash now loader polls when finished
 ------------------------------------------------------------------------
 r621 | oharboe | 2008-04-26 16:53:06 +0200 (Sat, 26 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/str912.cfg
 
 set communication speeds
 ------------------------------------------------------------------------
 r620 | ntfreak | 2008-04-26 16:16:31 +0200 (Sat, 26 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/lm3s811.cfg
 
 - incorrect ram size for lm3s811 target script
 ------------------------------------------------------------------------
 r619 | ntfreak | 2008-04-26 14:50:03 +0200 (Sat, 26 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/str9x.c
 
 - change str9 flash controller to read array after a level 1 protect
 ------------------------------------------------------------------------
 r618 | oharboe | 2008-04-26 09:38:36 +0200 (Sat, 26 Apr 2008) | 1 line
+Changed paths:
+   A /trunk/testing/toolchain
+   A /trunk/testing/toolchain/cygwin.sh
+   A /trunk/testing/toolchain/linux.sh
+   A /trunk/testing/toolchain/readme.txt
 
 wip instructions for building Cortex toolchain
 ------------------------------------------------------------------------
 r617 | oharboe | 2008-04-25 15:31:40 +0200 (Fri, 25 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
 
 make debug_level 3 useful again... the log just drowns. perhaps introduce debug_level 4?
 ------------------------------------------------------------------------
 r616 | oharboe | 2008-04-24 22:40:52 +0200 (Thu, 24 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/flash.c
+   M /trunk/src/target/image.c
 
 Close dangling file handle
 ------------------------------------------------------------------------
 r615 | ntfreak | 2008-04-24 13:09:28 +0200 (Thu, 24 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/ocl/at91sam7x/at91sam7x_ocl_flash.script
+   M /trunk/src/flash/ocl/at91sam7x/at91sam7x_ram.ld
+   M /trunk/src/flash/ocl/at91sam7x/crt.s
+   M /trunk/src/flash/ocl/at91sam7x/dcc.c
+   M /trunk/src/flash/ocl/at91sam7x/dcc.h
+   M /trunk/src/flash/ocl/at91sam7x/main.c
+   M /trunk/src/flash/ocl/at91sam7x/makefile
+   M /trunk/src/flash/ocl/at91sam7x/ocl.h
+   M /trunk/src/flash/ocl/at91sam7x/platform.h
+   M /trunk/src/flash/ocl/at91sam7x/samflash.c
+   M /trunk/src/flash/ocl/at91sam7x/samflash.h
+   M /trunk/src/flash/ocl/at91sam7x/samregs.h
+   M /trunk/src/flash/ocl.c
+   M /trunk/src/flash/ocl.h
+   M /trunk/testing/examples/SAM7S256Test/results/607.html
+   M /trunk/testing/results/template.html
+   M /trunk/testing/smoketests.html
+   M /trunk/testing/testcases.html
 
 - added svn props for newly added files
 ------------------------------------------------------------------------
 r614 | oharboe | 2008-04-24 11:26:50 +0200 (Thu, 24 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/testing/index.html
+   A /trunk/testing/results
+   A /trunk/testing/results/template.html
+   A /trunk/testing/smoketests.html
 
 Edgar's new test cases.
 ------------------------------------------------------------------------
 r613 | oharboe | 2008-04-24 11:21:42 +0200 (Thu, 24 Apr 2008) | 1 line
+Changed paths:
+   A /trunk/testing/examples/SAM7S256Test/results
+   A /trunk/testing/examples/SAM7S256Test/results/607.html
+   A /trunk/testing/testcases.html
 
 Edgar's new test cases.
 ------------------------------------------------------------------------
 r612 | oharboe | 2008-04-23 18:36:02 +0200 (Wed, 23 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/Makefile.am
+   M /trunk/src/flash/flash.c
+   A /trunk/src/flash/ocl
+   A /trunk/src/flash/ocl/at91sam7x
+   A /trunk/src/flash/ocl/at91sam7x/at91sam7x_ocl_flash.script
+   A /trunk/src/flash/ocl/at91sam7x/at91sam7x_ram.ld
+   A /trunk/src/flash/ocl/at91sam7x/crt.s
+   A /trunk/src/flash/ocl/at91sam7x/dcc.c
+   A /trunk/src/flash/ocl/at91sam7x/dcc.h
+   A /trunk/src/flash/ocl/at91sam7x/main.c
+   A /trunk/src/flash/ocl/at91sam7x/makefile
+   A /trunk/src/flash/ocl/at91sam7x/ocl.h
+   A /trunk/src/flash/ocl/at91sam7x/platform.h
+   A /trunk/src/flash/ocl/at91sam7x/samflash.c
+   A /trunk/src/flash/ocl/at91sam7x/samflash.h
+   A /trunk/src/flash/ocl/at91sam7x/samregs.h
+   A /trunk/src/flash/ocl.c
+   A /trunk/src/flash/ocl.h
+   M /trunk/src/target/target.h
 
 Pavel Chromy's on chip flash loader
 ------------------------------------------------------------------------
 r611 | ntfreak | 2008-04-23 15:13:38 +0200 (Wed, 23 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/BUGS
 
 - added svn props for newly added files
 ------------------------------------------------------------------------
 r610 | ntfreak | 2008-04-23 15:10:27 +0200 (Wed, 23 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/interface/amontec-tiny.cfg
+   M /trunk/src/target/interface/calao-usb-a9260-c01.cfg
+   M /trunk/src/target/interface/calao-usb-a9260-c02.cfg
+   M /trunk/src/target/interface/calao-usb-a9260.cfg
+   M /trunk/src/target/interface/str9-comstick.cfg
+   M /trunk/src/target/target/at91sam9260minimal.cfg
+   M /trunk/src/target/target/epc9301.cfg
+   M /trunk/src/target/target/ipx42x.cfg
+   M /trunk/src/target/target/lpc2129.cfg
+   M /trunk/src/target/target/netx500.cfg
+   M /trunk/src/target/target/omap5912.cfg
+   M /trunk/src/target/target/pxa270.cfg
+   M /trunk/src/target/target/stm32stick.cfg
+   M /trunk/src/target/target/str730.cfg
+   M /trunk/src/target/target/str750.cfg
+   M /trunk/src/target/target/str9comstick.cfg
 
 - added svn props for newly added files
 ------------------------------------------------------------------------
 r609 | oharboe | 2008-04-23 11:53:23 +0200 (Wed, 23 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/Makefile.am
+   A /trunk/src/target/interface/calao-usb-a9260-c01.cfg
+   A /trunk/src/target/interface/calao-usb-a9260-c02.cfg
+   A /trunk/src/target/interface/calao-usb-a9260.cfg
+   A /trunk/src/target/target/at91sam9260minimal.cfg
 
 Tim Hudson contributed at91sam9260 target config files + some interface definitions.
 ------------------------------------------------------------------------
 r608 | ntfreak | 2008-04-23 11:53:04 +0200 (Wed, 23 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 - fix typo in openocd.texi
 ------------------------------------------------------------------------
 r607 | oharboe | 2008-04-23 10:07:39 +0200 (Wed, 23 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/gdb_server.c
 
 regions outside flash are now read/write nocache by default. GDB 6.8 would mark non-flash areas as inacessible by default.
 ------------------------------------------------------------------------
 r606 | oharboe | 2008-04-23 09:19:25 +0200 (Wed, 23 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/jtag/parport.c
+   M /trunk/src/jtag/presto.c
 
 Tim Hudson: removed setting jtag_speed directly (which should not be done).
 ------------------------------------------------------------------------
 r605 | oharboe | 2008-04-23 07:46:26 +0200 (Wed, 23 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 fixed doc for GDB memory map and flash program defaults to follow code
 ------------------------------------------------------------------------
 r604 | oharboe | 2008-04-23 07:42:42 +0200 (Wed, 23 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/command.h
+   M /trunk/src/target/arm7_9_common.c
 
 added fast option.
 ------------------------------------------------------------------------
 r603 | oharboe | 2008-04-23 07:27:45 +0200 (Wed, 23 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/flash/cfi.h
+   M /trunk/src/flash/non_cfi.c
 
 Andre Renaud support for the am29sl800db CFI flash chip (id: 0x0004, 0x226b).
 ------------------------------------------------------------------------
 r602 | oharboe | 2008-04-22 16:15:45 +0200 (Tue, 22 Apr 2008) | 1 line
+Changed paths:
+   A /trunk/BUGS
 
 wip on reporting bugs.
 ------------------------------------------------------------------------
 r601 | oharboe | 2008-04-22 08:44:05 +0200 (Tue, 22 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/ecosflash/notes.txt
 
 deleted obsolete stuff.
 ------------------------------------------------------------------------
 r600 | ntfreak | 2008-04-21 10:52:52 +0200 (Mon, 21 Apr 2008) | 2 lines
+Changed paths:
+   M /trunk/src/target/Makefile.am
+   A /trunk/src/target/interface/luminary-lm3s811.cfg
+   A /trunk/src/target/interface/luminary.cfg
+   A /trunk/src/target/interface/stm32-stick.cfg
+   M /trunk/src/target/target/lm3s6965.cfg
+   A /trunk/src/target/target/lm3s811.cfg
 
 - added stm32 stick and luminary eval boards interface configs
 - corrected target lm3s6965.cfg
 ------------------------------------------------------------------------
 r599 | ntfreak | 2008-04-21 10:18:19 +0200 (Mon, 21 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/lpc288x.c
+   M /trunk/src/flash/lpc288x.h
 
 - set lpc288x[ch] svn file props
 ------------------------------------------------------------------------
 r598 | ntfreak | 2008-04-20 23:37:23 +0200 (Sun, 20 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/stellaris.c
 
 - set erase flag on sector
 ------------------------------------------------------------------------
 r597 | oharboe | 2008-04-20 21:21:27 +0200 (Sun, 20 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/Makefile.am
+   M /trunk/src/flash/flash.c
+   A /trunk/src/flash/lpc288x.c
+   A /trunk/src/flash/lpc288x.h
 
 Karl RobinSod <karl.robinsod@gmail.com> added lpc288x support. Some work remaining, committing for test/collaboration purposes.
 ------------------------------------------------------------------------
 r596 | ntfreak | 2008-04-20 12:35:29 +0200 (Sun, 20 Apr 2008) | 2 lines
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 - update docs for flash write_image command
 - remove info on flash auto_erase, added to removed commands section
 ------------------------------------------------------------------------
 r595 | ntfreak | 2008-04-19 19:39:52 +0200 (Sat, 19 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/flash.c
 
 - flash.c change stricmp to strcmp
 ------------------------------------------------------------------------
 r594 | mifi | 2008-04-19 16:08:22 +0200 (Sat, 19 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/testing/index.html
 
 - added test results for r592
 ------------------------------------------------------------------------
 r593 | oharboe | 2008-04-19 09:15:27 +0200 (Sat, 19 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/flash.c
 
 retired auto_erase, added optional erase arg to flash write_image.
 ------------------------------------------------------------------------
 r592 | drath | 2008-04-18 18:23:21 +0200 (Fri, 18 Apr 2008) | 3 lines
+Changed paths:
+   M /trunk/src/flash/flash.c
 
 - Flash auto-erase is disabled by default
 
 
 ------------------------------------------------------------------------
 r591 | oharboe | 2008-04-18 09:33:03 +0200 (Fri, 18 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/flash.c
+   M /trunk/src/server/gdb_server.c
 
 Enabled auto erase, gdb memory map and gdb flash programming by default.
 ------------------------------------------------------------------------
 r590 | oharboe | 2008-04-18 08:29:30 +0200 (Fri, 18 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/feroceon.c
 
 Nicolas Pitre fixed regression.
 ------------------------------------------------------------------------
 r589 | oharboe | 2008-04-17 23:03:19 +0200 (Thu, 17 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/cortex_m3.c
 
 Edwin Olsen: improves breakpoint handling on cortex-m3 parts. Specifically, this patch allows expressions to be evaluated in GDB that contain function calls.
 ------------------------------------------------------------------------
 r588 | oharboe | 2008-04-16 21:17:15 +0200 (Wed, 16 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 fix for gaffe in  555 that stopped JTAG chain examine + validate from running.
 ------------------------------------------------------------------------
 r587 | mifi | 2008-04-16 20:04:40 +0200 (Wed, 16 Apr 2008) | 1 line
+Changed paths:
+   A /trunk/testing/examples/AT91R40008Test/test_ram.elf
+   A /trunk/testing/examples/AT91R40008Test/test_ram.hex
+   A /trunk/testing/examples/AT91R40008Test/test_ram.map
+   A /trunk/testing/examples/LPC2148Test/test_ram.elf
+   A /trunk/testing/examples/LPC2148Test/test_ram.hex
+   A /trunk/testing/examples/LPC2148Test/test_ram.map
+   A /trunk/testing/examples/LPC2148Test/test_rom.elf
+   A /trunk/testing/examples/LPC2148Test/test_rom.hex
+   A /trunk/testing/examples/LPC2148Test/test_rom.map
+   A /trunk/testing/examples/LPC2294Test/test_ram.elf
+   A /trunk/testing/examples/LPC2294Test/test_ram.hex
+   A /trunk/testing/examples/LPC2294Test/test_ram.map
+   A /trunk/testing/examples/LPC2294Test/test_rom.elf
+   A /trunk/testing/examples/LPC2294Test/test_rom.hex
+   A /trunk/testing/examples/LPC2294Test/test_rom.map
+   A /trunk/testing/examples/SAM7S256Test/test_ram.elf
+   A /trunk/testing/examples/SAM7S256Test/test_ram.hex
+   A /trunk/testing/examples/SAM7S256Test/test_ram.map
+   A /trunk/testing/examples/SAM7S256Test/test_rom.elf
+   A /trunk/testing/examples/SAM7S256Test/test_rom.hex
+   A /trunk/testing/examples/SAM7S256Test/test_rom.map
+   A /trunk/testing/examples/SAM7X256Test/test_ram.elf
+   A /trunk/testing/examples/SAM7X256Test/test_ram.hex
+   A /trunk/testing/examples/SAM7X256Test/test_ram.map
+   A /trunk/testing/examples/SAM7X256Test/test_rom.elf
+   A /trunk/testing/examples/SAM7X256Test/test_rom.hex
+   A /trunk/testing/examples/SAM7X256Test/test_rom.map
+   A /trunk/testing/examples/STR710JtagSpeed/test.elf
+   A /trunk/testing/examples/STR710JtagSpeed/test.hex
+   A /trunk/testing/examples/STR710JtagSpeed/test.map
+   A /trunk/testing/examples/STR710Test/test_ram.elf
+   A /trunk/testing/examples/STR710Test/test_ram.hex
+   A /trunk/testing/examples/STR710Test/test_ram.map
+   A /trunk/testing/examples/STR710Test/test_rom.elf
+   A /trunk/testing/examples/STR710Test/test_rom.hex
+   A /trunk/testing/examples/STR710Test/test_rom.map
+   A /trunk/testing/examples/STR912Test/test_ram.elf
+   A /trunk/testing/examples/STR912Test/test_ram.hex
+   A /trunk/testing/examples/STR912Test/test_ram.map
+   A /trunk/testing/examples/STR912Test/test_rom.elf
+   A /trunk/testing/examples/STR912Test/test_rom.hex
+   A /trunk/testing/examples/STR912Test/test_rom.map
 
 - added testing binaries
 ------------------------------------------------------------------------
 r586 | ntfreak | 2008-04-16 11:22:52 +0200 (Wed, 16 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/stm32stick.cfg
 
 - correct stm32stick config script
 ------------------------------------------------------------------------
 r585 | oharboe | 2008-04-16 11:17:22 +0200 (Wed, 16 Apr 2008) | 3 lines
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7_9_common.h
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/etm.h
 
 Update Embedded ICE registers explicitly during target->type->examine() instead
 of as a side effect of target->type->poll(). This makes it clearer when things
 happen during reset/examine.
 ------------------------------------------------------------------------
 r584 | oharboe | 2008-04-16 09:59:02 +0200 (Wed, 16 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/Makefile.am
 
 Edgar Grimberg added some missing scripts from the install
 ------------------------------------------------------------------------
 r583 | oharboe | 2008-04-16 09:34:22 +0200 (Wed, 16 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/cortex_swjdp.c
+   M /trunk/src/target/target/stm32.cfg
 
 fix SEGFAULT regression in cortex after TRST fixes
 ------------------------------------------------------------------------
 r582 | oharboe | 2008-04-15 21:08:25 +0200 (Tue, 15 Apr 2008) | 6 lines
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/feroceon.c
 
 - sw_bkpts fails if the target is not halted. The side effect is 
 that sw_bkpts also fails if the target is an unknown state(i.e.
@@ -4125,61 +8542,121 @@ has been deasserted(not tested, but it w
 anyway).
 ------------------------------------------------------------------------
 r581 | oharboe | 2008-04-15 20:08:36 +0200 (Tue, 15 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
 
 Added checks for target->type->read/write_memory, soft_reset_halt and run_algorithm that the target has been examined.
 ------------------------------------------------------------------------
 r580 | oharboe | 2008-04-15 19:03:13 +0200 (Tue, 15 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 target read/write is no longer attempted for target_xxx() functions when the target has not been examined(fails w/error).
 ------------------------------------------------------------------------
 r579 | ntfreak | 2008-04-14 10:15:23 +0200 (Mon, 14 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/Makefile.am
+   A /trunk/src/target/target/stm32stick.cfg
+   A /trunk/src/target/target/str730.cfg
+   M /trunk/src/target/target/str750.cfg
 
 - added new and missing target scripts - stm32stick and str730
 ------------------------------------------------------------------------
 r578 | oharboe | 2008-04-14 09:57:01 +0200 (Mon, 14 Apr 2008) | 2 lines
+Changed paths:
+   M /trunk/src/target/xscale.c
 
 retired fast_memory_access. It's always fast now.
 
 ------------------------------------------------------------------------
 r577 | ntfreak | 2008-04-14 09:26:13 +0200 (Mon, 14 Apr 2008) | 3 lines
+Changed paths:
+   M /trunk/src/flash/str7x.c
+   M /trunk/src/flash/str7x.h
+   M /trunk/src/flash/str9x.c
+   M /trunk/src/flash/str9x.h
+   M /trunk/src/flash/str9xpec.c
+   M /trunk/src/flash/str9xpec.h
+   M /trunk/src/target/event/str912_reset.script
+   M /trunk/src/target/target/stm32.cfg
+   M /trunk/src/target/target/str710.cfg
+   M /trunk/src/target/target/str912.cfg
 
 - split str71x driver into banks
 - support new str91x/str9xpec devices
 - update target scripts and docs for changes
 ------------------------------------------------------------------------
 r576 | oharboe | 2008-04-14 08:26:53 +0200 (Mon, 14 Apr 2008) | 2 lines
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/target/Makefile.am
+   A /trunk/src/target/event/omap5912_reset.script
+   A /trunk/src/target/interface/amontec-tiny.cfg
+   A /trunk/src/target/interface/str9-comstick.cfg
+   A /trunk/src/target/target/epc9301.cfg
+   A /trunk/src/target/target/ipx42x.cfg
+   A /trunk/src/target/target/lpc2129.cfg
+   A /trunk/src/target/target/netx500.cfg
+   A /trunk/src/target/target/omap5912.cfg
+   A /trunk/src/target/target/pxa270.cfg
+   A /trunk/src/target/target/str750.cfg
+   A /trunk/src/target/target/str9comstick.cfg
 
 moved out stuff that wasn't already moved from openocd.pdf to the target library.
 
 ------------------------------------------------------------------------
 r575 | oharboe | 2008-04-14 08:02:11 +0200 (Mon, 14 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 Added a few tweaks while playing with texi.
 ------------------------------------------------------------------------
 r574 | oharboe | 2008-04-14 03:34:45 +0200 (Mon, 14 Apr 2008) | 2 lines
+Changed paths:
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/xscale.c
 
 TRST is asserted *before* target->type->assert_reset() is invoked. Removed old code.
 
 ------------------------------------------------------------------------
 r573 | oharboe | 2008-04-13 15:29:33 +0200 (Sun, 13 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/gdb_server.c
 
 More robust handling of unknown target state for step/continue packet.
 ------------------------------------------------------------------------
 r572 | oharboe | 2008-04-13 15:21:49 +0200 (Sun, 13 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/src/jtag/Makefile.am
+   A /trunk/src/jtag/dummy.c
+   M /trunk/src/jtag/jtag.c
 
 A dummy driver to test codepath w/no contact w/target.
 ------------------------------------------------------------------------
 r571 | oharboe | 2008-04-13 14:08:06 +0200 (Sun, 13 Apr 2008) | 2 lines
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/cortex_m3.c
 
 allows launching OpenOCD w/telnet+gdb server w/the
 target powered down.
 ------------------------------------------------------------------------
 r570 | oharboe | 2008-04-13 13:42:49 +0200 (Sun, 13 Apr 2008) | 2 lines
+Changed paths:
+   M /trunk/src/openocd.c
 
 allows launching OpenOCD w/telnet+gdb server w/the
 target powered down.
 ------------------------------------------------------------------------
 r569 | oharboe | 2008-04-13 12:09:27 +0200 (Sun, 13 Apr 2008) | 4 lines
+Changed paths:
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/embeddedice.c
+   M /trunk/src/target/etm.c
 
 - Set up ICE registers after TRST
 - Work in progress to allow launching GDB/telnet server *before* jtag
@@ -4187,46 +8664,98 @@ chain enum, validate & examine
 
 ------------------------------------------------------------------------
 r568 | oharboe | 2008-04-11 17:56:57 +0200 (Fri, 11 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm9tdmi.c
 
 found two more gaffes for reset wip
 ------------------------------------------------------------------------
 r567 | oharboe | 2008-04-11 17:49:31 +0200 (Fri, 11 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 fixed gaffe for default examine implementation
 ------------------------------------------------------------------------
 r566 | oharboe | 2008-04-11 16:11:16 +0200 (Fri, 11 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/embeddedice.h
 
 Reset wip. Just adding hooks. This is just to reduce the size of the actual change, no change in behaviour.
 ------------------------------------------------------------------------
 r565 | oharboe | 2008-04-11 16:06:42 +0200 (Fri, 11 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/target/arm720t.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/armv4_5.c
+   M /trunk/src/target/armv7m.c
+   M /trunk/src/target/feroceon.c
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
 
 Reset wip. Just adding hooks. This is just to reduce the size of the actual change, no change in behaviour.
 ------------------------------------------------------------------------
 r564 | oharboe | 2008-04-11 13:19:17 +0200 (Fri, 11 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm720t.c
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm7tdmi.h
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/arm966e.c
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/arm9tdmi.h
+   M /trunk/src/target/feroceon.c
+   M /trunk/src/target/target.c
 
 Wip - split target setup and target examination
 ------------------------------------------------------------------------
 r563 | oharboe | 2008-04-11 08:52:52 +0200 (Fri, 11 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/openocd.c
+   M /trunk/src/target/target/xba_revA3.cfg
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
 
 added target->type->examine(). Eventually this will allow for bringing up telnet/gdb *before* jtag chain has been validated + it might fix some reset halt problems seen as examine() needs to run after TRST has been asserted.
 ------------------------------------------------------------------------
 r562 | oharboe | 2008-04-11 08:45:27 +0200 (Fri, 11 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/xscale.c
 
 Improved XScale performance for embedded hosted OpenOCD
 ------------------------------------------------------------------------
 r561 | mifi | 2008-04-10 21:49:47 +0200 (Thu, 10 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/configure.in
 
 - remove AC_C_VARARRAYS and set check of autoconf back to 2.59
 ------------------------------------------------------------------------
 r560 | oharboe | 2008-04-10 21:44:56 +0200 (Thu, 10 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/command.c
 
 stop using variable sized arrays. That's something that belongs to C++ and not C.
 ------------------------------------------------------------------------
 r559 | ntfreak | 2008-04-10 13:45:54 +0200 (Thu, 10 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/interface/parport.cfg
 
 - added svn props for newly added parport.cfg
 ------------------------------------------------------------------------
 r558 | ntfreak | 2008-04-10 13:43:48 +0200 (Thu, 10 Apr 2008) | 5 lines
+Changed paths:
+   M /trunk/src/flash/stellaris.c
+   M /trunk/src/flash/stm32x.c
+   M /trunk/src/helper/binarybuffer.c
+   M /trunk/src/target/armv7m.c
+   M /trunk/src/target/armv7m.h
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/cortex_m3.h
 
 - single core context used, removed debug context as thought unnecessary.
 - DCRDR now used to access special core registers - info is currently omitted from the cortex_m3 TRM ARM have told me this is the preferred access method and the docs will be updated soon.
@@ -4235,26 +8764,68 @@ r558 | ntfreak | 2008-04-10 13:43:48 +02
 - cortex_m3_prepare_reset_halt removed, updated cortex_m3_assert_reset to suit
 ------------------------------------------------------------------------
 r557 | ntfreak | 2008-04-10 12:11:04 +0200 (Thu, 10 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/configure.in
 
 - due to previous patch adding AC_C_VARARRAYS, autoconf v2.61 min required
 ------------------------------------------------------------------------
 r556 | oharboe | 2008-04-09 16:21:14 +0200 (Wed, 09 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/Makefile.am
+   A /trunk/src/target/interface
+   A /trunk/src/target/interface/parport.cfg
+   M /trunk/src/target/target/lpc2148.cfg
+   M /trunk/src/target/target/str710.cfg
 
 target lib wip
 ------------------------------------------------------------------------
 r555 | oharboe | 2008-04-09 14:58:19 +0200 (Wed, 09 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 back out Don Porges workaround for some device with manufcaturer # 0x1a2
 ------------------------------------------------------------------------
 r554 | ntfreak | 2008-04-09 09:31:24 +0200 (Wed, 09 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/event/pxa255_reset.script
+   M /trunk/src/target/event/str912_reset.script
+   M /trunk/src/target/event/wi-9c_reset.script
+   M /trunk/src/target/event/xba_revA3.script
+   M /trunk/src/target/target/lm3s6965.cfg
+   M /trunk/src/target/target/readme.txt
+   M /trunk/src/target/target/wi-9c.cfg
+   M /trunk/src/target/target/xba_revA3.cfg
 
 - add missing svn props
 ------------------------------------------------------------------------
 r553 | oharboe | 2008-04-09 07:55:23 +0200 (Wed, 09 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/log.c
+   M /trunk/src/helper/replacements.c
+   M /trunk/src/helper/replacements.h
+   M /trunk/src/helper/time_support.c
+   M /trunk/src/helper/time_support.h
+   M /trunk/src/jtag/amt_jtagaccel.c
+   M /trunk/src/jtag/bitbang.c
+   M /trunk/src/jtag/bitq.c
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/jtag/gw16012.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/presto.c
 
 Don Porges fixed c99 issues.
 ------------------------------------------------------------------------
 r552 | oharboe | 2008-04-09 07:50:34 +0200 (Wed, 09 Apr 2008) | 9 lines
+Changed paths:
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/openocd.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/target/lpc2148.cfg
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
 
 - added "init" command. "init" and "reset" at end of startup script is equivalent
   to daemon_startup(still supported).
@@ -4267,36 +8838,60 @@ trying again
 
 ------------------------------------------------------------------------
 r551 | oharboe | 2008-04-08 21:23:50 +0200 (Tue, 08 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/bitbang.c
 
 use jtag.c's cur/end_state global variables.
 ------------------------------------------------------------------------
 r550 | oharboe | 2008-04-08 20:55:39 +0200 (Tue, 08 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/stellaris.c
 
 Edwin Olson found bug & tested fix for flash write_image for stellaris.
 ------------------------------------------------------------------------
 r549 | oharboe | 2008-04-08 18:37:01 +0200 (Tue, 08 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/Makefile.am
+   A /trunk/src/target/target/lm3s6965.cfg
 
 lm3s6965.cfg contributed by Edwin Olson
 ------------------------------------------------------------------------
 r548 | oharboe | 2008-04-08 18:27:50 +0200 (Tue, 08 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/flash/ecos.c
+   M /trunk/src/flash/flash.c
 
 added a couple of LOG_ERROR() messages to improve logfile.
 ------------------------------------------------------------------------
 r547 | oharboe | 2008-04-08 15:08:36 +0200 (Tue, 08 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/pld/virtex2.c
 
 Pavel pointed out that jtag_add_tlr() is better than jtag_add_tms().
 ------------------------------------------------------------------------
 r546 | oharboe | 2008-04-08 11:03:49 +0200 (Tue, 08 Apr 2008) | 3 lines
+Changed paths:
+   M /trunk/src/jtag/bitbang.c
+   M /trunk/src/jtag/jtag.c
 
 The endstate now reports the endstate of the queue instead of
 reading endstate variable internal to the driver.
 
 ------------------------------------------------------------------------
 r545 | oharboe | 2008-04-07 19:29:21 +0200 (Mon, 07 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/server/server.c
 
 Spen fixed various issues w.r.t. setting up the sockets for optimal performance.
 ------------------------------------------------------------------------
 r544 | oharboe | 2008-04-07 12:48:44 +0200 (Mon, 07 Apr 2008) | 6 lines
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/target.c
 
 
 - only if "reset halt" or "reset init" are issued will the reset vector be set up
@@ -4306,18 +8901,27 @@ clock locks up as that would allow the r
 asserting reset.
 ------------------------------------------------------------------------
 r543 | oharboe | 2008-04-07 07:42:28 +0200 (Mon, 07 Apr 2008) | 1 line
+Changed paths:
+   D /trunk/ecosflash/at91eb40a.elf
 
 at91eb40a.elf moved to src/target/ecos
 ------------------------------------------------------------------------
 r542 | oharboe | 2008-04-06 21:59:32 +0200 (Sun, 06 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/openocd.c
 
 avoid patch trouble by isolating troublesome line...
 ------------------------------------------------------------------------
 r541 | ntfreak | 2008-04-05 12:07:12 +0200 (Sat, 05 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 - added note to docs about gdb 6.8 and memory map support
 ------------------------------------------------------------------------
 r540 | oharboe | 2008-04-04 16:09:03 +0200 (Fri, 04 Apr 2008) | 4 lines
+Changed paths:
+   M /trunk/src/target/target/at91eb40a.cfg
+   M /trunk/src/target/target.c
 
 - the reset mode parameter is now DEPRECATED. It is implemented
 as an optional parameter with default reset_init. This is to streamline
@@ -4325,6 +8929,21 @@ things w.r.t. the target library.
 
 ------------------------------------------------------------------------
 r539 | oharboe | 2008-04-04 15:47:38 +0200 (Fri, 04 Apr 2008) | 4 lines
+Changed paths:
+   M /trunk/src/flash/ecos.c
+   M /trunk/src/flash/flash.c
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/command.h
+   M /trunk/src/target/Makefile.am
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/cortex_m3.c
+   A /trunk/src/target/ecos
+   A /trunk/src/target/ecos/at91eb40a.elf
+   M /trunk/src/target/target/at91eb40a.cfg
+   M /trunk/src/target/target/zy1000.cfg
+   M /trunk/src/target/target.c
+   M /trunk/src/target/xscale.c
 
 - reverted some of the changes that possibly broke arm926ejs. Waiting
 for a bit more info before I can tell with confidence whether or not
@@ -4332,14 +8951,41 @@ this would have any effect.
 - worked on error propagation and output for flash
 ------------------------------------------------------------------------
 r538 | oharboe | 2008-04-04 09:43:04 +0200 (Fri, 04 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 added query of reset speed
 ------------------------------------------------------------------------
 r537 | mifi | 2008-04-03 21:42:30 +0200 (Thu, 03 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/testing/index.html
 
 - added test results
 ------------------------------------------------------------------------
 r536 | oharboe | 2008-04-03 16:00:17 +0200 (Thu, 03 Apr 2008) | 24 lines
+Changed paths:
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/flash/cfi.h
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/stm32x.c
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/arm11.h
+   M /trunk/src/target/arm720t.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/arm966e.c
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/armv4_5.c
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/event/str912_reset.script
+   M /trunk/src/target/feroceon.c
+   A /trunk/src/target/target/readme.txt
+   M /trunk/src/target/target/stm32.cfg
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
+   M /trunk/src/target/xscale.c
 
 
 - Work on fixing erase check. Many implementations are plain broken.
@@ -4367,89 +9013,228 @@ Added some comments to working areas API
 
 ------------------------------------------------------------------------
 r535 | oharboe | 2008-04-02 16:47:21 +0200 (Wed, 02 Apr 2008) | 1 line
+Changed paths:
+   D /trunk/src/target/event/str912_program.script
+   A /trunk/src/target/event/str912_reset.script
+   M /trunk/src/target/target/str912.cfg
 
 Edgar Grimberg sharpened the str912 target script.
 ------------------------------------------------------------------------
 r534 | oharboe | 2008-04-02 16:40:35 +0200 (Wed, 02 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/ecos.c
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/flash.h
+   M /trunk/src/flash/str7x.c
+   M /trunk/src/flash/str9x.c
 
 fix flash info - now reports erased state properly
 ------------------------------------------------------------------------
 r533 | oharboe | 2008-04-02 08:37:08 +0200 (Wed, 02 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm720t.c
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/arm926ejs.c
 
 Added timeout(instead of infinite loop) to soft_reset_halt
 ------------------------------------------------------------------------
 r532 | oharboe | 2008-04-02 08:21:24 +0200 (Wed, 02 Apr 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 optional count argument to mwX
 ------------------------------------------------------------------------
 r531 | oharboe | 2008-04-01 19:48:09 +0200 (Tue, 01 Apr 2008) | 3 lines
+Changed paths:
+   M /trunk/src/flash/flash.c
+   M /trunk/src/jtag/Makefile.am
+   M /trunk/src/jtag/jtag.c
 
 
 - fixes for jtag_khz committed.
 - wip, flash fillw/h/b. For testing purposes.
 ------------------------------------------------------------------------
 r530 | oharboe | 2008-03-31 21:39:05 +0200 (Mon, 31 Mar 2008) | 2 lines
+Changed paths:
+   M /trunk/src/jtag/bitbang.c
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
 
 Do not assert trst in srst_only case even if srst_pulls_trst.
 
 ------------------------------------------------------------------------
 r529 | oharboe | 2008-03-31 21:34:01 +0200 (Mon, 31 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 target_call_timer_callbacks_now() now invokes periodic callbacks immediately
 ------------------------------------------------------------------------
 r528 | oharboe | 2008-03-31 21:32:38 +0200 (Mon, 31 Mar 2008) | 3 lines
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
 
 Removed exit()'s. A reset is usually enough to work around these, reducing cycle times
 to get config scripts right.
 
 ------------------------------------------------------------------------
 r527 | oharboe | 2008-03-31 15:18:03 +0200 (Mon, 31 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/pld/virtex2.c
+   M /trunk/src/target/event/xba_revA3.script
+   M /trunk/src/target/target/wi-9c.cfg
+   M /trunk/src/xsvf/xsvf.c
 
 make jtag_add_statemove() internal to the driver.
 ------------------------------------------------------------------------
 r526 | oharboe | 2008-03-28 12:28:54 +0100 (Fri, 28 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/lpc2148.cfg
 
 Edgar Grimberg: added needed delays
 ------------------------------------------------------------------------
 r525 | oharboe | 2008-03-26 14:29:48 +0100 (Wed, 26 Mar 2008) | 2 lines
+Changed paths:
+   M /trunk/src/jtag/bitbang.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/cortex_m3.c
 
 TAP_SD/SI are now forbidden end states.
 jtag_add_reset() now returns void streamlining the API
 ------------------------------------------------------------------------
 r524 | oharboe | 2008-03-26 14:18:23 +0100 (Wed, 26 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/openocd.c
+   M /trunk/src/server/server.c
 
 hooks for multithreading. Disable nagle
 ------------------------------------------------------------------------
 r523 | ntfreak | 2008-03-25 16:45:17 +0100 (Tue, 25 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/at91sam7.c
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/flash/ecos.c
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/lpc2000.c
+   M /trunk/src/flash/lpc3180_nand_controller.c
+   M /trunk/src/flash/nand.c
+   M /trunk/src/flash/non_cfi.c
+   M /trunk/src/flash/s3c2410_nand.c
+   M /trunk/src/flash/s3c2440_nand.c
+   M /trunk/src/flash/s3c24xx_nand.c
+   M /trunk/src/flash/stellaris.c
+   M /trunk/src/flash/stm32x.c
+   M /trunk/src/flash/str7x.c
+   M /trunk/src/flash/str9x.c
+   M /trunk/src/flash/str9xpec.c
+   M /trunk/src/flash/tms470.c
+   M /trunk/src/helper/binarybuffer.c
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/configuration.c
+   M /trunk/src/helper/fileio.c
+   M /trunk/src/helper/log.c
+   M /trunk/src/helper/log.h
+   M /trunk/src/helper/options.c
+   M /trunk/src/helper/replacements.h
+   M /trunk/src/jtag/amt_jtagaccel.c
+   M /trunk/src/jtag/at91rm9200.c
+   M /trunk/src/jtag/bitbang.c
+   M /trunk/src/jtag/bitq.c
+   M /trunk/src/jtag/ep93xx.c
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/jtag/gw16012.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/parport.c
+   M /trunk/src/jtag/presto.c
+   M /trunk/src/jtag/usbprog.c
+   M /trunk/src/openocd.c
+   M /trunk/src/pld/pld.c
+   M /trunk/src/pld/virtex2.c
+   M /trunk/src/pld/xilinx_bit.c
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/server/server.c
+   M /trunk/src/server/telnet_server.c
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/arm11_dbgtap.c
+   M /trunk/src/target/arm720t.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/arm966e.c
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/arm_disassembler.c
+   M /trunk/src/target/arm_simulator.c
+   M /trunk/src/target/armv4_5.c
+   M /trunk/src/target/armv4_5_mmu.c
+   M /trunk/src/target/armv7m.c
+   M /trunk/src/target/breakpoints.c
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/cortex_swjdp.c
+   M /trunk/src/target/embeddedice.c
+   M /trunk/src/target/etb.c
+   M /trunk/src/target/etm.c
+   M /trunk/src/target/etm_dummy.c
+   M /trunk/src/target/feroceon.c
+   M /trunk/src/target/image.c
+   M /trunk/src/target/oocd_trace.c
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target_request.c
+   M /trunk/src/target/trace.c
+   M /trunk/src/target/xscale.c
+   M /trunk/src/xsvf/xsvf.c
 
 - rename log functions to stop conflicts under win32 (wingdi)
 ------------------------------------------------------------------------
 r522 | ntfreak | 2008-03-22 15:19:46 +0100 (Sat, 22 Mar 2008) | 2 lines
+Changed paths:
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/target/armv7m.c
 
 - gdb server was incorrectly sending null terminator on qXfer:features:read: packet
 - armv7m now sends correct gdb register packet
 ------------------------------------------------------------------------
 r521 | ntfreak | 2008-03-22 15:09:27 +0100 (Sat, 22 Mar 2008) | 2 lines
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 - updated docs with new commands/features
 - added deprecated/removed commands chapter
 ------------------------------------------------------------------------
 r520 | ntfreak | 2008-03-22 11:30:00 +0100 (Sat, 22 Mar 2008) | 2 lines
+Changed paths:
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/cortex_m3.c
 
 - changed jtag_add_reset errors to warnings
 - removed extra jtag reset warnings from arm7_9 and cortex_m3
 ------------------------------------------------------------------------
 r519 | ntfreak | 2008-03-21 13:53:29 +0100 (Fri, 21 Mar 2008) | 3 lines
+Changed paths:
+   M /trunk/src/target/armv7m.c
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/target.c
 
 - armv7m control register now set as dirty when switching context
 - armv7m added core_mode to cortex_m3_debug_entry DEBUG msg
 - cortex_m3 changed WARNINGS to DEBUG msg in cortex_m3_resume
 ------------------------------------------------------------------------
 r518 | mifi | 2008-03-21 12:27:42 +0100 (Fri, 21 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/testing/index.html
 
 - added new test results
 ------------------------------------------------------------------------
 r517 | drath | 2008-03-17 22:39:18 +0100 (Mon, 17 Mar 2008) | 20 lines
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/jtag/bitbang.c
 
 - fix warnings during configure cause by ecosboard. default to no, if host cpu isn't arm.
 - fix generic bitbang code to allow scans to end in Shift-[ID]R
@@ -4473,26 +9258,46 @@ r517 | drath | 2008-03-17 22:39:18 +0100
 
 ------------------------------------------------------------------------
 r516 | oharboe | 2008-03-14 12:20:46 +0100 (Fri, 14 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
 
 added profile command. It was added to simplify evaluation by testers.
 ------------------------------------------------------------------------
 r515 | oharboe | 2008-03-13 21:09:33 +0100 (Thu, 13 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 reset and post reset speed & jtag_khz command documented.
 ------------------------------------------------------------------------
 r514 | oharboe | 2008-03-13 16:46:40 +0100 (Thu, 13 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/log.c
+   M /trunk/src/target/target.h
 
 Michael Bruck: fixed warnings
 ------------------------------------------------------------------------
 r513 | oharboe | 2008-03-13 14:58:07 +0100 (Thu, 13 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
 
 clarified jtag_khz command.
 ------------------------------------------------------------------------
 r512 | oharboe | 2008-03-13 12:07:21 +0100 (Thu, 13 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
 
 added jtag_khz for use with target library
 ------------------------------------------------------------------------
 r511 | oharboe | 2008-03-13 11:14:41 +0100 (Thu, 13 Mar 2008) | 6 lines
+Changed paths:
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
 
 - adds two speeds to jtag_speed. reset and post reset speed. Default
 is post reset = reset speed.
@@ -4502,64 +9307,102 @@ is post reset = reset speed.
 
 ------------------------------------------------------------------------
 r510 | oharboe | 2008-03-13 09:17:01 +0100 (Thu, 13 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/log.c
+   M /trunk/src/helper/time_support.c
+   M /trunk/src/helper/time_support.h
 
 print ms in debug_level 3 logs. Seconds is not enough.
 ------------------------------------------------------------------------
 r509 | oharboe | 2008-03-13 09:16:34 +0100 (Thu, 13 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/xscale.c
 
 XScale excessive waiting fix.
 ------------------------------------------------------------------------
 r508 | oharboe | 2008-03-13 09:05:10 +0100 (Thu, 13 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/bitbang.c
+   M /trunk/src/target/arm926ejs.c
 
 marked infinite loop in code w/TODO and fixed warning.
 ------------------------------------------------------------------------
 r507 | oharboe | 2008-03-12 19:05:07 +0100 (Wed, 12 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/bitbang.c
 
 Dominic undid some of my damage. CLK should now be set as intended in all cases.
 ------------------------------------------------------------------------
 r506 | oharboe | 2008-03-12 17:03:30 +0100 (Wed, 12 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/testing/index.html
 
 xscale now passes w/bitbang in 505
 ------------------------------------------------------------------------
 r505 | oharboe | 2008-03-12 17:01:30 +0100 (Wed, 12 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/bitbang.c
 
 The bitbang driver leaves the TCK 0 when in idle
 ------------------------------------------------------------------------
 r504 | oharboe | 2008-03-12 15:45:26 +0100 (Wed, 12 Mar 2008) | 3 lines
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 This moves common code into functions so as to make it clear 
 that all the jtag_add_xxx() are indeed intended to do the same thing.
 
 ------------------------------------------------------------------------
 r503 | oharboe | 2008-03-12 15:38:43 +0100 (Wed, 12 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/xscale.c
 
 fixed regression in XScale introduce in 297
 ------------------------------------------------------------------------
 r502 | oharboe | 2008-03-12 09:39:55 +0100 (Wed, 12 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/testing/index.html
 
 more info about latest working version
 ------------------------------------------------------------------------
 r501 | oharboe | 2008-03-12 09:04:24 +0100 (Wed, 12 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/testing/index.html
 
 Corrections from Dominic
 ------------------------------------------------------------------------
 r500 | oharboe | 2008-03-12 08:34:10 +0100 (Wed, 12 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/testing/index.html
 
 tinkered a bit with testing matrix.
 ------------------------------------------------------------------------
 r499 | oharboe | 2008-03-11 22:32:03 +0100 (Tue, 11 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/src/Makefile.am
+   M /trunk/src/helper/Makefile.am
+   M /trunk/src/helper/replacements.h
+   M /trunk/src/jtag/Makefile.am
 
 reduce compare noise. If someone should be crazy enough to try to run OpenOCD under eCos, then they'v got some hooks to point them in the general direction.
 ------------------------------------------------------------------------
 r498 | oharboe | 2008-03-11 22:18:44 +0100 (Tue, 11 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/xscale.c
 
 With the recent changes the TRST needs to happen for every reset.
 ------------------------------------------------------------------------
 r497 | oharboe | 2008-03-11 22:17:46 +0100 (Tue, 11 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/server.c
 
 tidy up output a bit. No longer show "accepted connection" inside Telnet session.
 ------------------------------------------------------------------------
 r496 | oharboe | 2008-03-11 22:16:57 +0100 (Tue, 11 Mar 2008) | 6 lines
+Changed paths:
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
 
 - retired unused jtag events. The code was incorrect
 - hopefully clarified the difference between TRST and TMS reset.
@@ -4569,6 +9412,13 @@ different events. Only TRST released has
 
 ------------------------------------------------------------------------
 r495 | ntfreak | 2008-03-11 19:39:43 +0100 (Tue, 11 Mar 2008) | 4 lines
+Changed paths:
+   M /trunk/src/target/armv7m.c
+   M /trunk/src/target/armv7m.h
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/cortex_m3.h
+   M /trunk/src/target/cortex_swjdp.c
+   M /trunk/src/target/cortex_swjdp.h
 
 - 16 and 32 bit unaligned accesses supported
 - uses packed transfers for 8/16bit read/writes greater than 4bytes
@@ -4576,14 +9426,22 @@ r495 | ntfreak | 2008-03-11 19:39:43 +01
 
 ------------------------------------------------------------------------
 r494 | oharboe | 2008-03-11 12:19:15 +0100 (Tue, 11 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/xscale.c
 
 retire unused code.
 ------------------------------------------------------------------------
 r493 | oharboe | 2008-03-11 12:03:40 +0100 (Tue, 11 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 JTAG_END_STATE is now retired. It is no longer queued.
 ------------------------------------------------------------------------
 r492 | oharboe | 2008-03-11 10:06:00 +0100 (Tue, 11 Mar 2008) | 7 lines
+Changed paths:
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/target/arm11_dbgtap.c
 
 - fixed jtag_add_reset(). It no longer causes jtag_execute_queue() to
   fail for two of it's return codes. A little bit weird, but compatible with
@@ -4594,34 +9452,52 @@ r492 | oharboe | 2008-03-11 10:06:00 +01
   code is therefore returned from the queuing fn's. 
 ------------------------------------------------------------------------
 r491 | oharboe | 2008-03-11 09:15:54 +0100 (Tue, 11 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/telnet_server.c
 
 Pavel Chromy: telnet line buffer size checking, history does not store repeating lines, improved history printing, log callback tweak
 ------------------------------------------------------------------------
 r490 | oharboe | 2008-03-10 21:19:52 +0100 (Mon, 10 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 backed out changes from 483.
 ------------------------------------------------------------------------
 r489 | oharboe | 2008-03-10 21:12:46 +0100 (Mon, 10 Mar 2008) | 1 line
+Changed paths:
+   A /trunk/src/target/event/xba_revA3.script
+   A /trunk/src/target/target/xba_revA3.cfg
 
 more target scripts wip.
 ------------------------------------------------------------------------
 r488 | oharboe | 2008-03-10 21:12:35 +0100 (Mon, 10 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/Makefile.am
+   M /trunk/src/target/event/wi-9c_reset.script
 
 more target scripts wip.
 ------------------------------------------------------------------------
 r487 | oharboe | 2008-03-10 21:05:48 +0100 (Mon, 10 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/telnet_server.c
 
 Pavel Chromy: hopefully perfection for async output and prompt/partially typed command line handling.
 ------------------------------------------------------------------------
 r486 | oharboe | 2008-03-10 18:24:44 +0100 (Mon, 10 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/presto.c
 
 Pavel Chromy: the attached patch refines PRESTO support and makes it work with libftdi.
 ------------------------------------------------------------------------
 r485 | oharboe | 2008-03-10 16:07:21 +0100 (Mon, 10 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/telnet_server.c
 
 prettier async output
 ------------------------------------------------------------------------
 r484 | oharboe | 2008-03-10 15:14:15 +0100 (Mon, 10 Mar 2008) | 6 lines
+Changed paths:
+   M /trunk/src/server/gdb_server.c
 
 
 - fixed a problem with big endian XScale and GDB register packets.
@@ -4631,6 +9507,13 @@ r484 | oharboe | 2008-03-10 15:14:15 +01
 
 ------------------------------------------------------------------------
 r483 | oharboe | 2008-03-10 15:07:28 +0100 (Mon, 10 Mar 2008) | 14 lines
+Changed paths:
+   M /trunk/src/jtag/Makefile.am
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/armv4_5.c
+   M /trunk/src/target/armv7m.c
+   M /trunk/src/target/target.h
 
 - the jtag chain is examined and validated after GDB & telnet servers
  are up and running. The examination and validation is actually
@@ -4648,6 +9531,9 @@ r483 | oharboe | 2008-03-10 15:07:28 +01
 
 ------------------------------------------------------------------------
 r482 | oharboe | 2008-03-10 13:11:07 +0100 (Mon, 10 Mar 2008) | 9 lines
+Changed paths:
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/target/target.c
 
 - Fixed various error handling when looking for memory leaks
 - Fixed memory leak in gdb_server.c
@@ -4660,34 +9546,60 @@ r482 | oharboe | 2008-03-10 13:11:07 +01
 
 ------------------------------------------------------------------------
 r481 | oharboe | 2008-03-10 13:04:30 +0100 (Mon, 10 Mar 2008) | 3 lines
+Changed paths:
+   M /trunk/src/helper/log.h
 
 - LOG_SILENT can be used to silence the log(needed in upcoming patches)
 - ERROR_FAIL - added to emphasize that information about what went wrong is
  contained in Error: log statements and not in a 32 bit return value.
 ------------------------------------------------------------------------
 r480 | oharboe | 2008-03-10 11:20:26 +0100 (Mon, 10 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/Makefile.am
 
 added stm32.cfg to install list
 ------------------------------------------------------------------------
 r479 | oharboe | 2008-03-09 20:22:51 +0100 (Sun, 09 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/tms470.c
 
 Michael Bruck: fix warning
 ------------------------------------------------------------------------
 r478 | ntfreak | 2008-03-09 10:28:12 +0100 (Sun, 09 Mar 2008) | 1 line
+Changed paths:
+   A /trunk/src/target/target/stm32.cfg
 
 - add stm32 target script
 ------------------------------------------------------------------------
 r477 | ntfreak | 2008-03-08 18:28:28 +0100 (Sat, 08 Mar 2008) | 3 lines
+Changed paths:
+   M /trunk/src/target/Makefile.am
+   M /trunk/src/target/arm11.c
 
 - added more TARGET_HALTED checks for the read/write_memory handlers
 - added new commands arm11 mrc and arm11 mcr to generate these instructions during debug
 Thanks Michael Bruck
 ------------------------------------------------------------------------
 r476 | oharboe | 2008-03-08 11:21:56 +0100 (Sat, 08 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target/sam7s256.cfg
 
 typo.
 ------------------------------------------------------------------------
 r475 | oharboe | 2008-03-07 22:49:16 +0100 (Fri, 07 Mar 2008) | 15 lines
+Changed paths:
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/arm720t.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/armv4_5.c
+   M /trunk/src/target/armv7m.c
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
+   M /trunk/src/target/xscale.c
 
 
 - Improves error handling upon GDB connect
@@ -4706,98 +9618,161 @@ r475 | oharboe | 2008-03-07 22:49:16 +01
   fix the problem.
 ------------------------------------------------------------------------
 r474 | oharboe | 2008-03-07 22:41:34 +0100 (Fri, 07 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/telnet_server.c
 
 Asynchronous output information from e.g. a halt is now displayed again.
 ------------------------------------------------------------------------
 r473 | vpalatin | 2008-03-07 17:51:37 +0100 (Fri, 07 Mar 2008) | 2 lines
+Changed paths:
+   M /trunk/src/target/image.c
 
 - fix cross endian ELF loading
 
 ------------------------------------------------------------------------
 r472 | ntfreak | 2008-03-07 17:38:02 +0100 (Fri, 07 Mar 2008) | 2 lines
+Changed paths:
+   M /trunk/src/target/image.c
 
 - The elf loader incorrectly assumed that the program header always follows the ELF header. (Thanks Michael Bruck)
 
 ------------------------------------------------------------------------
 r471 | oharboe | 2008-03-07 17:18:56 +0100 (Fri, 07 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/flash/ecos.c
+   M /trunk/src/flash/stellaris.c
+   M /trunk/src/flash/tms470.c
+   M /trunk/src/helper/fileio.c
+   M /trunk/src/helper/fileio.h
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/target/etm.c
 
 Michael Bruck: fixed warnings
 ------------------------------------------------------------------------
 r470 | oharboe | 2008-03-07 17:15:46 +0100 (Fri, 07 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm926ejs.c
 
 Edgar Grimberg, fix arm926ejs_examine_debug_reason return value.
 ------------------------------------------------------------------------
 r469 | oharboe | 2008-03-07 12:44:46 +0100 (Fri, 07 Mar 2008) | 2 lines
+Changed paths:
+   M /trunk/src/target/xscale.c
 
 Added some timeout handling to XScale so OpenOCD doesn't get
 completely stuck when the target needs a reset.
 ------------------------------------------------------------------------
 r468 | oharboe | 2008-03-07 12:42:03 +0100 (Fri, 07 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/Makefile.am
+   A /trunk/src/target/event/pxa255_reset.script
+   M /trunk/src/target/target/pxa255.cfg
+   M /trunk/src/target/target/pxa255_sst.cfg
 
 minor corrections for target scripts.
 ------------------------------------------------------------------------
 r467 | ntfreak | 2008-03-07 12:29:08 +0100 (Fri, 07 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/stm32x.c
 
 - correct spelling typo in stm32x flash driver
 ------------------------------------------------------------------------
 r466 | oharboe | 2008-03-07 12:24:44 +0100 (Fri, 07 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/presto.c
 
 Pavel Chromy, the patch fixes an issue with PRESTO & FTD2XX under Linux.
 ------------------------------------------------------------------------
 r465 | oharboe | 2008-03-07 11:55:59 +0100 (Fri, 07 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/log.c
+   M /trunk/src/helper/log.h
 
 alloc_printf and alloc_vprintf
 ------------------------------------------------------------------------
 r464 | oharboe | 2008-03-07 11:54:43 +0100 (Fri, 07 Mar 2008) | 1 line
+Changed paths:
+   A /trunk/src/target/event/wi-9c_reset.script
+   A /trunk/src/target/target/wi-9c.cfg
 
 wi-9c target scripts
 ------------------------------------------------------------------------
 r463 | oharboe | 2008-03-07 11:53:50 +0100 (Fri, 07 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/telnet_server.c
+   M /trunk/src/server/telnet_server.h
 
 Removed code that inserted prompt after printing asynchronous information. Current implementation was broken beyond repair.
 ------------------------------------------------------------------------
 r462 | mifi | 2008-03-07 09:46:24 +0100 (Fri, 07 Mar 2008) | 2 lines
+Changed paths:
+   A /trunk/src/target/event/str710_program.script
+   A /trunk/src/target/event/str912_program.script
+   M /trunk/testing/index.html
 
 - added str912/str710_program.script
 - added test infos from r459
 ------------------------------------------------------------------------
 r461 | oharboe | 2008-03-07 09:07:07 +0100 (Fri, 07 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/embeddedice.c
 
 removed excessive debug output. Perhaps a debug_level 4 should be introduced? Hopefully it can be avoided as this was the only case where debug output was going through the roof.
 ------------------------------------------------------------------------
 r460 | oharboe | 2008-03-07 07:58:31 +0100 (Fri, 07 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/testing/index.html
 
 Cosmetic fixes from Uwe Hermann
 ------------------------------------------------------------------------
 r459 | oharboe | 2008-03-06 18:13:33 +0100 (Thu, 06 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/log.c
 
 Pavel Chromy: va_copy should always be paired with va_end.
 ------------------------------------------------------------------------
 r458 | oharboe | 2008-03-06 18:11:35 +0100 (Thu, 06 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/ChangeLog
 
 retired
 ------------------------------------------------------------------------
 r457 | oharboe | 2008-03-06 15:20:12 +0100 (Thu, 06 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
 
 use jtag_execute_queue() instead of jtag->execute_queue()
 ------------------------------------------------------------------------
 r456 | oharboe | 2008-03-06 15:19:29 +0100 (Thu, 06 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/bitbang.c
 
 tms is never referenced, confusing old code left behind probably.
 ------------------------------------------------------------------------
 r455 | oharboe | 2008-03-06 15:16:45 +0100 (Thu, 06 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.h
 
 comment.
 ------------------------------------------------------------------------
 r454 | oharboe | 2008-03-06 13:38:11 +0100 (Thu, 06 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/log.c
 
 Pavel Chromy: faster alloc_printf()
 ------------------------------------------------------------------------
 r453 | oharboe | 2008-03-06 13:04:27 +0100 (Thu, 06 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/gdb_server.c
 
 Pavel Chromy: performance tweak of gdb_put_packet_inner() removing malloc and avoiding memcpy of larger blocks of data,
 ------------------------------------------------------------------------
 r452 | oharboe | 2008-03-06 13:01:52 +0100 (Thu, 06 Mar 2008) | 4 lines
+Changed paths:
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/arm11_dbgtap.c
 
 Michael Bruck:
 - force simulate_reset_on_next_halt when target state is initially detected
@@ -4805,19 +9780,32 @@ Michael Bruck:
 - fix VCR activation (didn't work before)
 ------------------------------------------------------------------------
 r451 | oharboe | 2008-03-06 13:01:17 +0100 (Thu, 06 Mar 2008) | 2 lines
+Changed paths:
+   M /trunk/src/helper/log.c
 
 Michael Bruck: 64 bit va_list fix for crash
 
 ------------------------------------------------------------------------
 r450 | oharboe | 2008-03-06 07:56:19 +0100 (Thu, 06 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 make debug code w.r.t. incorrect args for bypass stricter.
 ------------------------------------------------------------------------
 r449 | oharboe | 2008-03-05 20:33:53 +0100 (Wed, 05 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.c
+   M /trunk/src/target/xscale.c
 
 warnings & comments fixes.
 ------------------------------------------------------------------------
 r448 | oharboe | 2008-03-05 20:29:41 +0100 (Wed, 05 Mar 2008) | 5 lines
+Changed paths:
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/embeddedice.c
+   M /trunk/src/target/embeddedice.h
 
 - This speeds up dcc arm7_9 bulk write a little bit and exercises the jtag_add_dr_out() codepath
 - added a check to jtag_add_pathmove() for legal path transitions
@@ -4826,6 +9814,11 @@ r448 | oharboe | 2008-03-05 20:29:41 +01
 
 ------------------------------------------------------------------------
 r447 | oharboe | 2008-03-05 20:21:22 +0100 (Wed, 05 Mar 2008) | 5 lines
+Changed paths:
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/target/embeddedice.c
+   M /trunk/src/target/embeddedice.h
 
 added jtag_add_dr_out(). Better for hw fifo, same for software fifo.
 
@@ -4834,11 +9827,23 @@ Passes 94kBytes/s regression test. 
 Works with str912, which relies on bypass
 ------------------------------------------------------------------------
 r446 | oharboe | 2008-03-05 14:27:50 +0100 (Wed, 05 Mar 2008) | 2 lines
+Changed paths:
+   M /trunk/src/flash/at91sam7.c
+   M /trunk/src/flash/at91sam7.h
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/flash.h
+   M /trunk/src/flash/stellaris.c
 
 Pavel Chromy: memory leak in at91sam7 flash driver, possible incorrect pointer conversion in gpnvm command handling,
 uninitialized buffer issue in handle_flash_info_command in flash.c, some formatting.
 ------------------------------------------------------------------------
 r445 | oharboe | 2008-03-05 11:28:32 +0100 (Wed, 05 Mar 2008) | 11 lines
+Changed paths:
+   M /trunk/src/helper/command.c
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/server/server.c
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
 
 * fixed malloc corruption in target->debug_reason
 	* GDB remote server will now remain online even if the target
@@ -4853,26 +9858,46 @@ r445 | oharboe | 2008-03-05 11:28:32 +01
 	* fixed crash when timing out connection to GDB
 ------------------------------------------------------------------------
 r444 | oharboe | 2008-03-05 07:55:14 +0100 (Wed, 05 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/telnet_server.c
 
 telnet_port can now be invoked multiple times
 ------------------------------------------------------------------------
 r443 | oharboe | 2008-03-04 22:12:01 +0100 (Tue, 04 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/flash.h
+   M /trunk/src/server/gdb_server.c
 
 Bogus error message in GDB removed
 ------------------------------------------------------------------------
 r442 | oharboe | 2008-03-04 14:13:55 +0100 (Tue, 04 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/log.c
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/target/target.c
 
 Fixed GDB timeout crash - regression introduced back when log_add/remove_callback was added.
 ------------------------------------------------------------------------
 r441 | oharboe | 2008-03-04 09:40:33 +0100 (Tue, 04 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm11.h
 
 Michael Bruck - fix warnings.
 ------------------------------------------------------------------------
 r440 | oharboe | 2008-03-04 08:13:08 +0100 (Tue, 04 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/arm11.h
+   M /trunk/src/target/arm11_dbgtap.c
 
 Michael Bruck: fix warnings.
 ------------------------------------------------------------------------
 r439 | oharboe | 2008-03-04 07:46:44 +0100 (Tue, 04 Mar 2008) | 9 lines
+Changed paths:
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/arm11.h
+   M /trunk/src/target/arm11_dbgtap.c
 
 Michael Bruck:
 
@@ -4885,214 +9910,559 @@ to the control register to disable cache
 
 ------------------------------------------------------------------------
 r438 | ntfreak | 2008-03-03 21:43:38 +0100 (Mon, 03 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/event/at91sam9260_reset.script
+   M /trunk/src/target/event/zy1000_reset.script
+   M /trunk/src/target/target/at91sam9260.cfg
+   M /trunk/src/target/target/nslu2.cfg
+   M /trunk/src/target/target/pxa255.cfg
+   M /trunk/src/target/target/pxa255_sst.cfg
+   M /trunk/src/target/target/zy1000.cfg
 
 - added svn prop svn:eol-style native
 ------------------------------------------------------------------------
 r437 | oharboe | 2008-03-03 16:58:17 +0100 (Mon, 03 Mar 2008) | 3 lines
+Changed paths:
+   M /trunk/src/target/arm720t.c
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/arm966e.c
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/feroceon.c
+   M /trunk/src/target/xscale.c
 
 I fixed all the targets even though
 I could only prove that XScale was busted.
 
 ------------------------------------------------------------------------
 r436 | oharboe | 2008-03-03 16:49:45 +0100 (Mon, 03 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/testing/index.html
 
 added fill_malloc test. Not quite sure what to do here yet, but it would be good to have something...
 ------------------------------------------------------------------------
 r435 | oharboe | 2008-03-03 14:29:29 +0100 (Mon, 03 Mar 2008) | 3 lines
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/src/target/Makefile.am
+   A /trunk/src/target/event/at91sam9260_reset.script
+   A /trunk/src/target/event/zy1000_reset.script
+   A /trunk/src/target/target/at91sam9260.cfg
+   A /trunk/src/target/target/nslu2.cfg
+   A /trunk/src/target/target/pxa255.cfg
+   A /trunk/src/target/target/pxa255_sst.cfg
+   A /trunk/src/target/target/zy1000.cfg
 
 added at91sam9260.cfg, nslu2.cfg, pxa255.cfg, pxa255_sst.cfg
 zy1000.cfg
  
 ------------------------------------------------------------------------
 r434 | oharboe | 2008-03-03 08:49:32 +0100 (Mon, 03 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/target.h
 
 some comments from Dominic
 ------------------------------------------------------------------------
 r433 | drath | 2008-03-02 17:46:37 +0100 (Sun, 02 Mar 2008) | 2 lines
+Changed paths:
+   M /trunk/README
 
 - Added coding style to README
 
 ------------------------------------------------------------------------
 r432 | ntfreak | 2008-03-02 10:26:01 +0100 (Sun, 02 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/event/at91r40008_reset.script
+   M /trunk/src/target/event/sam7s256_reset.script
+   M /trunk/src/target/event/sam7x256_reset.script
+   M /trunk/src/target/target/at91r40008.cfg
+   M /trunk/src/target/target/lpc2148.cfg
+   M /trunk/src/target/target/lpc2294.cfg
+   M /trunk/src/target/target/sam7s256.cfg
+   M /trunk/src/target/target/sam7x256.cfg
+   M /trunk/src/target/target/str710.cfg
+   M /trunk/src/target/target/str912.cfg
 
 - added svn prop svn:eol-style native
 ------------------------------------------------------------------------
 r431 | oharboe | 2008-03-02 09:39:02 +0100 (Sun, 02 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/flash/ecos.c
+   M /trunk/src/flash/str9xpec.c
+   M /trunk/src/helper/replacements.h
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/jtag/gw16012.c
+   M /trunk/src/jtag/parport.c
+   M /trunk/src/jtag/presto.c
+   M /trunk/src/jtag/usbprog.c
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/armv4_5.c
+   M /trunk/src/target/armv7m.c
+   M /trunk/src/target/armv7m.h
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/cortex_m3.h
+   M /trunk/src/target/cortex_swjdp.c
+   M /trunk/src/target/cortex_swjdp.h
 
 Uwe Hermann tightned up comments, etc. to follow OpenOCD policy
 ------------------------------------------------------------------------
 r430 | oharboe | 2008-03-02 09:29:44 +0100 (Sun, 02 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/ecosflash/Makefile
+   M /trunk/ecosflash/flash.S
+   M /trunk/ecosflash/flash.c
 
 fixed FSF address. Uwe Hermann.
 ------------------------------------------------------------------------
 r429 | oharboe | 2008-03-01 23:00:13 +0100 (Sat, 01 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/Makefile.am
+   D /trunk/src/target/event/at91eb40a_reset.cfg
+   A /trunk/src/target/event/at91eb40a_reset.script (from /trunk/src/target/event/at91eb40a_reset.cfg:426)
+   A /trunk/src/target/event/at91r40008_reset.script
+   A /trunk/src/target/event/sam7s256_reset.script
+   A /trunk/src/target/event/sam7x256_reset.script
+   M /trunk/src/target/target/at91eb40a.cfg
+   A /trunk/src/target/target/at91r40008.cfg
+   A /trunk/src/target/target/lpc2148.cfg
+   A /trunk/src/target/target/lpc2294.cfg
+   A /trunk/src/target/target/sam7s256.cfg
+   A /trunk/src/target/target/sam7x256.cfg
+   A /trunk/src/target/target/str710.cfg
+   A /trunk/src/target/target/str912.cfg
 
 target scripts for test suite.
 ------------------------------------------------------------------------
 r428 | oharboe | 2008-03-01 22:43:18 +0100 (Sat, 01 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/testing/index.html
 
 wrote up explaining why tests are done on committed code.
 ------------------------------------------------------------------------
 r427 | oharboe | 2008-03-01 22:40:48 +0100 (Sat, 01 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/testing/index.html
 
 wrote up explaining why tests are done on committed code.
 ------------------------------------------------------------------------
 r426 | ntfreak | 2008-03-01 21:51:26 +0100 (Sat, 01 Mar 2008) | 2 lines
+Changed paths:
+   A /trunk/contrib
+   A /trunk/contrib/libdcc
+   A /trunk/contrib/libdcc/README
+   A /trunk/contrib/libdcc/dcc_stdio.c
+   A /trunk/contrib/libdcc/dcc_stdio.h
+   A /trunk/contrib/libdcc/example.c
 
 - contrib directory added
 - libdcc added as example for dcc comms with openocd target_request debugmsgs
 ------------------------------------------------------------------------
 r425 | mifi | 2008-03-01 21:25:29 +0100 (Sat, 01 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/testing/index.html
 
 - added test result for r423
 ------------------------------------------------------------------------
 r424 | oharboe | 2008-03-01 21:10:25 +0100 (Sat, 01 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/xscale.c
 
 fix memory corruption regression introduced in 335
 ------------------------------------------------------------------------
 r423 | mifi | 2008-03-01 20:13:05 +0100 (Sat, 01 Mar 2008) | 2 lines
+Changed paths:
+   M /trunk/src/helper/options.c
+   M /trunk/src/openocd.c
+   M /trunk/src/target/arm_simulator.c
 
 - removed warnings "xxxxx" might be used uninitialized in this function (arm_simulator.c)
 - some cosmetic changes
 ------------------------------------------------------------------------
 r422 | mifi | 2008-03-01 19:40:06 +0100 (Sat, 01 Mar 2008) | 1 line
+Changed paths:
+   A /trunk/testing/examples/STR710JtagSpeed
+   A /trunk/testing/examples/STR710JtagSpeed/inc
+   A /trunk/testing/examples/STR710JtagSpeed/inc/typedefs.h
+   A /trunk/testing/examples/STR710JtagSpeed/makefile
+   A /trunk/testing/examples/STR710JtagSpeed/prj
+   A /trunk/testing/examples/STR710JtagSpeed/prj/eclipse_ft2232_ram.gdb
+   A /trunk/testing/examples/STR710JtagSpeed/prj/str710_jtagkey.cfg
+   A /trunk/testing/examples/STR710JtagSpeed/prj/str7_ram.ld
+   A /trunk/testing/examples/STR710JtagSpeed/src
+   A /trunk/testing/examples/STR710JtagSpeed/src/crt.s
+   A /trunk/testing/examples/STR710JtagSpeed/src/main.c
 
 - added example for testing the JTAG speed with a FT2232 device
 ------------------------------------------------------------------------
 r421 | oharboe | 2008-03-01 19:10:26 +0100 (Sat, 01 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/embeddedice.c
 
 backed out jtag_add_shift()
 ------------------------------------------------------------------------
 r420 | mifi | 2008-03-01 17:37:14 +0100 (Sat, 01 Mar 2008) | 2 lines
+Changed paths:
+   M /trunk/testing/examples/AT91R40008Test/prj/at91r40008_reset.script
+   M /trunk/testing/examples/AT91R40008Test/prj/at91r40008_turtle.cfg
+   M /trunk/testing/examples/AT91R40008Test/prj/eclipse_ram.gdb
+   M /trunk/testing/examples/AT91R40008Test/prj/ethernut3_ram.ld
 
 - updated svn:eol-style prop to native for AT91R40008
 (Thanks to Spen for the hint)
 ------------------------------------------------------------------------
 r419 | mifi | 2008-03-01 17:31:52 +0100 (Sat, 01 Mar 2008) | 1 line
+Changed paths:
+   A /trunk/testing/examples/AT91R40008Test
+   A /trunk/testing/examples/AT91R40008Test/inc
+   A /trunk/testing/examples/AT91R40008Test/inc/typedefs.h
+   A /trunk/testing/examples/AT91R40008Test/makefile
+   A /trunk/testing/examples/AT91R40008Test/prj
+   A /trunk/testing/examples/AT91R40008Test/prj/at91r40008_reset.script
+   A /trunk/testing/examples/AT91R40008Test/prj/at91r40008_turtle.cfg
+   A /trunk/testing/examples/AT91R40008Test/prj/eclipse_ram.gdb
+   A /trunk/testing/examples/AT91R40008Test/prj/ethernut3_ram.ld
+   A /trunk/testing/examples/AT91R40008Test/src
+   A /trunk/testing/examples/AT91R40008Test/src/crt.s
+   A /trunk/testing/examples/AT91R40008Test/src/main.c
+   M /trunk/testing/index.html
 
 - added at91r40008 test example, and test result
 ------------------------------------------------------------------------
 r418 | ntfreak | 2008-03-01 17:26:48 +0100 (Sat, 01 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/testing/examples/LPC2148Test/prj/eclipse_ram.gdb
+   M /trunk/testing/examples/LPC2148Test/prj/eclipse_rom.gdb
+   M /trunk/testing/examples/LPC2148Test/prj/lpc2148_jtagkey.cfg
+   M /trunk/testing/examples/LPC2148Test/prj/lpc2148_ram.ld
+   M /trunk/testing/examples/LPC2148Test/prj/lpc2148_rom.ld
+   M /trunk/testing/examples/LPC2294Test/prj/eclipse_ram.gdb
+   M /trunk/testing/examples/LPC2294Test/prj/eclipse_rom.gdb
+   M /trunk/testing/examples/LPC2294Test/prj/lpc2294_jtagkey.cfg
+   M /trunk/testing/examples/LPC2294Test/prj/lpc2294_ram.ld
+   M /trunk/testing/examples/LPC2294Test/prj/lpc2294_rom.ld
+   M /trunk/testing/examples/SAM7S256Test/prj/eclipse_ram.gdb
+   M /trunk/testing/examples/SAM7S256Test/prj/eclipse_rom.gdb
+   M /trunk/testing/examples/SAM7S256Test/prj/sam7s256_jtagkey.cfg
+   M /trunk/testing/examples/SAM7S256Test/prj/sam7s256_ram.ld
+   M /trunk/testing/examples/SAM7S256Test/prj/sam7s256_reset.script
+   M /trunk/testing/examples/SAM7S256Test/prj/sam7s256_rom.ld
+   M /trunk/testing/examples/STR912Test/prj/eclipse_ram.gdb
+   M /trunk/testing/examples/STR912Test/prj/eclipse_rom.gdb
+   M /trunk/testing/examples/STR912Test/prj/str912_jtagkey.cfg
+   M /trunk/testing/examples/STR912Test/prj/str912_program.script
+   M /trunk/testing/examples/STR912Test/prj/str912_ram.ld
+   M /trunk/testing/examples/STR912Test/prj/str912_rom.ld
 
 - updated svn:eol-style prop to native
 ------------------------------------------------------------------------
 r417 | mifi | 2008-03-01 17:15:35 +0100 (Sat, 01 Mar 2008) | 1 line
+Changed paths:
+   A /trunk/testing/examples/SAM7X256Test
+   A /trunk/testing/examples/SAM7X256Test/inc
+   A /trunk/testing/examples/SAM7X256Test/inc/typedefs.h
+   A /trunk/testing/examples/SAM7X256Test/makefile
+   A /trunk/testing/examples/SAM7X256Test/prj
+   A /trunk/testing/examples/SAM7X256Test/prj/eclipse_ram.gdb
+   A /trunk/testing/examples/SAM7X256Test/prj/eclipse_rom.gdb
+   A /trunk/testing/examples/SAM7X256Test/prj/sam7x256_jtagkey.cfg
+   A /trunk/testing/examples/SAM7X256Test/prj/sam7x256_ram.ld
+   A /trunk/testing/examples/SAM7X256Test/prj/sam7x256_reset.script
+   A /trunk/testing/examples/SAM7X256Test/prj/sam7x256_rom.ld
+   A /trunk/testing/examples/SAM7X256Test/src
+   A /trunk/testing/examples/SAM7X256Test/src/crt.s
+   A /trunk/testing/examples/SAM7X256Test/src/main.c
+   M /trunk/testing/index.html
 
 - added sam7x256 test example, and test result
 ------------------------------------------------------------------------
 r416 | oharboe | 2008-03-01 16:53:10 +0100 (Sat, 01 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
 
 improve DCC bulk write performance by using jtag_add_shift() + tweaked embedded ICE communication.
 ------------------------------------------------------------------------
 r415 | mifi | 2008-03-01 16:41:14 +0100 (Sat, 01 Mar 2008) | 1 line
+Changed paths:
+   A /trunk/testing/examples/SAM7S256Test
+   A /trunk/testing/examples/SAM7S256Test/inc
+   A /trunk/testing/examples/SAM7S256Test/inc/typedefs.h
+   A /trunk/testing/examples/SAM7S256Test/makefile
+   A /trunk/testing/examples/SAM7S256Test/prj
+   A /trunk/testing/examples/SAM7S256Test/prj/eclipse_ram.gdb
+   A /trunk/testing/examples/SAM7S256Test/prj/eclipse_rom.gdb
+   A /trunk/testing/examples/SAM7S256Test/prj/sam7s256_jtagkey.cfg
+   A /trunk/testing/examples/SAM7S256Test/prj/sam7s256_ram.ld
+   A /trunk/testing/examples/SAM7S256Test/prj/sam7s256_reset.script
+   A /trunk/testing/examples/SAM7S256Test/prj/sam7s256_rom.ld
+   A /trunk/testing/examples/SAM7S256Test/src
+   A /trunk/testing/examples/SAM7S256Test/src/crt.s
+   A /trunk/testing/examples/SAM7S256Test/src/main.c
+   M /trunk/testing/index.html
 
 - added sam7s256 test example, and test result
 ------------------------------------------------------------------------
 r414 | oharboe | 2008-03-01 16:20:35 +0100 (Sat, 01 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/embeddedice.c
 
 Now uses jtag_add_shift() via embeddedice_write_reg_inner().
 ------------------------------------------------------------------------
 r413 | mifi | 2008-03-01 16:07:33 +0100 (Sat, 01 Mar 2008) | 1 line
+Changed paths:
+   A /trunk/testing/examples/LPC2294Test
+   A /trunk/testing/examples/LPC2294Test/inc
+   A /trunk/testing/examples/LPC2294Test/inc/typedefs.h
+   A /trunk/testing/examples/LPC2294Test/makefile
+   A /trunk/testing/examples/LPC2294Test/prj
+   A /trunk/testing/examples/LPC2294Test/prj/eclipse_ram.gdb
+   A /trunk/testing/examples/LPC2294Test/prj/eclipse_rom.gdb
+   A /trunk/testing/examples/LPC2294Test/prj/lpc2294_jtagkey.cfg
+   A /trunk/testing/examples/LPC2294Test/prj/lpc2294_ram.ld
+   A /trunk/testing/examples/LPC2294Test/prj/lpc2294_rom.ld
+   A /trunk/testing/examples/LPC2294Test/src
+   A /trunk/testing/examples/LPC2294Test/src/crt.s
+   A /trunk/testing/examples/LPC2294Test/src/main.c
+   M /trunk/testing/index.html
 
 - added lpc2294 test example, and test result
 ------------------------------------------------------------------------
 r412 | oharboe | 2008-03-01 15:36:13 +0100 (Sat, 01 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/gdb_server.c
 
 log_remove_callback
 ------------------------------------------------------------------------
 r411 | mifi | 2008-03-01 15:32:55 +0100 (Sat, 01 Mar 2008) | 2 lines
+Changed paths:
+   A /trunk/testing/examples/LPC2148Test
+   A /trunk/testing/examples/LPC2148Test/inc
+   A /trunk/testing/examples/LPC2148Test/inc/typedefs.h
+   A /trunk/testing/examples/LPC2148Test/makefile
+   A /trunk/testing/examples/LPC2148Test/prj
+   A /trunk/testing/examples/LPC2148Test/prj/eclipse_ram.gdb
+   A /trunk/testing/examples/LPC2148Test/prj/eclipse_rom.gdb
+   A /trunk/testing/examples/LPC2148Test/prj/lpc2148_jtagkey.cfg
+   A /trunk/testing/examples/LPC2148Test/prj/lpc2148_ram.ld
+   A /trunk/testing/examples/LPC2148Test/prj/lpc2148_rom.ld
+   A /trunk/testing/examples/LPC2148Test/src
+   A /trunk/testing/examples/LPC2148Test/src/crt.s
+   A /trunk/testing/examples/LPC2148Test/src/main.c
+   M /trunk/testing/examples/STR912Test/makefile
+   M /trunk/testing/index.html
 
 - added lpc2148 test example, and test result
 - corrected str912 makefile eof
 ------------------------------------------------------------------------
 r410 | mifi | 2008-03-01 15:01:53 +0100 (Sat, 01 Mar 2008) | 1 line
+Changed paths:
+   A /trunk/testing/examples/STR912Test
+   A /trunk/testing/examples/STR912Test/inc
+   A /trunk/testing/examples/STR912Test/inc/typedefs.h
+   A /trunk/testing/examples/STR912Test/makefile
+   A /trunk/testing/examples/STR912Test/prj
+   A /trunk/testing/examples/STR912Test/prj/eclipse_ram.gdb
+   A /trunk/testing/examples/STR912Test/prj/eclipse_rom.gdb
+   A /trunk/testing/examples/STR912Test/prj/str912_jtagkey.cfg
+   A /trunk/testing/examples/STR912Test/prj/str912_program.script
+   A /trunk/testing/examples/STR912Test/prj/str912_ram.ld
+   A /trunk/testing/examples/STR912Test/prj/str912_rom.ld
+   A /trunk/testing/examples/STR912Test/src
+   A /trunk/testing/examples/STR912Test/src/main.c
+   A /trunk/testing/examples/STR912Test/src/startup.s
+   M /trunk/testing/index.html
 
 - added str912 test example, and test result
 ------------------------------------------------------------------------
 r409 | oharboe | 2008-03-01 14:54:37 +0100 (Sat, 01 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 wip. fixed gaffe in jtag_add_shift()
 ------------------------------------------------------------------------
 r408 | mifi | 2008-03-01 14:40:25 +0100 (Sat, 01 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/testing/index.html
 
 - added test result for str710, and test description
 ------------------------------------------------------------------------
 r407 | ntfreak | 2008-03-01 13:49:20 +0100 (Sat, 01 Mar 2008) | 2 lines
+Changed paths:
+   M /trunk/testing/examples/STR710Test/inc/typedefs.h
+   M /trunk/testing/examples/STR710Test/makefile
+   M /trunk/testing/examples/STR710Test/prj/eclipse_ram.gdb
+   M /trunk/testing/examples/STR710Test/prj/eclipse_rom.gdb
+   M /trunk/testing/examples/STR710Test/prj/hitex_str7_ram.ld
+   M /trunk/testing/examples/STR710Test/prj/hitex_str7_rom.ld
+   M /trunk/testing/examples/STR710Test/prj/str710_jtagkey.cfg
+   M /trunk/testing/examples/STR710Test/prj/str710_program.script
+   M /trunk/testing/examples/STR710Test/src/crt.s
+   M /trunk/testing/examples/STR710Test/src/main.c
 
 - added svn prop eol-style native
 - fixed mixed line endings on crt.s
 ------------------------------------------------------------------------
 r406 | mifi | 2008-03-01 11:54:32 +0100 (Sat, 01 Mar 2008) | 1 line
+Changed paths:
+   A /trunk/testing/examples
+   A /trunk/testing/examples/STR710Test
+   A /trunk/testing/examples/STR710Test/inc
+   A /trunk/testing/examples/STR710Test/inc/typedefs.h
+   A /trunk/testing/examples/STR710Test/makefile
+   A /trunk/testing/examples/STR710Test/prj
+   A /trunk/testing/examples/STR710Test/prj/eclipse_ram.gdb
+   A /trunk/testing/examples/STR710Test/prj/eclipse_rom.gdb
+   A /trunk/testing/examples/STR710Test/prj/hitex_str7_ram.ld
+   A /trunk/testing/examples/STR710Test/prj/hitex_str7_rom.ld
+   A /trunk/testing/examples/STR710Test/prj/str710_jtagkey.cfg
+   A /trunk/testing/examples/STR710Test/prj/str710_program.script
+   A /trunk/testing/examples/STR710Test/src
+   A /trunk/testing/examples/STR710Test/src/crt.s
+   A /trunk/testing/examples/STR710Test/src/main.c
 
 - added STR710 example which I used for Eclipse debug testing
 ------------------------------------------------------------------------
 r405 | oharboe | 2008-03-01 09:41:02 +0100 (Sat, 01 Mar 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 error handling fix.
 ------------------------------------------------------------------------
 r404 | oharboe | 2008-02-29 22:51:17 +0100 (Fri, 29 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm_jtag.c
 
 added an #error in case anybody tries to compile that broken code.
 ------------------------------------------------------------------------
 r403 | oharboe | 2008-02-29 22:43:19 +0100 (Fri, 29 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/xscale.c
 
 fixed stack corruption. Introduced when _check_value was phased out.
 ------------------------------------------------------------------------
 r402 | ntfreak | 2008-02-29 19:52:05 +0100 (Fri, 29 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/cortex_m3.c
 
 - fix bug with emulated cortex_m3 dcc channel
 ------------------------------------------------------------------------
 r401 | ntfreak | 2008-02-29 19:10:46 +0100 (Fri, 29 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/doc/fdl.texi
+   M /trunk/doc/openocd.texi
 
 - update openocd.texi to fdl 1.2
 ------------------------------------------------------------------------
 r400 | oharboe | 2008-02-29 16:32:07 +0100 (Fri, 29 Feb 2008) | 3 lines
+Changed paths:
+   M /trunk/TODO
+   M /trunk/src/target/target.c
 
 Tweaked logging output.
 
 TODO is retired(hopelessly out of date).
 ------------------------------------------------------------------------
 r399 | oharboe | 2008-02-29 15:34:17 +0100 (Fri, 29 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.1
+   M /trunk/src/helper/options.c
 
 Uwe Hermann: Add a --version switch for openocd.
 ------------------------------------------------------------------------
 r398 | oharboe | 2008-02-29 14:03:37 +0100 (Fri, 29 Feb 2008) | 2 lines
+Changed paths:
+   M /trunk/guess-rev.sh
 
 Pavel Chromy fix: the guess-rev.sh scripts to retrieve SVN revision returns the result including new line
 causing PKGBLDREV macro to not work
 ------------------------------------------------------------------------
 r397 | oharboe | 2008-02-29 13:39:42 +0100 (Fri, 29 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/README
 
 Uwe Hermann: Updated version which applies cleanly after the recent whitespace fixes.
 ------------------------------------------------------------------------
 r396 | oharboe | 2008-02-29 13:37:45 +0100 (Fri, 29 Feb 2008) | 3 lines
+Changed paths:
+   M /trunk/README
+   M /trunk/src/flash/nand.c
+   M /trunk/src/flash/nand.h
+   M /trunk/src/flash/s3c2410_nand.c
+   M /trunk/src/flash/s3c2412_nand.c
+   M /trunk/src/flash/s3c2440_nand.c
+   M /trunk/src/flash/s3c2443_nand.c
+   M /trunk/src/flash/s3c24xx_nand.c
+   M /trunk/src/flash/s3c24xx_nand.h
+   M /trunk/src/flash/s3c24xx_regs_nand.h
+   M /trunk/src/flash/stellaris.c
+   M /trunk/src/flash/stellaris.h
+   M /trunk/src/flash/tms470.c
+   M /trunk/src/flash/tms470.h
+   M /trunk/src/jtag/usbprog.c
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/arm11.h
+   M /trunk/src/target/arm11_dbgtap.c
+   M /trunk/src/target/armv7m.c
+   M /trunk/src/target/armv7m.h
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/cortex_m3.h
+   M /trunk/src/target/cortex_swjdp.c
+   M /trunk/src/target/feroceon.c
+   M /trunk/src/target/target_request.h
 
 Uwe Hermann: 
 Small cosmetic fixes in the license header to make them all look the
 same, fix some typos, update README.
 ------------------------------------------------------------------------
 r395 | oharboe | 2008-02-29 13:31:29 +0100 (Fri, 29 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/openocd.c
 
 Pavel Chromy: add missing newlines.
 ------------------------------------------------------------------------
 r394 | oharboe | 2008-02-29 13:30:21 +0100 (Fri, 29 Feb 2008) | 2 lines
+Changed paths:
+   M /trunk/doc/openocd.1
 
 Uwe Hermann: mproves the manpage text a bit and adds the
 missing -s and -c options.
 ------------------------------------------------------------------------
 r393 | oharboe | 2008-02-29 13:20:30 +0100 (Fri, 29 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/openocd.c
 
 lingering patch from Pavel Chromy.
 ------------------------------------------------------------------------
 r392 | oharboe | 2008-02-29 13:16:02 +0100 (Fri, 29 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/log.c
+   M /trunk/src/server/telnet_server.c
 
 formatting fixes from Pavel Chromy
 ------------------------------------------------------------------------
 r391 | oharboe | 2008-02-29 12:55:09 +0100 (Fri, 29 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/arm11.h
+   M /trunk/src/target/arm11_dbgtap.c
 
 remove warnings.
 ------------------------------------------------------------------------
 r390 | oharboe | 2008-02-29 12:42:37 +0100 (Fri, 29 Feb 2008) | 4 lines
+Changed paths:
+   M /trunk/src/flash/ecos.c
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/nand.c
+   M /trunk/src/helper/fileio.c
+   M /trunk/src/helper/fileio.h
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/etm.c
+   M /trunk/src/target/image.c
+   M /trunk/src/target/image.h
+   M /trunk/src/target/xscale.c
 
 - image.c and fileio.c now uses logging to propagate error strings.
  More precise, less code.
@@ -5100,6 +10470,13 @@ r390 | oharboe | 2008-02-29 12:42:37 +01
 - Windows should now find debug_handler.bin
 ------------------------------------------------------------------------
 r389 | oharboe | 2008-02-29 12:31:49 +0100 (Fri, 29 Feb 2008) | 5 lines
+Changed paths:
+   M /trunk/src/helper/configuration.c
+   M /trunk/src/helper/configuration.h
+   M /trunk/src/helper/interpreter.c
+   M /trunk/src/helper/log.c
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/target/target.c
 
 - clean up target output strings a bit
 - open_file_from_path() now uses logging feature
@@ -5108,20 +10485,38 @@ r389 | oharboe | 2008-02-29 12:31:49 +01
 
 ------------------------------------------------------------------------
 r388 | oharboe | 2008-02-29 12:23:26 +0100 (Fri, 29 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/log.c
 
 do not write single chars to log file.
 ------------------------------------------------------------------------
 r387 | oharboe | 2008-02-29 12:18:41 +0100 (Fri, 29 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/flash.c
 
 Pavel Chromy: clarify error messages
 ------------------------------------------------------------------------
 r386 | oharboe | 2008-02-29 12:16:38 +0100 (Fri, 29 Feb 2008) | 3 lines
+Changed paths:
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/log.c
+   M /trunk/src/helper/log.h
+   M /trunk/src/helper/options.c
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/server/telnet_server.c
+   M /trunk/src/target/target_request.c
 
 Summary: passing of variable argument list reduced, strings sent to logging are now formatted just once - more efficient.
 As a result, ugly string malloc+strcpy are not needed anymore.
 
 ------------------------------------------------------------------------
 r385 | oharboe | 2008-02-29 08:03:28 +0100 (Fri, 29 Feb 2008) | 46 lines
+Changed paths:
+   M /trunk/src/target/Makefile.am
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/arm11.h
+   M /trunk/src/target/arm11_dbgtap.c
+   M /trunk/src/target/target.c
 
 Michael Bruck:
 
@@ -5171,58 +10566,100 @@ Modification to PC without touching the 
 
 ------------------------------------------------------------------------
 r384 | oharboe | 2008-02-29 08:01:43 +0100 (Fri, 29 Feb 2008) | 3 lines
+Changed paths:
+   M /trunk/src/helper/command.c
 
 Michael Bruck: 
 - fix indentation of multi-level commands
 - make help command work with multi-level commands
 ------------------------------------------------------------------------
 r383 | oharboe | 2008-02-28 19:09:33 +0100 (Thu, 28 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/ecosflash/Makefile
+   M /trunk/ecosflash/flash.S
+   M /trunk/ecosflash/flash.c
+   M /trunk/ecosflash/notes.txt
 
 changed to eCos license.
 ------------------------------------------------------------------------
 r382 | oharboe | 2008-02-28 16:14:14 +0100 (Thu, 28 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/log.h
 
 fixed newline gaffe in OUTPUT()
 ------------------------------------------------------------------------
 r381 | oharboe | 2008-02-28 15:28:37 +0100 (Thu, 28 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/log.h
+   M /trunk/src/helper/options.c
 
 Pavel Chromy spotted duplicated newlines gaffe from yours sincerely.
 ------------------------------------------------------------------------
 r380 | oharboe | 2008-02-28 15:23:32 +0100 (Thu, 28 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/log.c
 
 Pavel Chromy spotted a leak
 ------------------------------------------------------------------------
 r379 | oharboe | 2008-02-28 14:04:49 +0100 (Thu, 28 Feb 2008) | 3 lines
+Changed paths:
+   M /trunk/doc/openocd.1
 
 Uwe Hermann: Simplify the manpage by removing lots of redundant information which is
 already in the README or texinfo (and which needs to be updated
 relatively often -- list of authors, list of supported JTAG devices etc).
 ------------------------------------------------------------------------
 r378 | oharboe | 2008-02-28 12:52:26 +0100 (Thu, 28 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 numerous fixes from  Uwe Hermann 
 ------------------------------------------------------------------------
 r377 | oharboe | 2008-02-28 12:08:46 +0100 (Thu, 28 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/log.c
 
 small line ending cleanup.
 ------------------------------------------------------------------------
 r376 | oharboe | 2008-02-28 12:00:35 +0100 (Thu, 28 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/flash.c
 
 Pavel Chromy - cleanup error messages
 ------------------------------------------------------------------------
 r375 | oharboe | 2008-02-28 11:49:22 +0100 (Thu, 28 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.h
 
 fix gaffe.
 ------------------------------------------------------------------------
 r374 | oharboe | 2008-02-28 11:44:41 +0100 (Thu, 28 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/at91sam7.c
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/flash.h
+   M /trunk/src/flash/lpc2000.c
+   M /trunk/src/flash/stellaris.c
+   M /trunk/src/flash/stellaris.h
+   M /trunk/src/flash/stm32x.c
+   M /trunk/src/flash/str7x.c
+   M /trunk/src/flash/str9x.c
+   M /trunk/src/flash/tms470.c
+   M /trunk/src/flash/tms470.h
 
 Pavel Chromy cleaned up checks for halted, error messages, etc.
 ------------------------------------------------------------------------
 r373 | ntfreak | 2008-02-28 11:38:04 +0100 (Thu, 28 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/bootstrap
+   M /trunk/guess-rev.sh
 
 - svn file props set to LF endings
 ------------------------------------------------------------------------
 r372 | oharboe | 2008-02-28 11:24:46 +0100 (Thu, 28 Feb 2008) | 8 lines
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 fix from Pavel Chromy 
 
@@ -5234,35 +10671,260 @@ even in case of an error, so that proper
 
 ------------------------------------------------------------------------
 r371 | ntfreak | 2008-02-28 11:07:54 +0100 (Thu, 28 Feb 2008) | 2 lines
+Changed paths:
+   M /trunk/AUTHORS
+   M /trunk/COPYING
+   M /trunk/ChangeLog
+   M /trunk/INSTALL
+   M /trunk/Makefile.am
+   M /trunk/NEWS
+   M /trunk/README
+   M /trunk/TODO
+   M /trunk/bootstrap
+   M /trunk/configure.in
+   M /trunk/doc/Makefile.am
+   M /trunk/doc/configs/arm7_ft2232.cfg
+   M /trunk/doc/configs/arm7_wig.cfg
+   M /trunk/doc/configs/arm9_ft2232.cfg
+   M /trunk/doc/configs/at91sam7_ecr.cfg
+   M /trunk/doc/configs/chameleon.cfg
+   M /trunk/doc/configs/fury_ft2232.cfg
+   M /trunk/doc/configs/usbprog.cfg
+   M /trunk/doc/configs/xscale_ixp42x.cfg
+   M /trunk/doc/fdl.texi
+   M /trunk/doc/openocd.1
+   M /trunk/doc/openocd.texi
+   M /trunk/doc/scripts/at91sam7_ecr.script
+   M /trunk/doc/scripts/tms470r1a288_startup.script
+   M /trunk/doc/scripts/xscale_ixp_startup.script
+   M /trunk/ecosflash/Makefile
+   M /trunk/ecosflash/at91eb40a.elf
+   M /trunk/ecosflash/debug_at91eb40a.elf
+   M /trunk/ecosflash/flash.S
+   M /trunk/ecosflash/flash.c
+   M /trunk/ecosflash/flash.map
+   M /trunk/ecosflash/notes.txt
+   M /trunk/guess-rev.sh
+   M /trunk/src/Makefile.am
+   M /trunk/src/flash/Makefile.am
+   M /trunk/src/flash/at91sam7.c
+   M /trunk/src/flash/at91sam7.h
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/flash/cfi.h
+   M /trunk/src/flash/ecos.c
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/flash.h
+   M /trunk/src/flash/lpc2000.c
+   M /trunk/src/flash/lpc2000.h
+   M /trunk/src/flash/lpc3180_nand_controller.c
+   M /trunk/src/flash/lpc3180_nand_controller.h
+   M /trunk/src/flash/nand.c
+   M /trunk/src/flash/nand.h
+   M /trunk/src/flash/non_cfi.c
+   M /trunk/src/flash/non_cfi.h
+   M /trunk/src/flash/s3c2410_nand.c
+   M /trunk/src/flash/s3c2412_nand.c
+   M /trunk/src/flash/s3c2440_nand.c
+   M /trunk/src/flash/s3c2443_nand.c
+   M /trunk/src/flash/s3c24xx_nand.c
+   M /trunk/src/flash/s3c24xx_nand.h
+   M /trunk/src/flash/s3c24xx_regs_nand.h
+   M /trunk/src/flash/stellaris.c
+   M /trunk/src/flash/stellaris.h
+   M /trunk/src/flash/stm32x.c
+   M /trunk/src/flash/stm32x.h
+   M /trunk/src/flash/str7x.c
+   M /trunk/src/flash/str7x.h
+   M /trunk/src/flash/str9x.c
+   M /trunk/src/flash/str9x.h
+   M /trunk/src/flash/str9xpec.c
+   M /trunk/src/flash/str9xpec.h
+   M /trunk/src/flash/tms470.c
+   M /trunk/src/flash/tms470.h
+   M /trunk/src/helper/Makefile.am
+   M /trunk/src/helper/binarybuffer.c
+   M /trunk/src/helper/binarybuffer.h
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/command.h
+   M /trunk/src/helper/configuration.c
+   M /trunk/src/helper/configuration.h
+   M /trunk/src/helper/fileio.c
+   M /trunk/src/helper/fileio.h
+   M /trunk/src/helper/interpreter.c
+   M /trunk/src/helper/interpreter.h
+   M /trunk/src/helper/log.c
+   M /trunk/src/helper/log.h
+   M /trunk/src/helper/options.c
+   M /trunk/src/helper/replacements.c
+   M /trunk/src/helper/replacements.h
+   M /trunk/src/helper/time_support.c
+   M /trunk/src/helper/time_support.h
+   M /trunk/src/helper/types.h
+   M /trunk/src/jtag/Makefile.am
+   M /trunk/src/jtag/amt_jtagaccel.c
+   M /trunk/src/jtag/at91rm9200.c
+   M /trunk/src/jtag/bitbang.c
+   M /trunk/src/jtag/bitbang.h
+   M /trunk/src/jtag/bitq.c
+   M /trunk/src/jtag/bitq.h
+   M /trunk/src/jtag/ep93xx.c
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/jtag/gw16012.c
+   M /trunk/src/jtag/parport.c
+   M /trunk/src/jtag/presto.c
+   M /trunk/src/jtag/usbprog.c
+   M /trunk/src/openocd.c
+   M /trunk/src/pld/Makefile.am
+   M /trunk/src/pld/pld.c
+   M /trunk/src/pld/pld.h
+   M /trunk/src/pld/virtex2.c
+   M /trunk/src/pld/virtex2.h
+   M /trunk/src/pld/xilinx_bit.c
+   M /trunk/src/pld/xilinx_bit.h
+   M /trunk/src/server/Makefile.am
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/server/gdb_server.h
+   M /trunk/src/server/server.c
+   M /trunk/src/server/server.h
+   M /trunk/src/server/telnet_server.c
+   M /trunk/src/server/telnet_server.h
+   M /trunk/src/target/Makefile.am
+   M /trunk/src/target/algorithm.c
+   M /trunk/src/target/algorithm.h
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/arm11.h
+   M /trunk/src/target/arm11_dbgtap.c
+   M /trunk/src/target/arm720t.c
+   M /trunk/src/target/arm720t.h
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7_9_common.h
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm7tdmi.h
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/arm920t.h
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/arm926ejs.h
+   M /trunk/src/target/arm966e.c
+   M /trunk/src/target/arm966e.h
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/arm9tdmi.h
+   M /trunk/src/target/arm_disassembler.c
+   M /trunk/src/target/arm_disassembler.h
+   M /trunk/src/target/arm_jtag.c
+   M /trunk/src/target/arm_jtag.h
+   M /trunk/src/target/arm_simulator.c
+   M /trunk/src/target/arm_simulator.h
+   M /trunk/src/target/armv4_5.c
+   M /trunk/src/target/armv4_5.h
+   M /trunk/src/target/armv4_5_cache.c
+   M /trunk/src/target/armv4_5_cache.h
+   M /trunk/src/target/armv4_5_mmu.c
+   M /trunk/src/target/armv4_5_mmu.h
+   M /trunk/src/target/armv7m.c
+   M /trunk/src/target/armv7m.h
+   M /trunk/src/target/breakpoints.c
+   M /trunk/src/target/breakpoints.h
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/cortex_m3.h
+   M /trunk/src/target/cortex_swjdp.c
+   M /trunk/src/target/cortex_swjdp.h
+   M /trunk/src/target/embeddedice.c
+   M /trunk/src/target/embeddedice.h
+   M /trunk/src/target/etb.c
+   M /trunk/src/target/etb.h
+   M /trunk/src/target/etm.c
+   M /trunk/src/target/etm.h
+   M /trunk/src/target/etm_dummy.c
+   M /trunk/src/target/etm_dummy.h
+   M /trunk/src/target/event/at91eb40a_reset.cfg
+   M /trunk/src/target/feroceon.c
+   M /trunk/src/target/image.c
+   M /trunk/src/target/image.h
+   M /trunk/src/target/oocd_trace.c
+   M /trunk/src/target/oocd_trace.h
+   M /trunk/src/target/register.c
+   M /trunk/src/target/register.h
+   M /trunk/src/target/target/at91eb40a.cfg
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
+   M /trunk/src/target/target_request.c
+   M /trunk/src/target/target_request.h
+   M /trunk/src/target/trace.c
+   M /trunk/src/target/trace.h
+   M /trunk/src/target/xscale/build.sh
+   M /trunk/src/target/xscale/debug_handler.S
+   M /trunk/src/target/xscale/debug_handler.cmd
+   M /trunk/src/target/xscale/protocol.h
+   M /trunk/src/target/xscale.c
+   M /trunk/src/target/xscale.h
+   M /trunk/src/xsvf/Makefile.am
+   M /trunk/src/xsvf/xsvf.c
+   M /trunk/src/xsvf/xsvf.h
+   M /trunk/testing/index.html
 
 - added svn props
 - fixed mixed line endings on flash.c, log.c, gdb_server.c
 ------------------------------------------------------------------------
 r370 | oharboe | 2008-02-28 10:34:18 +0100 (Thu, 28 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/embeddedice.h
 
 code to be used in upcoming minidriver work.
 ------------------------------------------------------------------------
 r369 | oharboe | 2008-02-28 10:32:09 +0100 (Thu, 28 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/binarybuffer.h
 
 added some code that will be used in upcoming minidriver work.
 ------------------------------------------------------------------------
 r368 | oharboe | 2008-02-28 10:30:06 +0100 (Thu, 28 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/ecosflash/Makefile
+   M /trunk/ecosflash/flash.S
+   M /trunk/ecosflash/flash.c
 
 fix copyright.
 ------------------------------------------------------------------------
 r367 | oharboe | 2008-02-28 10:21:56 +0100 (Thu, 28 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
 
 jtag_add_shift() fn - minidriver work in progress.
 ------------------------------------------------------------------------
 r366 | oharboe | 2008-02-28 09:37:01 +0100 (Thu, 28 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/ecos.c
 
 lingering change for eCos flash driver
 ------------------------------------------------------------------------
 r365 | oharboe | 2008-02-28 09:25:46 +0100 (Thu, 28 Feb 2008) | 1 line
+Changed paths:
+   A /trunk/ecosflash
+   A /trunk/ecosflash/Makefile
+   A /trunk/ecosflash/at91eb40a.elf
+   A /trunk/ecosflash/debug_at91eb40a.elf
+   A /trunk/ecosflash/flash.S
+   A /trunk/ecosflash/flash.c
+   A /trunk/ecosflash/flash.map
+   A /trunk/ecosflash/notes.txt
+   M /trunk/src/flash/Makefile.am
+   A /trunk/src/flash/ecos.c
+   M /trunk/src/flash/flash.c
 
 eCos flash driver.
 ------------------------------------------------------------------------
 r364 | oharboe | 2008-02-28 09:11:18 +0100 (Thu, 28 Feb 2008) | 8 lines
+Changed paths:
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/command.h
+   M /trunk/src/helper/interpreter.c
+   M /trunk/src/helper/log.c
+   M /trunk/src/helper/log.h
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/server/telnet_server.c
+   M /trunk/src/target/target_request.c
+   M /trunk/src/target/target_request.h
 
 - Added TARGET_REQ_DEBUGCHAR target_request debugmsg. This 
   provides a better impeadance match for debug output char fn's, e.g. eCos.
@@ -5274,82 +10936,185 @@ r364 | oharboe | 2008-02-28 09:11:18 +01
 
 ------------------------------------------------------------------------
 r363 | ntfreak | 2008-02-28 08:44:13 +0100 (Thu, 28 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 - fix line-endings
 ------------------------------------------------------------------------
 r362 | drath | 2008-02-28 08:35:51 +0100 (Thu, 28 Feb 2008) | 2 lines
+Changed paths:
+   M /trunk/src/flash/s3c2412_nand.c
+   M /trunk/src/flash/s3c2440_nand.c
+   M /trunk/src/flash/s3c2443_nand.c
+   M /trunk/src/jtag/amt_jtagaccel.c
+   M /trunk/src/jtag/gw16012.c
+   M /trunk/src/jtag/parport.c
 
 - fix line-endings
 
 ------------------------------------------------------------------------
 r361 | oharboe | 2008-02-28 08:26:14 +0100 (Thu, 28 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 Uwe Hermann Add @dircategory and @direntry to the info page -- they're used to add the openocd info page to the global  index of info pages in the system (usually /usr/share/info/dir).
 ------------------------------------------------------------------------
 r360 | oharboe | 2008-02-28 08:25:06 +0100 (Thu, 28 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/s3c2412_nand.c
+   M /trunk/src/flash/s3c2440_nand.c
+   M /trunk/src/flash/s3c2443_nand.c
+   M /trunk/src/jtag/amt_jtagaccel.c
+   M /trunk/src/jtag/gw16012.c
+   M /trunk/src/jtag/parport.c
 
 Uwe Hermann fixed some warnings.
 ------------------------------------------------------------------------
 r359 | ntfreak | 2008-02-27 19:59:38 +0100 (Wed, 27 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/README
+   M /trunk/doc/openocd.texi
 
 - correct line endings from previous commit
 ------------------------------------------------------------------------
 r358 | drath | 2008-02-27 18:25:33 +0100 (Wed, 27 Feb 2008) | 2 lines
+Changed paths:
+   M /trunk/src/jtag/ep93xx.c
 
 - fix typo in ep93xx jtag driver to allow OpenOCD compilation on ARM (thanks to Uwe Hermann for the patch)
 
 ------------------------------------------------------------------------
 r357 | drath | 2008-02-27 07:59:35 +0100 (Wed, 27 Feb 2008) | 2 lines
+Changed paths:
+   M /trunk/src/jtag/ft2232.c
 
 - fix bug in ft2232 pathmove (thanks to Michael Bruck for the patch)
 
 ------------------------------------------------------------------------
 r356 | oharboe | 2008-02-27 07:44:45 +0100 (Wed, 27 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/README
+   M /trunk/doc/openocd.texi
 
 Nicolas Pitre listed some more devices.
 ------------------------------------------------------------------------
 r355 | ntfreak | 2008-02-26 20:56:45 +0100 (Tue, 26 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
 
 - fix issue when target is already halted
 ------------------------------------------------------------------------
 r354 | ntfreak | 2008-02-26 20:51:18 +0100 (Tue, 26 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/tms470.c
+   M /trunk/src/flash/tms470.h
 
 - code reformat (Thanks Pavel Chromy)
 ------------------------------------------------------------------------
 r353 | oharboe | 2008-02-26 20:24:49 +0100 (Tue, 26 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 fix naming conflict under Windows.
 ------------------------------------------------------------------------
 r352 | oharboe | 2008-02-26 15:19:27 +0100 (Tue, 26 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 oopss.. another jtag minidriver reset gaffe.
 ------------------------------------------------------------------------
 r351 | oharboe | 2008-02-26 14:21:57 +0100 (Tue, 26 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 jtag_add_reset() minidriver gaffe fixed.
 ------------------------------------------------------------------------
 r350 | oharboe | 2008-02-26 12:53:54 +0100 (Tue, 26 Feb 2008) | 3 lines
+Changed paths:
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
 
 Next step in the JTAG minidriver. This should be fairly close to the final thing, but
 I'm not calling it "done" quite yet.
 
 ------------------------------------------------------------------------
 r349 | oharboe | 2008-02-26 07:25:22 +0100 (Tue, 26 Feb 2008) | 3 lines
+Changed paths:
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
 
 - jtag minidriver work in progress
 - svn:eol-style=native. Let's see how that works out :-)
 
 ------------------------------------------------------------------------
 r348 | ntfreak | 2008-02-25 21:18:26 +0100 (Mon, 25 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/configuration.c
+   M /trunk/src/helper/configuration.h
+   M /trunk/src/helper/log.c
+   M /trunk/src/helper/options.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/server/server.c
 
 - remove build warnings
 ------------------------------------------------------------------------
 r347 | drath | 2008-02-25 18:48:04 +0100 (Mon, 25 Feb 2008) | 2 lines
+Changed paths:
+   M /trunk/src/flash/at91sam7.h
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/flash/s3c2440_nand.c
+   M /trunk/src/flash/str9xpec.c
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/configuration.c
+   M /trunk/src/helper/log.c
+   M /trunk/src/helper/log.h
+   M /trunk/src/helper/options.c
+   M /trunk/src/helper/replacements.h
+   M /trunk/src/jtag/bitq.c
+   M /trunk/src/jtag/ep93xx.c
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/usbprog.c
+   M /trunk/src/openocd.c
+   M /trunk/src/pld/virtex2.c
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/server/server.c
+   M /trunk/src/server/telnet_server.c
+   M /trunk/src/target/arm11.c
+   M /trunk/src/target/arm11.h
+   M /trunk/src/target/arm11_dbgtap.c
+   M /trunk/src/target/arm720t.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/arm966e.c
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/arm_jtag.c
+   M /trunk/src/target/cortex_swjdp.c
+   M /trunk/src/target/embeddedice.c
+   M /trunk/src/target/etb.c
+   M /trunk/src/target/etb.h
+   M /trunk/src/target/etm.c
+   M /trunk/src/target/etm.h
+   M /trunk/src/target/etm_dummy.h
+   M /trunk/src/target/oocd_trace.h
+   M /trunk/src/target/target.c
+   M /trunk/src/target/xscale.c
+   M /trunk/src/xsvf/xsvf.c
 
 - convert all files to unix line-ending
 
 ------------------------------------------------------------------------
 r346 | oharboe | 2008-02-25 18:32:53 +0100 (Mon, 25 Feb 2008) | 5 lines
+Changed paths:
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/log.c
+   M /trunk/src/helper/log.h
+   M /trunk/src/helper/options.c
+   M /trunk/src/openocd.c
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/server/telnet_server.c
 
 Pavel Chromy
 
@@ -5358,24 +11123,57 @@ Pavel Chromy
 - fix formatting
 ------------------------------------------------------------------------
 r345 | oharboe | 2008-02-25 16:12:00 +0100 (Mon, 25 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 formatting.
 ------------------------------------------------------------------------
 r344 | oharboe | 2008-02-25 15:58:20 +0100 (Mon, 25 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/at91sam7.h
+   M /trunk/src/jtag/bitq.c
+   M /trunk/src/jtag/usbprog.c
 
 Pavel Chromy style fixes.
 ------------------------------------------------------------------------
 r343 | oharboe | 2008-02-25 15:50:31 +0100 (Mon, 25 Feb 2008) | 3 lines
+Changed paths:
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
 
 Fix from Pavel Chromy.
 
 https://lists.berlios.de/pipermail/openocd-development/2008-February/001018.html
 ------------------------------------------------------------------------
 r342 | oharboe | 2008-02-25 14:09:15 +0100 (Mon, 25 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/options.c
 
 - Fix target library path problem w/Windows
 ------------------------------------------------------------------------
 r341 | oharboe | 2008-02-25 09:22:18 +0100 (Mon, 25 Feb 2008) | 6 lines
+Changed paths:
+   M /trunk/src/flash/str9xpec.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/pld/virtex2.c
+   A /trunk/src/target/arm11.c
+   A /trunk/src/target/arm11.h
+   A /trunk/src/target/arm11_dbgtap.c
+   M /trunk/src/target/arm720t.c
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/arm966e.c
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/arm_jtag.c
+   M /trunk/src/target/cortex_swjdp.c
+   M /trunk/src/target/embeddedice.c
+   M /trunk/src/target/etb.c
+   M /trunk/src/target/etm.c
+   M /trunk/src/target/target.c
+   M /trunk/src/target/xscale.c
+   M /trunk/src/xsvf/xsvf.c
 
 From Michael Bruck
 
@@ -5385,14 +11183,39 @@ wasn't necessary in hindsight but anyway
 - arm11 source committed but not not in Makefile.am/target.c for now.
 ------------------------------------------------------------------------
 r340 | oharboe | 2008-02-25 09:08:31 +0100 (Mon, 25 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/server.c
 
 committed bugfix from Michael Bruck
 ------------------------------------------------------------------------
 r339 | oharboe | 2008-02-25 09:01:21 +0100 (Mon, 25 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/at91sam7.c
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/flash.h
+   M /trunk/src/flash/lpc2000.c
+   M /trunk/src/flash/lpc3180_nand_controller.c
+   M /trunk/src/flash/nand.c
+   M /trunk/src/flash/stellaris.c
+   M /trunk/src/flash/stm32x.c
+   M /trunk/src/flash/str7x.c
+   M /trunk/src/flash/str9x.c
+   M /trunk/src/flash/str9xpec.c
+   M /trunk/src/helper/interpreter.c
+   M /trunk/src/server/gdb_server.c
 
 dos2unix fix.
 ------------------------------------------------------------------------
 r338 | oharboe | 2008-02-25 08:50:03 +0100 (Mon, 25 Feb 2008) | 5 lines
+Changed paths:
+   M /trunk/src/flash/at91sam7.c
+   M /trunk/src/flash/lpc2000.c
+   M /trunk/src/helper/configuration.c
+   M /trunk/src/helper/options.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/server/server.c
+   M /trunk/src/server/telnet_server.c
+   M /trunk/src/target/target.c
 
 - using ERROR_COMMAND_SYNTAX_ERROR to print syntax in a couple of places
 - some more flash cleanup of checking halted state
@@ -5401,6 +11224,22 @@ r338 | oharboe | 2008-02-25 08:50:03 +01
 - retired arch_state. Not quite sure how I managed to leave that out last time.
 ------------------------------------------------------------------------
 r337 | oharboe | 2008-02-25 08:32:52 +0100 (Mon, 25 Feb 2008) | 21 lines
+Changed paths:
+   M /trunk/src/flash/at91sam7.c
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/flash.h
+   M /trunk/src/flash/lpc2000.c
+   M /trunk/src/flash/lpc3180_nand_controller.c
+   M /trunk/src/flash/nand.c
+   M /trunk/src/flash/stellaris.c
+   M /trunk/src/flash/stm32x.c
+   M /trunk/src/flash/str7x.c
+   M /trunk/src/flash/str9x.c
+   M /trunk/src/flash/str9xpec.c
+   M /trunk/src/helper/interpreter.c
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/target/target.h
 
 
 - "flash write_binary" is now "flash write_bank" to clarify the focus of the
@@ -5425,10 +11264,17 @@ r337 | oharboe | 2008-02-25 08:32:52 +01
 
 ------------------------------------------------------------------------
 r336 | oharboe | 2008-02-25 07:44:46 +0100 (Mon, 25 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/armv7m.c
+   M /trunk/src/target/armv7m.h
 
 Michael Bruck spotted an omission in svn 322
 ------------------------------------------------------------------------
 r335 | oharboe | 2008-02-24 22:54:09 +0100 (Sun, 24 Feb 2008) | 5 lines
+Changed paths:
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/xscale.c
+   M /trunk/src/target/xscale.h
 
 - added "xscale fast_memory_access" which speeds up memory
  access by disabling "unecessary" checks.
@@ -5437,15 +11283,43 @@ r335 | oharboe | 2008-02-24 22:54:09 +01
  mmu enabled and mmu not enabled address
 ------------------------------------------------------------------------
 r334 | oharboe | 2008-02-24 22:11:09 +0100 (Sun, 24 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/Makefile.am
+   M /trunk/src/helper/configuration.c
+   A /trunk/src/helper/options.c
 
 move options handling to separate file to better support embedded implementations of OpenOCD
 ------------------------------------------------------------------------
 r333 | oharboe | 2008-02-24 21:10:48 +0100 (Sun, 24 Feb 2008) | 2 lines
+Changed paths:
+   M /trunk/src/helper/Makefile.am
+   M /trunk/src/helper/configuration.c
+   M /trunk/src/target/Makefile.am
+   A /trunk/src/target/event
+   A /trunk/src/target/event/at91eb40a_reset.cfg
+   A /trunk/src/target/target
+   A /trunk/src/target/target/at91eb40a.cfg
 
 - added -c option that will execute an openocd command
 - added at91eb40a target library example.
 ------------------------------------------------------------------------
 r332 | oharboe | 2008-02-24 19:52:45 +0100 (Sun, 24 Feb 2008) | 7 lines
+Changed paths:
+   M /trunk/src/server/telnet_server.c
+   M /trunk/src/target/arm720t.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7_9_common.h
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/arm926ejs.h
+   M /trunk/src/target/armv4_5.c
+   M /trunk/src/target/armv4_5.h
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/cortex_m3.h
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
+   M /trunk/src/target/xscale.c
 
 - fixed target->type->poll() return value
 - added arch_state to show status of currently selected target
@@ -5456,108 +11330,201 @@ r332 | oharboe | 2008-02-24 19:52:45 +01
 - cleaned up error propagation a bit in a few places
 ------------------------------------------------------------------------
 r331 | oharboe | 2008-02-24 19:48:22 +0100 (Sun, 24 Feb 2008) | 2 lines
+Changed paths:
+   M /trunk/src/flash/cfi.c
 
 disable cfi_write_words(). Broken for spansion, fallback
 is a slower codepath that is reported to work.
 ------------------------------------------------------------------------
 r330 | oharboe | 2008-02-24 19:46:09 +0100 (Sun, 24 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/log.c
 
 debug_level 3 now prints seconds since start of openocd
 ------------------------------------------------------------------------
 r329 | drath | 2008-02-24 19:24:04 +0100 (Sun, 24 Feb 2008) | 2 lines
+Changed paths:
+   M /trunk/src/jtag/jtag.h
 
 - concretize JTAG state transition rules (previously implied behaviour is now documented)
 
 ------------------------------------------------------------------------
 r328 | oharboe | 2008-02-24 18:33:00 +0100 (Sun, 24 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/xsvf/xsvf.c
 
 sharpend JTAG docs w.r.t. hw fifo implementations and retired jtag_cancel_queue() which is inheritely incompatible with a hw fifo concept.
 ------------------------------------------------------------------------
 r327 | oharboe | 2008-02-24 18:18:03 +0100 (Sun, 24 Feb 2008) | 1 line
+Changed paths:
+   M /trunk
+   M /trunk/doc
+   M /trunk/src
+   M /trunk/src/flash
+   M /trunk/src/helper
+   M /trunk/src/jtag
+   M /trunk/src/pld
+   M /trunk/src/server
+   M /trunk/src/target
+   M /trunk/src/xsvf
 
 added svn:ignore for files generated by bootstrap + build process.
 ------------------------------------------------------------------------
 r326 | oharboe | 2008-02-24 18:10:48 +0100 (Sun, 24 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/s3c2440_nand.c
+   M /trunk/src/helper/log.c
+   M /trunk/src/jtag/ep93xx.c
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/xsvf/xsvf.c
 
 cosmetic fixes to debug output + phasing out printf() in favour of logging system. From Pavel Chromy <chromy@asix.cz>
 ------------------------------------------------------------------------
 r325 | drath | 2008-02-24 13:30:45 +0100 (Sun, 24 Feb 2008) | 3 lines
+Changed paths:
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/server/server.c
 
 - fixes possible crash when GDB connection is closed while target is running due to log callback sending messages to connection which does not 
 exist anymore (thanks to Pavel Chromy for this patch)
 
 ------------------------------------------------------------------------
 r324 | drath | 2008-02-23 17:30:13 +0100 (Sat, 23 Feb 2008) | 2 lines
+Changed paths:
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/arm926ejs.h
+   M /trunk/src/target/feroceon.c
 
 - fix for feroceon CP15 register access (thanks to Niolas Pitre for this patch)
 
 ------------------------------------------------------------------------
 r323 | drath | 2008-02-23 14:39:06 +0100 (Sat, 23 Feb 2008) | 2 lines
+Changed paths:
+   M /trunk/src/flash/nand.c
 
 - Use NAND extended geometry information (thanks to Ben Dooks for this patch)
 
 ------------------------------------------------------------------------
 r322 | mifi | 2008-02-23 13:02:15 +0100 (Sat, 23 Feb 2008) | 2 lines
+Changed paths:
+   M /trunk/src/openocd.c
+   A /trunk/testing
+   A /trunk/testing/index.html
 
 - added a test document as a starting point
 - corrected URL information for the repro
 ------------------------------------------------------------------------
 r321 | oharboe | 2008-02-23 09:24:59 +0100 (Sat, 23 Feb 2008) | 2 lines
+Changed paths:
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/time_support.c
 
 - added time command
 - changed syntax of time measurements to seconds, e.g. 1.2324s
 ------------------------------------------------------------------------
 r320 | mifi | 2008-02-22 23:55:52 +0100 (Fri, 22 Feb 2008) | 2 lines
+Changed paths:
+   M /trunk/src/helper/log.c
 
 - added patch to remove count and time information from log_printf
 in case of debug_level is not set to LOG_DEBUG
 ------------------------------------------------------------------------
 r319 | mifi | 2008-02-22 17:49:07 +0100 (Fri, 22 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/openocd.c
 
 - cosmetic changes to print out version without line number/time
 ------------------------------------------------------------------------
 r318 | vpalatin | 2008-02-22 17:43:13 +0100 (Fri, 22 Feb 2008) | 2 lines
+Changed paths:
+   M /trunk/src/target/target.c
 
 - fix read/write size for small unaligned accesses (thanks Michael Bruck)
 
 ------------------------------------------------------------------------
 r317 | mifi | 2008-02-22 17:13:07 +0100 (Fri, 22 Feb 2008) | 2 lines
+Changed paths:
+   M /trunk/src/flash/at91sam7.c
 
 - added patch to solve problem with AT91SAM7SE MCU have 3, rather than just 2 GPNVM bits.
 (Thanks to Pavel for the patch)
 ------------------------------------------------------------------------
 r316 | mifi | 2008-02-22 16:30:19 +0100 (Fri, 22 Feb 2008) | 2 lines
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
 
 - added patch to make single-stepping more resilient
 (thanks to Nicolas Pitre for the patch)
 ------------------------------------------------------------------------
 r315 | vpalatin | 2008-02-21 12:43:04 +0100 (Thu, 21 Feb 2008) | 3 lines
+Changed paths:
+   M /trunk/src/target/Makefile.am
+   M /trunk/src/target/arm7_9_common.h
+   M /trunk/src/target/arm926ejs.h
+   M /trunk/src/target/arm9tdmi.h
+   A /trunk/src/target/feroceon.c
+   M /trunk/src/target/target.c
 
 - add support for Marvell Feroceon (thanks to Nicolas Pitre for this patch)
 
 
 ------------------------------------------------------------------------
 r314 | ntfreak | 2008-02-20 09:32:40 +0100 (Wed, 20 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/configuration.c
 
 - fix bug when using full paths to config files. Thanks Ted Roth
 ------------------------------------------------------------------------
 r313 | mifi | 2008-02-19 22:44:19 +0100 (Tue, 19 Feb 2008) | 3 lines
+Changed paths:
+   M /trunk/src/helper/types.h
 
 - added patch which fixed big/small endian problems on non-x86 host CPUs.
 https://lists.berlios.de/pipermail/openocd-development/2008-February/000846.html
 (thanks to ?\195?\152yvind for the patch)
 ------------------------------------------------------------------------
 r312 | ntfreak | 2008-02-19 21:04:57 +0100 (Tue, 19 Feb 2008) | 2 lines
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/helper/Makefile.am
+   M /trunk/src/helper/configuration.c
+   M /trunk/src/helper/configuration.h
+   M /trunk/src/helper/interpreter.c
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/target/target.c
 
 - add search paths via new arg -s (-search). Thanks Ted Roth
 - updated docs for new command
 ------------------------------------------------------------------------
 r311 | drath | 2008-02-19 20:52:09 +0100 (Tue, 19 Feb 2008) | 2 lines
+Changed paths:
+   M /trunk/src/flash/Makefile.am
+   M /trunk/src/flash/nand.c
+   M /trunk/src/flash/nand.h
+   A /trunk/src/flash/s3c2410_nand.c
+   A /trunk/src/flash/s3c2412_nand.c
+   A /trunk/src/flash/s3c2440_nand.c
+   A /trunk/src/flash/s3c2443_nand.c
+   A /trunk/src/flash/s3c24xx_nand.c
+   A /trunk/src/flash/s3c24xx_nand.h
+   A /trunk/src/flash/s3c24xx_regs_nand.h
 
 - add support for the majority of the Samsung ARM SoC family, S3C2410, S3C2412, S3C2413, S3C2440 and S3C2443 (thanks to Ben Dooks for this patch)
 
 ------------------------------------------------------------------------
 r310 | ntfreak | 2008-02-19 20:26:17 +0100 (Tue, 19 Feb 2008) | 11 lines
+Changed paths:
+   M /trunk/src/flash/flash.c
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/command.h
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/armv4_5.c
+   M /trunk/src/target/armv4_5_mmu.c
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
+   M /trunk/src/target/xscale.c
 
 - Fixed bug in pathmove for XScale
 - added virtual address to working_area.
@@ -5572,15 +11539,23 @@ r310 | ntfreak | 2008-02-19 20:26:17 +01
 Thanks to ?\195?\152yvind Harboe
 ------------------------------------------------------------------------
 r309 | ntfreak | 2008-02-18 19:48:04 +0100 (Mon, 18 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/telnet_server.c
+   M /trunk/src/server/telnet_server.h
 
 - reapply fix with telnet prompt while running/halting gdb
 ------------------------------------------------------------------------
 r308 | drath | 2008-02-18 19:03:08 +0100 (Mon, 18 Feb 2008) | 2 lines
+Changed paths:
+   M /trunk/src/server/telnet_server.c
+   M /trunk/src/server/telnet_server.h
 
 - Fix problems with stuck telnet sessions. Thanks to ?\195?\152yvind Harboe for this patch.
 
 ------------------------------------------------------------------------
 r307 | drath | 2008-02-18 18:59:06 +0100 (Mon, 18 Feb 2008) | 6 lines
+Changed paths:
+   M /trunk/src/server/gdb_server.c
 
 - ignore data aborts during gdb memory read packets by default, and return 0x0 instead
 - add configuration option "gdb_report_data_abort <enable|disable> to enable reporting of data aborts during gdb memory read packets
@@ -5590,10 +11565,15 @@ r307 | drath | 2008-02-18 18:59:06 +0100
 
 ------------------------------------------------------------------------
 r306 | ntfreak | 2008-02-18 17:54:18 +0100 (Mon, 18 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/command.c
 
 - arg list now correctly released on error. Thanks ?\195?\152yvind Harboe
 ------------------------------------------------------------------------
 r305 | ntfreak | 2008-02-18 16:41:38 +0100 (Mon, 18 Feb 2008) | 5 lines
+Changed paths:
+   M /trunk/src/helper/command.c
+   M /trunk/src/jtag/jtag.c
 
 - fix broken JTAG error handling
 - Allow all commands to be executed during config stage
@@ -5602,6 +11582,8 @@ r305 | ntfreak | 2008-02-18 16:41:38 +01
 Thanks ?\195?\152yvind Harboe
 ------------------------------------------------------------------------
 r304 | ntfreak | 2008-02-18 16:11:01 +0100 (Mon, 18 Feb 2008) | 8 lines
+Changed paths:
+   M /trunk/src/target/xscale.c
 
 - removed a raft of unecessary exit() calls. Issuing a reset will solve these ails.
 - now uses jtag_state_pathmove() instead of making assumptions about implementation of jtag_statemove().
@@ -5613,10 +11595,18 @@ r304 | ntfreak | 2008-02-18 16:11:01 +01
 Thanks ?\195?\152yvind Harboe
 ------------------------------------------------------------------------
 r303 | ntfreak | 2008-02-18 15:53:50 +0100 (Mon, 18 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/flash/non_cfi.c
 
 - add new non-cfi SST flash device. Thanks ?\195?\152yvind Harboe
 ------------------------------------------------------------------------
 r302 | ntfreak | 2008-02-18 15:32:43 +0100 (Mon, 18 Feb 2008) | 8 lines
+Changed paths:
+   M /trunk/src/helper/log.c
+   M /trunk/src/helper/log.h
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/target/target.c
 
 - Added a "User:" debug level. These are messages that are intended for the user and are part of normal operation.
 - Faster DEBUG/INFO() when they are disabled
@@ -5628,10 +11618,17 @@ r302 | ntfreak | 2008-02-18 15:32:43 +01
 Thanks ?\195?\152yvind Harboe
 ------------------------------------------------------------------------
 r301 | ntfreak | 2008-02-17 12:06:58 +0100 (Sun, 17 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/log.c
+   M /trunk/src/helper/log.h
+   M /trunk/src/server/telnet_server.c
 
 - combine similar functions in telnet_server.c
 ------------------------------------------------------------------------
 r300 | ntfreak | 2008-02-16 16:21:13 +0100 (Sat, 16 Feb 2008) | 10 lines
+Changed paths:
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/server/gdb_server.h
 
 - solve lots of problems with stuck GDB connections, making it impossible to connect to GDB, handle timeout of acknowledgement, etc.
 - "monitor halt/resume" now works correctly
@@ -5645,62 +11642,114 @@ r300 | ntfreak | 2008-02-16 16:21:13 +01
 - Thanks to ?\195?\152yvind Harboe for this patch
 ------------------------------------------------------------------------
 r299 | ntfreak | 2008-02-16 16:10:26 +0100 (Sat, 16 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/helper/log.c
+   M /trunk/src/helper/log.h
 
 - cleanup and remove time() warning
 ------------------------------------------------------------------------
 r298 | ntfreak | 2008-02-16 15:05:32 +0100 (Sat, 16 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/telnet_server.c
+   M /trunk/src/server/telnet_server.h
 
 - fix issue with telnet prompt while gdb running
 ------------------------------------------------------------------------
 r297 | ntfreak | 2008-02-15 20:07:43 +0100 (Fri, 15 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/xscale.c
 
 - fix xscale memory leak and warnings. Thanks ?\195?\152yvind Harboe
 ------------------------------------------------------------------------
 r296 | ntfreak | 2008-02-14 19:32:52 +0100 (Thu, 14 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/lpc2000.c
+   M /trunk/src/flash/lpc2000.h
 
 - fix programming issue with lpc2101/2
 ------------------------------------------------------------------------
 r295 | mifi | 2008-02-14 19:30:23 +0100 (Thu, 14 Feb 2008) | 2 lines
+Changed paths:
+   M /trunk/src/helper/log.c
 
 - added patch to stop DEBUG messages to be forwarded to telnet/gdb.
 (thanks to ?\195?\152yvind for the patch)
 ------------------------------------------------------------------------
 r294 | ntfreak | 2008-02-14 11:02:51 +0100 (Thu, 14 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/stm32x.c
 
 - added check for revA silicon in stm32 flash driver
 ------------------------------------------------------------------------
 r293 | mifi | 2008-02-13 20:02:17 +0100 (Wed, 13 Feb 2008) | 2 lines
+Changed paths:
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/log.c
+   M /trunk/src/helper/log.h
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/server/telnet_server.c
 
 - added patch to Improving progress/error output for telnet & GDB monitor
 (thanks to ?\195?\152yvind for the patch)
 ------------------------------------------------------------------------
 r292 | ntfreak | 2008-02-12 19:57:37 +0100 (Tue, 12 Feb 2008) | 2 lines
+Changed paths:
+   M /trunk/src/flash/flash.c
 
 - add autoprobe support to flash info command
 - auto_erase can now be called from script/config file
 ------------------------------------------------------------------------
 r291 | mifi | 2008-02-11 18:53:14 +0100 (Mon, 11 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/src/jtag/Makefile.am
+   D /trunk/src/jtag/ngw100.c
 
 - removed "starting point" for ngw100, will add it again if it is working
 ------------------------------------------------------------------------
 r290 | ntfreak | 2008-02-11 10:11:50 +0100 (Mon, 11 Feb 2008) | 2 lines
+Changed paths:
+   M /trunk/src/flash/tms470.c
+   M /trunk/src/server/telnet_server.c
+   M /trunk/src/server/telnet_server.h
 
 - telnet prompt behaves correctly for new synchronous halt/resume/reset commands
 - removed unused variables in tms470.c
 ------------------------------------------------------------------------
 r289 | mifi | 2008-02-10 20:04:31 +0100 (Sun, 10 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/src/jtag/Makefile.am
+   A /trunk/src/jtag/ngw100.c
 
 - added starting point for development on a ngw100 eval board
 ------------------------------------------------------------------------
 r288 | ntfreak | 2008-02-10 16:46:14 +0100 (Sun, 10 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/stm32x.c
 
 - stm32 flash driver now checks for correct target
 ------------------------------------------------------------------------
 r287 | ntfreak | 2008-02-10 16:08:44 +0100 (Sun, 10 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/flash/stm32x.c
+   M /trunk/src/flash/stm32x.h
 
 - add autoprobe support to the stm32 flash driver
 ------------------------------------------------------------------------
 r286 | mifi | 2008-02-10 13:58:24 +0100 (Sun, 10 Feb 2008) | 4 lines
+Changed paths:
+   M /trunk/src/jtag/amt_jtagaccel.c
+   M /trunk/src/jtag/at91rm9200.c
+   M /trunk/src/jtag/ep93xx.c
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/jtag/gw16012.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/jtag/parport.c
+   M /trunk/src/jtag/presto.c
+   M /trunk/src/jtag/usbprog.c
 
 - added patch to change pathmove handling
 https://lists.berlios.de/pipermail/openocd-development/2008-January/000678.html
@@ -5708,35 +11757,55 @@ https://lists.berlios.de/pipermail/openo
 (thanks to ?\195?\152yvind for the patch)
 ------------------------------------------------------------------------
 r285 | ntfreak | 2008-02-09 12:44:17 +0100 (Sat, 09 Feb 2008) | 2 lines
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/target/target.c
 
 - added synchronous wait/resume patch. Thanks ?\195?\152yvind Harboe
 - updated docs for halt and wait_halt and resume commands
 ------------------------------------------------------------------------
 r284 | ntfreak | 2008-02-07 21:20:11 +0100 (Thu, 07 Feb 2008) | 2 lines
+Changed paths:
+   M /trunk/src/openocd.c
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
 
 - added synchronous reset patch, Thanks ?\195?\152yvind Harboe
 - added target_init_reset which calls target_process_reset after all drivers have been initialised
 ------------------------------------------------------------------------
 r283 | mifi | 2008-02-06 20:59:55 +0100 (Wed, 06 Feb 2008) | 2 lines
+Changed paths:
+   M /trunk/src/target/xscale.c
 
 - added patch to access cp15 register (XScale)
 (thanks to Edgar Grimberg for the patch)
 ------------------------------------------------------------------------
 r282 | mifi | 2008-02-06 20:25:42 +0100 (Wed, 06 Feb 2008) | 2 lines
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/armv7m.c
+   M /trunk/src/target/cortex_m3.c
 
 - added patch to solve problem with AT91SAM9260 (dirty register)
 (thanks to ?\195?\152yvind Harboe for the patch)
 ------------------------------------------------------------------------
 r281 | ntfreak | 2008-02-04 21:12:46 +0100 (Mon, 04 Feb 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/arm926ejs.c
 
 - fixes issue with reset and arm926ejs core. Thanks ?\195?\152yvind Harboe
 ------------------------------------------------------------------------
 r280 | ntfreak | 2008-02-04 09:25:07 +0100 (Mon, 04 Feb 2008) | 2 lines
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 Added patch to stop SEGFAULT with missing jtag config lines. Thanks ?\195?\152yvind Harboe
 https://lists.berlios.de/pipermail/openocd-development/2008-January/000731.html
 ------------------------------------------------------------------------
 r279 | mifi | 2008-02-02 14:42:37 +0100 (Sat, 02 Feb 2008) | 4 lines
+Changed paths:
+   M /trunk/src/target/target.c
 
 - added patch to solve the reset problem with arm9 and cortex which Spen had found.
 https://lists.berlios.de/pipermail/openocd-development/2008-January/000729.html
@@ -5744,39 +11813,72 @@ https://lists.berlios.de/pipermail/openo
 (Thanks to Spen for the patch)
 ------------------------------------------------------------------------
 r278 | mifi | 2008-01-27 15:05:59 +0100 (Sun, 27 Jan 2008) | 3 lines
+Changed paths:
+   M /trunk/src/flash/at91sam7.c
+   M /trunk/src/flash/at91sam7.h
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/flash/cfi.h
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/flash.h
+   M /trunk/src/flash/lpc2000.c
+   M /trunk/src/flash/stellaris.c
+   M /trunk/src/flash/stellaris.h
+   M /trunk/src/flash/stm32x.c
+   M /trunk/src/flash/str7x.c
+   M /trunk/src/flash/str9x.c
+   M /trunk/src/flash/str9xpec.c
+   M /trunk/src/flash/tms470.c
+   M /trunk/src/flash/tms470.h
+   M /trunk/src/server/gdb_server.c
 
 - added autoprobe functionality
 - corrected blocksize handling from GDB "info mem" command
 (thanks to ?\195?\152yvind and Spen for these patches)
 ------------------------------------------------------------------------
 r277 | ntfreak | 2008-01-25 19:09:21 +0100 (Fri, 25 Jan 2008) | 1 line
+Changed paths:
+   M /trunk/src/target/image.c
+   M /trunk/src/target/target.c
 
 fixed incorrect elf segment size - Thanks ?\195?\152yvind Harboe
 ------------------------------------------------------------------------
 r276 | mifi | 2008-01-24 22:04:09 +0100 (Thu, 24 Jan 2008) | 2 lines
+Changed paths:
+   M /trunk/src/target/target.c
 
 - added patch to check some malloc problems.
 (thanks to ?\195?\152yvind Harboe for the patch)
 ------------------------------------------------------------------------
 r275 | mlu | 2008-01-23 21:09:08 +0100 (Wed, 23 Jan 2008) | 1 line
+Changed paths:
+   M /trunk/src/flash/stellaris.c
 
 Updated list of LMI partnames
 ------------------------------------------------------------------------
 r274 | mifi | 2008-01-23 20:28:10 +0100 (Wed, 23 Jan 2008) | 2 lines
+Changed paths:
+   M /trunk/src/target/target.c
 
 - added patch to fix crash in load_image on corrupt elf file or out of memory.
 (thanks to ?\195?\152yvind Harboe for the patch)
 ------------------------------------------------------------------------
 r273 | mifi | 2008-01-22 18:54:56 +0100 (Tue, 22 Jan 2008) | 2 lines
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 - added patch to fix brocken STR9 line
 (thanks to oyvind Harboe for the patch)
 ------------------------------------------------------------------------
 r272 | bodylove | 2008-01-21 21:51:01 +0100 (Mon, 21 Jan 2008) | 1 line
+Changed paths:
+   A /trunk/doc/configs/xscale_ixp42x.cfg
+   A /trunk/doc/scripts/xscale_ixp_startup.script
 
 - Added example config and startup-script for a XScale IXP42x system
 ------------------------------------------------------------------------
 r271 | bodylove | 2008-01-21 21:34:58 +0100 (Mon, 21 Jan 2008) | 4 lines
+Changed paths:
+   M /trunk/NEWS
 
 [MERGE] Merged all remaining changes between trunk and xscale big-endian branch.
         They are now in sync.
@@ -5784,85 +11886,156 @@ r271 | bodylove | 2008-01-21 21:34:58 +0
         xscale-be branch is now closed.
 ------------------------------------------------------------------------
 r270 | bodylove | 2008-01-21 20:45:28 +0100 (Mon, 21 Jan 2008) | 2 lines
+Changed paths:
+   M /trunk/guess-rev.sh
 
 - Synced code with branch
 
 ------------------------------------------------------------------------
 r268 | bodylove | 2008-01-21 20:34:45 +0100 (Mon, 21 Jan 2008) | 2 lines
+Changed paths:
+   M /trunk/guess-rev.sh
+   M /trunk/src/target/image.c
+   M /trunk/src/target/target.c
 
 - Eleminated leading tabs/white space
 
 ------------------------------------------------------------------------
 r267 | bodylove | 2008-01-21 18:29:17 +0100 (Mon, 21 Jan 2008) | 2 lines
+Changed paths:
+   M /trunk/guess-rev.sh
+   M /trunk/src/target/xscale.c
 
 - Eleminated leading tabs/white space
 
 ------------------------------------------------------------------------
 r265 | bodylove | 2008-01-21 18:09:12 +0100 (Mon, 21 Jan 2008) | 3 lines
+Changed paths:
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/openocd.c
 
 - Eleminated leading tabs/white space
 - Updated SVN property
 
 ------------------------------------------------------------------------
 r261 | ntfreak | 2008-01-21 12:05:35 +0100 (Mon, 21 Jan 2008) | 1 line
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/flash/cfi.c
 
 - updated docs for cfi command, added missing ft2232_layout names
 ------------------------------------------------------------------------
 r260 | mifi | 2008-01-20 14:52:06 +0100 (Sun, 20 Jan 2008) | 3 lines
+Changed paths:
+   M /trunk/src/helper/binarybuffer.c
+   M /trunk/src/helper/binarybuffer.h
+   M /trunk/src/helper/interpreter.c
+   M /trunk/src/helper/interpreter.h
+   M /trunk/src/jtag/bitq.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/pld/virtex2.c
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/arm_jtag.c
+   M /trunk/src/target/arm_jtag.h
+   M /trunk/src/target/trace.c
 
 - added patch "remove error handler as planned"
 https://lists.berlios.de/pipermail/openocd-development/2008-January/000665.html
 (thanks to oyvind Harboe for the patch)
 ------------------------------------------------------------------------
 r259 | ntfreak | 2008-01-17 13:45:06 +0100 (Thu, 17 Jan 2008) | 2 lines
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/cortex_m3.h
+   M /trunk/src/target/cortex_swjdp.c
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
+   M /trunk/src/target/target_request.c
 
 - add support for cortex_m3 target_request debugmsgs
 - target request handler disabled by default until a target has been registered
 ------------------------------------------------------------------------
 r258 | ntfreak | 2008-01-17 09:02:02 +0100 (Thu, 17 Jan 2008) | 1 line
+Changed paths:
+   A /trunk/doc/scripts/tms470r1a288_startup.script
+   M /trunk/src/flash/at91sam7.c
+   M /trunk/src/flash/at91sam7.h
+   M /trunk/src/flash/flash.c
+   A /trunk/src/flash/tms470.c
+   A /trunk/src/flash/tms470.h
 
 - add missing files from previous commit (tms470 flash driver)
 ------------------------------------------------------------------------
 r257 | drath | 2008-01-17 08:24:05 +0100 (Thu, 17 Jan 2008) | 2 lines
+Changed paths:
+   M /trunk/src/target/Makefile.am
 
 - fixed 'make distcheck' (thanks to Theodore A. Roth for this patch
 
 ------------------------------------------------------------------------
 r256 | drath | 2008-01-17 08:21:09 +0100 (Thu, 17 Jan 2008) | 2 lines
+Changed paths:
+   M /trunk/src/flash/Makefile.am
+   M /trunk/src/flash/flash.c
 
 - added tms470 flash support (thanks to Chris Kilgour for this patch)
 
 ------------------------------------------------------------------------
 r255 | drath | 2008-01-14 22:42:30 +0100 (Mon, 14 Jan 2008) | 3 lines
+Changed paths:
+   M /trunk/AUTHORS
+   M /trunk/src/target/arm_jtag.c
 
 - use correct SCAN_N check value (disabled by default)
 - add ?\195?\152yvind Harboe to list of AUTHORS (thanks a lot to ?\195?\152yvind for his hard work)
 
 ------------------------------------------------------------------------
 r254 | ntfreak | 2008-01-11 21:38:43 +0100 (Fri, 11 Jan 2008) | 2 lines
+Changed paths:
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/target/arm_simulator.c
+   M /trunk/src/target/xscale.c
 
 - debug handler file not closed - (thanks to oyvind harboe for the patch)
 - arm_simulate_step called incorrect arm_evaluate_opcode when in thumb mode
 ------------------------------------------------------------------------
 r253 | ntfreak | 2008-01-10 21:10:53 +0100 (Thu, 10 Jan 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/gdb_server.c
 
 - fix gdb packet retransmission omission
 ------------------------------------------------------------------------
 r252 | ntfreak | 2008-01-10 20:34:33 +0100 (Thu, 10 Jan 2008) | 1 line
+Changed paths:
+   M /trunk/src/server/gdb_server.c
 
 - _DEBUG_GDB_IO_ was left on by mistake
 ------------------------------------------------------------------------
 r251 | ntfreak | 2008-01-10 20:29:52 +0100 (Thu, 10 Jan 2008) | 2 lines
+Changed paths:
+   M /trunk/src/helper/command.c
+   M /trunk/src/server/gdb_server.c
 
 - added faster gdb packet handling (thanks to oyvind harboe for the patch)
 - code reformat
 ------------------------------------------------------------------------
 r250 | mifi | 2008-01-10 20:10:55 +0100 (Thu, 10 Jan 2008) | 2 lines
+Changed paths:
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/replacements.c
 
 - added patch for faster start of OpenOCD
 (thanks to oyvind harboe for the patch)
 ------------------------------------------------------------------------
 r249 | ntfreak | 2008-01-09 16:58:01 +0100 (Wed, 09 Jan 2008) | 4 lines
+Changed paths:
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/flash.h
+   M /trunk/src/openocd.c
+   M /trunk/src/server/gdb_server.c
 
 - rename flash_init and flash_erase to flash_init_drivers and flash_erase_address_range - stops conflicts with redboot. Thanks ?\195?\152yvind Harboe
 - gdb connection not dropped if we fail to allocate memory in query packets
@@ -5870,6 +12043,18 @@ r249 | ntfreak | 2008-01-09 16:58:01 +01
 
 ------------------------------------------------------------------------
 r248 | mifi | 2008-01-07 18:11:11 +0100 (Mon, 07 Jan 2008) | 6 lines
+Changed paths:
+   M /trunk/src/jtag/bitq.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm_jtag.c
+   M /trunk/src/target/embeddedice.c
+   M /trunk/src/target/etb.c
+   M /trunk/src/target/etm.c
+   M /trunk/src/target/xscale.c
+   M /trunk/src/xsvf/xsvf.c
 
 - added gdb flash fixes patch 
 https://lists.berlios.de/pipermail/openocd-development/2007-December/000548.html
@@ -5879,10 +12064,25 @@ https://lists.berlios.de/pipermail/openo
 (thanks to oyvind harboe for these patches)
 ------------------------------------------------------------------------
 r247 | ntfreak | 2007-12-29 18:41:43 +0100 (Sat, 29 Dec 2007) | 1 line
+Changed paths:
+   M /trunk/src/server/gdb_server.c
 
 - add support for extended gdb packet R (restart), requires gdb to be started with target extended-remote
 ------------------------------------------------------------------------
 r246 | ntfreak | 2007-12-29 14:51:48 +0100 (Sat, 29 Dec 2007) | 14 lines
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/doc/openocd.texi
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/flash.h
+   M /trunk/src/helper/command.c
+   M /trunk/src/jtag/usbprog.c
+   M /trunk/src/server/Makefile.am
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/server/gdb_server.h
+   M /trunk/src/target/image.c
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
 
 - minimum autoconf 2.59 is now required and verified - due to issues with AS_HELP_STRING
 - native win32 now handles WSAECONNRESET - no longer exits openocd
@@ -5900,32 +12100,65 @@ r246 | ntfreak | 2007-12-29 14:51:48 +01
 - added gdb programming section to docs
 ------------------------------------------------------------------------
 r245 | mifi | 2007-12-21 17:21:05 +0100 (Fri, 21 Dec 2007) | 3 lines
+Changed paths:
+   M /trunk/doc/openocd.texi
 
 - corrected working_area of LPC2129 script
 - added LPC2148 script
 - corrected size of the working_area of the LPC2294 script
 ------------------------------------------------------------------------
 r244 | ntfreak | 2007-12-20 23:20:45 +0100 (Thu, 20 Dec 2007) | 1 line
+Changed paths:
+   M /trunk/src/flash/flash.c
 
 - fixed problem when write_image is called multiple times
 ------------------------------------------------------------------------
 r243 | ntfreak | 2007-12-20 17:19:10 +0100 (Thu, 20 Dec 2007) | 3 lines
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/flash.h
+   M /trunk/src/helper/fileio.c
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/target/image.c
+   M /trunk/src/target/target.c
 
 - removed flash write_image - binary compare function has been moved to verify_image command
 - minor code reformat and cleanup
 - updated docs to include new commands
 ------------------------------------------------------------------------
 r242 | mifi | 2007-12-19 22:14:50 +0100 (Wed, 19 Dec 2007) | 2 lines
+Changed paths:
+   M /trunk/src/helper/fileio.c
+   M /trunk/src/helper/fileio.h
 
 - this patch allows OpenOCD running under eCos to access files via tftp
 (thanks to oyvind Harboe for this patch)
 ------------------------------------------------------------------------
 r241 | ntfreak | 2007-12-18 22:29:44 +0100 (Tue, 18 Dec 2007) | 2 lines
+Changed paths:
+   M /trunk/src/target/image.c
 
 - added patch by ?\195?\152yvind Harboe to Intel Hex Start Segment Address Record (Type 3)
 - added support to parse Motorola Record Count (S5)
 ------------------------------------------------------------------------
 r240 | mifi | 2007-12-18 22:20:28 +0100 (Tue, 18 Dec 2007) | 6 lines
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/flash.h
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/fileio.c
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/parport.c
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/server/server.c
+   M /trunk/src/server/telnet_server.c
+   M /trunk/src/target/algorithm.c
+   M /trunk/src/target/etm.c
+   M /trunk/src/target/image.c
+   M /trunk/src/target/trace.c
 
 - added patch for new flash functionality like:
 flash verify_image and flash erase_address.
@@ -5935,21 +12168,31 @@ Even this patch will fix some memory lea
 (thanks too oyvind and Spen for these patches)
 ------------------------------------------------------------------------
 r239 | mifi | 2007-12-17 23:12:57 +0100 (Mon, 17 Dec 2007) | 1 line
+Changed paths:
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/flash/flash.c
+   M /trunk/src/helper/replacements.c
 
 - only some cosmetic changes, convert \r\n to unix
 ------------------------------------------------------------------------
 r238 | mifi | 2007-12-17 21:52:37 +0100 (Mon, 17 Dec 2007) | 3 lines
+Changed paths:
+   M /trunk/src/target/image.c
 
 - fixed relocation problems with image loading. Relocation is handled
   in a single centralized place, and it now works for binaries.
 (thanks to oyvind Harboe)
 ------------------------------------------------------------------------
 r237 | mifi | 2007-12-17 21:14:12 +0100 (Mon, 17 Dec 2007) | 2 lines
+Changed paths:
+   M /trunk/src/flash/flash.c
 
 - added patch to corrected argument of image_open in handle_flash_write_image_command
 (thanks to oyvind Harboe for the patch)
 ------------------------------------------------------------------------
 r236 | mifi | 2007-12-17 18:00:24 +0100 (Mon, 17 Dec 2007) | 7 lines
+Changed paths:
+   M /trunk/src/helper/interpreter.c
 
 The changes allows the "script" command to be used from within
 config scripts to run sub-config scripts, which was probably the 
@@ -5960,6 +12203,8 @@ This can be useful in e.g. splitting CPU
 (thanks to oyvind Harboe for the patch)
 ------------------------------------------------------------------------
 r235 | mifi | 2007-12-16 19:58:16 +0100 (Sun, 16 Dec 2007) | 4 lines
+Changed paths:
+   M /trunk/src/flash/cfi.c
 
 - removed some compiler warnings
 - added patch to fix problem in cfi_intel_write_block. In case of 
@@ -5967,31 +12212,43 @@ r235 | mifi | 2007-12-16 19:58:16 +0100 
 (thanks to oyvind Harboe for the patch)
 ------------------------------------------------------------------------
 r234 | mifi | 2007-12-16 19:19:43 +0100 (Sun, 16 Dec 2007) | 3 lines
+Changed paths:
+   M /trunk/src/flash/flash.c
 
 - change error message for image_open error
 - changed run_size to size_read in argument of image_read_section
 (thanks to oyvind Harboe for this patch)
 ------------------------------------------------------------------------
 r233 | mifi | 2007-12-16 16:55:48 +0100 (Sun, 16 Dec 2007) | 2 lines
+Changed paths:
+   M /trunk/src/flash/flash.c
 
 - initialize num_sectors and sectors in handle_flash_bank_command.
 (thanks to oyvind Harboe for this hint)
 ------------------------------------------------------------------------
 r232 | drath | 2007-12-16 12:52:50 +0100 (Sun, 16 Dec 2007) | 2 lines
+Changed paths:
+   M /trunk/src/target/etm.c
 
 - fixed ETM configuration register decoding
 
 ------------------------------------------------------------------------
 r231 | mifi | 2007-12-14 22:32:55 +0100 (Fri, 14 Dec 2007) | 2 lines
+Changed paths:
+   M /trunk/src/flash/cfi.c
 
 - added the patch CFI-BE-Fixes-Blockwrite-Support.diff
 (thanks to Carsten Schlote for the patch)
 ------------------------------------------------------------------------
 r230 | mifi | 2007-12-14 20:54:18 +0100 (Fri, 14 Dec 2007) | 1 line
+Changed paths:
+   M /trunk/src/helper/replacements.h
 
 Corrected typo (to many brackets)
 ------------------------------------------------------------------------
 r229 | mifi | 2007-12-14 20:15:32 +0100 (Fri, 14 Dec 2007) | 5 lines
+Changed paths:
+   M /trunk/src/helper/replacements.h
 
 Sorry, I have forgotten to add a description for the last version, where
 I have added the clear_malloc and fill_malloc functionality. But the default
@@ -6000,16 +12257,26 @@ is the original malloc.
 
 ------------------------------------------------------------------------
 r228 | mifi | 2007-12-14 20:08:03 +0100 (Fri, 14 Dec 2007) | 1 line
+Changed paths:
+   M /trunk/src/helper/replacements.c
+   M /trunk/src/helper/replacements.h
 
 
 ------------------------------------------------------------------------
 r227 | mifi | 2007-12-14 19:06:19 +0100 (Fri, 14 Dec 2007) | 3 lines
+Changed paths:
+   M /trunk/src/flash/cfi.c
 
 - added patch from Dominic to unlock the ATMEL flash in cfi_read_atmel_pri_ext
 - set cfi_info->write_algorithm and cfi_info->erase_check_algorithm to NULL to 
   get "flash erase_check" command working
 ------------------------------------------------------------------------
 r226 | mifi | 2007-12-10 20:46:04 +0100 (Mon, 10 Dec 2007) | 5 lines
+Changed paths:
+   M /trunk/src/flash/at91sam7.c
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/helper/command.c
+   M /trunk/src/jtag/jtag.c
 
 - Fixing two compiler warnings
 - Reducing  stack usage for recursive scripts
@@ -6018,28 +12285,44 @@ r226 | mifi | 2007-12-10 20:46:04 +0100 
 thanks to ?\195?\152yvind Harboe for these patches.
 ------------------------------------------------------------------------
 r225 | bodylove | 2007-12-10 19:47:26 +0100 (Mon, 10 Dec 2007) | 2 lines
+Changed paths:
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/flash/cfi.h
 
 - Stripped trailing spaces (patch preparation)
 
 ------------------------------------------------------------------------
 r224 | bodylove | 2007-12-10 19:41:10 +0100 (Mon, 10 Dec 2007) | 3 lines
+Changed paths:
+   M /trunk/src/openocd.c
 
 - Enabled URL keyword expansion for enhanced version 
   tracking of binary openocd images
 
 ------------------------------------------------------------------------
 r223 | bodylove | 2007-12-10 19:34:40 +0100 (Mon, 10 Dec 2007) | 3 lines
+Changed paths:
+   M /trunk/src/flash/Makefile.am
 
 - Added PKGLIBDIR define to C options. Allows to store
   native code fragments at a central place
 
 ------------------------------------------------------------------------
 r222 | bodylove | 2007-12-10 18:49:28 +0100 (Mon, 10 Dec 2007) | 2 lines
+Changed paths:
+   M /trunk/src/target/Makefile.am
+   M /trunk/src/target/xscale.c
 
 - XScale DebugHandler code is now installed into
   pkglibdir and loaded from there
 ------------------------------------------------------------------------
 r220 | bodylove | 2007-12-10 17:55:14 +0100 (Mon, 10 Dec 2007) | 5 lines
+Changed paths:
+   M /trunk/AUTHORS
+   M /trunk/configure.in
+   A /trunk/guess-rev.sh
+   M /trunk/src/Makefile.am
+   M /trunk/src/openocd.c
 
 Changed openocd version info creation to be more useful.
 - Now displays subversion revision and svn URL
@@ -6048,6 +12331,10 @@ Changed openocd version info creation to
   
 ------------------------------------------------------------------------
 r218 | mifi | 2007-12-09 16:36:21 +0100 (Sun, 09 Dec 2007) | 6 lines
+Changed paths:
+   M /trunk/src/flash/flash.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/target/target.c
 
 - added patch to display device information as INFO too
 - added patch which fixes a crash upon flash write error
@@ -6057,6 +12344,8 @@ r218 | mifi | 2007-12-09 16:36:21 +0100 
 (thanks to Oyvind Harboe for these patches)
 ------------------------------------------------------------------------
 r217 | bodylove | 2007-12-05 14:34:02 +0100 (Wed, 05 Dec 2007) | 4 lines
+Changed paths:
+   M /trunk/src/helper/types.h
 
 Merged rev 215 changes from /branches/xscale-ixp-be into trunk:
 - Obvious fixes to big endian type conversion macros
@@ -6064,17 +12353,34 @@ Merged rev 215 changes from /branches/xs
 
 ------------------------------------------------------------------------
 r214 | vpalatin | 2007-12-04 13:56:46 +0100 (Tue, 04 Dec 2007) | 3 lines
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
 
 Do not overwrite code when removing software breakpoint if it no longer contains bkpt instruction.
 (thanks to oyvind harboe for bug report and test)
 
 ------------------------------------------------------------------------
 r213 | ntfreak | 2007-11-23 16:16:22 +0100 (Fri, 23 Nov 2007) | 2 lines
+Changed paths:
+   M /trunk/doc/openocd.texi
+   M /trunk/src/jtag/ft2232.c
 
 - added support for Hitex STM32 Performance Stick
 - added str9 and stm32 scripts to docs
 ------------------------------------------------------------------------
 r212 | ntfreak | 2007-11-21 17:37:17 +0100 (Wed, 21 Nov 2007) | 5 lines
+Changed paths:
+   M /trunk/Makefile.am
+   M /trunk/configure.in
+   A /trunk/doc/Makefile.am
+   A /trunk/doc/fdl.texi
+   A /trunk/doc/openocd.texi
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/stm32x.c
+   M /trunk/src/flash/stm32x.h
+   M /trunk/src/flash/str9xpec.c
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/target/cortex_m3.c
 
 - reset_run now works as expected on cortex-m3
 - str9xpec erase status checked on option byte programming
@@ -6083,6 +12389,10 @@ r212 | ntfreak | 2007-11-21 17:37:17 +01
 - openocd.texi documentation added
 ------------------------------------------------------------------------
 r211 | ntfreak | 2007-10-26 11:05:57 +0200 (Fri, 26 Oct 2007) | 4 lines
+Changed paths:
+   M /trunk/src/flash/str9x.c
+   M /trunk/src/flash/str9x.h
+   M /trunk/src/flash/str9xpec.c
 
 - corrected str91x bank1 programming issues
 - str91x protect_check fixed
@@ -6090,11 +12400,41 @@ r211 | ntfreak | 2007-10-26 11:05:57 +02
 
 ------------------------------------------------------------------------
 r210 | ntfreak | 2007-10-22 10:44:34 +0200 (Mon, 22 Oct 2007) | 2 lines
+Changed paths:
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/target/arm720t.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7_9_common.h
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/arm966e.c
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/armv7m.c
+   M /trunk/src/target/armv7m.h
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/image.c
+   M /trunk/src/target/image.h
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
+   M /trunk/src/target/trace.h
+   M /trunk/src/target/xscale.c
 
 - add verify_image command
 - add support for gdb qCRC packet (compare-sections command)
 ------------------------------------------------------------------------
 r209 | ntfreak | 2007-10-08 15:12:39 +0200 (Mon, 08 Oct 2007) | 7 lines
+Changed paths:
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/stm32x.c
+   M /trunk/src/flash/str7x.c
+   M /trunk/src/flash/str7x.h
+   M /trunk/src/flash/str9x.c
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/target/arm966e.c
+   M /trunk/src/target/arm966e.h
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
 
 - cleaned up str7, str9 and stm32 flash drivers
 - str7 flash driver now checks correct busy bits depending on device
@@ -6105,6 +12445,16 @@ r209 | ntfreak | 2007-10-08 15:12:39 +02
 - fix crash on mingw build when enabling target_request debugmsgs
 ------------------------------------------------------------------------
 r208 | ntfreak | 2007-10-01 10:31:30 +0200 (Mon, 01 Oct 2007) | 5 lines
+Changed paths:
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/flash.h
+   M /trunk/src/helper/fileio.c
+   M /trunk/src/helper/fileio.h
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/target/armv7m.c
+   M /trunk/src/target/breakpoints.c
+   M /trunk/src/target/image.c
 
 - flash autoerase <on|off> cmd added, default is off - flash banks are calculated and erased prior to write (flash write_image only)
 - corrected array overrun in armv7m.c
@@ -6113,6 +12463,14 @@ r208 | ntfreak | 2007-10-01 10:31:30 +02
 - improved hex file reading, support for Linear Address Record added
 ------------------------------------------------------------------------
 r206 | mlu | 2007-09-10 19:43:08 +0200 (Mon, 10 Sep 2007) | 5 lines
+Changed paths:
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/stellaris.c
+   M /trunk/src/target/armv7m.c
+   M /trunk/src/target/armv7m.h
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/cortex_swjdp.c
+   M /trunk/src/target/target.c
 
 - Fixed display of sector sizes in flash.c
 - Clean up, remove unused variables and code in armv7, cortex_m3 and stellaris code 
@@ -6121,10 +12479,21 @@ r206 | mlu | 2007-09-10 19:43:08 +0200 (
 
 ------------------------------------------------------------------------
 r205 | mlu | 2007-09-10 19:07:32 +0200 (Mon, 10 Sep 2007) | 1 line
+Changed paths:
+   M /trunk/src/jtag/ft2232.c
 
 - added ft2232_latency command
 ------------------------------------------------------------------------
 r204 | drath | 2007-09-05 08:22:37 +0200 (Wed, 05 Sep 2007) | 10 lines
+Changed paths:
+   M /trunk/src/jtag/at91rm9200.c
+   M /trunk/src/jtag/bitbang.c
+   M /trunk/src/jtag/bitbang.h
+   M /trunk/src/jtag/ep93xx.c
+   M /trunk/src/jtag/parport.c
+   M /trunk/src/openocd.c
+   M /trunk/src/target/embeddedice.c
+   M /trunk/src/target/image.h
 
 Patch by Michael Schwingen that
  - adds support for the Altium universal JTAG cable
@@ -6138,6 +12507,13 @@ Patch by Michael Schwingen that
 
 ------------------------------------------------------------------------
 r203 | drath | 2007-08-25 11:59:42 +0200 (Sat, 25 Aug 2007) | 6 lines
+Changed paths:
+   M /trunk/src/jtag/presto.c
+   M /trunk/src/jtag/usbprog.c
+   M /trunk/src/openocd.c
+   M /trunk/src/target/embeddedice.c
+   M /trunk/src/target/embeddedice.h
+   M /trunk/src/target/etb.c
 
 - added support for setting JTAG frequency on ASIX PRESTO (thanks to Pavel Chromy)
 - usbprog update (thanks to Benedikt Sauter)
@@ -6147,29 +12523,49 @@ r203 | drath | 2007-08-25 11:59:42 +0200
 
 ------------------------------------------------------------------------
 r202 | drath | 2007-08-21 18:21:05 +0200 (Tue, 21 Aug 2007) | 2 lines
+Changed paths:
+   M /trunk/src/openocd.c
+   M /trunk/src/target/xscale.c
 
 - correctly initialize start address for XScale trace buffer decodes in fill-once mode
 
 ------------------------------------------------------------------------
 r201 | mlu | 2007-08-20 13:51:12 +0200 (Mon, 20 Aug 2007) | 1 line
+Changed paths:
+   M /trunk/src/flash/at91sam7.c
 
 - Support for AT91SAM7xx512 chips
 ------------------------------------------------------------------------
 r200 | mlu | 2007-08-20 13:43:07 +0200 (Mon, 20 Aug 2007) | 1 line
+Changed paths:
+   M /trunk/src/flash/at91sam7.h
 
 - Support for AT91SAM7xx512 chips
 ------------------------------------------------------------------------
 r199 | drath | 2007-08-20 12:08:08 +0200 (Mon, 20 Aug 2007) | 2 lines
+Changed paths:
+   M /trunk/src/helper/fileio.c
 
 - update file size when writing to a fileio
 
 ------------------------------------------------------------------------
 r198 | drath | 2007-08-17 10:58:40 +0200 (Fri, 17 Aug 2007) | 2 lines
+Changed paths:
+   M /trunk/src/openocd.c
+   M /trunk/src/target/xscale.c
+   M /trunk/src/target/xscale.h
 
 - renamed "xscale dump_trace_buffer" to "xscale dump_trace" and added code for it
 
 ------------------------------------------------------------------------
 r197 | drath | 2007-08-16 15:12:48 +0200 (Thu, 16 Aug 2007) | 5 lines
+Changed paths:
+   M /trunk/src/flash/flash.c
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/openocd.c
+   M /trunk/src/target/etb.c
+   M /trunk/src/target/etm.c
+   M /trunk/src/target/etm.h
 
 - update jtag_speed setting when changing it during runtime with a FT2232 based interface
 - use 'etm trigger_percent' setting when programming ETB trigger count
@@ -6178,16 +12574,39 @@ r197 | drath | 2007-08-16 15:12:48 +0200
 
 ------------------------------------------------------------------------
 r196 | drath | 2007-08-16 11:09:44 +0200 (Thu, 16 Aug 2007) | 2 lines
+Changed paths:
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/flash.h
+   M /trunk/src/server/gdb_server.c
 
 - fixed several bugs in flash writing code (thanks to Pavel Chromy)
 
 ------------------------------------------------------------------------
 r195 | drath | 2007-08-14 12:05:40 +0200 (Tue, 14 Aug 2007) | 2 lines
+Changed paths:
+   M /trunk/src/Makefile.am
+   M /trunk/src/jtag/Makefile.am
+   M /trunk/src/openocd.c
 
 - corrected automake script
 
 ------------------------------------------------------------------------
 r194 | drath | 2007-08-14 11:48:54 +0200 (Tue, 14 Aug 2007) | 10 lines
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/src/Makefile.am
+   M /trunk/src/flash/at91sam7.c
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/nand.c
+   M /trunk/src/jtag/Makefile.am
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/presto.c
+   M /trunk/src/openocd.c
+   M /trunk/src/target/image.c
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target_request.c
+   M /trunk/src/target/trace.c
+   M /trunk/src/target/trace.h
 
 - reworked presto.c to allow use of either FTD2XX or libftdi (libftdi not functional yet). Configure option changed from --enable-presto to 
 --enable-presto_ftd2xx and --enable-presto_libftdi
@@ -6201,21 +12620,87 @@ r194 | drath | 2007-08-14 11:48:54 +0200
 
 ------------------------------------------------------------------------
 r193 | ntfreak | 2007-08-13 14:51:31 +0200 (Mon, 13 Aug 2007) | 1 line
+Changed paths:
+   M /trunk/src/helper/types.h
 
 - fix build issues when not using autoconf/automake to build
 ------------------------------------------------------------------------
 r192 | drath | 2007-08-10 22:25:59 +0200 (Fri, 10 Aug 2007) | 2 lines
+Changed paths:
+   M /trunk/src/openocd.c
 
 - bumped version information
 
 ------------------------------------------------------------------------
 r191 | drath | 2007-08-10 22:21:35 +0200 (Fri, 10 Aug 2007) | 3 lines
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/src/helper/log.h
 
 - changed mingw host detection to *-mingw instead of *-*-mingw to work with i586-mingw32msvc-gcc
 - add replacements.h to log.h to make sure ERROR is undefined on windows
 
 ------------------------------------------------------------------------
 r190 | drath | 2007-08-10 21:44:06 +0200 (Fri, 10 Aug 2007) | 16 lines
+Changed paths:
+   M /trunk/README
+   M /trunk/configure.in
+   M /trunk/doc/openocd.1
+   M /trunk/src/flash/at91sam7.c
+   M /trunk/src/flash/at91sam7.h
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/flash/cfi.h
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/flash.h
+   M /trunk/src/flash/lpc2000.c
+   M /trunk/src/flash/lpc2000.h
+   M /trunk/src/flash/non_cfi.c
+   M /trunk/src/flash/stellaris.c
+   M /trunk/src/flash/stellaris.h
+   M /trunk/src/flash/stm32x.c
+   M /trunk/src/flash/stm32x.h
+   M /trunk/src/flash/str7x.c
+   M /trunk/src/flash/str7x.h
+   M /trunk/src/flash/str9x.c
+   M /trunk/src/flash/str9x.h
+   M /trunk/src/flash/str9xpec.c
+   M /trunk/src/flash/str9xpec.h
+   M /trunk/src/helper/replacements.h
+   M /trunk/src/jtag/at91rm9200.c
+   M /trunk/src/jtag/bitq.c
+   M /trunk/src/jtag/ep93xx.c
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/jtag/gw16012.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/parport.c
+   M /trunk/src/jtag/presto.c
+   M /trunk/src/jtag/usbprog.c
+   M /trunk/src/server/Makefile.am
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/server/gdb_server.h
+   M /trunk/src/server/server.c
+   M /trunk/src/server/telnet_server.c
+   M /trunk/src/target/Makefile.am
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7_9_common.h
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/arm966e.c
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/embeddedice.c
+   M /trunk/src/target/embeddedice.h
+   M /trunk/src/target/image.c
+   M /trunk/src/target/image.h
+   M /trunk/src/target/oocd_trace.c
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
+   A /trunk/src/target/target_request.c
+   A /trunk/src/target/target_request.h
+   A /trunk/src/target/trace.c
+   M /trunk/src/target/trace.h
+   M /trunk/src/target/xscale.c
 
 - renamed M5960 USB JTAG to "flyswatter"
 - make ep93xx and at91rm9200 bitbang JTAG interfaces dependant on ARM host (thanks to Vincent Palatin)
@@ -6235,10 +12720,15 @@ write_image' (write image files (bin, he
 
 ------------------------------------------------------------------------
 r189 | mlu | 2007-08-09 11:35:10 +0200 (Thu, 09 Aug 2007) | 1 line
+Changed paths:
+   M /trunk/src/target/breakpoints.c
 
 - trying to remove a breakpoint with target running should not exit(-1) from OpenOCD
 ------------------------------------------------------------------------
 r188 | drath | 2007-07-31 18:39:06 +0200 (Tue, 31 Jul 2007) | 4 lines
+Changed paths:
+   M /trunk/src/openocd.c
+   M /trunk/src/target/etm.c
 
 - cleaned up cycle counting in ETM analysis
 - fixed broken OpenOCD version string
@@ -6246,6 +12736,10 @@ r188 | drath | 2007-07-31 18:39:06 +0200
 
 ------------------------------------------------------------------------
 r187 | drath | 2007-07-31 12:09:00 +0200 (Tue, 31 Jul 2007) | 4 lines
+Changed paths:
+   M /trunk/configure.in
+   A /trunk/doc/configs/usbprog.cfg
+   M /trunk/src/openocd.c
 
 - add missing configure.in change from last checkin
 - add usbprog example config file
@@ -6253,6 +12747,14 @@ r187 | drath | 2007-07-31 12:09:00 +0200
 
 ------------------------------------------------------------------------
 r186 | drath | 2007-07-31 12:07:32 +0200 (Tue, 31 Jul 2007) | 5 lines
+Changed paths:
+   M /trunk/src/jtag/usbprog.c
+   M /trunk/src/target/Makefile.am
+   M /trunk/src/target/etm.c
+   M /trunk/src/target/etm.h
+   M /trunk/src/target/image.h
+   A /trunk/src/target/oocd_trace.c
+   A /trunk/src/target/oocd_trace.h
 
 - calculate cycles since last executed instruction when cycle-accurate tracing is enabled
 - increase memory pseudo-image cache size to 1024 byte for improved trace analysis performance
@@ -6261,6 +12763,11 @@ r186 | drath | 2007-07-31 12:07:32 +0200
 
 ------------------------------------------------------------------------
 r185 | ntfreak | 2007-07-31 11:15:59 +0200 (Tue, 31 Jul 2007) | 4 lines
+Changed paths:
+   M /trunk/src/helper/fileio.c
+   M /trunk/src/target/image.c
+   M /trunk/src/target/image.h
+   M /trunk/src/target/target.c
 
 - motorola s19 file loader added
 - added checksum support to intel hex file loader
@@ -6268,22 +12775,49 @@ r185 | ntfreak | 2007-07-31 11:15:59 +02
 - mingw build now always opens files in binary mode
 ------------------------------------------------------------------------
 r184 | ntfreak | 2007-07-26 14:28:22 +0200 (Thu, 26 Jul 2007) | 2 lines
+Changed paths:
+   M /trunk/src/flash/stm32x.c
+   M /trunk/src/server/server.c
+   M /trunk/src/target/armv7m.c
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/cortex_m3.h
+   M /trunk/src/target/cortex_swjdp.c
 
 - corrected stm32x_handle_options_write_command, incorrect options printed
 - added prepare_reset_halt handler for cortex_m3
 ------------------------------------------------------------------------
 r183 | drath | 2007-07-26 11:36:17 +0200 (Thu, 26 Jul 2007) | 2 lines
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/src/jtag/amt_jtagaccel.c
+   M /trunk/src/jtag/gw16012.c
+   M /trunk/src/jtag/parport.c
 
 - restrict direct parallel port access to x86 platforms (thanks to Vincent Palatin)
 
 ------------------------------------------------------------------------
 r182 | drath | 2007-07-26 11:34:49 +0200 (Thu, 26 Jul 2007) | 3 lines
+Changed paths:
+   M /trunk/README
+   M /trunk/bootstrap
+   M /trunk/doc/openocd.1
+   M /trunk/src/openocd.c
 
 - documentation fixes (thanks to Uwe Hermann)
 - bootstrapping changes to accomodate packaging (thanks to Uwe Hermann)
 
 ------------------------------------------------------------------------
 r181 | drath | 2007-07-25 12:06:57 +0200 (Wed, 25 Jul 2007) | 7 lines
+Changed paths:
+   M /trunk/src/flash/at91sam7.c
+   M /trunk/src/jtag/bitq.c
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/jtag/presto.c
+   M /trunk/src/openocd.c
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/target/target.c
 
 - reformat src/jtag/bitq.c (thanks to Pavel Chromy)
 - fix multiple reads from FT2232 into same buffer location (thanks to Magnus Lundin)
@@ -6294,6 +12828,24 @@ r181 | drath | 2007-07-25 12:06:57 +0200
 
 ------------------------------------------------------------------------
 r180 | drath | 2007-07-15 13:19:33 +0200 (Sun, 15 Jul 2007) | 6 lines
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/src/Makefile.am
+   M /trunk/src/flash/str9x.c
+   M /trunk/src/jtag/Makefile.am
+   A /trunk/src/jtag/bitq.c
+   A /trunk/src/jtag/bitq.h
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   A /trunk/src/jtag/presto.c
+   A /trunk/src/jtag/usbprog.c
+   M /trunk/src/openocd.c
+   M /trunk/src/server/server.c
+   M /trunk/src/target/Makefile.am
+   M /trunk/src/target/etm.c
+   M /trunk/src/target/etm.h
+   A /trunk/src/target/etm_dummy.c
+   A /trunk/src/target/etm_dummy.h
 
 - added support for Asix Presto JTAG interface (thanks to Pavel Chromy and Asix for making this addition possible)
 - added support for usbprog (thanks to Benedikt Sauter)
@@ -6303,6 +12855,15 @@ r180 | drath | 2007-07-15 13:19:33 +0200
 
 ------------------------------------------------------------------------
 r178 | drath | 2007-06-28 12:32:58 +0200 (Thu, 28 Jun 2007) | 7 lines
+Changed paths:
+   M /trunk/src/flash/stellaris.c
+   M /trunk/src/helper/fileio.h
+   M /trunk/src/helper/types.h
+   M /trunk/src/openocd.c
+   M /trunk/src/target/arm_simulator.h
+   M /trunk/src/target/etm.c
+   M /trunk/src/target/xscale.c
+   M /trunk/src/target/xscale.h
 
 - fixed endianness helper macros (thanks to obilix and wiml for finding and fixing this bug)
 - added declarations for 32bit fileio access functions (network byte order)
@@ -6313,6 +12874,20 @@ r178 | drath | 2007-06-28 12:32:58 +0200
 
 ------------------------------------------------------------------------
 r177 | ntfreak | 2007-06-24 17:04:07 +0200 (Sun, 24 Jun 2007) | 4 lines
+Changed paths:
+   M /trunk/src/flash/Makefile.am
+   M /trunk/src/flash/flash.c
+   A /trunk/src/flash/stm32x.c
+   A /trunk/src/flash/stm32x.h
+   M /trunk/src/target/arm_disassembler.c
+   M /trunk/src/target/armv7m.c
+   M /trunk/src/target/armv7m.h
+   M /trunk/src/target/breakpoints.c
+   M /trunk/src/target/cortex_m3.c
+   M /trunk/src/target/cortex_m3.h
+   M /trunk/src/target/cortex_swjdp.c
+   M /trunk/src/target/cortex_swjdp.h
+   M /trunk/src/target/target.c
 
 - ST STM32x cortex support added
 - ST STM32x flash support added
@@ -6320,6 +12895,16 @@ r177 | ntfreak | 2007-06-24 17:04:07 +02
 - cortex-m3 16bit read/write added (required for STM32x flash programming)
 ------------------------------------------------------------------------
 r176 | drath | 2007-06-21 15:15:22 +0200 (Thu, 21 Jun 2007) | 6 lines
+Changed paths:
+   M /trunk/src/jtag/bitbang.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/cortex_swjdp.c
+   M /trunk/src/target/embeddedice.c
+   M /trunk/src/target/etm.c
+   M /trunk/src/target/xscale.c
 
 - added support for Intel/Marvel PXA27x (XScale) targets
 - added support for scans coming from or ending in Shift-DR or Shift-IR to bitbang code (required for XScale debugging)
@@ -6329,37 +12914,96 @@ r176 | drath | 2007-06-21 15:15:22 +0200
 
 ------------------------------------------------------------------------
 r175 | ntfreak | 2007-06-16 19:35:38 +0200 (Sat, 16 Jun 2007) | 1 line
+Changed paths:
+   M /trunk/src/flash/str9xpec.c
 
 - str9xpec driver was using stricmp, changed to strcmp for posix compatibility
 ------------------------------------------------------------------------
 r174 | ntfreak | 2007-06-16 16:45:55 +0200 (Sat, 16 Jun 2007) | 3 lines
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/src/flash/Makefile.am
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/nand.c
+   A /trunk/src/flash/str9xpec.c
+   A /trunk/src/flash/str9xpec.h
+   M /trunk/src/helper/replacements.h
+   M /trunk/src/helper/time_support.c
+   M /trunk/src/pld/pld.c
+   M /trunk/src/server/server.c
+   M /trunk/src/target/arm720t.c
+   M /trunk/src/target/arm720t.h
+   M /trunk/src/target/image.c
+   M /trunk/src/target/image.h
+   M /trunk/src/target/target.c
+   M /trunk/src/target/xscale.c
 
 - added mingw elf patches from Vincent Palatin
 - added str9x programming using flash controller tap (str9xpec), including option bytes and device lock/unlock
 - inttypes.h now used for long long printf style declarations
 ------------------------------------------------------------------------
 r173 | drath | 2007-06-15 16:10:23 +0200 (Fri, 15 Jun 2007) | 3 lines
+Changed paths:
+   M /trunk/src/openocd.c
+   M /trunk/src/target/etm.c
+   M /trunk/src/target/image.c
+   M /trunk/src/target/image.h
 
 - added support for pseudo image type "mem", currently only used for etm analysis: "etm image <target#> <dummy base address> mem"
 
 
 ------------------------------------------------------------------------
 r172 | mlu | 2007-06-14 19:33:20 +0200 (Thu, 14 Jun 2007) | 2 lines
+Changed paths:
+   A /trunk/doc/configs/fury_ft2232.cfg
+   M /trunk/src/flash/at91sam7.c
+   M /trunk/src/flash/stellaris.c
 
 Added patch for Luminar Micors Fury class devices (Joe Kroesche)
 Added support for NVGM bit 2 for AT91SAM7XC128/256 
 ------------------------------------------------------------------------
 r171 | drath | 2007-06-14 16:49:08 +0200 (Thu, 14 Jun 2007) | 2 lines
+Changed paths:
+   A /trunk/src/flash/stellaris.c
+   A /trunk/src/flash/stellaris.h
 
 - added stellaris.[ch] missing from Cortex-M3 merge
 
 ------------------------------------------------------------------------
 r170 | drath | 2007-06-14 16:48:22 +0200 (Thu, 14 Jun 2007) | 2 lines
+Changed paths:
+   M /trunk/src/flash/Makefile.am
+   M /trunk/src/flash/flash.c
+   M /trunk/src/target/Makefile.am
+   A /trunk/src/target/armv7m.c
+   A /trunk/src/target/armv7m.h
+   A /trunk/src/target/cortex_m3.c
+   A /trunk/src/target/cortex_m3.h
+   A /trunk/src/target/cortex_swjdp.c
+   A /trunk/src/target/cortex_swjdp.h
+   M /trunk/src/target/target.c
 
 - merged support for Cortex-M3 from cortex-m3 branch (thanks to Magnus Lundin)
 
 ------------------------------------------------------------------------
 r169 | drath | 2007-06-14 11:47:00 +0200 (Thu, 14 Jun 2007) | 6 lines
+Changed paths:
+   M /trunk/README
+   M /trunk/configure.in
+   A /trunk/doc/openocd.1
+   M /trunk/src/flash/flash.c
+   M /trunk/src/helper/fileio.c
+   M /trunk/src/openocd.c
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/arm_disassembler.c
+   M /trunk/src/target/arm_disassembler.h
+   M /trunk/src/target/etb.c
+   M /trunk/src/target/etm.c
+   M /trunk/src/target/etm.h
+   M /trunk/src/target/image.c
+   M /trunk/src/target/image.h
+   M /trunk/src/target/target.c
+   M /trunk/src/target/trace.h
 
 - added manpage for OpenOCD (thanks to Uwe Hermann)
 - fixed bug in ARM926EJ-S cache handling that caused cache linefills to be disabled after first debug entry
@@ -6369,11 +13013,24 @@ r169 | drath | 2007-06-14 11:47:00 +0200
 
 ------------------------------------------------------------------------
 r161 | drath | 2007-05-31 13:17:54 +0200 (Thu, 31 May 2007) | 2 lines
+Changed paths:
+   M /trunk/src/helper/replacements.h
+   M /trunk/src/target/image.c
+   M /trunk/src/target/image.h
+   M /trunk/src/target/target.c
 
 - add support for ELF images (thanks to Vincent Palatin for this patch)
 
 ------------------------------------------------------------------------
 r159 | drath | 2007-05-30 17:47:18 +0200 (Wed, 30 May 2007) | 4 lines
+Changed paths:
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/nand.c
+   M /trunk/src/openocd.c
+   M /trunk/src/target/etm.h
+   M /trunk/src/target/image.c
+   M /trunk/src/target/image.h
+   M /trunk/src/target/target.c
 
 - reworked image handling to support multiple sections (tested with ihex file containing gaps)
 This checkin is still experimental, not recommended for general use
@@ -6381,16 +13038,48 @@ This checkin is still experimental, not 
 
 ------------------------------------------------------------------------
 r157 | drath | 2007-05-29 14:29:30 +0200 (Tue, 29 May 2007) | 2 lines
+Changed paths:
+   A /trunk/src/target/trace.h
 
 - add missing file src/target/trace.h
 
 ------------------------------------------------------------------------
 r156 | drath | 2007-05-29 14:04:20 +0200 (Tue, 29 May 2007) | 2 lines
+Changed paths:
+   A /trunk/src/target/image.c
+   A /trunk/src/target/image.h
 
 - add missing image handling files
 
 ------------------------------------------------------------------------
 r155 | drath | 2007-05-29 13:23:42 +0200 (Tue, 29 May 2007) | 7 lines
+Changed paths:
+   M /trunk/src/flash/Makefile.am
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/flash/cfi.h
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/nand.c
+   A /trunk/src/flash/non_cfi.c
+   A /trunk/src/flash/non_cfi.h
+   M /trunk/src/helper/fileio.c
+   M /trunk/src/helper/fileio.h
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/openocd.c
+   M /trunk/src/target/Makefile.am
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7_9_common.h
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/arm_disassembler.c
+   M /trunk/src/target/arm_disassembler.h
+   M /trunk/src/target/arm_simulator.c
+   M /trunk/src/target/armv4_5.h
+   M /trunk/src/target/etb.c
+   M /trunk/src/target/etb.h
+   M /trunk/src/target/etm.c
+   M /trunk/src/target/etm.h
+   M /trunk/src/target/target.c
+   A /trunk/src/target/xscale/debug_handler.bin
 
 - split fileio handling into fileio part and image handling
 - reworked etm/etb into a generic etm part with trace capture drivers (currently only etb supported)
@@ -6401,21 +13090,43 @@ This checkin is experimental, not suitab
 
 ------------------------------------------------------------------------
 r146 | ntfreak | 2007-05-10 16:42:23 +0200 (Thu, 10 May 2007) | 2 lines
+Changed paths:
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/target/arm720t.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/arm966e.c
 
 -- corrected embedded ice definitions
 -- changed arm966e to use standard arm9_7 reset handling
 ------------------------------------------------------------------------
 r145 | drath | 2007-05-05 13:02:03 +0200 (Sat, 05 May 2007) | 3 lines
+Changed paths:
+   M /trunk/src/helper/binarybuffer.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/etb.c
 
 - further work on ETB decoding (not yet functional)
 - fixed several uses of uninitialized bits (Thanks to Vincent Palatin for finding and fixing these bugs)
 
 ------------------------------------------------------------------------
 r144 | ntfreak | 2007-04-28 10:44:22 +0200 (Sat, 28 Apr 2007) | 1 line
+Changed paths:
+   M /trunk/src/jtag/ft2232.c
 
 - added support for Hitex comstick.
 ------------------------------------------------------------------------
 r143 | drath | 2007-04-26 16:41:27 +0200 (Thu, 26 Apr 2007) | 4 lines
+Changed paths:
+   M /trunk/src/openocd.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/arm966e.c
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/etb.c
 
 - improved ETB trace output
 - use BKPT instruction on cores supporting it (ARM926EJ-S, ARM966E-S)
@@ -6423,6 +13134,32 @@ r143 | drath | 2007-04-26 16:41:27 +0200
 
 ------------------------------------------------------------------------
 r142 | drath | 2007-04-25 22:15:59 +0200 (Wed, 25 Apr 2007) | 4 lines
+Changed paths:
+   M /trunk/src/helper/command.c
+   M /trunk/src/jtag/amt_jtagaccel.c
+   M /trunk/src/jtag/bitbang.c
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/jtag/gw16012.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/openocd.c
+   M /trunk/src/pld/virtex2.c
+   M /trunk/src/target/arm720t.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7_9_common.h
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/arm966e.c
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/arm_jtag.c
+   M /trunk/src/target/arm_jtag.h
+   M /trunk/src/target/embeddedice.c
+   M /trunk/src/target/etb.c
+   M /trunk/src/target/etb.h
+   M /trunk/src/target/etm.c
+   M /trunk/src/target/xscale.c
+   M /trunk/src/xsvf/xsvf.c
 
 - added support for error handlers to JTAG scan commands (jtag_[plain_][ir|dr]_scan)
 - catch apparently broken JTAG IR scan after ARM926EJ-S CP15 operations
@@ -6430,6 +13167,19 @@ r142 | drath | 2007-04-25 22:15:59 +0200
 
 ------------------------------------------------------------------------
 r141 | drath | 2007-04-16 16:58:16 +0200 (Mon, 16 Apr 2007) | 4 lines
+Changed paths:
+   M /trunk/src/target/arm720t.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7_9_common.h
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/arm966e.c
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/embeddedice.c
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
+   M /trunk/src/target/xscale.c
 
 - explicitly disable monitor mode on ARM7/9 targets
 - added "prepare_reset_halt()" to target_type_t, which allows reset_halt to be prepared before a reset is asserted, possibly preventing communication with the target
@@ -6437,11 +13187,17 @@ r141 | drath | 2007-04-16 16:58:16 +0200
 
 ------------------------------------------------------------------------
 r140 | drath | 2007-04-16 13:28:04 +0200 (Mon, 16 Apr 2007) | 2 lines
+Changed paths:
+   M /trunk/src/jtag/ft2232.c
 
 - allow multiple USB vendor and product ids when searching for connected FT2232 based JTAG interfaces (thanks to Werner Almesberger for this patch)
 
 ------------------------------------------------------------------------
 r139 | drath | 2007-04-12 15:27:23 +0200 (Thu, 12 Apr 2007) | 4 lines
+Changed paths:
+   M /trunk/src/flash/lpc3180_nand_controller.c
+   M /trunk/src/helper/binarybuffer.c
+   M /trunk/src/target/arm926ejs.c
 
 - correctly mask out bits that aren't part of a copied buffer
 - fixed arm926ej-s CP15 register access handling
@@ -6449,6 +13205,13 @@ r139 | drath | 2007-04-12 15:27:23 +0200
 
 ------------------------------------------------------------------------
 r138 | drath | 2007-04-11 16:25:12 +0200 (Wed, 11 Apr 2007) | 6 lines
+Changed paths:
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/flash/cfi.h
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/openocd.c
+   M /trunk/src/target/armv4_5.c
+   M /trunk/src/target/embeddedice.c
 
 - disabled excessive debug output in jtag.h
 - output all of EmbeddedICE version register in error message
@@ -6458,18 +13221,49 @@ r138 | drath | 2007-04-11 16:25:12 +0200
 
 ------------------------------------------------------------------------
 r137 | drath | 2007-03-30 11:56:31 +0200 (Fri, 30 Mar 2007) | 3 lines
+Changed paths:
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/openocd.c
+   M /trunk/src/target/arm9tdmi.c
 
 - added support for Turtelizer 2 (USB JTAG interface) (Thanks to Michael Fischer for this patch)
 - fixed description of arm9tdmi vector_catch command
 
 ------------------------------------------------------------------------
 r136 | drath | 2007-03-29 16:59:36 +0200 (Thu, 29 Mar 2007) | 3 lines
+Changed paths:
+   M /trunk/src/target/arm926ejs.c
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/arm9tdmi.h
 
 - added "arm9tdmi vector_catch ['all'|'none'|'vec1 [vec2 [...]]']" command
 - added missing arm926ej-s cp15 patch (thanks Vincent Palatin)
 
 ------------------------------------------------------------------------
 r135 | drath | 2007-03-28 18:31:55 +0200 (Wed, 28 Mar 2007) | 5 lines
+Changed paths:
+   M /trunk/src/flash/str7x.c
+   M /trunk/src/helper/fileio.c
+   M /trunk/src/jtag/amt_jtagaccel.c
+   M /trunk/src/jtag/bitbang.c
+   M /trunk/src/jtag/parport.c
+   M /trunk/src/openocd.c
+   M /trunk/src/target/Makefile.am
+   M /trunk/src/target/arm_disassembler.c
+   M /trunk/src/target/arm_disassembler.h
+   A /trunk/src/target/arm_simulator.c
+   A /trunk/src/target/arm_simulator.h
+   M /trunk/src/target/armv4_5.c
+   M /trunk/src/target/armv4_5.h
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
+   A /trunk/src/target/xscale
+   A /trunk/src/target/xscale/build.sh
+   A /trunk/src/target/xscale/debug_handler.S
+   A /trunk/src/target/xscale/debug_handler.cmd
+   A /trunk/src/target/xscale/protocol.h
+   A /trunk/src/target/xscale.c
+   A /trunk/src/target/xscale.h
 
 - merged XScale branch back into trunk
 - fixed some compiler warnigns in amt_jtagaccel.c, bitbang.c, parport.c
@@ -6478,6 +13272,33 @@ r135 | drath | 2007-03-28 18:31:55 +0200
 
 ------------------------------------------------------------------------
 r134 | drath | 2007-03-26 23:47:26 +0200 (Mon, 26 Mar 2007) | 4 lines
+Changed paths:
+   M /trunk/src/flash/at91sam7.c
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/flash/nand.c
+   M /trunk/src/flash/nand.h
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/fileio.c
+   M /trunk/src/helper/log.h
+   M /trunk/src/helper/time_support.c
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/jtag/gw16012.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/openocd.c
+   M /trunk/src/pld/xilinx_bit.c
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/target/Makefile.am
+   M /trunk/src/target/arm720t.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7_9_common.h
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm966e.c
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/arm_disassembler.c
+   A /trunk/src/target/etb.c
+   A /trunk/src/target/etb.h
+   M /trunk/src/target/target.c
 
 - fixed arm926 cp15 command bug (thanks to Vincent Palatin for this patch)
 - fixed compiler warnings throughout the code (thanks to Vincent Palatin for this patch)
@@ -6485,11 +13306,35 @@ r134 | drath | 2007-03-26 23:47:26 +0200
 
 ------------------------------------------------------------------------
 r133 | drath | 2007-03-16 10:12:22 +0100 (Fri, 16 Mar 2007) | 2 lines
+Changed paths:
+   A /trunk/src/helper/fileio.c
+   A /trunk/src/helper/fileio.h
 
 - added missing files for last commit
 
 ------------------------------------------------------------------------
 r132 | drath | 2007-03-15 14:36:44 +0100 (Thu, 15 Mar 2007) | 10 lines
+Changed paths:
+   M /trunk/src/flash/Makefile.am
+   M /trunk/src/flash/flash.c
+   A /trunk/src/flash/lpc3180_nand_controller.c
+   A /trunk/src/flash/lpc3180_nand_controller.h
+   A /trunk/src/flash/nand.c
+   A /trunk/src/flash/nand.h
+   M /trunk/src/helper/Makefile.am
+   M /trunk/src/helper/time_support.c
+   M /trunk/src/helper/time_support.h
+   M /trunk/src/helper/types.h
+   M /trunk/src/jtag/gw16012.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/jtag/parport.c
+   M /trunk/src/openocd.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/embeddedice.c
+   M /trunk/src/target/target.c
 
 - reworked file i/o. every fileaccess (target, flash, nand, in future configuration, too) should now go through the fileio subsystem
 - added support for reading IHEX files (through fileio)
@@ -6503,16 +13348,28 @@ r132 | drath | 2007-03-15 14:36:44 +0100
 
 ------------------------------------------------------------------------
 r131 | drath | 2007-02-20 14:47:32 +0100 (Tue, 20 Feb 2007) | 2 lines
+Changed paths:
+   M /trunk/src/jtag/ft2232.c
 
 - fixed libftdi initialization
 
 ------------------------------------------------------------------------
 r130 | drath | 2007-02-03 17:00:14 +0100 (Sat, 03 Feb 2007) | 2 lines
+Changed paths:
+   M /trunk/src/flash/lpc2000.c
+   M /trunk/src/target/armv4_5.h
 
 - add missing parentheses around macro parameters (thanks to Matthias Bauch for noticing this bug and providing a fix)
 
 ------------------------------------------------------------------------
 r129 | drath | 2007-01-31 11:59:20 +0100 (Wed, 31 Jan 2007) | 4 lines
+Changed paths:
+   M /trunk/src/flash/lpc2000.c
+   M /trunk/src/jtag/gw16012.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/jtag/parport.c
+   M /trunk/src/openocd.c
 
 - merged several changes from XScale
 - complain about identify_chain scan with all bits one (jtag communication problem)
@@ -6520,17 +13377,30 @@ r129 | drath | 2007-01-31 11:59:20 +0100
 
 ------------------------------------------------------------------------
 r128 | drath | 2007-01-26 13:40:48 +0100 (Fri, 26 Jan 2007) | 2 lines
+Changed paths:
+   M /trunk/src/openocd.c
+   M /trunk/src/target/embeddedice.c
 
 - disabled use of single-step bit for EmbeddedICE version 6 cores
 
 ------------------------------------------------------------------------
 r127 | drath | 2007-01-25 11:32:02 +0100 (Thu, 25 Jan 2007) | 3 lines
+Changed paths:
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/openocd.c
 
 - disabled JTAG debug output
 - fixed version information
 
 ------------------------------------------------------------------------
 r126 | drath | 2007-01-25 11:30:42 +0100 (Thu, 25 Jan 2007) | 4 lines
+Changed paths:
+   M /trunk/AUTHORS
+   M /trunk/README
+   M /trunk/src/target/Makefile.am
+   A /trunk/src/target/arm926ejs.c
+   A /trunk/src/target/arm926ejs.h
+   M /trunk/src/target/target.c
 
 - Added support for ARM926EJ-S based cores
 - Added contributors to AUTHORS file
@@ -6538,6 +13408,24 @@ r126 | drath | 2007-01-25 11:30:42 +0100
 
 ------------------------------------------------------------------------
 r124 | drath | 2007-01-22 15:47:00 +0100 (Mon, 22 Jan 2007) | 7 lines
+Changed paths:
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/flash/flash.c
+   M /trunk/src/helper/command.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7_9_common.h
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm7tdmi.h
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/arm966e.c
+   M /trunk/src/target/arm966e.h
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/arm9tdmi.h
+   M /trunk/src/target/embeddedice.c
+   M /trunk/src/target/embeddedice.h
+   M /trunk/src/target/target.c
 
 - fix incorrect parsing of whitespace in command.c (thanks to Magnus Lundin)
 - fix infinite recursion in target_init_handler (thanks to jw and Magnus Lundin)
@@ -6548,10 +13436,20 @@ r124 | drath | 2007-01-22 15:47:00 +0100
 
 ------------------------------------------------------------------------
 r123 | ntfreak | 2007-01-18 19:54:04 +0100 (Thu, 18 Jan 2007) | 1 line
+Changed paths:
+   M /trunk/src/jtag/parport.c
 
 - added support for ST flashlink cable
 ------------------------------------------------------------------------
 r122 | drath | 2007-01-09 18:19:41 +0100 (Tue, 09 Jan 2007) | 9 lines
+Changed paths:
+   M /trunk/src/flash/at91sam7.c
+   M /trunk/src/jtag/Makefile.am
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/parport.c
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/target/arm_disassembler.c
 
 - disabled FT2232 debug output (that code should be fairly stable)
 - fixed bug in jtag.c where JTAG command type was wrong for PATHMOVE commands
@@ -6564,11 +13462,31 @@ r122 | drath | 2007-01-09 18:19:41 +0100
 
 ------------------------------------------------------------------------
 r117 | drath | 2006-11-22 17:22:11 +0100 (Wed, 22 Nov 2006) | 2 lines
+Changed paths:
+   M /trunk/configure.in
 
 - checked in missing configure.in changes for GW16012 support
 
 ------------------------------------------------------------------------
 r116 | drath | 2006-11-22 14:03:10 +0100 (Wed, 22 Nov 2006) | 6 lines
+Changed paths:
+   M /trunk/src/Makefile.am
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/helper/binarybuffer.c
+   M /trunk/src/jtag/Makefile.am
+   M /trunk/src/jtag/ft2232.c
+   A /trunk/src/jtag/gw16012.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/openocd.c
+   A /trunk/src/pld
+   A /trunk/src/pld/Makefile.am
+   A /trunk/src/pld/pld.c
+   A /trunk/src/pld/pld.h
+   A /trunk/src/pld/virtex2.c
+   A /trunk/src/pld/virtex2.h
+   A /trunk/src/pld/xilinx_bit.c
+   A /trunk/src/pld/xilinx_bit.h
+   M /trunk/src/target/armv4_5.c
 
 - added a PLD (programmable logic device) subsystem for FPGA, CPLD etc. configuration
 - added support for loading .bit files into Xilinx Virtex-II devices
@@ -6578,12 +13496,25 @@ r116 | drath | 2006-11-22 14:03:10 +0100
 
 ------------------------------------------------------------------------
 r113 | drath | 2006-11-07 11:54:19 +0100 (Tue, 07 Nov 2006) | 3 lines
+Changed paths:
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7_9_common.h
+   M /trunk/src/target/breakpoints.c
+   M /trunk/src/target/target.h
 
 - added support for the oocd-link (http://www.joernonline.de/dw/doku.php?id=en:projects:oocdlink)
 - fixed breakpoint handling (this changes the target_t interface)
 
 ------------------------------------------------------------------------
 r110 | drath | 2006-11-05 18:38:35 +0100 (Sun, 05 Nov 2006) | 4 lines
+Changed paths:
+   M /trunk/src/flash/lpc2000.c
+   M /trunk/src/helper/command.c
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/breakpoints.c
+   M /trunk/src/target/target.c
 
 - correctly enter debug state on a "soft_reset_halt" command
 - several small fixes
@@ -6591,18 +13522,32 @@ r110 | drath | 2006-11-05 18:38:35 +0100
 
 ------------------------------------------------------------------------
 r106 | drath | 2006-10-23 16:02:34 +0200 (Mon, 23 Oct 2006) | 3 lines
+Changed paths:
+   M /trunk/src/flash/str9x.c
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7tdmi.c
 
 - several small fixes (thanks to Magnus Lundin and Spencer Oliver)
 - added support for using Luminary Micro development board 'evb_lm3s811' as a JTAG interface (thanks to Magnus Lundin)
 
 ------------------------------------------------------------------------
 r104 | drath | 2006-10-19 12:07:24 +0200 (Thu, 19 Oct 2006) | 3 lines
+Changed paths:
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/target/arm7_9_common.c
 
 - fixed endianness handling in arm7_9_read_core_reg (thanks to Magnus Lundin for reporting this)
 - correctly handle ft2232_device_desc and ft2232_serial when both are given at the same time
 
 ------------------------------------------------------------------------
 r103 | drath | 2006-10-12 18:20:47 +0200 (Thu, 12 Oct 2006) | 4 lines
+Changed paths:
+   M /trunk/src/jtag/amt_jtagaccel.c
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/openocd.c
+   M /trunk/src/target/arm7_9_common.c
 
 - allow FT2232 devices to be opened by serial number instead of device description ('ft2232_serial <serial>' command)
 - redirect output from target event scripts (currently only reset) to the daemon output (INFO:)
@@ -6610,6 +13555,11 @@ r103 | drath | 2006-10-12 18:20:47 +0200
 
 ------------------------------------------------------------------------
 r102 | drath | 2006-10-06 17:46:25 +0200 (Fri, 06 Oct 2006) | 4 lines
+Changed paths:
+   M /trunk/README
+   M /trunk/src/flash/at91sam7.c
+   M /trunk/src/flash/at91sam7.h
+   M /trunk/src/jtag/ft2232.c
 
 - added support for American Microsystem's M5960 (FT2232 based USB JTAG interface)
 - added support for AT91SAM7A devices (thanks to Magnus Lundin)
@@ -6617,11 +13567,35 @@ r102 | drath | 2006-10-06 17:46:25 +0200
 
 ------------------------------------------------------------------------
 r101 | drath | 2006-10-03 11:56:41 +0200 (Tue, 03 Oct 2006) | 2 lines
+Changed paths:
+   M /trunk/src/server/gdb_server.c
 
 - fixed regression in gdb_server.c (Thanks to Michael Fischer for finding these bugs)
 
 ------------------------------------------------------------------------
 r100 | drath | 2006-09-28 12:41:43 +0200 (Thu, 28 Sep 2006) | 9 lines
+Changed paths:
+   M /trunk/src/flash/Makefile.am
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/str7x.c
+   A /trunk/src/flash/str9x.c
+   A /trunk/src/flash/str9x.h
+   M /trunk/src/helper/binarybuffer.c
+   M /trunk/src/helper/binarybuffer.h
+   M /trunk/src/helper/interpreter.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/target/arm966e.c
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/armv4_5.c
+   M /trunk/src/target/embeddedice.c
+   M /trunk/src/target/embeddedice.h
+   M /trunk/src/target/etm.c
+   M /trunk/src/target/etm.h
+   M /trunk/src/target/register.c
+   M /trunk/src/target/register.h
+   M /trunk/src/target/target.c
 
 - str9x flash support (Thanks to Spencer Oliver)
 - str75x flash support (Thanks to Spencer Oliver)
@@ -6634,22 +13608,36 @@ r100 | drath | 2006-09-28 12:41:43 +0200
 
 ------------------------------------------------------------------------
 r98 | drath | 2006-09-12 20:56:48 +0200 (Tue, 12 Sep 2006) | 3 lines
+Changed paths:
+   M /trunk/src/flash/str7x.c
+   M /trunk/src/flash/str7x.h
 
 - allow writes to second flash bank on STR71x devices (cleaned up sector list building)
 - cleaned up str7x flash erase and protect code (use two accesses to erase sectors in both banks)
 
 ------------------------------------------------------------------------
 r97 | drath | 2006-09-09 13:26:15 +0200 (Sat, 09 Sep 2006) | 2 lines
+Changed paths:
+   M /trunk/src/target/arm7_9_common.c
 
 - set the T bit in the CPSR when the core was executing in Thumb state. Mask the T bit from the CPSR for all CPSR-writing operations
 
 ------------------------------------------------------------------------
 r96 | drath | 2006-09-07 19:50:02 +0200 (Thu, 07 Sep 2006) | 2 lines
+Changed paths:
+   M /trunk/src/flash/str7x.c
 
 - free working area used to store flash write buffer
 
 ------------------------------------------------------------------------
 r95 | drath | 2006-09-07 19:36:34 +0200 (Thu, 07 Sep 2006) | 4 lines
+Changed paths:
+   M /trunk/src/flash/at91sam7.c
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/str7x.c
+   M /trunk/src/flash/str7x.h
+   M /trunk/src/openocd.c
 
 - integrated patch from Magnus Lundin that fixes at91sam7 flash timing bugs and possible endianness problems (big endian hosts)
 - correctly write trailing bytes on str7x flashes
@@ -6657,23 +13645,64 @@ r95 | drath | 2006-09-07 19:36:34 +0200 
 
 ------------------------------------------------------------------------
 r93 | drath | 2006-09-04 12:31:28 +0200 (Mon, 04 Sep 2006) | 3 lines
+Changed paths:
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/armv4_5.h
 
 - added debug output for D/I FSR and FAR (arm920t)
 - fixed bug that caused CPSR to be corrupted in Thumb mode
 
 ------------------------------------------------------------------------
 r92 | drath | 2006-08-31 16:33:33 +0200 (Thu, 31 Aug 2006) | 2 lines
+Changed paths:
+   M /trunk/src/flash/lpc2000.c
 
 - made lpc2000 code endianness safe (support big-endian hosts, target is always little)
 
 ------------------------------------------------------------------------
 r91 | drath | 2006-08-31 14:55:54 +0200 (Thu, 31 Aug 2006) | 3 lines
+Changed paths:
+   A /trunk/doc/configs/at91sam7_ecr.cfg
+   A /trunk/doc/scripts
+   A /trunk/doc/scripts/at91sam7_ecr.script
+   A /trunk/src/jtag/at91rm9200.c
+   M /trunk/src/openocd.c
 
 - added missing AT91RM9200 files
 - bumped OpenOCD version date
 
 ------------------------------------------------------------------------
 r90 | drath | 2006-08-31 14:41:49 +0200 (Thu, 31 Aug 2006) | 11 lines
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/doc/configs/arm7_ft2232.cfg
+   M /trunk/src/flash/at91sam7.c
+   M /trunk/src/flash/at91sam7.h
+   M /trunk/src/flash/str7x.c
+   M /trunk/src/jtag/Makefile.am
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/target/arm720t.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7_9_common.h
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/arm920t.h
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/arm_jtag.c
+   M /trunk/src/target/arm_jtag.h
+   M /trunk/src/target/armv4_5.c
+   M /trunk/src/target/armv4_5.h
+   M /trunk/src/target/armv4_5_cache.h
+   M /trunk/src/target/armv4_5_mmu.c
+   M /trunk/src/target/armv4_5_mmu.h
+   M /trunk/src/target/embeddedice.c
+   M /trunk/src/target/embeddedice.h
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
 
 - endianess fixes everywhere but in the flash code. flashing might still be broken on big-endian targets and/or hosts
 - added access to ARM920T vector catch register (via generic register mechanism)
@@ -6688,17 +13717,32 @@ r90 | drath | 2006-08-31 14:41:49 +0200 
 
 ------------------------------------------------------------------------
 r89 | drath | 2006-08-20 17:10:32 +0200 (Sun, 20 Aug 2006) | 3 lines
+Changed paths:
+   M /trunk/src/openocd.c
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/target.c
 
 - made bp command more verbose
 - fixed bug that could result in register corruption on arm920t targets
 
 ------------------------------------------------------------------------
 r88 | drath | 2006-08-17 16:56:22 +0200 (Thu, 17 Aug 2006) | 2 lines
+Changed paths:
+   M /trunk/src/openocd.c
 
 - updated version info in openocd.c
 
 ------------------------------------------------------------------------
 r87 | drath | 2006-08-17 16:53:15 +0200 (Thu, 17 Aug 2006) | 4 lines
+Changed paths:
+   M /trunk/src/flash/str7x.c
+   M /trunk/src/jtag/amt_jtagaccel.c
+   M /trunk/src/jtag/bitbang.c
+   M /trunk/src/jtag/ep93xx.c
+   M /trunk/src/jtag/ft2232.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/jtag/parport.c
 
 - renamed jtag_interface_t.support_statemove to jtag_interface_t.support_pathmove (it is used to indicate jtag_add_pathmove support)
 - fixed small bug in str7x.c that printed an address instead of the target number in an error message
@@ -6706,32 +13750,70 @@ r87 | drath | 2006-08-17 16:53:15 +0200 
 
 ------------------------------------------------------------------------
 r86 | drath | 2006-08-14 17:45:11 +0200 (Mon, 14 Aug 2006) | 2 lines
+Changed paths:
+   M /trunk/doc/configs/arm7_ft2232.cfg
+   M /trunk/doc/configs/arm9_ft2232.cfg
 
 - fixed bug in .cfg files. Thanks to Michael Fischer for noticing this.
 
 ------------------------------------------------------------------------
 r85 | drath | 2006-08-14 12:58:12 +0200 (Mon, 14 Aug 2006) | 2 lines
+Changed paths:
+   M /trunk/INSTALL
+   M /trunk/README
+   M /trunk/doc/configs/arm7_ft2232.cfg
+   D /trunk/doc/configs/arm7_ftd2xx.cfg
+   A /trunk/doc/configs/arm9_ft2232.cfg (from /trunk/doc/configs/arm9_ftd2xx.cfg:78)
+   D /trunk/doc/configs/arm9_ftd2xx.cfg
 
 - updated configuration examples, installation instructions and README (including list of supported JTAG interfaces)
 
 ------------------------------------------------------------------------
 r84 | drath | 2006-08-14 12:02:55 +0200 (Mon, 14 Aug 2006) | 2 lines
+Changed paths:
+   M /trunk/src/jtag/ft2232.c
 
 - added support for the Signalyzer USB->JTAG dongle (www.signalyzer.com)
 
 ------------------------------------------------------------------------
 r83 | drath | 2006-08-11 19:49:41 +0200 (Fri, 11 Aug 2006) | 3 lines
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/src/Makefile.am
+   M /trunk/src/jtag/Makefile.am
+   A /trunk/src/jtag/ft2232.c
+   D /trunk/src/jtag/ftd2xx.c
+   D /trunk/src/jtag/ftdi2232.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/jtag/parport.c
 
 - added support for FreeBSD ppi (parallel port access similar to /dev/parport on linux) (thanks to Darius for this patch)
 - unified 'ftd2xx' and 'ftdi2232' into a single interface 'ft2232'. The library used to access the hardware is choosen during configure with --enable-ft2232_ftd2xx or --enable-ft2232-libftdi.
 
 ------------------------------------------------------------------------
 r82 | drath | 2006-08-06 14:14:02 +0200 (Sun, 06 Aug 2006) | 2 lines
+Changed paths:
+   M /trunk/src/jtag/jtag.c
 
 - fixed jtag_n[st]rst_delay. time is now miliseconds (as documented), not microseconds
 
 ------------------------------------------------------------------------
 r81 | drath | 2006-08-06 13:20:42 +0200 (Sun, 06 Aug 2006) | 5 lines
+Changed paths:
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/target/Makefile.am
+   M /trunk/src/target/arm720t.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm920t.c
+   A /trunk/src/target/arm966e.c
+   A /trunk/src/target/arm966e.h
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/armv4_5.c
+   M /trunk/src/target/embeddedice.h
+   M /trunk/src/target/target.c
 
 - fixed a minor problem with the GDB server that could drop the first packet (non-fatal)
 - fixed some small memory leaks (thanks to Spencer Oliver)
@@ -6740,6 +13822,14 @@ r81 | drath | 2006-08-06 13:20:42 +0200 
 
 ------------------------------------------------------------------------
 r80 | drath | 2006-08-01 11:45:22 +0200 (Tue, 01 Aug 2006) | 6 lines
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/src/jtag/amt_jtagaccel.c
+   M /trunk/src/jtag/ftd2xx.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/openocd.c
+   M /trunk/src/server/server.c
+   M /trunk/src/server/server.h
 
 - allow building for MinGW using either -mno-cygwin or the MinGW gcc
 - added GiveIO support to the amt_jtagaccel driver
@@ -6749,6 +13839,13 @@ r80 | drath | 2006-08-01 11:45:22 +0200 
 
 ------------------------------------------------------------------------
 r79 | drath | 2006-07-30 13:25:43 +0200 (Sun, 30 Jul 2006) | 5 lines
+Changed paths:
+   M /trunk/src/flash/flash.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/jtag/parport.c
+   M /trunk/src/openocd.c
+   M /trunk/src/target/arm7_9_common.c
 
 - added configurable delays after reset lines get deasserted. useful if reset circuitry keeps lines asserted for too long.
 - additional debug output when opening the parallel port
@@ -6757,6 +13854,55 @@ r79 | drath | 2006-07-30 13:25:43 +0200 
 
 ------------------------------------------------------------------------
 r78 | drath | 2006-07-17 16:13:27 +0200 (Mon, 17 Jul 2006) | 4 lines
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/src/Makefile.am
+   M /trunk/src/flash/at91sam7.c
+   M /trunk/src/flash/at91sam7.h
+   M /trunk/src/flash/cfi.c
+   M /trunk/src/flash/flash.c
+   M /trunk/src/flash/lpc2000.c
+   M /trunk/src/flash/str7x.c
+   M /trunk/src/helper/Makefile.am
+   M /trunk/src/helper/binarybuffer.c
+   M /trunk/src/helper/command.c
+   M /trunk/src/helper/configuration.c
+   M /trunk/src/helper/interpreter.c
+   M /trunk/src/helper/log.c
+   A /trunk/src/helper/replacements.c
+   A /trunk/src/helper/replacements.h
+   M /trunk/src/helper/time_support.c
+   M /trunk/src/jtag/Makefile.am
+   M /trunk/src/jtag/amt_jtagaccel.c
+   M /trunk/src/jtag/bitbang.c
+   M /trunk/src/jtag/ep93xx.c
+   M /trunk/src/jtag/ftd2xx.c
+   M /trunk/src/jtag/ftdi2232.c
+   M /trunk/src/jtag/jtag.c
+   M /trunk/src/jtag/parport.c
+   M /trunk/src/openocd.c
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/server/server.c
+   M /trunk/src/server/server.h
+   M /trunk/src/server/telnet_server.c
+   M /trunk/src/target/algorithm.c
+   M /trunk/src/target/arm720t.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/arm7tdmi.c
+   M /trunk/src/target/arm920t.c
+   M /trunk/src/target/arm9tdmi.c
+   M /trunk/src/target/arm_disassembler.c
+   M /trunk/src/target/arm_jtag.c
+   M /trunk/src/target/armv4_5.c
+   M /trunk/src/target/armv4_5_cache.c
+   M /trunk/src/target/armv4_5_mmu.c
+   M /trunk/src/target/breakpoints.c
+   M /trunk/src/target/embeddedice.c
+   M /trunk/src/target/etm.c
+   M /trunk/src/target/register.c
+   M /trunk/src/target/target.c
+   M /trunk/src/xsvf/Makefile.am
+   M /trunk/src/xsvf/xsvf.c
 
 - Added support for native MinGW builds (thanks to Spencer Oliver and Michael Fischer) - you still need to install GiveIO (not part of OpenOCD)
 - Added state-move support to ftd2xx and bitbang JTAG drivers (required for XScale, possibly useful for other targets, too)
@@ -6764,18 +13910,30 @@ r78 | drath | 2006-07-17 16:13:27 +0200 
 
 ------------------------------------------------------------------------
 r76 | drath | 2006-06-25 23:02:44 +0200 (Sun, 25 Jun 2006) | 3 lines
+Changed paths:
+   M /trunk/src/openocd.c
+   M /trunk/src/server/server.c
+   M /trunk/src/target/arm7_9_common.c
 
 - fixed bug in Thumb sw breakpoint handling (thanks to Spen for this patch)
 - fixed handling of services linked list (thanks to Spen for this patch)
 
 ------------------------------------------------------------------------
 r75 | drath | 2006-06-25 22:44:25 +0200 (Sun, 25 Jun 2006) | 3 lines
+Changed paths:
+   M /trunk/src/openocd.c
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/target/arm_disassembler.c
 
 - changed use of bzero (deprecated) to memset (thanks to Spen for pointing this out)
 - changed fallback implementation of strndup to something that works on all systems (thanks to Spen for this patch)
 
 ------------------------------------------------------------------------
 r74 | drath | 2006-06-25 13:14:44 +0200 (Sun, 25 Jun 2006) | 4 lines
+Changed paths:
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/openocd.c
+   M /trunk/src/server/telnet_server.c
 
 - added "version" command (patch from John Hartman, thanks)
 - fixed bug in telnet history handling (patch from John Hartman, thanks)
@@ -6783,6 +13941,16 @@ r74 | drath | 2006-06-25 13:14:44 +0200 
 
 ------------------------------------------------------------------------
 r73 | drath | 2006-06-23 09:54:01 +0200 (Fri, 23 Jun 2006) | 6 lines
+Changed paths:
+   M /trunk/configure.in
+   M /trunk/src/flash/at91sam7.c
+   M /trunk/src/helper/types.h
+   M /trunk/src/jtag/ftd2xx.c
+   M /trunk/src/jtag/jtag.h
+   M /trunk/src/server/gdb_server.c
+   M /trunk/src/target/arm7_9_common.c
+   M /trunk/src/target/target.c
+   M /trunk/src/target/target.h
 
 - added support for AT91SAM7A3 flash (patch from andre renaud, thanks)
 - fix trunk build for mac os x (patch from Lauri Leukkunen, thanks)
@@ -6792,11 +13960,20 @@ r73 | drath | 2006-06-23 09:54:01 +0200 
 
 ------------------------------------------------------------------------
 r69 | drath | 2006-06-16 18:19:08 +0200 (Fri, 16 Jun 2006) | 2 lines
+Changed paths:
+   M /trunk/src/target/arm_disassembler.c
+   M /trunk/src/target/arm_disassembler.h
 
 - keep additional information for decoded instructions
 
 ------------------------------------------------------------------------
 r68 | drath | 2006-06-12 18:49:49 +0200 (Mon, 12 Jun 2006) | 5 lines
+Changed paths:
+   M /trunk/src/helper/command.c
+   M /trunk/src/target/Makefile.am
+   A /trunk/src/target/arm_disassembler.c
+   A /trunk/src/target/arm_disassembler.h
+   M /trunk/src/target/armv4_5.c
 
 - the 'help' command now takes an optional argument to display help only on a certain command (thanks to Andrew Dyer for this enhancement)
 - OpenOCD now includes the ability to diassemble instructions on its own (only ARM for now, Thumb might follow). 
@@ -6805,11 +13982,42 @@ I've compared the produced disassembly a
 
 ------------------------------------------------------------------------
 r67 | drath | 2006-06-05 16:36:39 +0200 (Mon, 05 Jun 2006) | 2 lines
+Changed paths:
+   M /trunk/src/helper/command.c
+   M /trunk/src/openocd.c
+   M /trunk/src/server/telnet_server.c
+   M /trunk/src/server/telnet_server.h
 
 - fixed some spelling errors (thanks to Andrew Dyer)
 
 ------------------------------------------------------------------------
 r64 | drath | 2006-06-02 12:36:31 +0200 (Fri, 02 Jun 2006) | 2 lines
+Changed paths:
+   D /AUTHORS
+   D /COPYING
+   D /ChangeLog
+   D /INSTALL
+   D /Makefile.am
+   D /NEWS
+   D /README
+   D /TODO
+   D /bootstrap
+   D /configure.in
+   D /doc
+   D /src
+   A /trunk
+   A /trunk/AUTHORS (from /AUTHORS:63)
+   A /trunk/COPYING (from /COPYING:63)
+   A /trunk/ChangeLog (from /ChangeLog:63)
+   A /trunk/INSTALL (from /INSTALL:63)
+   A /trunk/Makefile.am (from /Makefile.am:63)
+   A /trunk/NEWS (from /NEWS:63)
+   A /trunk/README (from /README:63)
+   A /trunk/TODO (from /TODO:63)
+   A /trunk/bootstrap (from /bootstrap:63)
+   A /trunk/configure.in (from /configure.in:63)
+   A /trunk/doc (from /doc:63)
+   A /trunk/src (from /src:63)
 
 - prepare OpenOCD for branching, created ./trunk/
 
diff -pruN 0.0+r1583-1/debian/control 0.0+r1606-1/debian/control
--- 0.0+r1583-1/debian/control	2009-05-06 00:22:17.000000000 +0100
+++ 0.0+r1606-1/debian/control	2009-05-06 00:20:10.000000000 +0100
@@ -2,7 +2,7 @@ Source: openocd
 Section: embedded
 Priority: extra
 Maintainer: Uwe Hermann <uwe@debian.org>
-Build-Depends: cdbs, debhelper (>= 5), autoconf (>= 2.59), automake, libftdi-dev, libusb-dev, texinfo, chrpath
+Build-Depends: cdbs, debhelper (>= 5), autoconf (>= 2.59), automake (>= 1.6), libftdi-dev, libusb-dev, texinfo, chrpath
 Standards-Version: 3.8.1
 Homepage: http://openocd.berlios.de
 
diff -pruN 0.0+r1583-1/debian/patches/10_svn_rev.patch 0.0+r1606-1/debian/patches/10_svn_rev.patch
--- 0.0+r1583-1/debian/patches/10_svn_rev.patch	2009-05-06 00:22:17.000000000 +0100
+++ 0.0+r1606-1/debian/patches/10_svn_rev.patch	2009-05-06 00:20:10.000000000 +0100
@@ -1,15 +1,15 @@
---- src/openocd.c.orig	2009-03-11 21:34:29.000000000 +0100
-+++ src/openocd.c	2009-03-11 21:35:18.000000000 +0100
-@@ -24,7 +24,7 @@
-  *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
-  ***************************************************************************/
- 
--#define OPENOCD_VERSION "Open On-Chip Debugger " VERSION " (" PKGBLDDATE ") "RELSTR PKGBLDREV
-+#define OPENOCD_VERSION "Open On-Chip Debugger " VERSION " (" PKGBLDDATE ") "RELSTR "r1583"
- 
- #ifdef HAVE_CONFIG_H
- #include "config.h"
-@@ -245,7 +245,7 @@
+--- src/openocd.c.orig	2009-05-05 19:23:16.000000000 +0200
++++ src/openocd.c	2009-05-05 19:24:11.000000000 +0200
+@@ -57,7 +57,7 @@
+ 
+ 
+ #define OPENOCD_VERSION \
+-		"Open On-Chip Debugger " VERSION " (" PKGBLDDATE ") " RELSTR PKGBLDREV
++		"Open On-Chip Debugger " VERSION " (" PKGBLDDATE ") " RELSTR "r1606"
+ 
+ static void print_version(void)
+ {
+@@ -263,7 +263,7 @@
  	}
  #endif
  
diff -pruN 0.0+r1583-1/debian/patches/20_fix_warnings.patch 0.0+r1606-1/debian/patches/20_fix_warnings.patch
--- 0.0+r1583-1/debian/patches/20_fix_warnings.patch	1970-01-01 01:00:00.000000000 +0100
+++ 0.0+r1606-1/debian/patches/20_fix_warnings.patch	2009-05-06 00:20:10.000000000 +0100
@@ -0,0 +1,66 @@
+Index: src/helper/jim.c
+===================================================================
+--- src/helper/jim.c	(revision 1602)
++++ src/helper/jim.c	(working copy)
+@@ -7650,6 +7650,8 @@
+                 scanned += 1;
+                 break;
+             case 'd': case 'o': case 'x': case 'u': case 'i': {
++                jim_wide jwvalue;
++                long lvalue;
+                 char *endp;  /* Position where the number finished */
+                 int base = descr->type == 'o' ? 8
+                     : descr->type == 'x' ? 16
+@@ -7659,16 +7661,22 @@
+                 do {
+                     /* Try to scan a number with the given base */
+                     if (descr->modifier == 'l')
++                    {
+ #ifdef HAVE_LONG_LONG
+-                      *(jim_wide*)value = JimStrtoll(tok, &endp, base);
++                        jwvalue = JimStrtoll(tok, &endp, base),
+ #else
+-                      *(jim_wide*)value = strtol(tok, &endp, base);
++                        jwvalue = strtol(tok, &endp, base),
+ #endif
++                        memcpy(value, &jwvalue, sizeof(jim_wide));
++                    }
+                     else
++                    {
+                       if (descr->type == 'u')
+-                        *(long*)value = strtoul(tok, &endp, base);
++                        lvalue = strtoul(tok, &endp, base);
+                       else
+-                        *(long*)value = strtol(tok, &endp, base);
++                        lvalue = strtol(tok, &endp, base);
++                      memcpy(value, &lvalue, sizeof(lvalue));
++                    }
+                     /* If scanning failed, and base was undetermined, simply
+                      * put it to 10 and try once more. This should catch the
+                      * case where %i begin to parse a number prefix (e.g. 
+@@ -7680,9 +7688,9 @@
+                 if (endp != tok) {
+                     /* There was some number sucessfully scanned! */
+                     if (descr->modifier == 'l')
+-                        *valObjPtr = Jim_NewIntObj(interp, *(jim_wide*)value);
++                        *valObjPtr = Jim_NewIntObj(interp, jwvalue);
+                     else
+-                        *valObjPtr = Jim_NewIntObj(interp, *(long*)value);
++                        *valObjPtr = Jim_NewIntObj(interp, lvalue);
+                     /* Adjust the number-of-chars scanned so far */
+                     scanned += endp - tok;
+                 } else {
+@@ -7701,10 +7709,11 @@
+             case 'e': case 'f': case 'g': {
+                 char *endp;
+ 
+-                *(double*)value = strtod(tok, &endp);
++                double dvalue = strtod(tok, &endp);
++                memcpy(value, &dvalue, sizeof(double));
+                 if (endp != tok) {
+                     /* There was some number sucessfully scanned! */
+-                    *valObjPtr = Jim_NewDoubleObj(interp, *(double*)value);
++                    *valObjPtr = Jim_NewDoubleObj(interp, dvalue);
+                     /* Adjust the number-of-chars scanned so far */
+                     scanned += endp - tok;
+                 } else {
diff -pruN 0.0+r1583-1/debian/README.Debian 0.0+r1606-1/debian/README.Debian
--- 0.0+r1583-1/debian/README.Debian	2009-05-06 00:22:17.000000000 +0100
+++ 0.0+r1606-1/debian/README.Debian	2009-05-06 00:20:10.000000000 +0100
@@ -8,8 +8,6 @@ openocd for Debian
  * Support for the OpenOCD+trace ETM capture device is disabled for now
    as per upstream recommendation. It's just a proof-of-concept right now.
 
- * The --enable-ecosboard is currently not used due to build problems.
-
  * OpenOCD comes with a so-called 'target library' of config files:
     - /usr/lib/openocd/interface/*.cfg: JTAG hardware dongle config files
     - /usr/lib/openocd/target/*.cfg: Target config files
@@ -18,10 +16,5 @@ openocd for Debian
  * More documentation is available in the openocd(1) manpage and the
    openocd info pages (type 'info openocd' or 'pinfo openocd').
 
- * Some tutorials for using openocd can be found here:
-   http://openfacts.berlios.de/index-en.phtml?title=Open_On-Chip_Debugger
-   http://wiki.openmoko.org/wiki/Neo1973_OpenOCD
-   http://www.ixbat.de/index.php?page_id=94 (German)
-
  -- Uwe Hermann <uwe@debian.org>  Sun, 28 Dec 2008 15:39:04 +0100
 
diff -pruN 0.0+r1583-1/debian/rules 0.0+r1606-1/debian/rules
--- 0.0+r1583-1/debian/rules	2009-05-06 00:22:17.000000000 +0100
+++ 0.0+r1606-1/debian/rules	2009-05-06 00:20:10.000000000 +0100
@@ -14,9 +14,9 @@ DEB_STRIP_EXCLUDE := .elf .bin examples
 DEB_COMPRESS_EXCLUDE := .elf .bin examples
 
 # TODO: Use --enable-oocd_trace later, right now it's just a proof-of-concept.
-# TODO: Check if --enable-ecosboard works again.
 DEB_CONFIGURE_EXTRA_FLAGS := \
 	--enable-maintainer-mode \
+	--disable-werror \
 	--enable-parport \
 	--enable-parport_ppdev \
 	--enable-ft2232_libftdi \
diff -pruN 0.0+r1583-1/Makefile.am 0.0+r1606-1/Makefile.am
--- 0.0+r1583-1/Makefile.am	2009-01-21 04:13:16.000000000 +0000
+++ 0.0+r1606-1/Makefile.am	2009-05-02 23:35:02.000000000 +0100
@@ -1,6 +1,6 @@
 # not a GNU package. You can remove this line, if
 # have all needed files, that a GNU package needs
-AUTOMAKE_OPTIONS = foreign 1.4
+AUTOMAKE_OPTIONS = foreign 1.6
 
 nobase_dist_pkgdata_DATA = \
 	contrib/libdcc/dcc_stdio.c \
@@ -18,6 +18,8 @@ MAINTAINERCLEANFILES = \
 	config.guess \
 	config.sub \
 	config.h.in \
+	config.h.in~ \
+	compile \
 	missing \
 	aclocal.m4 \
 	install-sh
diff -pruN 0.0+r1583-1/src/flash/avrf.c 0.0+r1606-1/src/flash/avrf.c
--- 0.0+r1583-1/src/flash/avrf.c	2009-04-27 20:35:31.000000000 +0100
+++ 0.0+r1606-1/src/flash/avrf.c	2009-05-03 16:10:16.000000000 +0100
@@ -247,13 +247,13 @@ static int avrf_flash_bank_command(struc
 
 static int avrf_erase(struct flash_bank_s *bank, int first, int last)
 {
-	LOG_INFO(__FUNCTION__);
+	LOG_INFO("%s", __FUNCTION__);
 	return ERROR_OK;
 }
 
 static int avrf_protect(struct flash_bank_s *bank, int set, int first, int last)
 {
-	LOG_INFO(__FUNCTION__);
+	LOG_INFO("%s", __FUNCTION__);
 	return ERROR_OK;
 }
 
@@ -386,7 +386,7 @@ static int avrf_auto_probe(struct flash_
 
 static int avrf_protect_check(struct flash_bank_s *bank)
 {
-	LOG_INFO(__FUNCTION__);
+	LOG_INFO("%s", __FUNCTION__);
 	return ERROR_OK;
 }
 
@@ -495,6 +495,6 @@ static int avrf_handle_mass_erase_comman
 		command_print(cmd_ctx, "avr mass erase failed");
 	}
 	
-	LOG_DEBUG(__FUNCTION__);
+	LOG_DEBUG("%s", __FUNCTION__);
 	return ERROR_OK;
 }
diff -pruN 0.0+r1583-1/src/flash/Makefile.am 0.0+r1606-1/src/flash/Makefile.am
--- 0.0+r1583-1/src/flash/Makefile.am	2009-04-27 11:32:13.000000000 +0100
+++ 0.0+r1606-1/src/flash/Makefile.am	2009-05-02 23:35:02.000000000 +0100
@@ -1,5 +1,8 @@
-INCLUDES = -I$(top_srcdir)/src/helper -I$(top_srcdir)/src/jtag -I$(top_srcdir)/src/target $(all_includes)
-AM_CPPFLAGS = -DPKGLIBDIR=\"$(pkglibdir)\" @CPPFLAGS@
+AM_CPPFLAGS = \
+	-I$(top_srcdir)/src/helper \
+	-I$(top_srcdir)/src/jtag \
+	-I$(top_srcdir)/src/target
+
 METASOURCES = AUTO
 noinst_LIBRARIES = libflash.a
 libflash_a_SOURCES = \
diff -pruN 0.0+r1583-1/src/helper/command.c 0.0+r1606-1/src/helper/command.c
--- 0.0+r1583-1/src/helper/command.c	2009-03-07 15:19:21.000000000 +0000
+++ 0.0+r1606-1/src/helper/command.c	2009-05-05 13:06:26.000000000 +0100
@@ -479,19 +479,22 @@ int command_run_line(command_context_t *
 		int reslen;
 
 		result = Jim_GetString(Jim_GetResult(interp), &reslen);
-		int i;
-		char buff[256+1];
-		for (i = 0; i < reslen; i += 256)
+		if (reslen>0)
 		{
-			int chunk;
-			chunk = reslen - i;
-			if (chunk > 256)
-				chunk = 256;
-			strncpy(buff, result+i, chunk);
-			buff[chunk] = 0;
-			LOG_USER_N("%s", buff);
+			int i;
+			char buff[256+1];
+			for (i = 0; i < reslen; i += 256)
+			{
+				int chunk;
+				chunk = reslen - i;
+				if (chunk > 256)
+					chunk = 256;
+				strncpy(buff, result+i, chunk);
+				buff[chunk] = 0;
+				LOG_USER_N("%s", buff);
+			}
+			LOG_USER_N("%s", "\n");
 		}
-		LOG_USER_N("%s", "\n");
 		retval=ERROR_OK;
 	}
 	return retval;
@@ -691,7 +694,7 @@ command_context_t* command_init()
 #if defined( _MSC_VER )
 	/* WinXX - is generic, the forward
 	 * looking problem is this:
-	 * 
+	 *
 	 *   "win32" or "win64"
 	 *
 	 * "winxx" is generic.
@@ -783,7 +786,7 @@ int handle_sleep_command(struct command_
 	} else
 	{
 		long long then=timeval_ms();
-		while ((timeval_ms()-then)<duration)
+		while ((timeval_ms()-then)<(long long)duration)
 		{
 			target_call_timer_callbacks_now();
 			usleep(1000);
diff -pruN 0.0+r1583-1/src/helper/jim.c 0.0+r1606-1/src/helper/jim.c
--- 0.0+r1583-1/src/helper/jim.c	2009-04-30 01:57:58.000000000 +0100
+++ 0.0+r1606-1/src/helper/jim.c	2009-05-04 07:22:49.000000000 +0100
@@ -89,7 +89,7 @@
 #endif /* WIN32 */
 #endif /* JIM_DYNLIB */
 
-#ifndef WIN32
+#ifdef HAVE_UNISTD_H
 #include <unistd.h>
 #endif
 
@@ -118,7 +118,7 @@ static void JimChangeCallFrameId(Jim_Int
 static void JimFreeCallFrame(Jim_Interp *interp, Jim_CallFrame *cf, int flags);
 static void JimRegisterCoreApi(Jim_Interp *interp);
 
-static Jim_HashTableType JimVariablesHashTableType;
+static Jim_HashTableType *getJimVariablesHashTableType(void);
 
 /* -----------------------------------------------------------------------------
  * Utility functions
@@ -3237,7 +3237,7 @@ int Jim_CreateProcedure(Jim_Interp *inte
         Jim_ListLength(interp, staticsListObjPtr, &len);
         if (len != 0) {
             cmdPtr->staticVars = Jim_Alloc(sizeof(Jim_HashTable));
-            Jim_InitHashTable(cmdPtr->staticVars, &JimVariablesHashTableType,
+            Jim_InitHashTable(cmdPtr->staticVars, getJimVariablesHashTableType(),
                     interp);
             for (i = 0; i < len; i++) {
                 Jim_Obj *objPtr, *initObjPtr, *nameObjPtr;
@@ -3440,6 +3440,11 @@ static Jim_HashTableType JimVariablesHas
     JimVariablesHTValDestructor       /* val destructor */
 };
 
+static Jim_HashTableType *getJimVariablesHashTableType(void)
+{
+	return &JimVariablesHashTableType;
+}
+
 /* -----------------------------------------------------------------------------
  * Variable object
  * ---------------------------------------------------------------------------*/
@@ -11979,7 +11984,7 @@ static int Jim_EnvCoreCommand(Jim_Interp
 
     if (argc == 1) {
 
-#ifndef HAVE_UNISTD_H
+#if !defined(HAVE_UNISTD_H) || !defined(__GNU_LIBRARY__)
         extern char **environ;
 #endif
 
diff -pruN 0.0+r1583-1/src/helper/log.c 0.0+r1606-1/src/helper/log.c
--- 0.0+r1583-1/src/helper/log.c	2009-03-17 10:22:26.000000000 +0000
+++ 0.0+r1606-1/src/helper/log.c	2009-05-05 13:07:02.000000000 +0100
@@ -389,7 +389,7 @@ void keep_alive()
 	current_time=timeval_ms();
 	if (current_time-last_time>1000)
 	{
-		LOG_WARNING("BUG: keep_alive() was not invoked in the 1000ms timelimit. GDB alive packet not sent! (%lld)", current_time-last_time);
+		LOG_WARNING("keep_alive() was not invoked in the 1000ms timelimit. GDB alive packet not sent! (%lld). Workaround: increase \"set remotetimeout\" in GDB", current_time-last_time);
 	}
 	if (current_time-last_time>500)
 	{
diff -pruN 0.0+r1583-1/src/helper/Makefile.am 0.0+r1606-1/src/helper/Makefile.am
--- 0.0+r1583-1/src/helper/Makefile.am	2009-04-21 10:02:42.000000000 +0100
+++ 0.0+r1606-1/src/helper/Makefile.am	2009-05-02 23:35:02.000000000 +0100
@@ -1,6 +1,10 @@
-INCLUDES = -I$(top_srcdir)/src $(all_includes) -I$(top_srcdir)/src/target -I$(top_srcdir)/src/server
+AM_CPPFLAGS = \
+	-I$(top_srcdir)/src/server \
+	-I$(top_srcdir)/src/target \
+	-DPKGDATADIR=\"$(pkgdatadir)\" \
+	-DPKGLIBDIR=\"$(pkglibdir)\"
+
 METASOURCES = AUTO
-AM_CPPFLAGS = -DPKGDATADIR=\"$(pkgdatadir)\" -DPKGLIBDIR=\"$(pkglibdir)\" @CPPFLAGS@
 noinst_LIBRARIES = libhelper.a
 
 if ECOSBOARD
diff -pruN 0.0+r1583-1/src/jtag/jtag.c 0.0+r1606-1/src/jtag/jtag.c
--- 0.0+r1583-1/src/jtag/jtag.c	2009-04-29 01:33:35.000000000 +0100
+++ 0.0+r1606-1/src/jtag/jtag.c	2009-05-02 00:42:43.000000000 +0100
@@ -3153,13 +3153,13 @@ static struct
 #else	/* this is the old table, converted from hex and with the bit_count set to 7 for each combo, like before */
 
 	/* to state: */
-	/*	RESET			IDLE				DRSHIFT			DRPAUSE			IRSHIFT	  		IRPAUSE */		/* from state: */
-	{	B8(1111111,7),	B8(0000000,7),	B8(0010111,7), 	B8(0001010,7),	B8(0011011,7), 	B8(0010110,7) },	/* RESET */
-	{	B8(1111111,7),	B8(0000000,7),	B8(0100101,7),  	B8(0000101,7),	B8(0101011,7),  	B8(0001011,7) },	/* IDLE */
+	/*	RESET			IDLE			DRSHIFT			DRPAUSE			IRSHIFT			IRPAUSE 	*/		/* from state: */
+	{	B8(1111111,7),	B8(0000000,7),	B8(0010111,7),	B8(0001010,7),	B8(0011011,7),	B8(0010110,7) },	/* RESET */
+	{	B8(1111111,7),	B8(0000000,7),	B8(0100101,7),	B8(0000101,7),	B8(0101011,7),	B8(0001011,7) },	/* IDLE */
 	{	B8(1111111,7),	B8(0110001,7),	B8(0000000,7),	B8(0000001,7),	B8(0001111,7),	B8(0101111,7) },	/* DRSHIFT */
-	{	B8(1111111,7),	B8(0110000,7),	B8(0100000,7),  	B8(0010111,7),	B8(0011110,7),	B8(0101111,7) },	/* DRPAUSE */
-	{	B8(1111111,7),	B8(0110001,7),	B8(0000111,7),	B8(0010111,7), 	B8(0000000,7),	B8(0000001,7) },	/* IRSHIFT */
-	{	B8(1111111,7),	B8(0110000,7),	B8(0011100,7),	B8(0010111,7),	B8(0100000,7),  	B8(0101111,7) } 	/* IRPAUSE */
+	{	B8(1111111,7),	B8(0110000,7),	B8(0100000,7),	B8(0010111,7),	B8(0011110,7),	B8(0101111,7) },	/* DRPAUSE */
+	{	B8(1111111,7),	B8(0110001,7),	B8(0000111,7),	B8(0010111,7),	B8(0000000,7),	B8(0000001,7) },	/* IRSHIFT */
+	{	B8(1111111,7),	B8(0110000,7),	B8(0011100,7),	B8(0010111,7),	B8(0100000,7),	B8(0101111,7) },	/* IRPAUSE */
 
 #endif
 
diff -pruN 0.0+r1583-1/src/jtag/Makefile.am 0.0+r1606-1/src/jtag/Makefile.am
--- 0.0+r1583-1/src/jtag/Makefile.am	2009-03-08 15:14:18.000000000 +0000
+++ 0.0+r1606-1/src/jtag/Makefile.am	2009-05-02 23:35:02.000000000 +0100
@@ -1,6 +1,7 @@
+AM_CPPFLAGS = \
+	-I$(top_srcdir)/src/helper \
+	-I$(top_srcdir)/src/target
 
-
-INCLUDES = -I$(top_srcdir)/src -I$(top_srcdir)/src/helper  $(all_includes) -I$(top_srcdir)/src/target 
 METASOURCES = AUTO
 noinst_LIBRARIES = libjtag.a
 
diff -pruN 0.0+r1583-1/src/main.c 0.0+r1606-1/src/main.c
--- 0.0+r1583-1/src/main.c	2008-12-16 22:20:10.000000000 +0000
+++ 0.0+r1606-1/src/main.c	2009-05-02 20:31:30.000000000 +0100
@@ -23,19 +23,6 @@
 #include "config.h"
 #endif
 
-#if !BUILD_HTTPD
-/* implementations of OpenOCD that uses multithreading needs to know when
- * OpenOCD is sleeping. No-op in vanilla OpenOCD
- */
-void openocd_sleep_prelude(void)
-{
-}
-
-void openocd_sleep_postlude(void)
-{
-}
-#endif
-
 /* This is the main entry for developer PC hosted OpenOCD.
  *
  * OpenOCD can also be used as a library that is linked with
diff -pruN 0.0+r1583-1/src/Makefile.am 0.0+r1606-1/src/Makefile.am
--- 0.0+r1583-1/src/Makefile.am	2009-02-13 09:56:51.000000000 +0000
+++ 0.0+r1606-1/src/Makefile.am	2009-05-02 23:35:02.000000000 +0100
@@ -9,9 +9,16 @@ endif
 openocd_SOURCES = $(MAINFILE) openocd.c
 
 # set the include path found by configure
-INCLUDES = -I$(top_srcdir)/src -I$(top_srcdir)/src/helper \
-	-I$(top_srcdir)/src/jtag -I$(top_srcdir)/src/target -I$(top_srcdir)/src/xsvf -I$(top_srcdir)/src/svf \
-	-I$(top_srcdir)/src/server -I$(top_srcdir)/src/flash -I$(top_srcdir)/src/pld $(all_includes)
+AM_CPPFLAGS = \
+	-I$(top_srcdir)/src \
+	-I$(top_srcdir)/src/helper \
+	-I$(top_srcdir)/src/jtag \
+	-I$(top_srcdir)/src/target \
+	-I$(top_srcdir)/src/xsvf \
+	-I$(top_srcdir)/src/svf \
+	-I$(top_srcdir)/src/server \
+	-I$(top_srcdir)/src/flash \
+	-I$(top_srcdir)/src/pld
 
 # pass path to prefix path
 openocd_CPPFLAGS = \
@@ -25,7 +32,7 @@ openocd_CPPFLAGS += -DRELSTR=\"svn:\" -D
 endif
 
 # add default CPPFLAGS
-openocd_CPPFLAGS += @CPPFLAGS@
+openocd_CPPFLAGS += $(AM_CPPFLAGS) $(CPPFLAGS)
 
 # the library search path.
 openocd_LDFLAGS = $(all_libraries) 
diff -pruN 0.0+r1583-1/src/openocd.c 0.0+r1606-1/src/openocd.c
--- 0.0+r1583-1/src/openocd.c	2009-01-20 04:03:31.000000000 +0000
+++ 0.0+r1606-1/src/openocd.c	2009-05-03 21:48:20.000000000 +0100
@@ -24,8 +24,6 @@
  *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
  ***************************************************************************/
 
-#define OPENOCD_VERSION "Open On-Chip Debugger " VERSION " (" PKGBLDDATE ") "RELSTR PKGBLDREV
-
 #ifdef HAVE_CONFIG_H
 #include "config.h"
 #endif
@@ -57,7 +55,11 @@
 #include <unistd.h>
 #include <errno.h>
 
-void print_version(void)
+
+#define OPENOCD_VERSION \
+		"Open On-Chip Debugger " VERSION " (" PKGBLDDATE ") " RELSTR PKGBLDREV
+
+static void print_version(void)
 {
 	/* DANGER!!! make sure that the line below does not appear in a patch, do not remove */
 	/* DANGER!!! make sure that the line below does not appear in a patch, do not remove */
@@ -73,7 +75,7 @@ void print_version(void)
 }
 
 /* Give TELNET a way to find out what version this is */
-int handle_version_command(struct command_context_s *cmd_ctx, char *cmd, char **args, int argc)
+static int handle_version_command(struct command_context_s *cmd_ctx, char *cmd, char **args, int argc)
 {
 	if (argc!=0)
 		return ERROR_COMMAND_SYNTAX_ERROR;
@@ -83,7 +85,7 @@ int handle_version_command(struct comman
 	return ERROR_OK;
 }
 
-void exit_handler(void)
+static void exit_handler(void)
 {
 	/* close JTAG interface */
 	if (jtag && jtag->quit)
@@ -117,7 +119,7 @@ static int log_target_callback_event_han
 int ioutil_init(struct command_context_s *cmd_ctx);
 
 /* OpenOCD can't really handle failure of this command. Patches welcome! :-) */
-int handle_init_command(struct command_context_s *cmd_ctx, char *cmd, char **args, int argc)
+static int handle_init_command(struct command_context_s *cmd_ctx, char *cmd, char **args, int argc)
 {
 
 	if (argc!=0)
@@ -185,6 +187,7 @@ int handle_init_command(struct command_c
 
 command_context_t *global_cmd_ctx;
 
+/* NB! this fn can be invoked outside this file for non PC hosted builds */
 command_context_t *setup_command_handler(void)
 {
 	command_context_t *cmd_ctx;
@@ -226,6 +229,21 @@ command_context_t *setup_command_handler
 int httpd_start(void);
 void httpd_stop(void);
 
+
+#if !BUILD_HTTPD && !BUILD_ECOSBOARD
+/* implementations of OpenOCD that uses multithreading needs to know when
+ * OpenOCD is sleeping. No-op in vanilla OpenOCD
+ */
+void openocd_sleep_prelude(void)
+{
+}
+
+void openocd_sleep_postlude(void)
+{
+}
+#endif
+
+
 /* normally this is the main() function entry, but if OpenOCD is linked
  * into application, then this fn will not be invoked, but rather that
  * application will have it's own implementation of main(). */
diff -pruN 0.0+r1583-1/src/pld/Makefile.am 0.0+r1606-1/src/pld/Makefile.am
--- 0.0+r1583-1/src/pld/Makefile.am	2009-01-20 03:55:38.000000000 +0000
+++ 0.0+r1606-1/src/pld/Makefile.am	2009-05-02 23:35:02.000000000 +0100
@@ -1,4 +1,8 @@
-INCLUDES = -I$(top_srcdir)/src/server -I$(top_srcdir)/src/helper -I$(top_srcdir)/src/jtag $(all_includes)
+AM_CPPFLAGS = \
+	-I$(top_srcdir)/src/server \
+	-I$(top_srcdir)/src/helper \
+	-I$(top_srcdir)/src/jtag
+
 METASOURCES = AUTO
 noinst_LIBRARIES = libpld.a
 noinst_HEADERS = pld.h xilinx_bit.h virtex2.h
diff -pruN 0.0+r1583-1/src/server/Makefile.am 0.0+r1606-1/src/server/Makefile.am
--- 0.0+r1583-1/src/server/Makefile.am	2009-04-21 10:02:42.000000000 +0100
+++ 0.0+r1606-1/src/server/Makefile.am	2009-05-02 23:35:02.000000000 +0100
@@ -1,4 +1,10 @@
-INCLUDES = -I$(top_srcdir)/src/helper -I$(top_srcdir)/src/target -I$(top_srcdir)/src/flash -I$(top_srcdir)/src/jtag $(all_includes)
+AM_CPPFLAGS = \
+	-I$(top_srcdir)/src/helper \
+	-I$(top_srcdir)/src/target \
+	-I$(top_srcdir)/src/flash \
+	-I$(top_srcdir)/src/jtag  \
+	-DPKGLIBDIR=\"$(pkglibdir)\"
+
 METASOURCES = AUTO
 noinst_LIBRARIES = libserver.a
 noinst_HEADERS = server.h telnet_server.h gdb_server.h
@@ -21,6 +27,5 @@ libserver_a_SOURCES += tcl_server.c
 if HTTPD
 nobase_dist_pkglib_DATA = $(wildcard $(srcdir)/httpd/*.tcl $(srcdir)/httpd/*.css $(srcdir)/httpd/menu_cuts/*.png)
 endif
-AM_CPPFLAGS = -DPKGLIBDIR=\"$(pkglibdir)\" @CPPFLAGS@
 
 MAINTAINERCLEANFILES = Makefile.in
diff -pruN 0.0+r1583-1/src/svf/Makefile.am 0.0+r1606-1/src/svf/Makefile.am
--- 0.0+r1583-1/src/svf/Makefile.am	2009-01-20 03:55:38.000000000 +0000
+++ 0.0+r1606-1/src/svf/Makefile.am	2009-05-02 23:35:02.000000000 +0100
@@ -1,4 +1,8 @@
-INCLUDES = -I$(top_srcdir)/src/server -I$(top_srcdir)/src/helper 	-I$(top_srcdir)/src/jtag $(all_includes)
+AM_CPPFLAGS = \
+	-I$(top_srcdir)/src/server \
+	-I$(top_srcdir)/src/helper \
+	-I$(top_srcdir)/src/jtag
+
 METASOURCES = AUTO
 noinst_LIBRARIES = libsvf.a
 noinst_HEADERS = svf.h
diff -pruN 0.0+r1583-1/src/target/avrt.c 0.0+r1606-1/src/target/avrt.c
--- 0.0+r1583-1/src/target/avrt.c	2009-04-27 20:35:31.000000000 +0100
+++ 0.0+r1606-1/src/target/avrt.c	2009-05-03 16:10:16.000000000 +0100
@@ -119,7 +119,7 @@ target_type_t avr_target =
 
 int avr_register_commands(struct command_context_s *cmd_ctx)
 {
-	LOG_DEBUG(__FUNCTION__);
+	LOG_DEBUG("%s", __FUNCTION__);
 	return ERROR_OK;
 }
 
@@ -135,19 +135,19 @@ int avr_target_create(struct target_s *t
 
 int avr_init_target(struct command_context_s *cmd_ctx, struct target_s *target)
 {
-	LOG_DEBUG(__FUNCTION__);
+	LOG_DEBUG("%s", __FUNCTION__);
 	return ERROR_OK;
 }
 
 int avr_quit(void)
 {
-	LOG_DEBUG(__FUNCTION__);
+	LOG_DEBUG("%s", __FUNCTION__);
 	return ERROR_OK;
 }
 
 int avr_arch_state(struct target_s *target)
 {
-	LOG_DEBUG(__FUNCTION__);
+	LOG_DEBUG("%s", __FUNCTION__);
 	return ERROR_OK;
 }
 
@@ -158,25 +158,25 @@ int avr_poll(target_t *target)
 		target->state = TARGET_HALTED;
 	}
 	
-	LOG_DEBUG(__FUNCTION__);
+	LOG_DEBUG("%s", __FUNCTION__);
 	return ERROR_OK;
 }
 
 int avr_halt(target_t *target)
 {
-	LOG_DEBUG(__FUNCTION__);
+	LOG_DEBUG("%s", __FUNCTION__);
 	return ERROR_OK;
 }
 
 int avr_resume(struct target_s *target, int current, u32 address, int handle_breakpoints, int debug_execution)
 {
-	LOG_DEBUG(__FUNCTION__);
+	LOG_DEBUG("%s", __FUNCTION__);
 	return ERROR_OK;
 }
 
 int avr_step(struct target_s *target, int current, u32 address, int handle_breakpoints)
 {
-	LOG_DEBUG(__FUNCTION__);
+	LOG_DEBUG("%s", __FUNCTION__);
 	return ERROR_OK;
 }
 
@@ -184,7 +184,7 @@ int avr_assert_reset(target_t *target)
 {
 	target->state = TARGET_RESET;
 	
-	LOG_DEBUG(__FUNCTION__);
+	LOG_DEBUG("%s", __FUNCTION__);
 	return ERROR_OK;
 }
 
@@ -192,13 +192,13 @@ int avr_deassert_reset(target_t *target)
 {
 	target->state = TARGET_RUNNING;
 	
-	LOG_DEBUG(__FUNCTION__);
+	LOG_DEBUG("%s", __FUNCTION__);
 	return ERROR_OK;
 }
 
 int avr_soft_reset_halt(struct target_s *target)
 {
-	LOG_DEBUG(__FUNCTION__);
+	LOG_DEBUG("%s", __FUNCTION__);
 	return ERROR_OK;
 }
 
diff -pruN 0.0+r1583-1/src/target/board/hitex_str9_comstick.cfg 0.0+r1606-1/src/target/board/hitex_str9_comstick.cfg
--- 0.0+r1583-1/src/target/board/hitex_str9_comstick.cfg	1970-01-01 01:00:00.000000000 +0100
+++ 0.0+r1606-1/src/target/board/hitex_str9_comstick.cfg	2009-05-01 00:19:46.000000000 +0100
@@ -0,0 +1,11 @@
+#
+# Hitex STR9-comStick
+#
+# http://www.hitex.com/index.php?id=383
+#
+
+# This works for the STR9-comStick revisions STR912CS-A1 and STR912CS-A2.
+
+source [find interface/str9-comstick.cfg]
+source [find target/str9comstick.cfg]
+
diff -pruN 0.0+r1583-1/src/target/cortex_a8.c 0.0+r1606-1/src/target/cortex_a8.c
--- 0.0+r1583-1/src/target/cortex_a8.c	1970-01-01 01:00:00.000000000 +0100
+++ 0.0+r1606-1/src/target/cortex_a8.c	2009-05-04 19:44:12.000000000 +0100
@@ -0,0 +1,273 @@
+/***************************************************************************
+ *   Copyright (C) 2005 by Dominic Rath                                    *
+ *   Dominic.Rath@gmx.de                                                   *
+ *                                                                         *
+ *   Copyright (C) 2006 by Magnus Lundin                                   *
+ *   lundin@mlu.mine.nu                                                    *
+ *                                                                         *
+ *   Copyright (C) 2008 by Spencer Oliver                                  *
+ *   spen@spen-soft.co.uk                                                  *
+ *                                                                         *
+ *   Copyright (C) 2009 by Dirk Behme                                      *
+ *   dirk.behme@gmail.com - copy from cortex_m3                            *
+ *                                                                         *
+ *   This program is free software; you can redistribute it and/or modify  *
+ *   it under the terms of the GNU General Public License as published by  *
+ *   the Free Software Foundation; either version 2 of the License, or     *
+ *   (at your option) any later version.                                   *
+ *                                                                         *
+ *   This program is distributed in the hope that it will be useful,       *
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
+ *   GNU General Public License for more details.                          *
+ *                                                                         *
+ *   You should have received a copy of the GNU General Public License     *
+ *   along with this program; if not, write to the                         *
+ *   Free Software Foundation, Inc.,                                       *
+ *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
+ *                                                                         *
+ *   Cortex-A8(tm) TRM, ARM DDI 0344H                                      *
+ *                                                                         *
+ ***************************************************************************/
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
+
+#include "replacements.h"
+
+#include "cortex_a8.h"
+#include "armv7m.h"
+
+#include "register.h"
+#include "target.h"
+#include "target_request.h"
+#include "log.h"
+#include "jtag.h"
+#include "arm_jtag.h"
+
+#include <stdlib.h>
+#include <string.h>
+
+/* cli handling */
+int cortex_a8_register_commands(struct command_context_s *cmd_ctx);
+
+/* forward declarations */
+int cortex_a8_target_create(struct target_s *target, Jim_Interp *interp);
+
+target_type_t cortexa8_target =
+{
+	.name = "cortex_a8",
+
+	.poll = NULL,
+	.arch_state = armv7m_arch_state,
+
+	.target_request_data = NULL,
+
+	.halt = NULL,
+	.resume = NULL,
+	.step = NULL,
+
+	.assert_reset = NULL,
+	.deassert_reset = NULL,
+	.soft_reset_halt = NULL,
+
+	.get_gdb_reg_list = armv7m_get_gdb_reg_list,
+
+	.read_memory = cortex_a8_read_memory,
+	.write_memory = cortex_a8_write_memory,
+	.bulk_write_memory = NULL,
+	.checksum_memory = NULL,
+	.blank_check_memory = NULL,
+
+	.run_algorithm = armv7m_run_algorithm,
+
+	.add_breakpoint = NULL,
+	.remove_breakpoint = NULL,
+	.add_watchpoint = NULL,
+	.remove_watchpoint = NULL,
+
+	.register_commands = cortex_a8_register_commands,
+	.target_create = cortex_a8_target_create,
+	.init_target = NULL,
+	.examine = NULL,
+	.quit = NULL
+};
+
+int cortex_a8_dcc_read(swjdp_common_t *swjdp, u8 *value, u8 *ctrl)
+{
+	u16 dcrdr;
+
+	mem_ap_read_buf_u16( swjdp, (u8*)&dcrdr, 1, DCB_DCRDR);
+	*ctrl = (u8)dcrdr;
+	*value = (u8)(dcrdr >> 8);
+
+	LOG_DEBUG("data 0x%x ctrl 0x%x", *value, *ctrl);
+
+	/* write ack back to software dcc register
+	 * signify we have read data */
+	if (dcrdr & (1 << 0))
+	{
+		dcrdr = 0;
+		mem_ap_write_buf_u16( swjdp, (u8*)&dcrdr, 1, DCB_DCRDR);
+	}
+
+	return ERROR_OK;
+}
+
+int cortex_a8_read_memory(struct target_s *target, u32 address, u32 size, u32 count, u8 *buffer)
+{
+	/* get pointers to arch-specific information */
+	armv7m_common_t *armv7m = target->arch_info;
+	swjdp_common_t *swjdp = &armv7m->swjdp_info;
+	int retval;
+
+	/* sanitize arguments */
+	if (((size != 4) && (size != 2) && (size != 1)) || (count == 0) || !(buffer))
+		return ERROR_INVALID_ARGUMENTS;
+
+	/* cortex_a8 handles unaligned memory access */
+
+	switch (size)
+	{
+		case 4:
+			retval = mem_ap_read_buf_u32(swjdp, buffer, 4 * count, address);
+			break;
+		case 2:
+			retval = mem_ap_read_buf_u16(swjdp, buffer, 2 * count, address);
+			break;
+		case 1:
+			retval = mem_ap_read_buf_u8(swjdp, buffer, count, address);
+			break;
+		default:
+			LOG_ERROR("BUG: we shouldn't get here");
+			exit(-1);
+	}
+
+	return retval;
+}
+
+int cortex_a8_write_memory(struct target_s *target, u32 address, u32 size, u32 count, u8 *buffer)
+{
+	/* get pointers to arch-specific information */
+	armv7m_common_t *armv7m = target->arch_info;
+	swjdp_common_t *swjdp = &armv7m->swjdp_info;
+	int retval;
+
+	/* sanitize arguments */
+	if (((size != 4) && (size != 2) && (size != 1)) || (count == 0) || !(buffer))
+		return ERROR_INVALID_ARGUMENTS;
+
+	switch (size)
+	{
+		case 4:
+			retval = mem_ap_write_buf_u32(swjdp, buffer, 4 * count, address);
+			break;
+		case 2:
+			retval = mem_ap_write_buf_u16(swjdp, buffer, 2 * count, address);
+			break;
+		case 1:
+			retval = mem_ap_write_buf_u8(swjdp, buffer, count, address);
+			break;
+		default:
+			LOG_ERROR("BUG: we shouldn't get here");
+			exit(-1);
+	}
+
+	return retval;
+}
+
+int cortex_a8_handle_target_request(void *priv)
+{
+	target_t *target = priv;
+	if (!target->type->examined)
+		return ERROR_OK;
+	armv7m_common_t *armv7m = target->arch_info;
+	swjdp_common_t *swjdp = &armv7m->swjdp_info;
+
+	if (!target->dbg_msg_enabled)
+		return ERROR_OK;
+
+	if (target->state == TARGET_RUNNING)
+	{
+		u8 data;
+		u8 ctrl;
+
+		cortex_a8_dcc_read(swjdp, &data, &ctrl);
+
+		/* check if we have data */
+		if (ctrl & (1 << 0))
+		{
+			u32 request;
+
+			/* we assume target is quick enough */
+			request = data;
+			cortex_a8_dcc_read(swjdp, &data, &ctrl);
+			request |= (data << 8);
+			cortex_a8_dcc_read(swjdp, &data, &ctrl);
+			request |= (data << 16);
+			cortex_a8_dcc_read(swjdp, &data, &ctrl);
+			request |= (data << 24);
+			target_request(target, request);
+		}
+	}
+
+	return ERROR_OK;
+}
+
+int cortex_a8_init_arch_info(target_t *target, cortex_a8_common_t *cortex_a8, jtag_tap_t *tap)
+{
+	armv7m_common_t *armv7m;
+	armv7m = &cortex_a8->armv7m;
+
+	/* prepare JTAG information for the new target */
+	cortex_a8->jtag_info.tap = tap;
+	cortex_a8->jtag_info.scann_size = 4;
+
+	armv7m->swjdp_info.dp_select_value = -1;
+	armv7m->swjdp_info.ap_csw_value = -1;
+	armv7m->swjdp_info.ap_tar_value = -1;
+	armv7m->swjdp_info.jtag_info = &cortex_a8->jtag_info;
+
+	/* initialize arch-specific breakpoint handling */
+
+	cortex_a8->common_magic = CORTEX_A8_COMMON_MAGIC;
+	cortex_a8->arch_info = NULL;
+
+	/* register arch-specific functions */
+	armv7m->examine_debug_reason = NULL;
+
+	armv7m->pre_debug_entry = NULL;
+	armv7m->post_debug_entry = NULL;
+
+	armv7m->pre_restore_context = NULL;
+	armv7m->post_restore_context = NULL;
+
+	armv7m_init_arch_info(target, armv7m);
+	armv7m->arch_info = cortex_a8;
+	armv7m->load_core_reg_u32 = NULL;
+	armv7m->store_core_reg_u32 = NULL;
+
+	target_register_timer_callback(cortex_a8_handle_target_request, 1, 1, target);
+
+	return ERROR_OK;
+}
+
+int cortex_a8_target_create(struct target_s *target, Jim_Interp *interp)
+{
+	cortex_a8_common_t *cortex_a8 = calloc(1,sizeof(cortex_a8_common_t));
+
+	cortex_a8_init_arch_info(target, cortex_a8, target->tap);
+
+	return ERROR_OK;
+}
+
+int cortex_a8_register_commands(struct command_context_s *cmd_ctx)
+{
+	int retval;
+
+	retval = armv7m_register_commands(cmd_ctx);
+
+	register_command(cmd_ctx, NULL, "cortex_a8", NULL, COMMAND_ANY, "cortex_a8 specific commands");
+
+	return retval;
+}
diff -pruN 0.0+r1583-1/src/target/cortex_a8.h 0.0+r1606-1/src/target/cortex_a8.h
--- 0.0+r1583-1/src/target/cortex_a8.h	1970-01-01 01:00:00.000000000 +0100
+++ 0.0+r1606-1/src/target/cortex_a8.h	2009-05-04 19:44:12.000000000 +0100
@@ -0,0 +1,99 @@
+/***************************************************************************
+ *   Copyright (C) 2005 by Dominic Rath                                    *
+ *   Dominic.Rath@gmx.de                                                   *
+ *                                                                         *
+ *   Copyright (C) 2006 by Magnus Lundin                                   *
+ *   lundin@mlu.mine.nu                                                    *
+ *                                                                         *
+ *   Copyright (C) 2008 by Spencer Oliver                                  *
+ *   spen@spen-soft.co.uk                                                  *
+ *                                                                         *
+ *   Copyright (C) 2009 by Dirk Behme                                      *
+ *   dirk.behme@gmail.com - copy from cortex_m3                            *
+ *                                                                         *
+ *   This program is free software; you can redistribute it and/or modify  *
+ *   it under the terms of the GNU General Public License as published by  *
+ *   the Free Software Foundation; either version 2 of the License, or     *
+ *   (at your option) any later version.                                   *
+ *                                                                         *
+ *   This program is distributed in the hope that it will be useful,       *
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
+ *   GNU General Public License for more details.                          *
+ *                                                                         *
+ *   You should have received a copy of the GNU General Public License     *
+ *   along with this program; if not, write to the                         *
+ *   Free Software Foundation, Inc.,                                       *
+ *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
+ ***************************************************************************/
+#ifndef CORTEX_A8_H
+#define CORTEX_A8_H
+
+#include "register.h"
+#include "target.h"
+#include "armv7m.h"
+
+extern char* cortex_a8_state_strings[];
+
+#define CORTEX_A8_COMMON_MAGIC 0x411fc082
+
+#define CPUID		0x54011D00
+/* Debug Control Block */
+#define DCB_DHCSR	0x54011DF0
+#define DCB_DCRSR	0x54011DF4
+#define DCB_DCRDR	0x54011DF8
+#define DCB_DEMCR	0x54011DFC
+
+typedef struct  cortex_a8_fp_comparator_s
+{
+	int used;
+	int type;
+	u32 fpcr_value;
+	u32 fpcr_address;
+} cortex_a8_fp_comparator_t;
+
+typedef struct  cortex_a8_dwt_comparator_s
+{
+	int used;
+	u32 comp;
+	u32 mask;
+	u32 function;
+	u32 dwt_comparator_address;
+} cortex_a8_dwt_comparator_t;
+
+typedef struct cortex_a8_common_s
+{
+	int common_magic;
+	arm_jtag_t jtag_info;
+
+	/* Context information */
+	u32 dcb_dhcsr;
+	u32 nvic_dfsr;  /* Debug Fault Status Register - shows reason for debug halt */
+	u32 nvic_icsr;  /* Interrupt Control State Register - shows active and pending IRQ */
+
+	/* Flash Patch and Breakpoint (FPB) */
+	int fp_num_lit;
+	int fp_num_code;
+	int fp_code_available;
+	int fpb_enabled;
+	int auto_bp_type;
+	cortex_a8_fp_comparator_t *fp_comparator_list;
+
+	/* Data Watchpoint and Trace (DWT) */
+	int dwt_num_comp;
+	int dwt_comp_available;
+	cortex_a8_dwt_comparator_t *dwt_comparator_list;
+
+	/* Interrupts */
+	int intlinesnum;
+	u32 *intsetenable;
+
+	armv7m_common_t armv7m;
+	void *arch_info;
+} cortex_a8_common_t;
+
+extern int cortex_a8_init_arch_info(target_t *target, cortex_a8_common_t *cortex_a8, jtag_tap_t *tap);
+int cortex_a8_read_memory(struct target_s *target, u32 address, u32 size, u32 count, u8 *buffer);
+int cortex_a8_write_memory(struct target_s *target, u32 address, u32 size, u32 count, u8 *buffer);
+
+#endif /* CORTEX_A8_H */
diff -pruN 0.0+r1583-1/src/target/etb.c 0.0+r1606-1/src/target/etb.c
--- 0.0+r1583-1/src/target/etb.c	2009-04-30 10:49:38.000000000 +0100
+++ 0.0+r1606-1/src/target/etb.c	2009-05-04 12:06:21.000000000 +0100
@@ -448,7 +448,7 @@ static int handle_etb_config_command(str
 		arm7_9->etm_ctx->capture_driver_priv = etb;
 
 		etb->tap  = tap;
-		etb->cur_scan_chain = ~0UL;
+		etb->cur_scan_chain = 0xffffffff;
 		etb->reg_cache = NULL;
 		etb->ram_width = 0;
 		etb->ram_depth = 0;
diff -pruN 0.0+r1583-1/src/target/etm.c 0.0+r1606-1/src/target/etm.c
--- 0.0+r1583-1/src/target/etm.c	2009-04-30 10:49:38.000000000 +0100
+++ 0.0+r1606-1/src/target/etm.c	2009-05-04 12:06:21.000000000 +0100
@@ -992,9 +992,9 @@ static int etmv1_analyze_trace(etm_conte
 		if ((pipestat == STAT_IE) || (pipestat == STAT_ID))
 		{
 			if (((instruction.type == ARM_B) ||
-				(instruction.type == ARM_BL) ||
-				(instruction.type == ARM_BLX)) &&
-				(instruction.info.b_bl_bx_blx.target_address != ~0UL))
+			     (instruction.type == ARM_BL) ||
+			     (instruction.type == ARM_BLX)) &&	 
+			    (instruction.info.b_bl_bx_blx.target_address != 0xffffffff))
 			{
 				next_pc = instruction.info.b_bl_bx_blx.target_address;
 			}
diff -pruN 0.0+r1583-1/src/target/interface/icebear.cfg 0.0+r1606-1/src/target/interface/icebear.cfg
--- 0.0+r1583-1/src/target/interface/icebear.cfg	2009-04-29 14:24:05.000000000 +0100
+++ 0.0+r1606-1/src/target/interface/icebear.cfg	2009-04-30 22:04:34.000000000 +0100
@@ -1,23 +1,11 @@
-#####################################################
-# IceBear Configuration
 #
-# http://section5.ch/icebear
-#
-# Author: Sten, debian@sansys-electronic.com
-#####################################################
-#
-# Add file /etc/udev/rules.d/45-icebear.rules
+# Section5 ICEBear
 #
-#BUS!="usb", ACTION!="add", SUBSYSTEM!=="usb_device", GOTO="kcontrol_rules_end"
-#
-#SYSFS{idProduct}=="c140", SYSFS{idVendor}=="0403", MODE="666", GROUP="usb"
-#SYSFS{idProduct}=="c141", SYSFS{idVendor}=="0403", MODE="666", GROUP="usb"
-#
-#LABEL="kcontrol_rules_end"
+# http://section5.ch/icebear
 #
 
 interface ft2232
-#ft2232_device_desc ""
+# ft2232_device_desc ""
 ft2232_layout icebear
 ft2232_vid_pid 0x0403 0xc140
 
diff -pruN 0.0+r1583-1/src/target/Makefile.am 0.0+r1606-1/src/target/Makefile.am
--- 0.0+r1583-1/src/target/Makefile.am	2009-04-27 11:32:13.000000000 +0100
+++ 0.0+r1606-1/src/target/Makefile.am	2009-05-04 19:44:12.000000000 +0100
@@ -5,18 +5,21 @@ else
 OOCD_TRACE_FILES =
 endif
 
-INCLUDES = -I$(top_srcdir)/src/gdb -I$(top_srcdir)/src/helper 	-I$(top_srcdir)/src/jtag -I$(top_srcdir)/src/xsvf $(all_includes)
+AM_CPPFLAGS = \
+	-I$(top_srcdir)/src/helper \
+	-I$(top_srcdir)/src/jtag \
+	-I$(top_srcdir)/src/xsvf
+
 METASOURCES = AUTO
-AM_CPPFLAGS = -DPKGLIBDIR=\"$(pkglibdir)\" @CPPFLAGS@
 noinst_LIBRARIES = libtarget.a
 libtarget_a_SOURCES = target.c register.c breakpoints.c armv4_5.c embeddedice.c etm.c arm7tdmi.c arm9tdmi.c \
 	arm_jtag.c arm7_9_common.c algorithm.c arm920t.c arm720t.c armv4_5_mmu.c armv4_5_cache.c arm_disassembler.c \
-	arm966e.c arm926ejs.c feroceon.c etb.c xscale.c arm_simulator.c image.c armv7m.c cortex_m3.c arm_adi_v5.c \
+	arm966e.c arm926ejs.c feroceon.c etb.c xscale.c arm_simulator.c image.c armv7m.c cortex_m3.c cortex_a8.c arm_adi_v5.c \
 	etm_dummy.c $(OOCD_TRACE_FILES) target_request.c trace.c arm11.c arm11_dbgtap.c mips32.c mips_m4k.c \
 	mips32_pracc.c mips32_dmaacc.c mips_ejtag.c avrt.c
 noinst_HEADERS = target.h trace.h register.h armv4_5.h embeddedice.h etm.h arm7tdmi.h arm9tdmi.h \
 	arm_jtag.h arm7_9_common.h arm920t.h arm720t.h armv4_5_mmu.h armv4_5_cache.h breakpoints.h algorithm.h \
-	arm_disassembler.h arm966e.h arm926ejs.h etb.h xscale.h arm_simulator.h image.h armv7m.h cortex_m3.h arm_adi_v5.h \
+	arm_disassembler.h arm966e.h arm926ejs.h etb.h xscale.h arm_simulator.h image.h armv7m.h cortex_m3.h cortex_a8.h arm_adi_v5.h \
 	etm_dummy.h oocd_trace.h target_request.h trace.h arm11.h mips32.h mips_m4k.h mips_ejtag.h mips32_pracc.h mips32_dmaacc.h avrt.h
 
 nobase_dist_pkglib_DATA =
diff -pruN 0.0+r1583-1/src/target/mips32.h 0.0+r1606-1/src/target/mips32.h
--- 0.0+r1583-1/src/target/mips32.h	2009-04-21 12:35:58.000000000 +0100
+++ 0.0+r1606-1/src/target/mips32.h	2009-05-05 07:49:55.000000000 +0100
@@ -94,7 +94,7 @@ typedef struct mips32_core_reg_s
 #define MIPS32_COP0_MF	0x00
 #define MIPS32_COP0_MT	0x04
 
-#define MIPS32_R_INST(opcode, rs, rt, rd, shamt, funct)	(((opcode)<<26) |((rs)<<21)|((rt)<<16)|((rd)<<11)| ((shamt)<<5) | (funct))
+#define MIPS32_R_INST(opcode, rs, rt, rd, shamt, funct)	(((opcode)<<26) |((rs)<<21)|((rt)<<16)|((rd)<<11)| ((shamt)<<6) | (funct))
 #define MIPS32_I_INST(opcode, rs, rt, immd)	(((opcode)<<26) |((rs)<<21)|((rt)<<16)|(immd))
 #define MIPS32_J_INST(opcode, addr)	(((opcode)<<26) |(addr))
 
@@ -112,8 +112,8 @@ typedef struct mips32_core_reg_s
 #define MIPS32_LW(reg, off, base)	MIPS32_I_INST(MIPS32_OP_LW, base, reg, off)
 #define MIPS32_MFLO(reg)			MIPS32_R_INST(0, 0, 0, reg, 0, MIPS32_OP_MFLO)
 #define MIPS32_MFHI(reg)			MIPS32_R_INST(0, 0, 0, reg, 0, MIPS32_OP_MFHI)
-#define MIPS32_MTLO(reg)			MIPS32_R_INST(0, 0, 0, reg, 0, MIPS32_OP_MTLO)
-#define MIPS32_MTHI(reg)			MIPS32_R_INST(0, 0, 0, reg, 0, MIPS32_OP_MTHI)
+#define MIPS32_MTLO(reg)			MIPS32_R_INST(0, reg, 0, 0, 0, MIPS32_OP_MTLO)
+#define MIPS32_MTHI(reg)			MIPS32_R_INST(0, reg, 0, 0, 0, MIPS32_OP_MTHI)
 #define MIPS32_ORI(src, tar, val)	MIPS32_I_INST(MIPS32_OP_ORI, src, tar, val)
 #define MIPS32_SB(reg, off, base)	MIPS32_I_INST(MIPS32_OP_SB, base, reg, off)
 #define MIPS32_SH(reg, off, base)	MIPS32_I_INST(MIPS32_OP_SH, base, reg, off)
diff -pruN 0.0+r1583-1/src/target/target/str9comstick.cfg 0.0+r1606-1/src/target/target/str9comstick.cfg
--- 0.0+r1583-1/src/target/target/str9comstick.cfg	2009-03-20 14:30:41.000000000 +0000
+++ 0.0+r1606-1/src/target/target/str9comstick.cfg	2009-05-01 00:19:46.000000000 +0100
@@ -39,9 +39,12 @@ jtag newtap $_CHIPNAME cpu   -irlen 4 -i
 if { [info exists BSTAPID ] } {
    set _BSTAPID $BSTAPID
 } else {
-   set _BSTAPID 0x1457f041
+   # Found on STR9-comStick, revision STR912CS-A1
+   set _BSTAPID1 0x1457f041
+   # Found on STR9-comStick, revision STR912CS-A2
+   set _BSTAPID2 0x2457f041
 }
-jtag newtap $_CHIPNAME bs    -irlen 5 -ircapture 0x1 -irmask 0x1 -expected-id $_BSTAPID
+jtag newtap $_CHIPNAME bs -irlen 5 -ircapture 0x1 -irmask 0x1 -expected-id $_BSTAPID1 -expected-id $_BSTAPID2
 
 set _TARGETNAME [format "%s.cpu" $_CHIPNAME]
 target create $_TARGETNAME arm966e -endian $_ENDIAN -chain-position $_TARGETNAME -variant arm966e
diff -pruN 0.0+r1583-1/src/target/target.c 0.0+r1606-1/src/target/target.c
--- 0.0+r1583-1/src/target/target.c	2009-04-30 10:49:38.000000000 +0100
+++ 0.0+r1606-1/src/target/target.c	2009-05-04 19:44:12.000000000 +0100
@@ -101,6 +101,7 @@ extern target_type_t arm926ejs_target;
 extern target_type_t feroceon_target;
 extern target_type_t xscale_target;
 extern target_type_t cortexm3_target;
+extern target_type_t cortexa8_target;
 extern target_type_t arm11_target;
 extern target_type_t mips_m4k_target;
 extern target_type_t avr_target;
@@ -116,6 +117,7 @@ target_type_t *target_types[] =
 	&feroceon_target,
 	&xscale_target,
 	&cortexm3_target,
+	&cortexa8_target,
 	&arm11_target,
 	&mips_m4k_target,
 	&avr_target,
diff -pruN 0.0+r1583-1/src/target/xscale.c 0.0+r1606-1/src/target/xscale.c
--- 0.0+r1583-1/src/target/xscale.c	2009-04-19 21:51:16.000000000 +0100
+++ 0.0+r1606-1/src/target/xscale.c	2009-05-04 12:06:21.000000000 +0100
@@ -2933,7 +2933,7 @@ int xscale_analyze_trace(target_t *targe
 						(((instruction.type == ARM_B) ||
 							(instruction.type == ARM_BL) ||
 							(instruction.type == ARM_BLX)) &&
-							(instruction.info.b_bl_bx_blx.target_address != ~0UL)))
+							(instruction.info.b_bl_bx_blx.target_address != 0xffffffff)))
 					{
 						xscale->trace.current_pc = instruction.info.b_bl_bx_blx.target_address;
 					}
diff -pruN 0.0+r1583-1/src/xsvf/Makefile.am 0.0+r1606-1/src/xsvf/Makefile.am
--- 0.0+r1583-1/src/xsvf/Makefile.am	2009-01-20 03:55:38.000000000 +0000
+++ 0.0+r1606-1/src/xsvf/Makefile.am	2009-05-02 23:35:02.000000000 +0100
@@ -1,4 +1,8 @@
-INCLUDES = -I$(top_srcdir)/src/server -I$(top_srcdir)/src/helper 	-I$(top_srcdir)/src/jtag $(all_includes)
+AM_CPPFLAGS = \
+	-I$(top_srcdir)/src/server \
+	-I$(top_srcdir)/src/helper \
+	-I$(top_srcdir)/src/jtag
+
 METASOURCES = AUTO
 noinst_LIBRARIES = libxsvf.a
 noinst_HEADERS = xsvf.h
